-- MySQL dump 10.13  Distrib 5.7.34, for Linux (x86_64)
--
-- Host: localhost    Database: bookingc_demo
-- ------------------------------------------------------
-- Server version	5.7.34

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `bookingc_demo`
--


--
-- Table structure for table `activation`
--

DROP TABLE IF EXISTS `activation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `UID` int(11) NOT NULL,
  `Verification_code` varchar(20) NOT NULL,
  `login_code` varchar(20) DEFAULT NULL,
  `isUsed` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2761 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `active`
--

DROP TABLE IF EXISTS `active`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `active` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` varchar(50) NOT NULL,
  `status_id` int(11) NOT NULL,
  `status_class` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `active_weekdays`
--

DROP TABLE IF EXISTS `active_weekdays`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `active_weekdays` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `weekdays_id` varchar(20) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=625 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `admin_log`
--

DROP TABLE IF EXISTS `admin_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admin_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adminId` int(11) NOT NULL,
  `status` varchar(200) NOT NULL,
  `login_time` datetime NOT NULL,
  `logout_time` datetime NOT NULL,
  `login_date` date NOT NULL,
  `logout_date` date NOT NULL,
  `login_diff` time NOT NULL,
  `lat` varchar(100) NOT NULL,
  `log` varchar(100) NOT NULL,
  `ipaddress` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=330 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `admin_text`
--

DROP TABLE IF EXISTS `admin_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admin_text` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page` text NOT NULL,
  `field` text NOT NULL,
  `text` text NOT NULL,
  `value` text NOT NULL,
  `label_id` int(11) NOT NULL,
  `language` varchar(100) NOT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '1',
  `module` varchar(1000) DEFAULT NULL,
  `sub_module` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=550 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `agent_booking_detail`
--

DROP TABLE IF EXISTS `agent_booking_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agent_booking_detail` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `Agent_Id` varchar(50) DEFAULT '000',
  `Target_Booking` int(3) unsigned zerofill DEFAULT '000',
  `Total_Booking` int(3) unsigned zerofill DEFAULT '000',
  `Booking_Operated` int(3) unsigned zerofill DEFAULT '000',
  `Enquiry_Booking` int(3) unsigned zerofill DEFAULT '000',
  `Booking_Rejection` int(3) unsigned zerofill DEFAULT '000',
  `Complaint_Booking` int(3) unsigned zerofill DEFAULT '000',
  `Rescehdule_Booking` int(3) unsigned zerofill DEFAULT '000',
  `Cancel_Booking` int(3) unsigned zerofill DEFAULT '000',
  `Login_Time` int(3) unsigned zerofill DEFAULT '000',
  `Break_Time` int(3) unsigned zerofill DEFAULT '000',
  `Booking_Month` varchar(2) DEFAULT NULL,
  `Booking_Year` varchar(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `agent_login_history`
--

DROP TABLE IF EXISTS `agent_login_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agent_login_history` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `AgentId` int(11) DEFAULT NULL,
  `LogInTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `LoginBy` int(11) DEFAULT NULL,
  `LogOutTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `LogOutBy` int(11) DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `AgentId` (`AgentId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `agent_work_history`
--

DROP TABLE IF EXISTS `agent_work_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agent_work_history` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `AgentID` int(11) DEFAULT NULL,
  `CallerId` varchar(50) DEFAULT NULL,
  `BookingID` varchar(50) DEFAULT NULL,
  `ActionType` varchar(50) DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  `ActionDesc` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=80 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `airport_address`
--

DROP TABLE IF EXISTS `airport_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `airport_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(255) NOT NULL,
  `latitude` varchar(255) NOT NULL,
  `longitude` varchar(255) NOT NULL,
  `master_pkg_id` int(11) NOT NULL COMMENT 'Need to remove',
  `sub_package_id` int(11) NOT NULL COMMENT 'Need to remove',
  `cab_type` int(11) NOT NULL COMMENT 'Need to remove',
  `km` int(11) NOT NULL,
  `zone` varchar(255) NOT NULL,
  `state_id` int(10) NOT NULL COMMENT 'Need to remove',
  `fix_point` varchar(255) NOT NULL,
  `transfer_type` varchar(50) NOT NULL COMMENT 'Need to remove',
  `fare` int(10) NOT NULL,
  `city_id` int(10) NOT NULL COMMENT 'Need to remove',
  PRIMARY KEY (`id`),
  KEY `address` (`address`)
) ENGINE=InnoDB AUTO_INCREMENT=828 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `api_call_timeinterval`
--

DROP TABLE IF EXISTS `api_call_timeinterval`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `api_call_timeinterval` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `package_id` int(11) NOT NULL,
  `api_time` int(11) NOT NULL,
  `api_distance` int(11) DEFAULT '0',
  `api_name` varchar(100) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modifiede_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `api_document_details`
--

DROP TABLE IF EXISTS `api_document_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `api_document_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL,
  `label_name` varchar(255) DEFAULT NULL,
  `label_description` text,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `api_name` varchar(255) NOT NULL,
  `api_url` varchar(255) NOT NULL,
  `api_method` varchar(50) NOT NULL,
  `api_params` text NOT NULL,
  `api_response` text NOT NULL,
  `api_response_desc` text,
  `order_by` int(11) NOT NULL,
  `status` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `appid`
--

DROP TABLE IF EXISTS `appid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `appid` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `clientId` int(11) NOT NULL,
  `type` varchar(200) NOT NULL,
  `appId` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `bank_details`
--

DROP TABLE IF EXISTS `bank_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bank_details` (
  `bank_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `branch` varchar(100) DEFAULT NULL,
  `address` varchar(200) NOT NULL,
  `ifsc_code` varchar(20) NOT NULL,
  `ac_no` varchar(50) NOT NULL,
  `ac_holder_name` varchar(50) NOT NULL,
  `bank_proof` text,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '0',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`bank_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `bank_details_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `banner`
--

DROP TABLE IF EXISTS `banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `banner` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_cat` enum('1','2') NOT NULL,
  `banner_title` varchar(100) NOT NULL,
  `banner_desc` text NOT NULL,
  `banner_valid_date_from` date NOT NULL,
  `banner_valid_date_to` date NOT NULL,
  `banner_weekdays` varchar(255) NOT NULL,
  `banner_image` text NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` enum('0','1') NOT NULL DEFAULT '0',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 CHECKSUM=1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `base_combination`
--

DROP TABLE IF EXISTS `base_combination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_combination` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) DEFAULT NULL,
  `vendor_id` int(11) DEFAULT NULL,
  `client_id` int(11) DEFAULT NULL COMMENT 'add pakage for particular vendor''s client',
  `country_id` int(11) NOT NULL DEFAULT '0',
  `state_id` int(11) NOT NULL DEFAULT '0',
  `city_id` int(11) NOT NULL,
  `master_package_id` int(11) NOT NULL DEFAULT '0' COMMENT '1-Local,2-Point-to-point,3-Airport,4-Outstation',
  `master_package_mode_id` int(11) DEFAULT '0' COMMENT '1-Distance,2-hour,3-Distance+hour,4-Distance+waiting',
  `market_place` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1-Active,0-In-Active',
  `date_from` date NOT NULL,
  `date_to` date NOT NULL,
  `currency` int(11) NOT NULL,
  `rate` tinyint(2) DEFAULT NULL COMMENT '1-Net Rate,2-Commission Rate',
  `rate_type` varchar(10) DEFAULT NULL,
  `rate_value` varchar(10) DEFAULT NULL,
  `week_days` varchar(25) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` enum('0','1','2') NOT NULL DEFAULT '0' COMMENT '1-Active,0-In-Active,2-Soft Delete',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=165 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `base_fare`
--

DROP TABLE IF EXISTS `base_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `base_comb_id` int(11) NOT NULL COMMENT 'Need to be remove',
  `master_package_mode_id` int(11) NOT NULL COMMENT 'Need to be remove',
  `night_charge_status` enum('0','1') NOT NULL COMMENT '0-Inactive,1-Active',
  `extra_charge_status` tinyint(2) NOT NULL DEFAULT '0',
  `peaktime_charge_status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '0-Inactive,1-Active',
  `pre_waiting_status` enum('0','1') NOT NULL,
  `distance_fare_status` enum('0','1') NOT NULL,
  `hourly_fare_status` enum('0','1') NOT NULL,
  `distance_hour_status` enum('0','1') NOT NULL,
  `distance_waiting_status` enum('0','1') NOT NULL,
  `black_zone_status` enum('0','1') NOT NULL,
  `credit_card_charge_status` enum('0','1') NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `base_vehicle_type`
--

DROP TABLE IF EXISTS `base_vehicle_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_vehicle_type` (
  `base_vehicle_id` int(11) NOT NULL AUTO_INCREMENT,
  `base_comb_id` int(11) NOT NULL,
  `vehicle_type_id` int(11) NOT NULL,
  `vehicle_master_id` int(11) NOT NULL DEFAULT '0',
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`base_vehicle_id`) USING BTREE,
  KEY `base_comb_id` (`base_comb_id`),
  CONSTRAINT `base_vehicle_type_ibfk_1` FOREIGN KEY (`base_comb_id`) REFERENCES `base_combination` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=165 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `basic_fare_settings`
--

DROP TABLE IF EXISTS `basic_fare_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_fare_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL DEFAULT '0',
  `rounding` tinyint(4) NOT NULL COMMENT '1-Cash,2-Account / Credit Card',
  `level` tinyint(4) NOT NULL COMMENT '1-Normal,2-Decimal,3-Unit',
  `direction` tinyint(4) NOT NULL COMMENT '1-Nearest,2-Upward,3-Downward',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `basic_fare_settings_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=124 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `basic_tax`
--

DROP TABLE IF EXISTS `basic_tax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_tax` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL DEFAULT '0',
  `tax_type` varchar(10) DEFAULT NULL,
  `sgst` float DEFAULT NULL,
  `cgst` float DEFAULT NULL,
  `igst` float DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `basic_tax_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=123 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `bidding_fare`
--

DROP TABLE IF EXISTS `bidding_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bidding_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `minimum_charge` int(11) NOT NULL DEFAULT '0',
  `minimum_distance` int(11) NOT NULL DEFAULT '0',
  `per_km_charge` int(11) NOT NULL DEFAULT '0',
  `round_up_km` varchar(5) NOT NULL DEFAULT 'off',
  `accumulated_instance` varchar(5) NOT NULL DEFAULT 'off',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `bkg_images`
--

DROP TABLE IF EXISTS `bkg_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bkg_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `image_type` varchar(20) DEFAULT NULL,
  `image` text,
  `image_approval_status` tinyint(2) NOT NULL DEFAULT '1',
  `image_default_status` tinyint(2) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `black_zone`
--

DROP TABLE IF EXISTS `black_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `black_zone` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_comb_id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `latitude` varchar(50) NOT NULL,
  `longitude` varchar(50) NOT NULL,
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking`
--

DROP TABLE IF EXISTS `booking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking` (
  `booking_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `reference_number` varchar(50) DEFAULT NULL,
  `agent_reference` varchar(50) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `status_c` int(11) DEFAULT '0' COMMENT 'column use at the time of cancel booking',
  `booking_status` int(11) NOT NULL DEFAULT '1',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `client_id` int(11) NOT NULL DEFAULT '0',
  `driver_id` int(11) NOT NULL DEFAULT '0',
  `package_id` int(11) DEFAULT NULL,
  `master_package_mode_id` int(11) NOT NULL,
  `master_package_id` int(11) NOT NULL,
  `outstation_module_type` tinyint(3) DEFAULT NULL COMMENT '1-One-way,2-Round-Trip,3-Multi-City',
  `master_vehicle_type_id` int(11) NOT NULL,
  `base_vehicle_id` int(11) NOT NULL,
  `vehicle_master_id` int(11) DEFAULT NULL COMMENT 'When driver pick booking vehicle Id will insert',
  `coupon_id` int(11) DEFAULT NULL,
  `route_id` int(11) DEFAULT NULL,
  `csr_id` varchar(50) DEFAULT NULL,
  `is_corportate` tinyint(1) DEFAULT NULL,
  `is_account` tinyint(1) DEFAULT NULL,
  `is_updation_allow` varchar(10) NOT NULL DEFAULT 'TRUE',
  `no_of_vehicles` int(11) NOT NULL,
  `flight_number` varchar(50) DEFAULT NULL,
  `airport` int(11) DEFAULT NULL,
  `company` varchar(200) DEFAULT NULL,
  `priority` varchar(50) DEFAULT NULL,
  `app_client` text,
  `partner` int(11) DEFAULT NULL,
  `customer_type` varchar(100) DEFAULT NULL,
  `charge_type` int(11) DEFAULT '1',
  `device_type` varchar(50) DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL COMMENT 'column use at the time of cancel booking',
  `remark` varchar(255) DEFAULT NULL COMMENT 'column use at the time of cancel booking',
  `driver_note` text,
  `client_note` text,
  `features` text,
  `user_feedback` text,
  `reschedule_date` datetime DEFAULT NULL,
  `booking_date` datetime DEFAULT NULL,
  `booking_release_date` datetime DEFAULT NULL,
  `filter_data` text,
  `created_date` datetime NOT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`booking_id`),
  KEY `reference_number` (`reference_number`)
) ENGINE=InnoDB AUTO_INCREMENT=209 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_actual_details`
--

DROP TABLE IF EXISTS `booking_actual_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_actual_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `arrival_time_pre` time DEFAULT NULL,
  `arrival_time_post` time DEFAULT NULL,
  `arrival_time_actual` datetime DEFAULT NULL,
  `actual_driven_distance` int(11) NOT NULL DEFAULT '0',
  `actual_waiting_distance` int(11) NOT NULL DEFAULT '0',
  `actual_distance` int(11) NOT NULL,
  `actual_time` time NOT NULL,
  `actual_driven_duration` time DEFAULT NULL,
  `final_latitude` varchar(20) NOT NULL,
  `final_longitude` varchar(20) NOT NULL,
  `return_date` date DEFAULT NULL,
  `return_time` time DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_actual_pickdrop_details`
--

DROP TABLE IF EXISTS `booking_actual_pickdrop_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_actual_pickdrop_details` (
  `pickdrop_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `adults` int(11) DEFAULT NULL,
  `childs` int(11) DEFAULT NULL,
  `luggages` int(11) DEFAULT NULL,
  `pickup_date` date DEFAULT NULL,
  `pickup_time` time DEFAULT NULL,
  `pickup_area` varchar(255) DEFAULT NULL,
  `pickup_address` varchar(255) DEFAULT NULL,
  `pickup_country` varchar(50) DEFAULT NULL,
  `pickup_state` varchar(50) DEFAULT NULL,
  `pickup_city` varchar(50) DEFAULT NULL,
  `pickup_landmark` varchar(50) DEFAULT NULL,
  `pickup_latitude` varchar(20) DEFAULT NULL,
  `pickup_longitude` varchar(20) DEFAULT NULL,
  `pickup_zone` varchar(100) DEFAULT NULL,
  `drop_date` date DEFAULT NULL,
  `drop_time` time DEFAULT NULL,
  `drop_area` varchar(255) DEFAULT NULL,
  `drop_address` varchar(255) DEFAULT NULL,
  `drop_country` varchar(50) DEFAULT NULL,
  `drop_state` varchar(50) DEFAULT NULL,
  `drop_city` varchar(50) DEFAULT NULL,
  `drop_landmark` varchar(50) DEFAULT NULL,
  `drop_latitude` varchar(20) DEFAULT NULL,
  `drop_longitude` varchar(20) DEFAULT NULL,
  `drop_zone` varchar(100) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`pickdrop_id`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_actual_tax`
--

DROP TABLE IF EXISTS `booking_actual_tax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_actual_tax` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_id` int(11) NOT NULL,
  `tax_type` varchar(10) DEFAULT NULL,
  `sgst` float DEFAULT NULL,
  `cgst` float DEFAULT NULL,
  `igst` float DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_charges`
--

DROP TABLE IF EXISTS `booking_charges`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_charges` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `BookingID` int(11) NOT NULL COMMENT 'Reference for Booking Register',
  `waitingCharge` varchar(50) NOT NULL COMMENT 'Charges to be paid',
  `tripCharge` float NOT NULL COMMENT 'Reason for charge',
  `minimumCharge` int(11) NOT NULL COMMENT 'Driver/csr',
  `totalBill` double NOT NULL,
  `AddedTime` datetime NOT NULL COMMENT 'Server Time',
  `is_paid` int(11) NOT NULL,
  `balance_amt` double(10,2) NOT NULL DEFAULT '0.00',
  `paid_at` datetime NOT NULL,
  `currency` varchar(11) NOT NULL,
  `invoice_number` varchar(100) DEFAULT NULL,
  `payment_type` varchar(20) DEFAULT NULL,
  `fees` int(11) NOT NULL DEFAULT '0',
  `total_price` int(11) NOT NULL DEFAULT '0',
  `total_tax_price` int(11) NOT NULL DEFAULT '0',
  `distance_rate` int(11) NOT NULL DEFAULT '0',
  `duration_rate` int(11) NOT NULL DEFAULT '0',
  `starting_rate` int(11) NOT NULL DEFAULT '0',
  `base_price` int(11) NOT NULL DEFAULT '0',
  `tax_price` int(11) NOT NULL DEFAULT '0',
  `starting_charge` int(11) NOT NULL DEFAULT '0',
  `distance_charge` int(11) NOT NULL DEFAULT '0',
  `duration_charge` int(11) NOT NULL DEFAULT '0',
  `minimum_distance` int(11) NOT NULL DEFAULT '0',
  `cancellation_price` int(11) NOT NULL DEFAULT '0',
  `companyshare` int(11) NOT NULL DEFAULT '0',
  `drivershare` int(11) NOT NULL DEFAULT '0',
  `partnershare` int(50) NOT NULL DEFAULT '0',
  `minimum_price` int(11) DEFAULT NULL,
  `extracharges` int(11) NOT NULL,
  `nightcharge_unit` varchar(10) DEFAULT NULL,
  `nightcharge` varchar(5) DEFAULT NULL,
  `nightcharge_price` varchar(5) NOT NULL DEFAULT '0',
  `night_rate_begins` time DEFAULT '00:00:00',
  `night_rate_ends` time DEFAULT '00:00:00',
  `extras` text,
  `extraPrice` int(11) DEFAULT '0',
  `peak_time_price` float DEFAULT NULL,
  `peak_time_value` text,
  `basic_tax` varchar(5) DEFAULT NULL,
  `basic_tax_type` varchar(10) DEFAULT NULL,
  `basic_tax_price` varchar(5) DEFAULT '0',
  `pre_waiting_time` time DEFAULT NULL,
  `pre_waiting_charge` int(11) DEFAULT '0',
  `waiting_time` time DEFAULT NULL,
  `waiting_charge` int(11) DEFAULT NULL,
  `cgst_tax` float DEFAULT '0',
  `igst_tax` float DEFAULT '0',
  `sgst_tax` float DEFAULT '0',
  `estimated_price_before_markup` int(11) DEFAULT NULL,
  `markup_type` varchar(5) DEFAULT NULL,
  `markup_value` int(11) DEFAULT NULL,
  `markup_price` int(11) DEFAULT NULL,
  `driver_share_amt` int(11) DEFAULT NULL,
  `comp_share_amt` int(11) DEFAULT NULL,
  `partner_share_amt` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `BookingID` (`BookingID`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_distance`
--

DROP TABLE IF EXISTS `booking_distance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_distance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT '0',
  `from` varchar(200) DEFAULT '0',
  `to` varchar(200) DEFAULT '0',
  `distance` varchar(200) DEFAULT NULL,
  `booking_id` int(11) DEFAULT NULL,
  `device_time` datetime DEFAULT NULL,
  `datetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `WaitingTime` time NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_estimation`
--

DROP TABLE IF EXISTS `booking_estimation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_estimation` (
  `booking_estimation_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `estimated_time` varchar(10) DEFAULT NULL,
  `estimated_distance` int(11) DEFAULT '0',
  `estimateprice_before_discount` int(11) DEFAULT '0',
  `local_estimateprice_before_discount` double(5,2) DEFAULT '0.00',
  `discount_price` int(11) DEFAULT '0',
  `local_discount_price` double(5,2) DEFAULT '0.00',
  `service_charge` double(5,2) NOT NULL DEFAULT '0.00',
  `booking_amt_percentage` int(11) DEFAULT '0',
  `estimated_final_price` int(11) DEFAULT '0',
  `estimated_price_before_markup` int(11) DEFAULT '0',
  `approx_distance_charge` int(11) DEFAULT '0',
  `approx_after_km` int(11) DEFAULT '0',
  `approx_after_hour` int(11) NOT NULL DEFAULT '0',
  `approx_hour_charge` int(11) NOT NULL DEFAULT '0',
  `approx_waiting_charge` int(11) DEFAULT '0',
  `approx_waiting_minute` int(11) DEFAULT '0',
  `minimum_charge` int(11) NOT NULL DEFAULT '0',
  `night_rate_type` enum('0','%','Rs') DEFAULT NULL COMMENT '%,RS',
  `night_rate_value` int(11) DEFAULT '0',
  `night_rate_begins` time DEFAULT '00:00:00',
  `night_rate_ends` time DEFAULT '00:00:00',
  `night_charge_price` int(11) DEFAULT '0',
  `premiums_type` tinyint(2) DEFAULT '0',
  `premiums_value` float DEFAULT '0',
  `premiums_price` float NOT NULL DEFAULT '0',
  `extras` text,
  `extra_price` int(11) DEFAULT '0',
  `peak_time_value` text,
  `peak_time_price` float DEFAULT '0',
  `booking_cancellation_rule` text,
  `cgst_tax` float NOT NULL DEFAULT '0',
  `igst_tax` float NOT NULL DEFAULT '0',
  `sgst_tax` float NOT NULL DEFAULT '0',
  `total_tax_price` int(11) NOT NULL DEFAULT '0',
  `commi_type` int(5) NOT NULL DEFAULT '0' COMMENT '1-%,2-Value',
  `commi_value` double(5,2) NOT NULL DEFAULT '0.00',
  `rounding` varchar(10) DEFAULT NULL,
  `level` varchar(10) DEFAULT NULL,
  `direction` varchar(10) DEFAULT NULL,
  `company_share_type` varchar(10) DEFAULT NULL,
  `company_share_value` float NOT NULL DEFAULT '0',
  `partner_share_type` varchar(10) NOT NULL,
  `partner_share_value` float NOT NULL DEFAULT '0',
  `driver_share_type` varchar(10) DEFAULT NULL,
  `driver_share_value` float NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `coupon_type` varchar(10) DEFAULT NULL,
  `coupon_value` float DEFAULT '0',
  `conversion_rate` double(5,2) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`booking_estimation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=209 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_estimation_old1`
--

DROP TABLE IF EXISTS `booking_estimation_old1`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_estimation_old1` (
  `booking_estimation_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `estimated_time` varchar(10) DEFAULT NULL,
  `estimated_distance` varchar(10) DEFAULT NULL,
  `estimateprice_before_discount` varchar(10) DEFAULT NULL,
  `local_estimateprice_before_discount` varchar(10) DEFAULT NULL,
  `discount_price` varchar(10) DEFAULT NULL,
  `local_discount_price` varchar(10) DEFAULT NULL,
  `estimated_final_price` varchar(10) DEFAULT NULL,
  `booking_amt_percentage` varchar(10) DEFAULT NULL,
  `booking_amt_paid` varchar(10) DEFAULT NULL,
  `booking_amt_balance` varchar(10) DEFAULT NULL,
  `estimated_price_before_markup` varchar(20) DEFAULT NULL,
  `approx_distance_charge` varchar(10) DEFAULT NULL,
  `approx_after_km` varchar(10) DEFAULT NULL,
  `approx_waiting_charge` varchar(11) DEFAULT NULL,
  `approx_waiting_minute` varchar(11) DEFAULT NULL,
  `minimum_charge` varchar(11) DEFAULT NULL,
  `night_rate_type` enum('%','Rs') DEFAULT NULL COMMENT '%,RS',
  `night_rate_value` varchar(10) DEFAULT NULL,
  `night_rate_begins` time DEFAULT NULL,
  `night_rate_ends` time DEFAULT NULL,
  `night_charge_price` varchar(50) DEFAULT NULL,
  `premiums` varchar(50) DEFAULT NULL,
  `premiums_unit` varchar(50) DEFAULT NULL,
  `extras` text,
  `extra_price` varchar(10) DEFAULT NULL,
  `peak_time_unit` enum('%','Rs') DEFAULT NULL,
  `peak_time_value` varchar(10) DEFAULT NULL,
  `peak_time_from` time DEFAULT NULL,
  `peak_time_to` time DEFAULT NULL,
  `peak_time_price` varchar(10) DEFAULT NULL,
  `cgst_tax` varchar(10) DEFAULT NULL,
  `igst_tax` varchar(10) DEFAULT NULL,
  `sgst_tax` varchar(10) DEFAULT NULL,
  `total_tax_price` varchar(10) DEFAULT NULL,
  `markup_type` varchar(50) DEFAULT NULL COMMENT '1-Rs,2-%',
  `markup_value` varchar(50) DEFAULT NULL,
  `markup_price` varchar(50) DEFAULT NULL,
  `markup_amt_base` varchar(50) DEFAULT NULL,
  `extra_hr_markup` varchar(50) DEFAULT NULL,
  `extra_km_markup` varchar(50) DEFAULT NULL,
  `commi_type` varchar(50) DEFAULT NULL,
  `commi_value` varchar(50) DEFAULT NULL,
  `rounding` varchar(10) DEFAULT NULL,
  `level` varchar(10) DEFAULT NULL,
  `direction` varchar(10) DEFAULT NULL,
  `currency_id` int(11) NOT NULL,
  `conversion_rate` varchar(10) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`booking_estimation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_feature`
--

DROP TABLE IF EXISTS `booking_feature`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_feature` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_name` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_invoice`
--

DROP TABLE IF EXISTS `booking_invoice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_invoice` (
  `booking_invoice_id` int(11) NOT NULL AUTO_INCREMENT,
  `year` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `prefix` varchar(20) NOT NULL,
  `invoice_number` varchar(100) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`booking_invoice_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Generate user''s Invoice Id';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_invoice_bill`
--

DROP TABLE IF EXISTS `booking_invoice_bill`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_invoice_bill` (
  `invoice_bill_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_invoice_id` int(11) NOT NULL,
  `booking_charge_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`invoice_bill_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Assign Booking Id Against Invoice Number';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_logs`
--

DROP TABLE IF EXISTS `booking_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bookingid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL,
  `message` text NOT NULL,
  `time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `bookingid` (`bookingid`)
) ENGINE=InnoDB AUTO_INCREMENT=659 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_markup`
--

DROP TABLE IF EXISTS `booking_markup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_markup` (
  `booking_markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `markup_amt_base` tinyint(2) NOT NULL,
  `mark_amt_type` enum('','%','Rs') NOT NULL,
  `basic_amt` float NOT NULL DEFAULT '0',
  `extra_km_markup` float NOT NULL DEFAULT '0',
  `extra_hr_markup` float NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`booking_markup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_msg`
--

DROP TABLE IF EXISTS `booking_msg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bookingid` int(11) DEFAULT '0',
  `sender` int(11) DEFAULT '0',
  `receiver` int(11) DEFAULT '0',
  `msg` text,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bookingid` (`bookingid`),
  KEY `sender` (`sender`),
  KEY `receiver` (`receiver`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='booking messages';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_pickdrop_details`
--

DROP TABLE IF EXISTS `booking_pickdrop_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_pickdrop_details` (
  `pickdrop_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `adults` int(11) DEFAULT NULL,
  `childs` int(11) DEFAULT NULL,
  `luggages` int(11) DEFAULT NULL,
  `pickup_date` date DEFAULT NULL,
  `pickup_time` time DEFAULT NULL,
  `pickup_area` varchar(255) DEFAULT NULL,
  `pickup_address` varchar(255) DEFAULT NULL,
  `pickup_country` varchar(50) DEFAULT NULL,
  `pickup_state` varchar(50) DEFAULT NULL,
  `pickup_city` varchar(50) DEFAULT NULL,
  `pickup_latitude` varchar(20) DEFAULT NULL,
  `pickup_longitude` varchar(20) DEFAULT NULL,
  `pickup_zone` varchar(100) DEFAULT NULL,
  `drop_date` date DEFAULT NULL,
  `drop_time` time DEFAULT NULL,
  `drop_area` varchar(255) DEFAULT NULL,
  `drop_address` varchar(255) DEFAULT NULL,
  `drop_country` varchar(50) DEFAULT NULL,
  `drop_state` varchar(50) DEFAULT NULL,
  `drop_city` varchar(50) DEFAULT NULL,
  `drop_latitude` varchar(20) DEFAULT NULL,
  `drop_longitude` varchar(20) DEFAULT NULL,
  `drop_zone` varchar(100) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `pickup_landmark` varchar(100) DEFAULT NULL,
  `drop_landmark` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`pickdrop_id`)
) ENGINE=InnoDB AUTO_INCREMENT=203 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_refund`
--

DROP TABLE IF EXISTS `booking_refund`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_refund` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL COMMENT 'Reference for Booking Register',
  `tripCharge` float NOT NULL COMMENT 'Reason for charge',
  `minimum_charge` int(11) NOT NULL COMMENT 'Driver/csr',
  `totalBill` double NOT NULL,
  `is_paid` int(11) NOT NULL,
  `balance_amt` double(10,2) NOT NULL DEFAULT '0.00',
  `paid_at` datetime NOT NULL,
  `currency` varchar(11) NOT NULL,
  `invoice_number` varchar(100) DEFAULT NULL,
  `payment_type` varchar(20) DEFAULT NULL,
  `fees` int(11) NOT NULL DEFAULT '0',
  `total_price` int(11) NOT NULL DEFAULT '0',
  `total_tax_price` varchar(11) NOT NULL DEFAULT '0',
  `cancellation_rule_id` int(11) NOT NULL,
  `cancellation_charge` varchar(11) NOT NULL,
  `companyshare` int(11) NOT NULL,
  `drivershare` int(11) NOT NULL,
  `partnershare` int(50) NOT NULL,
  `extracharges` int(11) NOT NULL,
  `cgst_tax` float DEFAULT '0',
  `igst_tax` float DEFAULT '0',
  `sgst_tax` float DEFAULT '0',
  `igst_amount` varchar(10) NOT NULL,
  `cgst_amount` varchar(10) NOT NULL,
  `sgst_amount` varchar(10) NOT NULL,
  `estimated_price_before_markup` int(11) NOT NULL,
  `markup_type` varchar(5) NOT NULL,
  `markup_value` int(11) NOT NULL,
  `markup_price` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_register`
--

DROP TABLE IF EXISTS `booking_register`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_register` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bookingid` int(11) NOT NULL,
  `driverId` int(11) NOT NULL,
  `status` varchar(5) NOT NULL DEFAULT 'M',
  `updateOn` datetime NOT NULL,
  `reason` text,
  `type` varchar(100) NOT NULL,
  `read_status` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `bookingid` (`bookingid`),
  KEY `driverId` (`driverId`)
) ENGINE=InnoDB AUTO_INCREMENT=237 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_resec_reassign`
--

DROP TABLE IF EXISTS `booking_resec_reassign`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_resec_reassign` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) DEFAULT NULL,
  `booking_type` int(11) DEFAULT NULL,
  `old_driver_id` int(11) DEFAULT NULL,
  `new_driver_id` int(11) DEFAULT NULL,
  `old_pick_time` time DEFAULT NULL,
  `old_pick_date` date DEFAULT NULL,
  `new_pick_time` time DEFAULT NULL,
  `new_pick_date` date DEFAULT NULL,
  `old_booking_date` datetime DEFAULT NULL,
  `new_booking_date` datetime DEFAULT NULL,
  `old_cab_status` int(11) DEFAULT NULL,
  `new_cab_status` int(11) DEFAULT NULL,
  `old_estimated_price` double(10,2) DEFAULT NULL,
  `new_estimated_price` double(10,2) DEFAULT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_stack`
--

DROP TABLE IF EXISTS `booking_stack`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_stack` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `latitude` varchar(25) NOT NULL,
  `longitude` varchar(25) NOT NULL,
  `status` varchar(5) NOT NULL COMMENT 'W for Waiting,RA for Reject by All,A for Accepted',
  `last_try` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=196 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_status`
--

DROP TABLE IF EXISTS `booking_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_status` (
  `id` int(11) NOT NULL,
  `booking_id` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'This field is used to booking status 1 for booking, 10 for cancel',
  `reason` varchar(255) NOT NULL,
  `remark` varchar(255) NOT NULL,
  `driver_note` varchar(255) NOT NULL,
  `client_note` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_tracker`
--

DROP TABLE IF EXISTS `booking_tracker`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_tracker` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `BookingID` int(11) NOT NULL COMMENT 'Reference from Booking Register',
  `DriverId` int(11) NOT NULL DEFAULT '0',
  `Latitutude` varchar(50) DEFAULT NULL,
  `Logitude` varchar(50) DEFAULT NULL,
  `Date_Time` datetime NOT NULL,
  `CabStatus` int(11) NOT NULL COMMENT 'Cab status Reference',
  `UpdateOn` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `BookingID` (`BookingID`)
) ENGINE=InnoDB AUTO_INCREMENT=483 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `booking_vendorfare_estimation`
--

DROP TABLE IF EXISTS `booking_vendorfare_estimation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `booking_vendorfare_estimation` (
  `booking_estimation_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `estimated_time` varchar(10) DEFAULT NULL,
  `estimated_distance` int(11) DEFAULT '0',
  `estimateprice_before_discount` int(11) DEFAULT '0',
  `local_estimateprice_before_discount` double(5,2) DEFAULT '0.00',
  `discount_price` int(11) DEFAULT '0',
  `local_discount_price` double(5,2) DEFAULT '0.00',
  `estimated_final_price` int(11) DEFAULT '0',
  `booking_amt_percentage` int(11) DEFAULT '0' COMMENT 'Remove column',
  `booking_amt_paid` int(11) DEFAULT '0' COMMENT 'Remove column',
  `booking_amt_balance` int(11) DEFAULT '0' COMMENT 'Remove column',
  `estimated_price_before_markup` int(11) DEFAULT '0',
  `approx_distance_charge` int(11) DEFAULT '0',
  `approx_after_km` int(11) DEFAULT '0',
  `approx_waiting_charge` int(11) DEFAULT '0',
  `approx_waiting_minute` int(11) DEFAULT '0',
  `minimum_charge` int(11) NOT NULL DEFAULT '0',
  `night_rate_type` enum('%','Rs') DEFAULT NULL COMMENT '%,RS',
  `night_rate_value` int(11) DEFAULT '0',
  `night_rate_begins` time DEFAULT NULL,
  `night_rate_ends` time DEFAULT NULL,
  `night_charge_price` int(11) DEFAULT '0',
  `premiums` varchar(50) DEFAULT NULL,
  `premiums_unit` varchar(50) DEFAULT NULL,
  `extras` text,
  `extra_price` int(11) DEFAULT '0',
  `peak_time_unit` enum('%','Rs') DEFAULT NULL,
  `peak_time_value` int(11) DEFAULT '0',
  `peak_time_from` time DEFAULT NULL,
  `peak_time_to` time DEFAULT NULL,
  `peak_time_price` int(11) DEFAULT '0',
  `cgst_tax` int(11) NOT NULL DEFAULT '0',
  `igst_tax` int(11) NOT NULL DEFAULT '0',
  `sgst_tax` int(11) NOT NULL DEFAULT '0',
  `total_tax_price` int(11) NOT NULL DEFAULT '0',
  `markup_type` varchar(50) DEFAULT NULL COMMENT '1-Rs,2-%',
  `markup_value` int(11) NOT NULL DEFAULT '0',
  `markup_price` int(11) NOT NULL DEFAULT '0',
  `markup_amt_base` int(11) NOT NULL DEFAULT '0' COMMENT '1-Total,2-Base',
  `extra_hr_markup` int(11) NOT NULL DEFAULT '0',
  `extra_km_markup` int(11) NOT NULL DEFAULT '0',
  `commi_type` int(5) NOT NULL DEFAULT '0' COMMENT '1-%,2-Value',
  `commi_value` double(5,2) NOT NULL DEFAULT '0.00',
  `rounding` varchar(10) DEFAULT NULL,
  `level` varchar(10) DEFAULT NULL,
  `direction` varchar(10) DEFAULT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `conversion_rate` double(5,2) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`booking_estimation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cab_status`
--

DROP TABLE IF EXISTS `cab_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cab_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` text NOT NULL,
  `status_id` int(11) NOT NULL,
  `status` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `camera_security_image`
--

DROP TABLE IF EXISTS `camera_security_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `camera_security_image` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `image` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cancellation_fare`
--

DROP TABLE IF EXISTS `cancellation_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cancellation_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `cancellation_master_id` int(11) NOT NULL DEFAULT '0',
  `cancellation_type` varchar(10) NOT NULL,
  `cancellation_value` float NOT NULL DEFAULT '0',
  `round_off` int(11) NOT NULL DEFAULT '0',
  `days` varchar(11) DEFAULT '0',
  `hours` varchar(11) DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` int(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `cancellation_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `category`
--

DROP TABLE IF EXISTS `category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `city_distance_list`
--

DROP TABLE IF EXISTS `city_distance_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `city_distance_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source_city` varchar(255) DEFAULT NULL,
  `destination_city` varchar(255) DEFAULT NULL,
  `distance_km` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `source_city` (`source_city`,`destination_city`)
) ENGINE=InnoDB AUTO_INCREMENT=18763 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `city_distance_list_old`
--

DROP TABLE IF EXISTS `city_distance_list_old`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `city_distance_list_old` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source_city` varchar(255) DEFAULT NULL,
  `destination_city` varchar(255) DEFAULT NULL,
  `distance_km` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `source_city` (`source_city`,`destination_city`)
) ENGINE=InnoDB AUTO_INCREMENT=18644 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `city_pages`
--

DROP TABLE IF EXISTS `city_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `city_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_setup_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `master_package_id` int(11) NOT NULL DEFAULT '0',
  `page_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `page_desc` text COLLATE utf8_unicode_ci NOT NULL,
  `meta_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_keywords` text COLLATE utf8_unicode_ci NOT NULL,
  `meta_desc` text COLLATE utf8_unicode_ci NOT NULL,
  `no_of_sightseeing` int(11) DEFAULT NULL,
  `no_of_hotels` int(11) DEFAULT NULL,
  `no_of_offers` int(11) DEFAULT NULL,
  `image_path` text COLLATE utf8_unicode_ci,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `city_toll_tax`
--

DROP TABLE IF EXISTS `city_toll_tax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `city_toll_tax` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `toll` int(11) NOT NULL DEFAULT '0',
  `parking` int(11) NOT NULL DEFAULT '0',
  `city_tax` int(11) NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `client`
--

DROP TABLE IF EXISTS `client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `client` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `clientName` varchar(200) NOT NULL,
  `clientId` varchar(200) NOT NULL,
  `clientKey` varchar(200) NOT NULL,
  `clientPrivateKey` varchar(200) NOT NULL,
  `driver_share` int(11) NOT NULL,
  `partner_share` int(11) NOT NULL,
  `company_share` int(11) NOT NULL,
  `ip_address` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cms_menu`
--

DROP TABLE IF EXISTS `cms_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cms_menu` (
  `menu_id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_group_id` tinyint(4) NOT NULL,
  `cms_page_id` int(11) NOT NULL,
  `menu_name` varchar(255) NOT NULL,
  `menu_order` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=93 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cms_pages`
--

DROP TABLE IF EXISTS `cms_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cms_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_setup_id` int(11) NOT NULL,
  `page_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `page_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `page_url` text COLLATE utf8_unicode_ci NOT NULL,
  `page_desc` text COLLATE utf8_unicode_ci NOT NULL,
  `page_image` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `show_after_login` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `page_target` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `icon_class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `page_order` int(11) NOT NULL,
  `meta_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_keywords` text COLLATE utf8_unicode_ci NOT NULL,
  `meta_desc` text COLLATE utf8_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=59 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company`
--

DROP TABLE IF EXISTS `company`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `company_name` varchar(50) NOT NULL,
  `contact_person_name` varchar(50) DEFAULT NULL,
  `website_url` varchar(50) NOT NULL,
  `country` int(11) DEFAULT NULL,
  `state` int(11) DEFAULT NULL,
  `city` int(11) DEFAULT NULL,
  `company_address` varchar(255) NOT NULL,
  `pincode` varchar(10) NOT NULL,
  `email` varchar(111) NOT NULL,
  `alt_email` varchar(111) DEFAULT NULL,
  `country_prefix_mob` varchar(10) NOT NULL DEFAULT '0',
  `mobile_no` varchar(15) NOT NULL,
  `country_prefix_land` varchar(10) NOT NULL DEFAULT '0',
  `landline_no` varchar(20) DEFAULT NULL,
  `service_tax_gst` varchar(30) DEFAULT NULL,
  `pancard_no` varchar(15) DEFAULT NULL,
  `added_by` int(11) DEFAULT NULL,
  `created_date` date DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `company_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_api_configuration`
--

DROP TABLE IF EXISTS `company_api_configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_api_configuration` (
  `api_config_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `map_api_key` varchar(200) DEFAULT NULL,
  `map_style` varchar(100) DEFAULT NULL,
  `no_mark_place` int(11) DEFAULT NULL,
  `multipoint_zoom_level` int(11) DEFAULT NULL,
  `singlepoint_zoom_level` int(11) DEFAULT NULL,
  `default_latitude` varchar(50) DEFAULT NULL,
  `default_longitude` varchar(50) DEFAULT NULL,
  `captcha_type` varchar(100) DEFAULT NULL,
  `captcha_key` text,
  `google_font` tinyint(2) DEFAULT NULL,
  `facebook_login_status` tinyint(2) DEFAULT '0' COMMENT '0-False,1-True',
  `facebook_api_key` varchar(100) DEFAULT NULL,
  `role` varchar(50) NOT NULL,
  `goole_login_status` tinyint(2) DEFAULT '0' COMMENT '0-False,1-True',
  `google_client_id` varchar(100) DEFAULT NULL,
  `google_secret_id` varchar(100) DEFAULT NULL,
  `google_redirect_url` varchar(255) DEFAULT NULL,
  `linkedin_login_status` tinyint(2) DEFAULT '0',
  `linkedin_client_id` varchar(255) DEFAULT NULL,
  `linkedin_secret_id` varchar(255) DEFAULT NULL,
  `linkedin_redirect_url` varchar(255) DEFAULT NULL,
  `tawkchat_status` int(11) NOT NULL DEFAULT '0',
  `tawkchat_script` text NOT NULL,
  `created_date` date NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY (`api_config_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_markup`
--

DROP TABLE IF EXISTS `company_markup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_markup` (
  `comp_markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `base_vehicle_id` int(11) NOT NULL,
  `user_grade` int(11) DEFAULT NULL,
  `markup_category` int(11) DEFAULT NULL COMMENT '1-user,2-Booking Type,3-Country,4-City',
  `mark_amt_type` enum('%','Rs') DEFAULT NULL COMMENT 'Percentage ,Fixed',
  `user_id` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `master_package_id` int(11) DEFAULT NULL,
  `basic_amt` varchar(10) DEFAULT NULL,
  `markup_amt_base` int(11) NOT NULL COMMENT '1-Total,2-Base',
  `extra_km_markup` varchar(5) DEFAULT NULL,
  `extra_hr_markup` varchar(5) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`comp_markup_id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_markup_logs`
--

DROP TABLE IF EXISTS `company_markup_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_markup_logs` (
  `comp_markup_log_id` int(11) NOT NULL AUTO_INCREMENT,
  `comp_markup_id` int(11) DEFAULT NULL,
  `company_id` int(11) NOT NULL,
  `base_vehicle_id` int(11) NOT NULL,
  `user_grade` int(11) DEFAULT NULL COMMENT 'A,B,C,D,E',
  `markup_category` int(11) DEFAULT NULL COMMENT '1-user,2-Booking Type,3-Country,4-City',
  `mark_amt_type` enum('%','Rs') DEFAULT NULL COMMENT 'Percentage ,Fixed',
  `user_id` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `master_package_id` int(11) DEFAULT NULL,
  `basic_amt` varchar(10) DEFAULT NULL,
  `markup_amt_base` int(11) NOT NULL COMMENT '1-Total,2-Base',
  `extra_km_markup` varchar(5) DEFAULT NULL,
  `extra_hr_markup` varchar(5) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`comp_markup_log_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_setup`
--

DROP TABLE IF EXISTS `company_setup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_setup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL,
  `user_api_key` varchar(100) NOT NULL,
  `user_type` int(5) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `phone` varchar(20) NOT NULL,
  `mobile` varchar(15) NOT NULL,
  `user_name` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `country_id` int(5) NOT NULL,
  `state_id` int(5) NOT NULL,
  `city_id` int(5) NOT NULL,
  `trading_name` varchar(100) NOT NULL,
  `api_token` varchar(100) NOT NULL,
  `com_name` varchar(100) NOT NULL,
  `comp_address` varchar(256) NOT NULL,
  `domain_address` varchar(100) NOT NULL,
  `office_address` varchar(256) NOT NULL,
  `payment_mode` varchar(15) NOT NULL,
  `payment_options` varchar(15) NOT NULL,
  `credit_limit` int(11) NOT NULL,
  `ref_no` varchar(100) NOT NULL,
  `no_of_agent` int(7) NOT NULL,
  `no_of_mem_partner` int(2) NOT NULL,
  `no_of_staff` int(7) NOT NULL,
  `package_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `pan_no` varchar(20) NOT NULL,
  `fax_no` varchar(20) NOT NULL,
  `gst_no` varchar(20) NOT NULL,
  `site_name` varchar(100) NOT NULL,
  `site_title` varchar(256) NOT NULL,
  `site_url` varchar(100) NOT NULL,
  `analytics_code` text NOT NULL,
  `additional_javascript` text NOT NULL,
  `meta_key` varchar(256) NOT NULL,
  `meta_desc` varchar(256) NOT NULL,
  `global_email` varchar(100) NOT NULL,
  `admin_footer` text NOT NULL,
  `admin_footer_url` varchar(100) NOT NULL,
  `frontend_footer` text NOT NULL,
  `frontend_footer_url` varchar(100) NOT NULL,
  `admin_header_logo` varchar(50) NOT NULL,
  `frontend_header_logo` varchar(50) NOT NULL,
  `admin_favicon` varchar(50) NOT NULL,
  `frontend_favicon` varchar(50) NOT NULL,
  `start_on` datetime NOT NULL,
  `expiry_on` datetime NOT NULL,
  `opr_name` varchar(100) NOT NULL,
  `opr_lat` varchar(50) NOT NULL,
  `opr_long` varchar(50) NOT NULL,
  `dis_unit` varchar(15) NOT NULL,
  `price_format` varchar(20) NOT NULL,
  `seo_mode` tinyint(2) NOT NULL,
  `lang_direction` varchar(5) NOT NULL,
  `maintenance_mode` varchar(20) NOT NULL,
  `maintenance_mode_message` varchar(255) NOT NULL,
  `date_format_short` varchar(20) NOT NULL,
  `date_format_long` varchar(20) NOT NULL,
  `time_format_short` varchar(20) NOT NULL,
  `time_format_long` varchar(20) NOT NULL,
  `billing_payment_mode` tinyint(2) NOT NULL,
  `shopping_cart_mode` tinyint(2) NOT NULL,
  `payment_flow` varchar(255) NOT NULL,
  `logo_url` varchar(255) NOT NULL,
  `pay_to_text` varchar(255) NOT NULL,
  `working_hour` varchar(50) NOT NULL,
  `global_cache_mode` tinyint(2) NOT NULL,
  `cache_adapter` varchar(255) NOT NULL,
  `cache_directory` varchar(255) NOT NULL,
  `smtp_host` varchar(255) NOT NULL,
  `smtp_username` varchar(255) NOT NULL,
  `smtp_password` varchar(255) NOT NULL,
  `smtp_port` varchar(5) NOT NULL,
  `facebook` varchar(100) NOT NULL,
  `twitter` varchar(100) NOT NULL,
  `linkedin` varchar(100) NOT NULL,
  `instagram` varchar(100) NOT NULL,
  `youtube` varchar(100) NOT NULL,
  `client_app_url` varchar(200) DEFAULT NULL,
  `driver_app_url` varchar(200) DEFAULT NULL,
  `ios_client_app_url` varchar(200) DEFAULT NULL,
  `ios_driver_app_url` varchar(200) DEFAULT NULL,
  `developed_by` varchar(200) DEFAULT NULL,
  `booking_prefix` varchar(50) DEFAULT NULL,
  `driver_min_balance` double(5,2) NOT NULL DEFAULT '0.00',
  `short_code` varchar(250) NOT NULL,
  `bank_name` varchar(255) DEFAULT NULL,
  `ac_holder_name` varchar(255) DEFAULT NULL,
  `branch` varchar(100) DEFAULT NULL,
  `ifsc_code` varchar(50) DEFAULT NULL,
  `account_no` varchar(50) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_share`
--

DROP TABLE IF EXISTS `company_share`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_share` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `share_type_id` tinyint(4) NOT NULL COMMENT '1-company,2-Partner,3-Driver',
  `share_value_type` tinyint(4) NOT NULL COMMENT '1-%,2-Rs',
  `share_value` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `company_share_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=321 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_vendor_driver`
--

DROP TABLE IF EXISTS `company_vendor_driver`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_vendor_driver` (
  `sass_driver_id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor_id` int(11) NOT NULL,
  `driver_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`sass_driver_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='Map Vendor''s driver or client';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `company_watermark_setting`
--

DROP TABLE IF EXISTS `company_watermark_setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_watermark_setting` (
  `watermark_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `watermark_status` tinyint(2) DEFAULT NULL COMMENT '0-False,1-Active',
  `watermark_inside_outside` tinyint(2) DEFAULT NULL,
  `background_color` varchar(100) DEFAULT NULL,
  `background_transparency` tinyint(2) DEFAULT NULL,
  `watermark_height` tinyint(2) DEFAULT NULL,
  `watermark_position` tinyint(2) DEFAULT NULL,
  `icon_image` tinyint(2) DEFAULT NULL COMMENT '0-False,1-True',
  `icon_file` varchar(100) DEFAULT NULL,
  `max_height_per` varchar(10) DEFAULT NULL,
  `icon_alignment` varchar(20) DEFAULT NULL,
  `icon_vertical_alignment` varchar(50) DEFAULT NULL,
  `icon_offset_X` varchar(20) DEFAULT NULL,
  `icon_offset_Y` varchar(20) DEFAULT NULL,
  `icon_space` varchar(20) DEFAULT NULL,
  `jpeg_quality` tinyint(2) DEFAULT NULL,
  `show_text_status` tinyint(2) DEFAULT NULL,
  `watermark_text` varchar(100) DEFAULT NULL,
  `text_alignment` varchar(50) DEFAULT NULL,
  `text_offset_X` varchar(20) DEFAULT NULL,
  `text_offset_Y` varchar(20) DEFAULT NULL,
  `text_spacing` varchar(20) DEFAULT NULL,
  `font_direction` varchar(20) DEFAULT NULL,
  `font_setting` varchar(20) DEFAULT NULL,
  `font_size` varchar(20) DEFAULT NULL,
  `font_color` varchar(20) DEFAULT NULL,
  `created_date` date NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY (`watermark_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `complaint`
--

DROP TABLE IF EXISTS `complaint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `complaint` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `BookingID` varchar(11) NOT NULL,
  `ClientID` bigint(11) NOT NULL,
  `CSRID` varchar(100) NOT NULL,
  `ComplaintType` varchar(1100) NOT NULL,
  `VehicleTypeID` int(11) NOT NULL,
  `ComplaintDescription` varchar(1000) NOT NULL,
  `Area` varchar(50) NOT NULL,
  `StatusID` varchar(100) NOT NULL,
  `ClosureDescription` varchar(500) NOT NULL,
  `JobNo` varchar(100) NOT NULL,
  `ComplainId` varchar(100) NOT NULL,
  `CallerName` varchar(120) NOT NULL,
  `TaxiType` varchar(100) NOT NULL,
  `Taxino` varchar(100) NOT NULL,
  `Franchise` varchar(200) NOT NULL,
  `Model` varchar(150) NOT NULL,
  `DriverName` varchar(200) NOT NULL,
  `PermitNo` varchar(120) NOT NULL,
  `DateT` datetime NOT NULL,
  `PickLocation` varchar(900) NOT NULL,
  `DropLocation` varchar(900) NOT NULL,
  `Alternateno` varchar(100) NOT NULL,
  `Modeofcomm` varchar(1230) NOT NULL,
  `Complaint_ref` varchar(150) NOT NULL,
  `ComplaintDate` datetime NOT NULL,
  `updated_by` int(11) NOT NULL,
  `updated_date` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `BookingID` (`BookingID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `mobile` varchar(25) NOT NULL,
  `company` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` enum('0','1','2') NOT NULL DEFAULT '0' COMMENT '1-Active,0-In-Active,2-Soft Delete',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `coupon_statistics`
--

DROP TABLE IF EXISTS `coupon_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `coupon_statistics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `master_coupon_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `is_applied` int(11) DEFAULT NULL,
  `is_used` int(11) DEFAULT NULL,
  `device_type` varchar(255) DEFAULT NULL,
  `app_type` varchar(255) DEFAULT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `UserID` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1007 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `credit_card_charges`
--

DROP TABLE IF EXISTS `credit_card_charges`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `credit_card_charges` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_comb_id` int(11) NOT NULL,
  `credit_card_charge_type` varchar(10) NOT NULL,
  `charge_value` int(11) NOT NULL,
  `rounding_type_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `credit_card_details`
--

DROP TABLE IF EXISTS `credit_card_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `credit_card_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `card_no` bigint(20) NOT NULL,
  `bank_name` varchar(100) NOT NULL,
  `card_type` varchar(15) NOT NULL,
  `expiry_on` date NOT NULL,
  `cvv_no` int(5) NOT NULL,
  `card_holder_name` varchar(100) NOT NULL,
  `card_front_image` varchar(100) NOT NULL,
  `card_back_image` varchar(100) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cron_schedule`
--

DROP TABLE IF EXISTS `cron_schedule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cron_schedule` (
  `cron_schedule_id` int(10) NOT NULL AUTO_INCREMENT,
  `cron_id` int(10) NOT NULL,
  `role_id` int(10) NOT NULL,
  `day` varchar(20) NOT NULL COMMENT 'comma separated ',
  `before_after` tinyint(4) NOT NULL COMMENT '0 for before , 1 for after',
  `status` tinyint(4) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cron_schedule_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cron_scheduler`
--

DROP TABLE IF EXISTS `cron_scheduler`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cron_scheduler` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cron_id` int(11) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `company_id` int(11) DEFAULT NULL,
  `email_template_id` int(11) DEFAULT NULL,
  `sms_template_id` int(11) DEFAULT NULL,
  `fcm_template_id` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `department_jobs`
--

DROP TABLE IF EXISTS `department_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `department_jobs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dep_id` int(11) NOT NULL,
  `position_name` varchar(255) NOT NULL,
  `experience` varchar(255) NOT NULL,
  `location` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `job_description` text NOT NULL,
  `skills` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `device`
--

DROP TABLE IF EXISTS `device`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `device` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UID` int(11) NOT NULL,
  `unit_no` int(50) NOT NULL,
  `purchase_date` date NOT NULL,
  `activation_date` date NOT NULL,
  `sim_no` int(50) NOT NULL,
  `port` int(50) NOT NULL,
  `taxiNoId` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dispatch_location`
--

DROP TABLE IF EXISTS `dispatch_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dispatch_location` (
  `dispatch_location_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `base_comb_id` int(11) NOT NULL,
  `type_of_dispatch` tinyint(2) DEFAULT NULL COMMENT '1-point to point, 2- Garage to garage',
  `garage_type` tinyint(2) DEFAULT NULL COMMENT '1-Own,2-Company garage',
  `address` varchar(255) DEFAULT NULL,
  `city` int(11) DEFAULT NULL,
  `pincode` varchar(10) DEFAULT NULL,
  `latitude` varchar(50) NOT NULL DEFAULT '0',
  `longitude` varchar(50) NOT NULL DEFAULT '0',
  `created_date` date DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` int(11) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`dispatch_location_id`),
  KEY `base_comb_id` (`base_comb_id`),
  CONSTRAINT `dispatch_location_ibfk_1` FOREIGN KEY (`base_comb_id`) REFERENCES `base_combination` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dispose_call`
--

DROP TABLE IF EXISTS `dispose_call`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dispose_call` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `AgentID` tinyint(4) NOT NULL,
  `CallerId` varchar(20) DEFAULT NULL,
  `CallerName` varchar(50) NOT NULL,
  `CallerTime` datetime NOT NULL,
  `CustType` varchar(50) DEFAULT NULL,
  `AlternateNo` varchar(20) DEFAULT NULL,
  `NoOfTaxi` tinyint(4) NOT NULL,
  `NoOfPax` tinyint(4) NOT NULL,
  `PickTime` datetime NOT NULL,
  `CarType` tinyint(4) NOT NULL,
  `Reason` varchar(100) DEFAULT NULL,
  `Remarks` varchar(500) DEFAULT NULL,
  `UpdateDateTime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `distance_fare`
--

DROP TABLE IF EXISTS `distance_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `distance_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `minimum_charge` int(11) NOT NULL DEFAULT '0',
  `minimum_distance` int(11) NOT NULL DEFAULT '0',
  `per_km_charge` int(11) NOT NULL DEFAULT '0',
  `round_up_km` varchar(5) NOT NULL DEFAULT 'off',
  `accumulated_instance` varchar(5) NOT NULL DEFAULT 'off',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `distance_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `distance_hour_fare`
--

DROP TABLE IF EXISTS `distance_hour_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `distance_hour_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `minimum_charge` int(11) NOT NULL,
  `minimum_distance` int(11) NOT NULL,
  `minimum_hrs` int(11) NOT NULL,
  `per_km_charge` int(11) NOT NULL,
  `per_hr_charge` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `distance_hour_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `distance_upto_rate`
--

DROP TABLE IF EXISTS `distance_upto_rate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `distance_upto_rate` (
  `distance_upto_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `km_upto` varchar(20) DEFAULT NULL,
  `rate_per_km` varchar(20) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`distance_upto_rate_id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `distance_upto_rate_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_combination` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `distance_waiting_fare`
--

DROP TABLE IF EXISTS `distance_waiting_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `distance_waiting_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `minimum_charge` int(11) NOT NULL,
  `minimum_distance` int(11) NOT NULL,
  `per_km_charge` int(11) NOT NULL,
  `minutes_upto` varchar(5) NOT NULL,
  `fees` varchar(5) NOT NULL,
  `fees_per_minute` varchar(5) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `distance_waiting_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver`
--

DROP TABLE IF EXISTS `driver`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `driving_license_no` varchar(50) DEFAULT NULL,
  `license_state` int(11) DEFAULT NULL,
  `pancard_no` varchar(20) DEFAULT NULL,
  `total_fleet_no` int(11) DEFAULT NULL,
  `is_functional` int(11) NOT NULL DEFAULT '1',
  `license_validity` varchar(15) DEFAULT NULL,
  `gps` varchar(50) DEFAULT NULL,
  `route_know` varchar(50) DEFAULT NULL,
  `zone` varchar(20) DEFAULT NULL,
  `status` int(11) DEFAULT '0',
  `created_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`),
  CONSTRAINT `driver_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=566 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_location`
--

DROP TABLE IF EXISTS `driver_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT '0',
  `booking_id` int(11) DEFAULT '0',
  `start_latitude` varchar(100) DEFAULT NULL,
  `start_longitude` varchar(100) DEFAULT NULL,
  `current_latitude` varchar(100) DEFAULT '0',
  `current_longitude` varchar(100) DEFAULT '0',
  `start_time` datetime DEFAULT NULL,
  `datetime` timestamp NULL DEFAULT NULL,
  `current_time` datetime DEFAULT NULL,
  `time_stamp` varchar(100) DEFAULT NULL,
  `speed` varchar(20) DEFAULT NULL,
  `accuracy` varchar(20) DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `distance` varchar(200) DEFAULT NULL,
  `duration` time NOT NULL DEFAULT '00:00:00',
  `WaitingTime` time DEFAULT '00:00:00',
  `pre_Waiting_time` time NOT NULL,
  `booking_status` int(11) DEFAULT NULL,
  `tripRunnStatus` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6048 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_location_old(17-dec-19)`
--

DROP TABLE IF EXISTS `driver_location_old(17-dec-19)`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_location_old(17-dec-19)` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT '0',
  `lat` varchar(100) DEFAULT '0',
  `longi` varchar(100) DEFAULT '0',
  `datetime` timestamp NULL DEFAULT NULL,
  `distance` varchar(200) DEFAULT NULL,
  `booking_id` int(11) DEFAULT '0',
  `WaitingTime` int(11) DEFAULT '0',
  `pre_Waiting_time` time NOT NULL,
  `tripRunnStatus` varchar(250) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=56052 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_payment`
--

DROP TABLE IF EXISTS `driver_payment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `driver_id` int(11) NOT NULL,
  `vendor_id` int(11) DEFAULT NULL,
  `payment_ref_no` varchar(200) DEFAULT NULL,
  `deposit_date` date DEFAULT NULL,
  `transaction_mode` varchar(50) DEFAULT NULL,
  `fileupload` varchar(100) DEFAULT NULL,
  `trans` varchar(100) DEFAULT NULL,
  `chequeno` varchar(50) DEFAULT NULL,
  `partner_bank` varchar(255) DEFAULT NULL,
  `amount` double(10,2) NOT NULL,
  `deposit_bank` varchar(100) DEFAULT NULL,
  `deposit_branch` varchar(100) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '0-Pending,1-Approved,2-Audit',
  `user_account` int(11) DEFAULT NULL,
  `date` timestamp NULL DEFAULT NULL,
  `credit_date` varchar(50) DEFAULT NULL,
  `credit_amount` varchar(100) DEFAULT NULL,
  `admin_remarks` varchar(255) DEFAULT NULL,
  `audit_status` int(11) DEFAULT NULL,
  `audit_date` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `driver_id` (`driver_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_points`
--

DROP TABLE IF EXISTS `driver_points`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_points` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `UID` int(11) NOT NULL,
  `login_status` int(11) NOT NULL,
  `login_time` datetime NOT NULL,
  `logout_time` datetime NOT NULL,
  `valid_status` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `booking_status` int(11) NOT NULL,
  `prev_booking_done` datetime NOT NULL,
  `breakdown_status` int(11) NOT NULL,
  `current_latitude` varchar(15) NOT NULL,
  `current_longitude` varchar(15) NOT NULL,
  `total_booking_operated` int(11) NOT NULL,
  `login_point` int(11) NOT NULL,
  `free_credit_point` int(11) NOT NULL,
  `distance_point` int(11) NOT NULL,
  `idle_point` int(11) NOT NULL,
  `booking_operated_point` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_rating`
--

DROP TABLE IF EXISTS `driver_rating`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_rating` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `UID` int(11) NOT NULL,
  `DID` int(11) NOT NULL,
  `BookingId` int(11) NOT NULL,
  `rating` int(11) NOT NULL,
  `comment_desc` text NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` varchar(10) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `DID` (`DID`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1 CHECKSUM=1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_status`
--

DROP TABLE IF EXISTS `driver_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `booking_id` int(11) NOT NULL DEFAULT '0',
  `driver_status` int(11) NOT NULL DEFAULT '0',
  `started_time` datetime DEFAULT NULL,
  `estimated_end_time` datetime DEFAULT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `driver_transaction`
--

DROP TABLE IF EXISTS `driver_transaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `driver_transaction` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user_id` int(11) DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `basic_tax_amount` int(11) DEFAULT NULL,
  `currentbalance` int(11) DEFAULT '0',
  `cash_collection` double(5,2) NOT NULL DEFAULT '0.00' COMMENT 'Cash Collection By Driver',
  `status` varchar(50) DEFAULT NULL,
  `booking_ref` text,
  `reason` varchar(100) DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=231 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `drop_down_of_nos`
--

DROP TABLE IF EXISTS `drop_down_of_nos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `drop_down_of_nos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nos` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `lang` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `email_history`
--

DROP TABLE IF EXISTS `email_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `email_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `mesg` longtext NOT NULL,
  `status` int(11) NOT NULL,
  `time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `UID` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `email_templates`
--

DROP TABLE IF EXISTS `email_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `email_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `img` text NOT NULL,
  `header_text` text,
  `description` text NOT NULL,
  `footer_text` text,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `is_active` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `email_templatess`
--

DROP TABLE IF EXISTS `email_templatess`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `email_templatess` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(1000) NOT NULL,
  `code` varchar(1000) NOT NULL,
  `subject` varchar(1000) NOT NULL,
  `body` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `enquiry`
--

DROP TABLE IF EXISTS `enquiry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enquiry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enquiry_ref_no` varchar(255) DEFAULT NULL,
  `user_type` int(11) NOT NULL DEFAULT '0',
  `first_name` varchar(255) DEFAULT NULL,
  `last_name` varchar(255) DEFAULT NULL,
  `mobile_prefix` varchar(10) DEFAULT NULL,
  `mobile` varchar(50) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `address` text,
  `city` int(11) NOT NULL DEFAULT '0',
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `module_type` int(11) NOT NULL DEFAULT '0',
  `enquiry_type` int(11) NOT NULL DEFAULT '0',
  `travel_date` datetime DEFAULT NULL,
  `remarks` text,
  `enquiry_closed_date` datetime DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '0',
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `enquiry_followup_status`
--

DROP TABLE IF EXISTS `enquiry_followup_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enquiry_followup_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enquiry_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `enquiry_assigned_date` datetime DEFAULT NULL,
  `remarks` text,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '0',
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `enquiry_type`
--

DROP TABLE IF EXISTS `enquiry_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enquiry_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enquiry_type` varchar(255) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '0',
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `experience`
--

DROP TABLE IF EXISTS `experience`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `experience` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `exp_name` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `extras`
--

DROP TABLE IF EXISTS `extras`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `extras` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `extras_master_id` varchar(100) NOT NULL,
  `extra_value_type` varchar(10) DEFAULT NULL COMMENT '%, Rs',
  `extra_value` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `extras_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fare_log`
--

DROP TABLE IF EXISTS `fare_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fare_log` (
  `fare_log_id` int(11) NOT NULL AUTO_INCREMENT,
  `table_name` varchar(100) NOT NULL,
  `field_name` varchar(100) NOT NULL,
  `old_value` varchar(100) NOT NULL,
  `new_value` varchar(100) NOT NULL,
  `updated_by` int(11) NOT NULL,
  `updated_date` datetime NOT NULL,
  `ip` varchar(11) NOT NULL,
  PRIMARY KEY (`fare_log_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fare_rate_type`
--

DROP TABLE IF EXISTS `fare_rate_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fare_rate_type` (
  `rate_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `rate` int(11) NOT NULL DEFAULT '1' COMMENT '1-Net,2-commission',
  `rate_type` varchar(10) NOT NULL,
  `rate_value` float NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`rate_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Fare rate type (Net Rate or Comimssion Rate)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `favorite_addresses`
--

DROP TABLE IF EXISTS `favorite_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `favorite_addresses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Ref_Name` varchar(255) NOT NULL,
  `Bookign_ID` int(11) NOT NULL,
  `ClientId` int(11) NOT NULL,
  `Address_ID` int(11) NOT NULL,
  `Status` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `feedback`
--

DROP TABLE IF EXISTS `feedback`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `feedback` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `reservation` varchar(30) NOT NULL,
  `web_booking_rate` varchar(15) NOT NULL,
  `web_confirm_rate` varchar(15) NOT NULL,
  `web_service_rate` varchar(15) NOT NULL,
  `android_app_rate` varchar(15) NOT NULL,
  `android_booking_rate` varchar(15) NOT NULL,
  `android_confirm_rate` varchar(15) NOT NULL,
  `android_service_rate` varchar(15) NOT NULL,
  `call_book_rate` varchar(15) NOT NULL,
  `call_agent_rate` varchar(15) NOT NULL,
  `call_instruction_rate` varchar(15) NOT NULL,
  `call_confirmation_rate` varchar(15) NOT NULL,
  `call_services_rate` varchar(15) NOT NULL,
  `vehicle_rate` varchar(15) NOT NULL,
  `requested_rate` varchar(15) NOT NULL,
  `instruction_follow_rate` varchar(15) NOT NULL,
  `vehicle_condition` varchar(15) NOT NULL,
  `aircondition_effective_rate` varchar(15) NOT NULL,
  `cleanness_rate` varchar(15) NOT NULL,
  `grooming_rate` varchar(15) NOT NULL,
  `accuracy_rate` varchar(15) NOT NULL,
  `invoice_time_rate` varchar(15) NOT NULL,
  `receivingInv_rate` varchar(15) NOT NULL,
  `created_date` date NOT NULL,
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `UserId` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `feedback_for_user_app`
--

DROP TABLE IF EXISTS `feedback_for_user_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `feedback_for_user_app` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL,
  `Helpful` float NOT NULL,
  `EasyToUse` float NOT NULL,
  `Design` float NOT NULL,
  `Feedback` text NOT NULL,
  `AppType` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `UserId` (`UserId`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fix_route`
--

DROP TABLE IF EXISTS `fix_route`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fix_route` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `frequent_location` varchar(30) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `fix_route_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=72 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `guide_details`
--

DROP TABLE IF EXISTS `guide_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guide_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `guide_id` int(11) NOT NULL,
  `company_id` int(11) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `father_name` varchar(255) NOT NULL,
  `email_id` varchar(100) NOT NULL,
  `email_id_verified` enum('0','1') NOT NULL DEFAULT '0',
  `phone_no` varchar(15) NOT NULL,
  `phone_no_verified` enum('0','1') NOT NULL DEFAULT '0',
  `external_ref_name` varchar(255) NOT NULL,
  `dob` date NOT NULL,
  `gender` enum('Male','Female') CHARACTER SET latin2 COLLATE latin2_bin NOT NULL DEFAULT 'Male',
  `address` text NOT NULL,
  `country` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `pin_code` varchar(10) NOT NULL,
  `kyc` varchar(100) NOT NULL,
  `kyc_proof` text NOT NULL,
  `photo` text NOT NULL,
  `photo_verify` int(11) NOT NULL,
  `duty_type_pref` varchar(100) NOT NULL,
  `payment_type_id` int(11) NOT NULL,
  `license_state` varchar(50) NOT NULL,
  `license_no` varchar(50) NOT NULL,
  `license_proof` text NOT NULL,
  `license_validity` varchar(20) NOT NULL,
  `pan_card_no` varchar(20) NOT NULL,
  `pancard_proof` text NOT NULL,
  `police_proof` text NOT NULL,
  `audit_proof` text NOT NULL,
  `pref_city` varchar(100) NOT NULL,
  `route_knowledge` varchar(10) NOT NULL,
  `pref_zone` varchar(10) NOT NULL,
  `week_off` varchar(50) NOT NULL,
  `education_qualification` text NOT NULL,
  `guide_qualification` text NOT NULL,
  `theme` int(11) NOT NULL,
  `experience` text NOT NULL,
  `pref_timing` varchar(50) NOT NULL,
  `membership_id` int(11) NOT NULL,
  `about_guide` text NOT NULL,
  `is_active` int(11) NOT NULL DEFAULT '5',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `guide_fare`
--

DROP TABLE IF EXISTS `guide_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guide_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(4) NOT NULL,
  `state_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `booking_type` varchar(5) NOT NULL,
  `s_id` int(11) NOT NULL,
  `nationality` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `guide_hourly_fare`
--

DROP TABLE IF EXISTS `guide_hourly_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guide_hourly_fare` (
  `giude_hourly_fare_id` int(11) NOT NULL AUTO_INCREMENT,
  `base_comb_id` int(11) NOT NULL,
  `minimum_charge` int(11) NOT NULL,
  `minimum_hrs` int(11) NOT NULL,
  `per_hr_charge` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`giude_hourly_fare_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `guide_language`
--

DROP TABLE IF EXISTS `guide_language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guide_language` (
  `guide_lang_id` int(11) NOT NULL AUTO_INCREMENT,
  `guide_id` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`guide_lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `guide_local_package`
--

DROP TABLE IF EXISTS `guide_local_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guide_local_package` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package` varchar(255) DEFAULT NULL,
  `master_pkg_id` int(11) DEFAULT '101',
  `sub_pkg_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  `hrs` int(11) NOT NULL,
  `price` int(11) NOT NULL DEFAULT '0',
  `status` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `hotel_detail`
--

DROP TABLE IF EXISTS `hotel_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hotel_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) DEFAULT NULL,
  `code` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `property_type` int(11) NOT NULL,
  `hotel_category` int(11) DEFAULT NULL,
  `logo` text COLLATE utf8_unicode_ci NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  `city_id` int(11) DEFAULT NULL,
  `location` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `featured` int(11) NOT NULL DEFAULT '0',
  `preferred` int(11) DEFAULT '0',
  `total_floor` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `total_rooms_single` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `total_rooms_double` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `total_rooms_twin` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `total_rooms_disabled` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `check_in_time` time NOT NULL,
  `check_out_time` time NOT NULL,
  `total_conference_halls` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `total_board_rooms` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `total_party_lawns` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `interconnected_total_rooms` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `currency` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `payment_description` text COLLATE utf8_unicode_ci NOT NULL,
  `telephone` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `fax` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `building_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `building_number` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `address` text COLLATE utf8_unicode_ci NOT NULL,
  `weekend` int(11) NOT NULL,
  `brochure_title` text COLLATE utf8_unicode_ci NOT NULL,
  `brochure_description` text COLLATE utf8_unicode_ci NOT NULL,
  `meta_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `allocation_from_date` date NOT NULL,
  `allocation_to_date` date NOT NULL,
  `allocation_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `allocation_cut_off_days` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `allocation_room_category` int(11) NOT NULL,
  `available_start_date` date NOT NULL,
  `available_end_date` date NOT NULL,
  `policy` int(11) NOT NULL,
  `terms_and_condition` int(11) NOT NULL,
  `privacy_policy` int(11) NOT NULL,
  `cancellation_policy` int(11) NOT NULL,
  `refund_policy` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `hourly_fare`
--

DROP TABLE IF EXISTS `hourly_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hourly_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `base_comb_id` int(11) DEFAULT NULL COMMENT 'Need to be remove',
  `minimum_charge` int(11) NOT NULL,
  `minimum_hrs` int(11) NOT NULL,
  `per_hr_charge` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `hourly_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `hours`
--

DROP TABLE IF EXISTS `hours`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hours` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hours` varchar(50) NOT NULL,
  `lang` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `inclusion`
--

DROP TABLE IF EXISTS `inclusion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inclusion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `inter_city_route_package`
--

DROP TABLE IF EXISTS `inter_city_route_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inter_city_route_package` (
  `route_id` int(11) NOT NULL AUTO_INCREMENT,
  `from_city` varchar(100) NOT NULL,
  `to_city` varchar(100) NOT NULL,
  `via_city` text NOT NULL,
  `economy_rate` int(11) NOT NULL,
  `sedan_rate` int(11) NOT NULL,
  `prime_rate` int(11) NOT NULL,
  `fix_km` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`route_id`),
  KEY `from_city` (`from_city`,`to_city`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ivr_recording_detail`
--

DROP TABLE IF EXISTS `ivr_recording_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ivr_recording_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `CustMobile` varchar(255) NOT NULL,
  `CustRecordFileName` varchar(255) NOT NULL,
  `CustCallRefrence` varchar(50) NOT NULL,
  `custDatetime` datetime NOT NULL,
  `callTime` varchar(50) NOT NULL,
  `AgentRemarks` varchar(255) NOT NULL,
  `CallTransferToAgent` varchar(255) NOT NULL,
  `CallFreeResponse` varchar(255) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1089 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `local_package`
--

DROP TABLE IF EXISTS `local_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `local_package` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_type` int(11) NOT NULL,
  `booking_mode` int(11) NOT NULL COMMENT 'Distance,Distance+Hour,Distance+Waiting,Hour',
  `name` varchar(255) DEFAULT NULL,
  `hrs` int(11) NOT NULL,
  `km` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `local_package_fare`
--

DROP TABLE IF EXISTS `local_package_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `local_package_fare` (
  `local_pkg_fare_id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `local_pkg_id` int(11) NOT NULL,
  `local_pkg_fare` varchar(50) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`local_pkg_fare_id`)
) ENGINE=InnoDB AUTO_INCREMENT=232 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `log_in_log`
--

DROP TABLE IF EXISTS `log_in_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_in_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `status` varchar(200) DEFAULT NULL,
  `expires` bigint(11) DEFAULT NULL,
  `callfrom` varchar(10) DEFAULT NULL,
  `login_time` datetime NOT NULL,
  `logout_time` datetime DEFAULT NULL,
  `login_date` date DEFAULT NULL,
  `logout_date` date DEFAULT NULL,
  `login_diff` time DEFAULT NULL,
  `lat` varchar(100) DEFAULT NULL,
  `log` varchar(100) DEFAULT NULL,
  `login_location` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `logout_location` text,
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `userId` (`userId`)
) ENGINE=InnoDB AUTO_INCREMENT=2657 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `login`
--

DROP TABLE IF EXISTS `login`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(121) NOT NULL,
  `password` varchar(121) NOT NULL,
  `Full_Name` varchar(255) NOT NULL,
  `Mobile` varchar(255) NOT NULL,
  `lastlogintime` datetime NOT NULL,
  `breaktime` datetime NOT NULL,
  `total_break` datetime NOT NULL,
  `Admin` int(11) NOT NULL,
  `userid` varchar(100) NOT NULL,
  `Dept_name` varchar(100) NOT NULL,
  `Agent_type_IVR` varchar(50) DEFAULT NULL,
  `Created_date` datetime NOT NULL,
  `approved_date` datetime NOT NULL,
  `approved_by` varchar(100) NOT NULL,
  `status` varchar(110) NOT NULL,
  `City` varchar(100) NOT NULL,
  `Address` text NOT NULL,
  `QuickCallID` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=63 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `login_ivr`
--

DROP TABLE IF EXISTS `login_ivr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_ivr` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `QuickID` int(11) DEFAULT NULL,
  `AgentID` int(11) DEFAULT NULL,
  `AgentName` varchar(50) DEFAULT NULL,
  `CompaignName` varchar(50) DEFAULT NULL,
  `CreatedAt` datetime DEFAULT NULL,
  `Is_Active` varchar(50) DEFAULT NULL,
  UNIQUE KEY `Id` (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_address`
--

DROP TABLE IF EXISTS `master_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `state_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `latitude` varchar(255) DEFAULT '0.0',
  `longitude` varchar(255) DEFAULT '0.0',
  `address` varchar(500) DEFAULT 'Not Available',
  `zone` varchar(50) DEFAULT 'Not Available',
  `establishment_name` varchar(255) DEFAULT NULL,
  `is_hotel` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `address` (`address`)
) ENGINE=MyISAM AUTO_INCREMENT=941 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_airport_railway`
--

DROP TABLE IF EXISTS `master_airport_railway`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_airport_railway` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `state_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `airport_railway_name` varchar(255) DEFAULT NULL,
  `meeting_point` varchar(255) NOT NULL,
  `latitude` varchar(255) DEFAULT '0.0',
  `longitude` varchar(255) DEFAULT '0.0',
  `zone` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=210 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_amenities`
--

DROP TABLE IF EXISTS `master_amenities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_amenities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amenities_name` varchar(100) NOT NULL,
  `amenities_icon` varchar(255) DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active,2-Deleted',
  `created_date` datetime NOT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_booking_type`
--

DROP TABLE IF EXISTS `master_booking_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_booking_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_type` varchar(255) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_budget`
--

DROP TABLE IF EXISTS `master_budget`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_budget` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tours_type_business_type` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_cancellation`
--

DROP TABLE IF EXISTS `master_cancellation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_cancellation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `order_by` int(11) NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_cancellation_policy`
--

DROP TABLE IF EXISTS `master_cancellation_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_cancellation_policy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_city`
--

DROP TABLE IF EXISTS `master_city`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `state_id` int(11) NOT NULL,
  `latitude` varchar(255) NOT NULL,
  `longitude` varchar(255) NOT NULL,
  `north_east_latitude` varchar(255) NOT NULL,
  `north_east_longitude` varchar(255) NOT NULL,
  `south_west_latitude` varchar(255) NOT NULL,
  `south_west_longitude` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=48331 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_city_introduction`
--

DROP TABLE IF EXISTS `master_city_introduction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_city_introduction` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image_path` text,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_colour`
--

DROP TABLE IF EXISTS `master_colour`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_colour` (
  `colour_id` int(11) NOT NULL AUTO_INCREMENT,
  `colour_name` varchar(225) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`colour_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_company_share`
--

DROP TABLE IF EXISTS `master_company_share`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_company_share` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `status` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_country`
--

DROP TABLE IF EXISTS `master_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(3) NOT NULL,
  `name` varchar(150) NOT NULL,
  `phone_code` int(11) NOT NULL,
  `nationality` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=247 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_coupon`
--

DROP TABLE IF EXISTS `master_coupon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_coupon` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) DEFAULT NULL,
  `vendor_id` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `description` text,
  `master_coupon_type_id` int(11) DEFAULT NULL,
  `valid_from_date` datetime DEFAULT NULL,
  `valid_to_date` datetime DEFAULT NULL,
  `master_week_days_id` varchar(255) DEFAULT NULL,
  `master_package_id` int(11) DEFAULT NULL,
  `minimum_booking_amount` decimal(10,2) NOT NULL,
  `discount_type` varchar(50) DEFAULT NULL,
  `discount_amount` decimal(10,2) NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `terms_condition` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1 CHECKSUM=1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_coupon_type`
--

DROP TABLE IF EXISTS `master_coupon_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_coupon_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `valid_from_date` datetime NOT NULL,
  `valid_to_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_cron`
--

DROP TABLE IF EXISTS `master_cron`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_cron` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) DEFAULT NULL,
  `name` text,
  `description` text,
  `created_date` datetime NOT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_currency`
--

DROP TABLE IF EXISTS `master_currency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_currency` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_name` varchar(255) NOT NULL,
  `name` varchar(50) NOT NULL,
  `exchange_rate` varchar(20) DEFAULT NULL,
  `symbol` varchar(100) NOT NULL,
  `fa_icon` varchar(20) NOT NULL,
  `code` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `is_active` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_department`
--

DROP TABLE IF EXISTS `master_department`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_department` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `department_name` varchar(255) NOT NULL,
  `department_logo` text NOT NULL,
  `description` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `modified_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_document_type`
--

DROP TABLE IF EXISTS `master_document_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_document_type` (
  `doc_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `document_name` varchar(100) NOT NULL,
  `doc_level_name` varchar(225) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`doc_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_documentation`
--

DROP TABLE IF EXISTS `master_documentation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_documentation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_duration`
--

DROP TABLE IF EXISTS `master_duration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_duration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `description` varchar(50) NOT NULL,
  `create_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_extra`
--

DROP TABLE IF EXISTS `master_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_extra` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `description` varchar(100) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_fuel_type`
--

DROP TABLE IF EXISTS `master_fuel_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_fuel_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fuel_type` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_gst_types`
--

DROP TABLE IF EXISTS `master_gst_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_gst_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `name` varchar(225) NOT NULL,
  `rate` varchar(5) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_hold_booking`
--

DROP TABLE IF EXISTS `master_hold_booking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_hold_booking` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_type_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `travel_days` varchar(50) NOT NULL DEFAULT '0' COMMENT 'fromdays-todays',
  `travel_hour` varchar(50) NOT NULL DEFAULT '0' COMMENT 'fromhour-tohour',
  `before_days` int(11) DEFAULT '0',
  `before_hour` int(11) DEFAULT '0',
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_hotel_category`
--

DROP TABLE IF EXISTS `master_hotel_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_hotel_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_language`
--

DROP TABLE IF EXISTS `master_language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_language` (
  `language_id` int(11) NOT NULL AUTO_INCREMENT,
  `language_name` varchar(50) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`language_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_location`
--

DROP TABLE IF EXISTS `master_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `state_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `latitude` varchar(255) DEFAULT '0.0',
  `longitude` varchar(255) DEFAULT '0.0',
  `area` varchar(255) DEFAULT 'Not Available',
  `zone` varchar(50) DEFAULT 'Not Available',
  PRIMARY KEY (`id`),
  UNIQUE KEY `area` (`area`)
) ENGINE=InnoDB AUTO_INCREMENT=53364 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_markup`
--

DROP TABLE IF EXISTS `master_markup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_markup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_meal_plan_type`
--

DROP TABLE IF EXISTS `master_meal_plan_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_meal_plan_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_meal_type`
--

DROP TABLE IF EXISTS `master_meal_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_meal_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `meal_name` varchar(255) NOT NULL,
  `icon` varchar(20) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_module_manager`
--

DROP TABLE IF EXISTS `master_module_manager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_module_manager` (
  `module_id` int(11) NOT NULL AUTO_INCREMENT,
  `module_name` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `namespace` varchar(255) DEFAULT NULL,
  `controller` varchar(255) DEFAULT NULL,
  `action` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `icon_class` varchar(255) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `menu_order` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`module_id`)
) ENGINE=InnoDB AUTO_INCREMENT=124 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_month`
--

DROP TABLE IF EXISTS `master_month`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_month` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `created_date` date NOT NULL,
  `modified_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_package`
--

DROP TABLE IF EXISTS `master_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_package` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_type_id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `icon` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_package_mode`
--

DROP TABLE IF EXISTS `master_package_mode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_package_mode` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_mode` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_payment_document`
--

DROP TABLE IF EXISTS `master_payment_document`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_payment_document` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_payment_structure`
--

DROP TABLE IF EXISTS `master_payment_structure`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_payment_structure` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_period`
--

DROP TABLE IF EXISTS `master_period`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_period` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tours_type_business_type` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_premium`
--

DROP TABLE IF EXISTS `master_premium`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_premium` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_property_type`
--

DROP TABLE IF EXISTS `master_property_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_property_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_refund_policy`
--

DROP TABLE IF EXISTS `master_refund_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_refund_policy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_room_category`
--

DROP TABLE IF EXISTS `master_room_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_room_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_rounding`
--

DROP TABLE IF EXISTS `master_rounding`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_rounding` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_sightseeing_category`
--

DROP TABLE IF EXISTS `master_sightseeing_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_sightseeing_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_sightseeing_type`
--

DROP TABLE IF EXISTS `master_sightseeing_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_sightseeing_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_state`
--

DROP TABLE IF EXISTS `master_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_state` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `country_id` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4121 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_terms_condition_policy`
--

DROP TABLE IF EXISTS `master_terms_condition_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_terms_condition_policy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_things_carry`
--

DROP TABLE IF EXISTS `master_things_carry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_things_carry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_tour_category`
--

DROP TABLE IF EXISTS `master_tour_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_tour_category` (
  `tour_category_id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_category_name` varchar(225) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`tour_category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_tour_exclusion`
--

DROP TABLE IF EXISTS `master_tour_exclusion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_tour_exclusion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_tour_inclusion`
--

DROP TABLE IF EXISTS `master_tour_inclusion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_tour_inclusion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_tour_theme`
--

DROP TABLE IF EXISTS `master_tour_theme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_tour_theme` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `theme_name` varchar(225) NOT NULL,
  `icon` varchar(50) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_transfer`
--

DROP TABLE IF EXISTS `master_transfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_transfer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image_path` text,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_veh_type`
--

DROP TABLE IF EXISTS `master_veh_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_veh_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `veh_type_id` int(11) NOT NULL COMMENT '1-Private,2- Seat In Coach',
  `tour_pax` varchar(10) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_vehicle_model`
--

DROP TABLE IF EXISTS `master_vehicle_model`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_vehicle_model` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vehicle_type_id` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `aircondition` enum('0','1') DEFAULT NULL COMMENT '1=>AC, 0=>NON-AC',
  `person_capacity` int(2) DEFAULT NULL,
  `luggage_capacity` int(2) DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '0-unpublish,1-publish,2-delete',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=214 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_vehicle_type`
--

DROP TABLE IF EXISTS `master_vehicle_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_vehicle_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) DEFAULT NULL,
  `vehicle_type` varchar(50) NOT NULL,
  `seating_capacity` varchar(255) DEFAULT NULL,
  `amenities` varchar(255) DEFAULT NULL,
  `luggage` int(11) DEFAULT NULL,
  `vehicle_image` text,
  `color` varchar(15) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  `display_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_voucher_type`
--

DROP TABLE IF EXISTS `master_voucher_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_voucher_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(50) NOT NULL,
  `name` varchar(255) NOT NULL,
  `forex` varchar(255) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_waiting`
--

DROP TABLE IF EXISTS `master_waiting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_waiting` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_week_days`
--

DROP TABLE IF EXISTS `master_week_days`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_week_days` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `master_working_shift`
--

DROP TABLE IF EXISTS `master_working_shift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `master_working_shift` (
  `working_shift_id` int(11) NOT NULL AUTO_INCREMENT,
  `shift` varchar(100) NOT NULL,
  `shift_time` varchar(10) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`working_shift_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mastert_tour_exclusion`
--

DROP TABLE IF EXISTS `mastert_tour_exclusion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mastert_tour_exclusion` (
  `exclusion_id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_type_id` int(11) NOT NULL,
  `exclusion_name` varchar(225) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`exclusion_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `meal`
--

DROP TABLE IF EXISTS `meal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meal` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `meal_type_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=142 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `membership`
--

DROP TABLE IF EXISTS `membership`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `membership` (
  `membership_id` int(11) NOT NULL AUTO_INCREMENT,
  `membership_name` varchar(255) NOT NULL,
  `membership_state` int(11) NOT NULL,
  `status` enum('0','1','2') NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`membership_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `membership_features`
--

DROP TABLE IF EXISTS `membership_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `membership_features` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) DEFAULT NULL,
  `feature_name` varchar(255) DEFAULT NULL,
  `feature_desc` text,
  `image_path` text,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active,2-Deleted ',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `feature_id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `membership_package`
--

DROP TABLE IF EXISTS `membership_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `membership_package` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_name` varchar(255) NOT NULL,
  `package_desc` text NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `is_active` int(11) NOT NULL,
  `order_val` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `package_id` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `package_id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `membership_subpackage`
--

DROP TABLE IF EXISTS `membership_subpackage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `membership_subpackage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL,
  `subpackage_name` varchar(255) NOT NULL,
  `subpackage_desc` varchar(200) NOT NULL,
  `subpackage_max_fees` varchar(5) NOT NULL,
  `subpackage_min_fees` varchar(5) DEFAULT NULL,
  `image` text NOT NULL,
  `duration` int(11) NOT NULL DEFAULT '0',
  `duration_type_id` int(11) NOT NULL,
  `renew_notification_mail` varchar(7) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `is_active` int(11) NOT NULL,
  `order_val` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `membership_subpackage_ext`
--

DROP TABLE IF EXISTS `membership_subpackage_ext`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `membership_subpackage_ext` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subpackage_id` int(11) NOT NULL,
  `feature_id` int(11) NOT NULL,
  `feature_status` int(11) NOT NULL,
  `feature_value` varchar(200) NOT NULL,
  `is_active` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `subpackage_ext_id` (`id`),
  KEY `subpackage_id` (`subpackage_id`),
  KEY `feature_id` (`feature_id`)
) ENGINE=InnoDB AUTO_INCREMENT=97 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `menu_group`
--

DROP TABLE IF EXISTS `menu_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_group` (
  `group_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_setup_id` int(11) NOT NULL,
  `group_name` varchar(100) NOT NULL,
  `group_position` varchar(255) NOT NULL,
  `no_of_menus` tinyint(2) NOT NULL,
  `created_date` date NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `status` tinyint(2) DEFAULT '1',
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mins`
--

DROP TABLE IF EXISTS `mins`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Min` varchar(50) NOT NULL,
  `lang` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `night_charge`
--

DROP TABLE IF EXISTS `night_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `night_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL COMMENT 'base_vehicle_type(table Auto id)',
  `vendor_id` int(11) NOT NULL DEFAULT '0',
  `night_rate_begins` time NOT NULL DEFAULT '00:00:00',
  `night_rate_ends` time NOT NULL DEFAULT '00:00:00',
  `night_rate_type` varchar(10) DEFAULT NULL COMMENT '1-%,2-Rs',
  `night_rate_value` varchar(10) NOT NULL,
  `created_date` date NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `night_charge_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `oauthaccestoken`
--

DROP TABLE IF EXISTS `oauthaccestoken`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `oauthaccestoken` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `access_token` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `expires` varchar(100) NOT NULL,
  `scope` varchar(10) NOT NULL,
  `callfrom` varchar(50) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=599 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `oneway_city_route_package`
--

DROP TABLE IF EXISTS `oneway_city_route_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `oneway_city_route_package` (
  `route_id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `city_distance_id` int(11) NOT NULL,
  `via_city` varchar(100) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '0-Inactive-1-Actiive,2-Deleted',
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT '0',
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`route_id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `outstation_booking_details`
--

DROP TABLE IF EXISTS `outstation_booking_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outstation_booking_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `pickcity_id` int(11) NOT NULL DEFAULT '0',
  `dropcity_id` int(11) NOT NULL DEFAULT '0',
  `distance` int(11) NOT NULL DEFAULT '0',
  `days` int(11) NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `booking_id` (`booking_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `outstation_cities`
--

DROP TABLE IF EXISTS `outstation_cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outstation_cities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cities` varchar(255) NOT NULL,
  `lang` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=110 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `outstation_package`
--

DROP TABLE IF EXISTS `outstation_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outstation_package` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pkgName` varchar(255) DEFAULT NULL,
  `masterPKG_ID` int(11) DEFAULT '104',
  `Status` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `package_active_timeslot`
--

DROP TABLE IF EXISTS `package_active_timeslot`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `package_active_timeslot` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `start_time` time DEFAULT NULL,
  `end_time` time DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT '0',
  `status` int(11) NOT NULL,
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `package_active_timeslot_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `package_active_weekdays`
--

DROP TABLE IF EXISTS `package_active_weekdays`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `package_active_weekdays` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `weekdays_id` varchar(20) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `package_active_weekdays_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `package_type`
--

DROP TABLE IF EXISTS `package_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `package_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tour_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET latin1 NOT NULL,
  `lang_flag` varchar(250) COLLATE utf8_unicode_ci DEFAULT 'en_US',
  PRIMARY KEY (`id`),
  KEY `tours_type_business_type` (`tour_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `packages`
--

DROP TABLE IF EXISTS `packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `packages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_name` text,
  `price` int(11) DEFAULT NULL,
  `nri_price` int(11) DEFAULT NULL,
  `other_charge` int(11) DEFAULT NULL,
  `total_days` int(11) DEFAULT NULL,
  `is_active` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `parking_charge`
--

DROP TABLE IF EXISTS `parking_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `parking_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `airport_railway_id` int(11) NOT NULL DEFAULT '0',
  `vehicle_type_id` int(11) NOT NULL DEFAULT '0',
  `period_id` int(11) NOT NULL DEFAULT '0',
  `amount` varchar(10) DEFAULT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `payment_transaction_response`
--

DROP TABLE IF EXISTS `payment_transaction_response`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `payment_transaction_response` (
  `payment_response_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL COMMENT 'clientcode',
  `mmp_txn` varchar(255) NOT NULL,
  `mer_txn` varchar(100) NOT NULL,
  `amt` varchar(100) NOT NULL,
  `prod` varchar(50) NOT NULL,
  `date` datetime NOT NULL,
  `bank_txn` varchar(100) NOT NULL,
  `f_code` varchar(20) NOT NULL,
  `bank_name` varchar(255) NOT NULL,
  `merchant_id` varchar(100) NOT NULL,
  `udf9` varchar(50) DEFAULT NULL,
  `discriminator` varchar(50) NOT NULL,
  `surcharge` varchar(50) NOT NULL,
  `CardNumber` varchar(100) NOT NULL,
  `signature` varchar(255) NOT NULL,
  PRIMARY KEY (`payment_response_id`)
) ENGINE=InnoDB AUTO_INCREMENT=147 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `payment_type`
--

DROP TABLE IF EXISTS `payment_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `payment_type` (
  `payment_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `pay_type_mode` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`payment_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `payment_upload`
--

DROP TABLE IF EXISTS `payment_upload`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `payment_upload` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `payment_ref_no` varchar(200) DEFAULT NULL,
  `deposit_date` date DEFAULT NULL,
  `transaction_mode` varchar(15) DEFAULT NULL,
  `fileupload` varchar(100) DEFAULT NULL,
  `trans` varchar(100) DEFAULT NULL,
  `chequeno` varchar(50) DEFAULT NULL,
  `partner_bank` varchar(255) DEFAULT NULL,
  `amount` double(10,2) NOT NULL,
  `deposit_bank` varchar(100) DEFAULT NULL,
  `deposit_branch` varchar(100) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '0-Pending,1-Approved,2-Audit',
  `credit_date` varchar(50) DEFAULT NULL,
  `credit_amount` varchar(100) DEFAULT NULL,
  `audit_date` date DEFAULT NULL,
  `admin_remarks` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `driver_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=229 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `peak_time_charge`
--

DROP TABLE IF EXISTS `peak_time_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `peak_time_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `peaktime_type` varchar(10) NOT NULL DEFAULT '%',
  `peaktime_value` int(5) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('1','0') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `peak_time_charge_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `postalcode_fare`
--

DROP TABLE IF EXISTS `postalcode_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `postalcode_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `pickup_postcode` text NOT NULL,
  `drop_postcode` text NOT NULL,
  `price` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `postalcode_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pre_waiting_charge`
--

DROP TABLE IF EXISTS `pre_waiting_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pre_waiting_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `pre_waiting_upto_minutes` text NOT NULL,
  `pre_waiting_fees` varchar(5) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `pre_waiting_charge_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=150 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `prefered_location`
--

DROP TABLE IF EXISTS `prefered_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prefered_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `location_id` int(5) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `premiums_fare`
--

DROP TABLE IF EXISTS `premiums_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `premiums_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `premiums_type` varchar(10) NOT NULL COMMENT '1-%,2-Rs',
  `premiums_value` varchar(5) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('1','0') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `base_vehicle_id` (`base_vehicle_id`),
  CONSTRAINT `premiums_fare_ibfk_1` FOREIGN KEY (`base_vehicle_id`) REFERENCES `base_vehicle_type` (`base_vehicle_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=125 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `qualification`
--

DROP TABLE IF EXISTS `qualification`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qualification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `qualification_name` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `quantity`
--

DROP TABLE IF EXISTS `quantity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quantity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `quantity_value` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `quick_call_history`
--

DROP TABLE IF EXISTS `quick_call_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quick_call_history` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `CallerID` int(11) DEFAULT NULL,
  `NewCall` varchar(50) DEFAULT NULL,
  `PhoneID` varchar(50) DEFAULT NULL,
  `PhoneNo` varchar(50) DEFAULT NULL,
  `CallDateTime` varchar(50) DEFAULT NULL,
  `CallEndDateTime` varchar(50) DEFAULT NULL,
  `identifier` varchar(50) DEFAULT NULL,
  `Attempt` varchar(50) DEFAULT NULL,
  `ForCompaignID` varchar(50) DEFAULT NULL,
  `StatusID` varchar(50) DEFAULT NULL,
  `AreaTimeGap` varchar(50) DEFAULT NULL,
  `SmdrRunning` varchar(50) DEFAULT NULL,
  `Priority` varchar(50) DEFAULT NULL,
  KEY `ID` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `quick_login_history`
--

DROP TABLE IF EXISTS `quick_login_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quick_login_history` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `LoginID` int(11) DEFAULT NULL,
  `QAgentID` varchar(50) DEFAULT NULL,
  `QAgentName` varchar(50) DEFAULT NULL,
  `QCompaignName` varchar(50) DEFAULT NULL,
  `QLoginDateTime` varchar(50) DEFAULT NULL,
  KEY `ID` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `recently_viewed`
--

DROP TABLE IF EXISTS `recently_viewed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `recently_viewed` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_stage` varchar(255) DEFAULT NULL,
  `booking_data` text,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=601 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `referral_discount_amount`
--

DROP TABLE IF EXISTS `referral_discount_amount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `referral_discount_amount` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(50) DEFAULT NULL,
  `user_type` int(11) NOT NULL,
  `installation_amount_user` int(11) NOT NULL,
  `installation_amount_referer` int(11) NOT NULL,
  `booking_amount_percent` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `referral_signup_history`
--

DROP TABLE IF EXISTS `referral_signup_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `referral_signup_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `referer_id` int(11) NOT NULL,
  `user_amount` int(11) NOT NULL,
  `referer_amount` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=254 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `region_text`
--

DROP TABLE IF EXISTS `region_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `region_text` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_type` int(11) NOT NULL,
  `text` text NOT NULL,
  `text_id` varchar(110) NOT NULL,
  `text_status` int(11) NOT NULL,
  `page_title` varchar(11) NOT NULL,
  `lang` int(11) NOT NULL,
  `page` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=255 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `road_tax`
--

DROP TABLE IF EXISTS `road_tax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `road_tax` (
  `road_tax_id` int(11) NOT NULL AUTO_INCREMENT,
  `state_id` int(11) NOT NULL,
  `duration_type_id` int(11) NOT NULL,
  `vehicle_type_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `is_active` int(5) DEFAULT '1',
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY (`road_tax_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_id` int(11) DEFAULT NULL,
  `role_name` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `role_rule`
--

DROP TABLE IF EXISTS `role_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_rule` (
  `rule_id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL,
  `module_id` int(11) NOT NULL,
  `is_read` tinyint(2) DEFAULT NULL,
  `is_write` tinyint(2) DEFAULT NULL,
  `is_delete` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rule_id`)
) ENGINE=InnoDB AUTO_INCREMENT=520 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `role_type`
--

DROP TABLE IF EXISTS `role_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(15) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `route_knowledge`
--

DROP TABLE IF EXISTS `route_knowledge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `route_knowledge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `route_id` int(5) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `rt_cabmanager_cabs`
--

DROP TABLE IF EXISTS `rt_cabmanager_cabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rt_cabmanager_cabs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `capacity` int(2) NOT NULL,
  `no_of_cabs` int(11) NOT NULL,
  `min_cov_km_day_os` int(11) NOT NULL,
  `min_cov_hours_local` int(11) NOT NULL,
  `min_cov_km_local` int(11) NOT NULL,
  `per_hour_extra_charge` int(11) NOT NULL,
  `per_km_extra_charge` int(11) NOT NULL,
  `per_day_extra_charge_os` int(11) NOT NULL,
  `airport_pickup_charge` int(11) NOT NULL,
  `airport_drop_charge` int(11) NOT NULL,
  `placard_charge` int(11) NOT NULL,
  `parking_charge` int(11) NOT NULL,
  `driver_allowance` int(11) NOT NULL,
  `helper_charge` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  `modified_date` datetime NOT NULL,
  `services` varchar(255) NOT NULL,
  `corder` int(11) NOT NULL,
  `min_charge_localhire_404` int(11) NOT NULL,
  `min_charge_localhire_808` int(11) NOT NULL,
  `per_km_charge_os` int(11) NOT NULL,
  `per_km_charge_p2p` int(11) NOT NULL,
  `per_km_charge_airport` int(11) NOT NULL,
  `min_cov_km_p2p` int(11) NOT NULL,
  `min_cov_km_airport` int(11) NOT NULL,
  `background_km_outstation` int(11) NOT NULL,
  `background_km_airport` int(11) NOT NULL,
  `background_km_ptp` int(11) NOT NULL,
  `background_km_localhire` int(11) NOT NULL,
  `city` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `rto_state_taxes`
--

DROP TABLE IF EXISTS `rto_state_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rto_state_taxes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state_id` int(11) NOT NULL DEFAULT '0',
  `vehicle_type_id` int(11) NOT NULL DEFAULT '0',
  `period_id` int(11) NOT NULL DEFAULT '0',
  `amount` varchar(10) DEFAULT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=177 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sass_company_vendor`
--

DROP TABLE IF EXISTS `sass_company_vendor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sass_company_vendor` (
  `sass_comp_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_setup_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`sass_comp_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='Map Domain''s Vendor';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season`
--

DROP TABLE IF EXISTS `season`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `season` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `season_type_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `shows`
--

DROP TABLE IF EXISTS `shows`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `show_name` varchar(50) NOT NULL,
  `country_id` int(11) NOT NULL,
  `state_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `image` text NOT NULL,
  `desc` text NOT NULL,
  `time_in` varchar(20) NOT NULL,
  `time_out` varchar(20) NOT NULL,
  `week_off` varchar(50) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sightseeing`
--

DROP TABLE IF EXISTS `sightseeing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sightseeing` (
  `s_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `sightseeing_cover` varchar(100) NOT NULL,
  `latitude` varchar(100) NOT NULL DEFAULT '0',
  `longitude` varchar(100) NOT NULL DEFAULT '0',
  `address` varchar(255) DEFAULT NULL,
  `coverage_km` varchar(10) NOT NULL,
  `coverage_hrs` varchar(10) NOT NULL,
  `difficulty_level` varchar(50) NOT NULL,
  `is_unique` tinyint(2) NOT NULL DEFAULT '0',
  `popularity` varchar(100) NOT NULL,
  `youtube_url` varchar(255) NOT NULL,
  `description` text,
  `meeting_point` varchar(255) NOT NULL,
  `highlights` text,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`s_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sightseeing_booking_details`
--

DROP TABLE IF EXISTS `sightseeing_booking_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sightseeing_booking_details` (
  `s_booking_id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `sightseeing_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`s_booking_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sightseeing_details`
--

DROP TABLE IF EXISTS `sightseeing_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sightseeing_details` (
  `s_detail_id` int(11) NOT NULL AUTO_INCREMENT,
  `s_id` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL,
  `tour_type` tinyint(2) NOT NULL DEFAULT '0',
  `passenger` varchar(10) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `rate_type` tinyint(2) NOT NULL DEFAULT '0',
  `rate_per_fixed` tinyint(2) NOT NULL DEFAULT '0',
  `rate_value` int(11) NOT NULL,
  `tax_type` tinyint(2) NOT NULL DEFAULT '0',
  `tax_per_fixed` tinyint(2) NOT NULL DEFAULT '0',
  `tax_value` int(11) NOT NULL,
  `week_off` text NOT NULL,
  `opening_time` varchar(20) NOT NULL,
  `closing_time` varchar(20) NOT NULL,
  `estimated_time` varchar(50) NOT NULL,
  `age_from` int(11) NOT NULL,
  `age_to` int(11) NOT NULL,
  `transfer` tinyint(2) NOT NULL,
  `pickup_point` varchar(255) NOT NULL,
  `allocation` varchar(255) NOT NULL,
  `cut_off_days` varchar(255) NOT NULL,
  `price_plan_name` varchar(255) NOT NULL,
  `stay_more_status` tinyint(2) NOT NULL DEFAULT '0',
  `seasonal_discount_status` tinyint(2) NOT NULL DEFAULT '0',
  `last_min_booking_status` tinyint(2) NOT NULL DEFAULT '0',
  `early_booking_status` tinyint(2) NOT NULL DEFAULT '0',
  `daywise_discount_status` tinyint(2) NOT NULL DEFAULT '0',
  `brochure_title` varchar(100) NOT NULL,
  `brochure_desc` text NOT NULL,
  `meta_keywords` varchar(100) NOT NULL,
  `meta_title` varchar(100) NOT NULL,
  `meta_desc` text NOT NULL,
  `payment_structure` text NOT NULL,
  `payment_documentation` text NOT NULL,
  `cancellation_policy` text NOT NULL,
  `refund_policy` text NOT NULL,
  `terms_condition_policy` text NOT NULL,
  `cost_inclusive` text NOT NULL,
  `cost_exclusive` text NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`s_detail_id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sightseeing_fair`
--

DROP TABLE IF EXISTS `sightseeing_fair`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sightseeing_fair` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `s_id` int(11) NOT NULL,
  `nationality` varchar(30) NOT NULL,
  `age_id` int(11) NOT NULL,
  `fair` int(11) NOT NULL,
  `taxes` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sightseeing_language`
--

DROP TABLE IF EXISTS `sightseeing_language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sightseeing_language` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `s_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active,2-Delete',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sightseeing_type`
--

DROP TABLE IF EXISTS `sightseeing_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sightseeing_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `s_id` int(11) NOT NULL,
  `sightseeing_type_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `signup_status`
--

DROP TABLE IF EXISTS `signup_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `signup_status` (
  `signup_status_id` int(11) NOT NULL AUTO_INCREMENT,
  `status_name` varchar(50) NOT NULL,
  `signup_status_class` varchar(50) NOT NULL,
  `is_active` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`signup_status_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sms_api`
--

DROP TABLE IF EXISTS `sms_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_api` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `api_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `api_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `api_username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `api_password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `api_sender_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `api_base_uri` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `api_ts_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `active` enum('1','0') COLLATE utf8_unicode_ci NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sms_status`
--

DROP TABLE IF EXISTS `sms_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `mesg` longtext NOT NULL,
  `contact_no` varchar(50) NOT NULL,
  `cost` int(50) NOT NULL,
  `status` int(11) NOT NULL,
  `sent_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `UID` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sms_template`
--

DROP TABLE IF EXISTS `sms_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `message` text,
  `msg_type` text,
  `msg_sku` text,
  `variables` text,
  `text_limit` int(11) DEFAULT NULL,
  `is_active` int(11) DEFAULT NULL,
  `status_done` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=latin1 COMMENT='Contains SMS template';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `specialization`
--

DROP TABLE IF EXISTS `specialization`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `specialization` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `specialization_name` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `status`
--

DROP TABLE IF EXISTS `status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sub_complaint`
--

DROP TABLE IF EXISTS `sub_complaint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sub_complaint` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `complaint_type` int(11) NOT NULL,
  `sub_complaint` varchar(200) NOT NULL,
  `created_by` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `updated_by` int(11) NOT NULL,
  `updated_on` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tax_detail`
--

DROP TABLE IF EXISTS `tax_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tax_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `tax_type` varchar(10) DEFAULT NULL,
  `sgst` float DEFAULT '0',
  `cgst` float NOT NULL DEFAULT '0',
  `igst` float NOT NULL DEFAULT '0',
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tblcity`
--

DROP TABLE IF EXISTS `tblcity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tblcity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `city_radius` int(11) NOT NULL,
  `vicinity` longtext NOT NULL,
  `locations` longtext NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  `modified_date` datetime NOT NULL,
  `ncr` int(11) unsigned DEFAULT '0',
  `local` int(11) DEFAULT '1',
  `point` int(11) DEFAULT '1',
  `airport` int(11) DEFAULT '1',
  `outstation` int(11) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=163 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_outstation_city_details`
--

DROP TABLE IF EXISTS `temp_outstation_city_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temp_outstation_city_details` (
  `temp_city_id` int(11) NOT NULL AUTO_INCREMENT,
  `temp_id` int(11) DEFAULT NULL,
  `from_city_id` int(11) DEFAULT NULL,
  `from_city_name` varchar(100) DEFAULT NULL,
  `to_city_id` int(11) DEFAULT NULL,
  `to_city_name` varchar(11) DEFAULT NULL,
  `departure_date` date DEFAULT NULL,
  `destination_date` date DEFAULT NULL,
  `departure_time` time DEFAULT NULL,
  `destination_time` time DEFAULT NULL,
  `estimate_time` time DEFAULT NULL,
  `distance_km` varchar(20) DEFAULT NULL,
  `no_of_days` tinyint(2) DEFAULT NULL,
  `guide_id` int(11) DEFAULT NULL,
  `guide_alldays_status` varchar(10) DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`temp_city_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_outstation_user_details`
--

DROP TABLE IF EXISTS `temp_outstation_user_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temp_outstation_user_details` (
  `temp_id` int(11) NOT NULL,
  `user_session_id` varchar(255) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `first_name` varchar(225) DEFAULT NULL,
  `last_name` varchar(225) DEFAULT NULL,
  `user_email` varchar(50) NOT NULL,
  `user_mobile` varchar(20) NOT NULL,
  `user_alternate_mobile` varchar(255) DEFAULT NULL,
  `outstation_type` varchar(10) NOT NULL,
  `base_comb_id` int(11) DEFAULT NULL,
  `no_adult` tinyint(2) NOT NULL,
  `no_child` tinyint(2) NOT NULL,
  `no_luggages` tinyint(2) NOT NULL,
  `no_cars` tinyint(1) NOT NULL,
  `flight_mode_status` enum('No','Yes') DEFAULT NULL,
  `flight_no` varchar(100) DEFAULT NULL,
  `flight_time` time DEFAULT NULL,
  `pick_up_address` varchar(255) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_sightseeing`
--

DROP TABLE IF EXISTS `temp_sightseeing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temp_sightseeing` (
  `sightseeing_auto_id` int(11) NOT NULL,
  `temp_city_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `sight_seeing_id` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `time` time DEFAULT NULL,
  `days` tinyint(2) DEFAULT NULL,
  `distance` double(6,2) DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `testimonial`
--

DROP TABLE IF EXISTS `testimonial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testimonial` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` int(11) NOT NULL DEFAULT '1',
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ip` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `things_carry`
--

DROP TABLE IF EXISTS `things_carry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `things_carry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `things_carry_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=88 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_category`
--

DROP TABLE IF EXISTS `tour_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_category` (
  `tour_category_id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`tour_category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail`
--

DROP TABLE IF EXISTS `tour_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `tours_type` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT '0',
  `city_id` int(11) DEFAULT '0',
  `post_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_operator` int(11) DEFAULT NULL,
  `starting_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ending_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `destination_cover` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `no_of_traveller` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `package_validity_from` date DEFAULT NULL,
  `package_validity_to` date DEFAULT NULL,
  `booking_validity_from` date DEFAULT NULL,
  `booking_validity_to` date DEFAULT NULL,
  `tours_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rating` int(11) DEFAULT NULL,
  `num_of_nights` int(11) DEFAULT NULL,
  `num_of_days` int(11) DEFAULT NULL,
  `tour_type` tinyint(2) NOT NULL COMMENT '1-Private,2-Group Type',
  `package_specification` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `short_desc` longtext COLLATE utf8_unicode_ci,
  `inclusions` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `exclusions` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `package_category` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_image_primary` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_image` text COLLATE utf8_unicode_ci,
  `tours_price` double DEFAULT NULL,
  `infant_price` double NOT NULL DEFAULT '0',
  `price_type` enum('person','package') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'package',
  `tours_date` datetime DEFAULT NULL,
  `tours_order` int(11) DEFAULT '0',
  `visiting_cities` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `related_items` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `featured` enum('0','1') COLLATE utf8_unicode_ci DEFAULT '0',
  `active` enum('1','0') COLLATE utf8_unicode_ci DEFAULT '1',
  `meta_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_desc` text COLLATE utf8_unicode_ci,
  `duration` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `costs_of_children` double DEFAULT NULL,
  `location_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `accommodates` int(11) DEFAULT NULL,
  `transportation` text COLLATE utf8_unicode_ci,
  `tour_policy` text COLLATE utf8_unicode_ci,
  `sightseeing` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Pickup_service` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `supplementary_room` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `drop_off_service` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `terms_and_condition` text COLLATE utf8_unicode_ci,
  `scheduled_on` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `spots_photo_gallery_primary` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `spots_photo_gallery` text COLLATE utf8_unicode_ci,
  `feature_google_map` text COLLATE utf8_unicode_ci,
  `tour_highlights` longtext COLLATE utf8_unicode_ci,
  `itinerary_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `itinerary_desc` longtext COLLATE utf8_unicode_ci,
  `tours_package_available_from` date NOT NULL DEFAULT '0000-00-00',
  `available_expire_date` date DEFAULT '0000-00-00',
  `journey_start_date` date DEFAULT '0000-00-00',
  `entertainments` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `multilingual_guide` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_desc` longtext COLLATE utf8_unicode_ci,
  `lang_flag` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `availability_country` int(11) NOT NULL,
  `availability_city` int(11) NOT NULL,
  `payment_structure_id` int(11) DEFAULT NULL,
  `document_id` int(11) NOT NULL,
  `cancellation_policy` int(11) NOT NULL,
  `refund_policy` int(11) NOT NULL,
  `term_policy` int(11) DEFAULT NULL,
  `payment_structure_content` text COLLATE utf8_unicode_ci,
  `documentation_content` text COLLATE utf8_unicode_ci,
  `cancellation_policy_content` text COLLATE utf8_unicode_ci,
  `refund_policy_content` text COLLATE utf8_unicode_ci,
  `term_policy_content` text COLLATE utf8_unicode_ci,
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `ip` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tours_page_category_id` (`package_category`) USING BTREE,
  KEY `tours_page_active` (`active`) USING BTREE,
  KEY `tours_page_featured` (`featured`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_category`
--

DROP TABLE IF EXISTS `tour_detail_to_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `package_category_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_departure`
--

DROP TABLE IF EXISTS `tour_detail_to_departure`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_departure` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `departure_date` date DEFAULT NULL,
  `departure_time` time DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_destinations`
--

DROP TABLE IF EXISTS `tour_detail_to_destinations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_destinations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_end_city`
--

DROP TABLE IF EXISTS `tour_detail_to_end_city`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_end_city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_inclusion`
--

DROP TABLE IF EXISTS `tour_detail_to_inclusion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_inclusion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `inclusion_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_start_city`
--

DROP TABLE IF EXISTS `tour_detail_to_start_city`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_start_city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_detail_to_theme`
--

DROP TABLE IF EXISTS `tour_detail_to_theme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_detail_to_theme` (
  `tour_theme_id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_detail_id` int(11) NOT NULL,
  `theme_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`tour_theme_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_fare`
--

DROP TABLE IF EXISTS `tour_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `currency_type_id` int(11) NOT NULL,
  `adult_price` varchar(5) NOT NULL,
  `child_price` varchar(5) NOT NULL,
  `infant_price` varchar(5) NOT NULL,
  `senior_citizen_price` varchar(5) NOT NULL,
  `is_guide_available` int(11) NOT NULL,
  `guide_lang` int(11) NOT NULL,
  `guide_cost` varchar(5) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=114 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_inclusion`
--

DROP TABLE IF EXISTS `tour_inclusion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_inclusion` (
  `tour_inclusion_id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_id` int(11) NOT NULL,
  `inclusion_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`tour_inclusion_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_page`
--

DROP TABLE IF EXISTS `tour_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_page` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_by` int(11) DEFAULT NULL,
  `package_type` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `tours_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_desc` longtext COLLATE utf8_unicode_ci,
  `tours_operator` int(11) DEFAULT NULL,
  `tours_type` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT '0',
  `state_id` int(11) DEFAULT '0',
  `area_id` int(11) DEFAULT '0',
  `post_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `starting_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ending_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `destination_cover` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `traveler_person` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `package_validity_from` date DEFAULT NULL,
  `package_validity_to` date DEFAULT NULL,
  `booking_validity_from` date DEFAULT NULL,
  `booking_validity_to` date DEFAULT NULL,
  `tour_type` tinyint(2) NOT NULL COMMENT '1-Private,2-Group Type',
  `tours_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `num_of_days` int(11) DEFAULT NULL,
  `num_of_nights` int(11) DEFAULT NULL,
  `rating` int(11) DEFAULT NULL,
  `inclusions` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `exclusions` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `package_category` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `package_specification` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_image_primary` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_image` text COLLATE utf8_unicode_ci,
  `tours_price` double DEFAULT NULL,
  `infant_price` double NOT NULL DEFAULT '0',
  `price_type` enum('person','package') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'package',
  `tours_date` datetime DEFAULT NULL,
  `tours_order` int(11) DEFAULT '0',
  `visiting_cities` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `related_items` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `featured` enum('0','1') COLLATE utf8_unicode_ci DEFAULT '0',
  `active` enum('1','0') COLLATE utf8_unicode_ci DEFAULT '1',
  `meta_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_desc` text COLLATE utf8_unicode_ci,
  `duration` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `costs_of_children` double DEFAULT NULL,
  `location_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `accommodates` int(11) DEFAULT NULL,
  `transportation` text COLLATE utf8_unicode_ci,
  `tour_policy` text COLLATE utf8_unicode_ci,
  `sightseeing` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Pickup_service` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `supplementary_room` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `drop_off_service` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `terms_and_condition` text COLLATE utf8_unicode_ci,
  `scheduled_on` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `spots_photo_gallery_primary` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `spots_photo_gallery` text COLLATE utf8_unicode_ci,
  `feature_google_map` text COLLATE utf8_unicode_ci,
  `tour_highlights` longtext COLLATE utf8_unicode_ci,
  `itinerary_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `itinerary_desc` longtext COLLATE utf8_unicode_ci,
  `available_expire_date` date DEFAULT '0000-00-00',
  `journey_start_date` date DEFAULT '0000-00-00',
  `entertainments` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `multilingual_guide` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_desc` longtext COLLATE utf8_unicode_ci,
  `lang_flag` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modify_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tours_page_title` (`tours_title`) USING BTREE,
  KEY `tours_page_category_id` (`package_category`) USING BTREE,
  KEY `tours_page_active` (`active`) USING BTREE,
  KEY `tours_page_featured` (`featured`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_theme`
--

DROP TABLE IF EXISTS `tour_theme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_theme` (
  `tour_theme_id` int(11) NOT NULL AUTO_INCREMENT,
  `tour_id` int(11) NOT NULL,
  `theme_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`tour_theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tour_type`
--

DROP TABLE IF EXISTS `tour_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tour_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tour_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tours_type_business_type` (`tour_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_calendar`
--

DROP TABLE IF EXISTS `tours_calendar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_calendar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tours_id` int(11) NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `available_status` int(11) NOT NULL,
  `entry_by` int(11) NOT NULL,
  `entry_date` datetime DEFAULT NULL,
  `modify_by` int(11) DEFAULT NULL,
  `modify_date` datetime DEFAULT NULL,
  `lang_flag` varchar(50) COLLATE utf8_unicode_ci DEFAULT 'en_US',
  PRIMARY KEY (`id`),
  KEY `tours_calendar_tour_id` (`tours_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_category`
--

DROP TABLE IF EXISTS `tours_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_by` int(11) DEFAULT NULL,
  `tour_category_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `category_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `category_thumb` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `category_desc` text COLLATE utf8_unicode_ci,
  `category_order` int(11) DEFAULT '0',
  `cat_date` datetime DEFAULT NULL,
  `modify_date` datetime DEFAULT '0000-00-00 00:00:00',
  `meta_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_desc` text COLLATE utf8_unicode_ci,
  `lang_flag` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tours_category_category_title` (`category_title`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_package_type`
--

DROP TABLE IF EXISTS `tours_package_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_package_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tour_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET latin1 NOT NULL,
  `lang_flag` varchar(250) COLLATE utf8_unicode_ci DEFAULT 'en_US',
  PRIMARY KEY (`id`),
  KEY `tours_type_business_type` (`tour_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_page`
--

DROP TABLE IF EXISTS `tours_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_page` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) DEFAULT '0',
  `created_by` int(11) DEFAULT NULL,
  `tours_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_operator` int(11) DEFAULT NULL,
  `tours_type` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT '0',
  `state_id` int(11) DEFAULT '0',
  `area_id` int(11) DEFAULT '0',
  `post_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `destination_cover` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `traveler_person` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `package_validity_from` date DEFAULT NULL,
  `package_validity_to` date DEFAULT NULL,
  `booking_validity_from` date DEFAULT NULL,
  `booking_validity_to` date DEFAULT NULL,
  `tour_type` tinyint(2) NOT NULL COMMENT '1-Private,2-Group Type',
  `tours_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `num_of_days` int(11) DEFAULT NULL,
  `num_of_nights` int(11) DEFAULT NULL,
  `rating` int(11) DEFAULT NULL,
  `tours_image_primary` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tours_image` text COLLATE utf8_unicode_ci,
  `tours_price` double DEFAULT NULL,
  `infant_price` double NOT NULL DEFAULT '0',
  `price_type` enum('person','package') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'package',
  `tours_desc` longtext COLLATE utf8_unicode_ci,
  `tours_date` datetime DEFAULT NULL,
  `tours_order` int(11) DEFAULT '0',
  `related_items` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `featured` enum('0','1') COLLATE utf8_unicode_ci DEFAULT '0',
  `active` enum('1','0') COLLATE utf8_unicode_ci DEFAULT '1',
  `meta_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_desc` text COLLATE utf8_unicode_ci,
  `duration` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `costs_of_children` double DEFAULT NULL,
  `location_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `accommodates` int(11) DEFAULT NULL,
  `transportation` text COLLATE utf8_unicode_ci,
  `inclusions` text COLLATE utf8_unicode_ci,
  `exclusions` text COLLATE utf8_unicode_ci,
  `ending_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `visiting_cities` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tour_policy` text COLLATE utf8_unicode_ci,
  `sightseeing` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Pickup_service` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `supplementary_room` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `drop_off_service` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `terms_and_condition` text COLLATE utf8_unicode_ci,
  `scheduled_on` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `spots_photo_gallery_primary` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `spots_photo_gallery` text COLLATE utf8_unicode_ci,
  `feature_google_map` text COLLATE utf8_unicode_ci,
  `tour_highlights` longtext COLLATE utf8_unicode_ci,
  `itinerary_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `itinerary_desc` longtext COLLATE utf8_unicode_ci,
  `available_expire_date` date DEFAULT '0000-00-00',
  `journey_start_date` date DEFAULT '0000-00-00',
  `entertainments` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `starting_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `multilingual_guide` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_desc` longtext COLLATE utf8_unicode_ci,
  `lang_flag` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modify_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tours_page_title` (`tours_title`) USING BTREE,
  KEY `tours_page_category_id` (`category_id`) USING BTREE,
  KEY `tours_page_active` (`active`) USING BTREE,
  KEY `tours_page_featured` (`featured`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_preferences`
--

DROP TABLE IF EXISTS `tours_preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_preferences` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `field_value` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tours_preference_name` (`field_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_saved`
--

DROP TABLE IF EXISTS `tours_saved`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_saved` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tours_id` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tours_type`
--

DROP TABLE IF EXISTS `tours_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tours_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tour_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET latin1 NOT NULL,
  `lang_flag` varchar(250) COLLATE utf8_unicode_ci DEFAULT 'en_US',
  PRIMARY KEY (`id`),
  KEY `tours_type_business_type` (`tour_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `traveller`
--

DROP TABLE IF EXISTS `traveller`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `traveller` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `UID` int(11) NOT NULL,
  `Booking_Id` int(11) NOT NULL,
  `Name` varchar(50) NOT NULL,
  `Mobile` int(11) NOT NULL,
  `Note` text NOT NULL,
  `CarType` varchar(50) NOT NULL,
  `BookingType` varchar(50) NOT NULL,
  `BookingDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `traveller_details`
--

DROP TABLE IF EXISTS `traveller_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `traveller_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `age` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_type_id` int(11) NOT NULL,
  `user_grade` varchar(5) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `company_id` int(11) DEFAULT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `first_name` varchar(20) NOT NULL,
  `last_name` varchar(20) NOT NULL,
  `email` varchar(100) NOT NULL,
  `mobile_prefix` varchar(10) DEFAULT NULL,
  `mobile` varchar(50) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `gender` enum('Male','Female') DEFAULT NULL,
  `nationality` int(11) DEFAULT '0',
  `wallet_amount` double(10,2) DEFAULT '0.00',
  `gcm_id` text,
  `login_status` int(11) NOT NULL DEFAULT '0',
  `login_time` datetime DEFAULT NULL,
  `logout_time` datetime DEFAULT NULL,
  `login_otp_status` tinyint(2) DEFAULT '1' COMMENT '0-Off otp winodow, 1- On otp window',
  `email_verified` int(11) NOT NULL DEFAULT '0',
  `phone_verified` int(11) NOT NULL DEFAULT '0',
  `referral_key` varchar(50) DEFAULT NULL,
  `refer_by` varchar(50) DEFAULT NULL,
  `is_active` tinyint(2) DEFAULT '4' COMMENT '4-Inactive,1-Active,2-OnHold,3-Blacklist,5-unapproved',
  `duty_status` tinyint(2) NOT NULL DEFAULT '0',
  `newsletter_subscription` tinyint(2) NOT NULL DEFAULT '0',
  `mobile_promotion` tinyint(2) NOT NULL DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `signup_status` tinyint(2) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=740 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_2018-03-20`
--

DROP TABLE IF EXISTS `user_2018-03-20`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_2018-03-20` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `user_type` int(11) NOT NULL,
  `is_verified` int(121) NOT NULL,
  `login_status` int(11) NOT NULL,
  `is_active` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL,
  `login_name` varchar(120) NOT NULL,
  `user_no` varchar(255) DEFAULT NULL,
  `password` varchar(111) NOT NULL,
  `amount` int(111) NOT NULL,
  `latitude` varchar(50) NOT NULL,
  `longtitude` varchar(50) NOT NULL,
  `user_image` text NOT NULL,
  `imei` varchar(20) NOT NULL,
  `msisdn` varchar(20) NOT NULL,
  `create_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `login_time` datetime NOT NULL,
  `logout_time` datetime NOT NULL,
  `last_booking` datetime NOT NULL,
  `gcm_id` text NOT NULL,
  `recvia` varchar(50) NOT NULL,
  `rating` int(11) NOT NULL,
  `app_rating` int(11) NOT NULL,
  `polling_time` datetime NOT NULL,
  `token` varchar(150) DEFAULT NULL,
  `role_id` int(11) NOT NULL,
  `otp` varchar(50) NOT NULL,
  `referral_key` varchar(50) NOT NULL,
  `refer_by` varchar(50) NOT NULL,
  `is_markup` int(11) NOT NULL,
  `signup_status` enum('1','2','3','4','5','6','7','8') NOT NULL DEFAULT '8',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_altno_tracking`
--

DROP TABLE IF EXISTS `user_altno_tracking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_altno_tracking` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `alt_no` varchar(15) NOT NULL,
  `status` varchar(5) NOT NULL DEFAULT 'false',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`,`alt_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_assign_module`
--

DROP TABLE IF EXISTS `user_assign_module`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_assign_module` (
  `assign_module_id` int(11) NOT NULL AUTO_INCREMENT,
  `assign_role_id` int(11) NOT NULL,
  `module_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`assign_module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_assign_role`
--

DROP TABLE IF EXISTS `user_assign_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_assign_role` (
  `assign_role_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  `department_id` int(11) DEFAULT NULL,
  `created_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`assign_role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_basic_fare_settings`
--

DROP TABLE IF EXISTS `user_basic_fare_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_basic_fare_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT '0',
  `rounding` tinyint(4) NOT NULL COMMENT '1-Cash,2-Account / Credit Card',
  `level` tinyint(4) NOT NULL COMMENT '1-Normal,2-Decimal,3-Unit',
  `direction` tinyint(4) NOT NULL COMMENT '1-Nearest,2-Upward,3-Downward',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_booking_type_mapping`
--

DROP TABLE IF EXISTS `user_booking_type_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_booking_type_mapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `master_package_id` int(11) DEFAULT NULL COMMENT 'company table auto id',
  `master_package_mode_id` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1 COMMENT='need to be delete, Duplicate enty add in company table';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_cancellation_fare`
--

DROP TABLE IF EXISTS `user_cancellation_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_cancellation_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `cancellation_master_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `cancellation_type` varchar(10) NOT NULL,
  `cancellation_value` float NOT NULL DEFAULT '0',
  `round_off` int(11) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `days` varchar(10) NOT NULL DEFAULT '0',
  `hours` varchar(10) NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_cancellation_fare_logs`
--

DROP TABLE IF EXISTS `user_cancellation_fare_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_cancellation_fare_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `cancellation_master_id` int(11) NOT NULL,
  `cancellation_type` varchar(10) NOT NULL,
  `cancellation_value` float NOT NULL DEFAULT '0',
  `round_off` int(11) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_company_mapping`
--

DROP TABLE IF EXISTS `user_company_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_company_mapping` (
  `user_company_mapp_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `company_info_id` int(11) NOT NULL COMMENT 'company table auto id',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`user_company_mapp_id`)
) ENGINE=InnoDB AUTO_INCREMENT=74 DEFAULT CHARSET=latin1 COMMENT='need to be delete, Duplicate enty add in company table';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_company_share`
--

DROP TABLE IF EXISTS `user_company_share`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_company_share` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL,
  `share_type_id` tinyint(4) NOT NULL COMMENT '1-company,2-Partner,3-Driver',
  `share_value_type` tinyint(4) NOT NULL COMMENT '1-%,2-Rs',
  `share_value` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_company_share_logs`
--

DROP TABLE IF EXISTS `user_company_share_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_company_share_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `share_type_id` tinyint(4) NOT NULL COMMENT '1-company,2-Partner,3-Driver',
  `share_value_type` tinyint(4) NOT NULL COMMENT '1-%,2-Rs',
  `share_value` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `user_credit_balance`
--

DROP TABLE IF EXISTS `user_credit_balance`;
/*!50001 DROP VIEW IF EXISTS `user_credit_balance`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `user_credit_balance` AS SELECT 
 1 AS `id`,
 1 AS `username`,
 1 AS `email`,
 1 AS `mobile`,
 1 AS `is_active`,
 1 AS `user_type_id`,
 1 AS `user_type`,
 1 AS `from_date`,
 1 AS `to_date`,
 1 AS `credit_limit_amount`,
 1 AS `booking_amount`,
 1 AS `credit_balance`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user_credit_limit`
--

DROP TABLE IF EXISTS `user_credit_limit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_credit_limit` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `credit_limit_amount` double(11,2) NOT NULL,
  `from_date` date DEFAULT NULL,
  `to_date` date DEFAULT NULL,
  `created_date` date NOT NULL,
  `modifed_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `approved_by` int(11) NOT NULL DEFAULT '0',
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `modified_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `approved_status` tinyint(2) NOT NULL DEFAULT '0',
  `ip` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_current_location`
--

DROP TABLE IF EXISTS `user_current_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_current_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT '0',
  `current_latitude` varchar(100) DEFAULT '0',
  `current_longitude` varchar(100) DEFAULT '0',
  `distance` float NOT NULL DEFAULT '0',
  `datetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3222305 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_domain_package`
--

DROP TABLE IF EXISTS `user_domain_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_domain_package` (
  `domain_package_id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_register_id` int(11) NOT NULL,
  `package_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `ip` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`domain_package_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_domain_register`
--

DROP TABLE IF EXISTS `user_domain_register`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_domain_register` (
  `domain_register_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_license_id` int(11) NOT NULL,
  `domain_name` varchar(255) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`domain_register_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_duty_pref`
--

DROP TABLE IF EXISTS `user_duty_pref`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_duty_pref` (
  `user_duty_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `package_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active,2-Deleted',
  PRIMARY KEY (`user_duty_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1415 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_extras`
--

DROP TABLE IF EXISTS `user_extras`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_extras` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `extras_master_id` varchar(100) NOT NULL,
  `extra_value_type` varchar(10) DEFAULT NULL COMMENT '%, Rs',
  `extra_value` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_extras_logs`
--

DROP TABLE IF EXISTS `user_extras_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_extras_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `extras_master_id` varchar(100) NOT NULL,
  `extra_value_type` varchar(10) DEFAULT NULL COMMENT '%, Rs',
  `extra_value` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_fix_route`
--

DROP TABLE IF EXISTS `user_fix_route`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_fix_route` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `frequent_location` varchar(30) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_fix_route_logs`
--

DROP TABLE IF EXISTS `user_fix_route_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_fix_route_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `frequent_location` varchar(30) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_grade`
--

DROP TABLE IF EXISTS `user_grade`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_grade` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grade_name` varchar(255) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_info`
--

DROP TABLE IF EXISTS `user_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `alternate_mobile` varchar(20) COLLATE latin1_general_cs DEFAULT NULL,
  `alternate_email` varchar(111) COLLATE latin1_general_cs DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `state_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `father_name` varchar(100) COLLATE latin1_general_cs DEFAULT NULL,
  `address` text COLLATE latin1_general_cs,
  `address2` varchar(100) COLLATE latin1_general_cs DEFAULT NULL,
  `pincode` int(11) DEFAULT NULL,
  `landline_number` varchar(111) COLLATE latin1_general_cs DEFAULT NULL,
  `gst_registration_number` varchar(100) COLLATE latin1_general_cs DEFAULT NULL,
  `kyc_type` int(11) DEFAULT NULL,
  `kyc` varchar(25) COLLATE latin1_general_cs DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`) USING BTREE,
  CONSTRAINT `user_info_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=734 DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_info_2018-03-20`
--

DROP TABLE IF EXISTS `user_info_2018-03-20`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_info_2018-03-20` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL,
  `first_name` varchar(20) CHARACTER SET latin1 NOT NULL,
  `last_name` varchar(20) CHARACTER SET latin1 NOT NULL,
  `email` varchar(111) CHARACTER SET latin1 NOT NULL,
  `mobile_no` bigint(111) NOT NULL,
  `nationality` set('Indian','Non-Inidan') COLLATE latin1_general_cs NOT NULL,
  `alternate_contact_no` varchar(15) COLLATE latin1_general_cs NOT NULL,
  `alt_email` varchar(111) COLLATE latin1_general_cs NOT NULL,
  `language` varchar(100) COLLATE latin1_general_cs NOT NULL,
  `country` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `state` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `city` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `address1` varchar(100) COLLATE latin1_general_cs NOT NULL,
  `address2` varchar(100) COLLATE latin1_general_cs NOT NULL,
  `pincode` varchar(15) COLLATE latin1_general_cs NOT NULL,
  `contact_no` varchar(15) COLLATE latin1_general_cs NOT NULL,
  `company_id` varchar(10) COLLATE latin1_general_cs NOT NULL,
  `role_id` int(11) NOT NULL,
  `landline_no` varchar(111) COLLATE latin1_general_cs NOT NULL,
  `image` text COLLATE latin1_general_cs NOT NULL,
  `vehicle_image` text COLLATE latin1_general_cs NOT NULL,
  `status` varchar(5) COLLATE latin1_general_cs NOT NULL,
  `bank_account_name` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `acount_holder` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `bank_adds` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `account_no` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `rtgs_neft` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `ibn` varchar(50) COLLATE latin1_general_cs NOT NULL,
  `gst` set('none','Yes','No') COLLATE latin1_general_cs NOT NULL,
  `gst_registration_number` varchar(256) COLLATE latin1_general_cs NOT NULL,
  `gst_registered_company_name` varchar(256) COLLATE latin1_general_cs NOT NULL,
  `gender` set('none','Male','Female','') COLLATE latin1_general_cs NOT NULL,
  PRIMARY KEY (`id`),
  KEY `UID` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_ip_location`
--

DROP TABLE IF EXISTS `user_ip_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_ip_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(50) DEFAULT NULL,
  `city` varchar(50) DEFAULT NULL,
  `region` varchar(50) DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `lat` varchar(50) DEFAULT NULL,
  `log` varchar(50) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='User Ip address get location and store ';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_language`
--

DROP TABLE IF EXISTS `user_language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_language` (
  `user_lang_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `language_type` enum('Read','Write','Speak') DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`user_lang_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1247 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_license`
--

DROP TABLE IF EXISTS `user_license`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_license` (
  `user_license_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `owner_name` varchar(255) NOT NULL,
  `owner_email` varchar(225) NOT NULL,
  `owner_mobile` varchar(15) NOT NULL,
  `owner_address` text,
  `license_key` varchar(255) NOT NULL,
  `license_start_date` date DEFAULT NULL,
  `license_end_date` date DEFAULT NULL,
  `no_of_domain` int(11) DEFAULT NULL,
  `package_id` int(11) NOT NULL,
  `license_option` varchar(50) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `ip` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`user_license_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_location`
--

DROP TABLE IF EXISTS `user_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT '0',
  `lat` varchar(100) DEFAULT '0',
  `longi` varchar(100) DEFAULT '0',
  `datetime` timestamp NULL DEFAULT NULL,
  `distance` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_markup`
--

DROP TABLE IF EXISTS `user_markup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_markup` (
  `user_markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `country_id` int(11) NOT NULL,
  `state_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `booking_type_id` int(11) NOT NULL,
  `vehicle_type_id` int(3) NOT NULL,
  `basic_amt` int(5) NOT NULL,
  `per_km_rate` int(2) NOT NULL,
  `per_hr_rate` int(2) NOT NULL,
  `markup_type_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`user_markup_id`),
  KEY `user_id` (`state_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_membership`
--

DROP TABLE IF EXISTS `user_membership`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_membership` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `subpackage_id` int(11) NOT NULL DEFAULT '1',
  `membership_status` int(11) NOT NULL,
  `package_start_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `package_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `profile_view` int(11) NOT NULL DEFAULT '0',
  `contact_view` int(11) NOT NULL DEFAULT '0',
  `send_request` int(11) NOT NULL DEFAULT '0',
  `is_active` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_night_charge`
--

DROP TABLE IF EXISTS `user_night_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_night_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `night_rate_begins` time NOT NULL DEFAULT '00:00:00',
  `night_rate_ends` time NOT NULL DEFAULT '00:00:00',
  `night_rate_type` varchar(10) DEFAULT NULL COMMENT '1-%,2-Rs',
  `night_rate_value` varchar(10) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` date NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_night_charge_logs`
--

DROP TABLE IF EXISTS `user_night_charge_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_night_charge_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL COMMENT 'base_vehicle_type(table Auto id)',
  `vendor_id` int(11) NOT NULL DEFAULT '0',
  `night_rate_begins` time NOT NULL DEFAULT '00:00:00',
  `night_rate_ends` time NOT NULL DEFAULT '00:00:00',
  `night_rate_type` varchar(10) DEFAULT NULL COMMENT '1-%,2-Rs',
  `night_rate_value` varchar(10) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` date NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_payment_type`
--

DROP TABLE IF EXISTS `user_payment_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_payment_type` (
  `user_payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `payment_type_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`user_payment_id`)
) ENGINE=InnoDB AUTO_INCREMENT=679 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_peak_time_charge`
--

DROP TABLE IF EXISTS `user_peak_time_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_peak_time_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `peaktime_type` varchar(10) NOT NULL DEFAULT '%',
  `peaktime_value` int(5) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('1','0') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_peak_time_charge_logs`
--

DROP TABLE IF EXISTS `user_peak_time_charge_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_peak_time_charge_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `peaktime_type` varchar(10) NOT NULL DEFAULT '%',
  `peaktime_value` int(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('1','0') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_postalcode_fare`
--

DROP TABLE IF EXISTS `user_postalcode_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_postalcode_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `pickup_postcode` text NOT NULL,
  `drop_postcode` text NOT NULL,
  `price` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=95 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_postalcode_fare_logs`
--

DROP TABLE IF EXISTS `user_postalcode_fare_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_postalcode_fare_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `pickup_postcode` text NOT NULL,
  `drop_postcode` text NOT NULL,
  `price` varchar(10) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_pre_waiting_charge`
--

DROP TABLE IF EXISTS `user_pre_waiting_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_pre_waiting_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `pre_waiting_upto_minutes` text NOT NULL,
  `pre_waiting_fees` varchar(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_pre_waiting_charge_logs`
--

DROP TABLE IF EXISTS `user_pre_waiting_charge_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_pre_waiting_charge_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `pre_waiting_upto_minutes` text NOT NULL,
  `pre_waiting_fees` varchar(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_pref_drive_city`
--

DROP TABLE IF EXISTS `user_pref_drive_city`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_pref_drive_city` (
  `user_drive_city_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`user_drive_city_id`)
) ENGINE=InnoDB AUTO_INCREMENT=820 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_premiums_fare`
--

DROP TABLE IF EXISTS `user_premiums_fare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_premiums_fare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `premiums_type` varchar(10) NOT NULL COMMENT '1-%,2-Rs',
  `premiums_value` varchar(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_premiums_fare_logs`
--

DROP TABLE IF EXISTS `user_premiums_fare_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_premiums_fare_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `premiums_type` varchar(10) NOT NULL COMMENT '1-%,2-Rs',
  `premiums_value` varchar(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` enum('1','0') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_rating`
--

DROP TABLE IF EXISTS `user_rating`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_rating` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `BookingId` int(11) DEFAULT NULL,
  `DriverId` int(11) DEFAULT NULL,
  `UserId` int(11) DEFAULT NULL,
  `Rating` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `BookingId` (`BookingId`)
) ENGINE=InnoDB AUTO_INCREMENT=133 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_relation_manager`
--

DROP TABLE IF EXISTS `user_relation_manager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_relation_manager` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `staff_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `ip` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_role`
--

DROP TABLE IF EXISTS `user_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_role` (
  `Role_ID` int(11) NOT NULL AUTO_INCREMENT,
  `role_type` int(11) NOT NULL,
  `RoleName` varchar(50) NOT NULL,
  `CreatedBy` int(11) NOT NULL DEFAULT '0' COMMENT 'User ID from User Table',
  `ModifiedDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `IsDeleted` tinyint(1) NOT NULL DEFAULT '0',
  `IsApproved` tinyint(1) NOT NULL DEFAULT '0',
  `IsActive` int(11) NOT NULL DEFAULT '1' COMMENT '1=Active,2=InActive',
  `ApprovedBy` int(11) NOT NULL DEFAULT '0' COMMENT 'UID',
  `RoleDescription` varchar(200) NOT NULL,
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`Role_ID`),
  KEY `role_type` (`role_type`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_transaction`
--

DROP TABLE IF EXISTS `user_transaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_transaction` (
  `booking_trans_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_id` int(11) NOT NULL,
  `payment_upload_id` int(11) DEFAULT '0',
  `payment_response_id` int(11) DEFAULT NULL COMMENT 'payment_transaction_response auto id',
  `booking_transaction_no` varchar(150) DEFAULT NULL COMMENT 'comnpany generated tranasction no',
  `action_type` varchar(50) DEFAULT NULL,
  `amount` double(10,2) NOT NULL,
  `current_balance` double(10,2) DEFAULT '0.00',
  `payment_type_id` tinyint(1) DEFAULT NULL COMMENT 'Cash,Credit,Cheque etc...',
  `payment_status` tinyint(2) DEFAULT NULL COMMENT '1-Success,2-Failed',
  `created_date` date NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `status` varchar(50) DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`booking_trans_id`)
) ENGINE=InnoDB AUTO_INCREMENT=293 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_upload_document`
--

DROP TABLE IF EXISTS `user_upload_document`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_upload_document` (
  `upload_doc_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `document_type_id` int(11) NOT NULL,
  `doc_file_upload` text NOT NULL,
  `doc_approval_status` tinyint(2) NOT NULL DEFAULT '0',
  `doc_default_status` tinyint(2) NOT NULL DEFAULT '0',
  `status` tinyint(4) NOT NULL DEFAULT '0',
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`upload_doc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1789 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_vehicle_mapping`
--

DROP TABLE IF EXISTS `user_vehicle_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_vehicle_mapping` (
  `user_vehicle_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `vehicle_master_id` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active',
  PRIMARY KEY (`user_vehicle_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=305 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_waiting_charge`
--

DROP TABLE IF EXISTS `user_waiting_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_waiting_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `booking_type` int(11) NOT NULL DEFAULT '0',
  `waiting_minute_upto` varchar(5) NOT NULL,
  `waiting_fees` varchar(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_waiting_charge_logs`
--

DROP TABLE IF EXISTS `user_waiting_charge_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_waiting_charge_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `waiting_minute_upto` varchar(5) NOT NULL,
  `waiting_fees` varchar(5) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_wallet_transaction`
--

DROP TABLE IF EXISTS `user_wallet_transaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_wallet_transaction` (
  `wallet_trans_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `amount` double(10,2) NOT NULL,
  `expiry_date` date NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`wallet_trans_id`)
) ENGINE=InnoDB AUTO_INCREMENT=111 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_weekoff_mapping`
--

DROP TABLE IF EXISTS `user_weekoff_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_weekoff_mapping` (
  `user_weekoff_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `week_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modify_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_weekoff_id`)
) ENGINE=InnoDB AUTO_INCREMENT=218 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_workingshift_mapping`
--

DROP TABLE IF EXISTS `user_workingshift_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_workingshift_mapping` (
  `user_workingshift_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `working_shift_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modify_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_workingshift_id`)
) ENGINE=InnoDB AUTO_INCREMENT=546 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `usertype_module`
--

DROP TABLE IF EXISTS `usertype_module`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usertype_module` (
  `rule_id` int(11) NOT NULL AUTO_INCREMENT,
  `usertype_id` int(11) NOT NULL,
  `module_id` int(11) NOT NULL,
  `is_read` tinyint(2) DEFAULT NULL,
  `is_write` tinyint(2) DEFAULT NULL,
  `is_delete` int(11) NOT NULL,
  `order_menu` int(11) DEFAULT '0',
  `created_by` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`rule_id`)
) ENGINE=InnoDB AUTO_INCREMENT=743 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vehicle_amenities`
--

DROP TABLE IF EXISTS `vehicle_amenities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vehicle_amenities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vehicle_master_id` int(11) NOT NULL,
  `amenities_id` int(11) NOT NULL,
  `created_date` date NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=312 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vehicle_master`
--

DROP TABLE IF EXISTS `vehicle_master`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vehicle_master` (
  `vehicle_master_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `model` varchar(255) DEFAULT NULL,
  `ignition_type_id` int(11) DEFAULT NULL,
  `permit_exp_date` date DEFAULT NULL,
  `color` varchar(255) DEFAULT NULL,
  `vehicle_no` varchar(50) DEFAULT NULL,
  `rc_no` varchar(50) DEFAULT NULL,
  `vehicle_owner_type` enum('Owned','Attached') DEFAULT 'Owned',
  `vehicle_owner_name` varchar(100) DEFAULT NULL,
  `vehicle_owner_mobile` varchar(15) DEFAULT NULL,
  `passenger` tinyint(4) DEFAULT '0',
  `large_suitcase` tinyint(2) DEFAULT '0',
  `small_suitcase` tinyint(2) DEFAULT '0',
  `insurance_validity` date DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '0-unpublish,1-publish,2-delete',
  PRIMARY KEY (`vehicle_master_id`)
) ENGINE=InnoDB AUTO_INCREMENT=316 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vendor`
--

DROP TABLE IF EXISTS `vendor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vendor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `UID` int(11) NOT NULL,
  `vendor_name` varchar(50) NOT NULL,
  `vendor_email` varchar(50) NOT NULL,
  `group_name` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vendor_charges`
--

DROP TABLE IF EXISTS `vendor_charges`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vendor_charges` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `BookingID` int(11) NOT NULL COMMENT 'Reference for Booking Register',
  `waitingCharge` varchar(50) NOT NULL COMMENT 'Charges to be paid',
  `tripCharge` float NOT NULL COMMENT 'Reason for charge',
  `minimumCharge` int(11) NOT NULL COMMENT 'Driver/csr',
  `totalBill` double NOT NULL,
  `AddedTime` datetime NOT NULL COMMENT 'Server Time',
  `is_paid` int(11) NOT NULL,
  `balance_amt` double(10,2) NOT NULL DEFAULT '0.00',
  `paid_at` datetime NOT NULL,
  `currency` varchar(11) NOT NULL,
  `invoice_number` varchar(100) DEFAULT NULL,
  `payment_type` varchar(20) NOT NULL,
  `fees` int(11) NOT NULL,
  `total_price` int(11) NOT NULL,
  `total_tax_price` int(11) NOT NULL,
  `distance_rate` int(11) NOT NULL,
  `duration_rate` int(11) NOT NULL,
  `starting_rate` int(11) NOT NULL,
  `base_price` int(11) NOT NULL,
  `tax_price` int(11) NOT NULL,
  `starting_charge` int(11) NOT NULL,
  `distance_charge` int(11) NOT NULL,
  `duration_charge` int(11) NOT NULL,
  `minimum_distance` int(11) NOT NULL,
  `cancellation_price` int(11) NOT NULL,
  `minimum_price` int(11) DEFAULT NULL,
  `extracharges` int(11) NOT NULL,
  `nightcharge_unit` varchar(10) NOT NULL,
  `nightcharge` varchar(5) NOT NULL,
  `nightcharge_price` varchar(5) NOT NULL,
  `night_rate_begins` varchar(5) NOT NULL,
  `night_rate_ends` varchar(5) NOT NULL,
  `extras` text NOT NULL,
  `extraPrice` int(11) NOT NULL,
  `peakTimePrice` int(11) NOT NULL,
  `peaktimeFrom` time NOT NULL,
  `peaktimeTo` time NOT NULL,
  `peaktimepercentage` varchar(3) NOT NULL,
  `basic_tax` varchar(5) NOT NULL,
  `basic_tax_type` varchar(10) NOT NULL,
  `basic_tax_price` varchar(5) NOT NULL,
  `pre_waiting_time` time NOT NULL,
  `pre_waiting_charge` int(11) NOT NULL,
  `waiting_time` time NOT NULL,
  `waiting_charge` int(11) NOT NULL,
  `estimated_price_before_markup` int(11) NOT NULL,
  `markup_type` varchar(5) NOT NULL,
  `markup_value` int(11) NOT NULL,
  `markup_price` int(11) NOT NULL,
  `driver_share_amt` int(11) NOT NULL,
  `comp_share_amt` int(11) NOT NULL,
  `partner_share_amt` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `BookingID` (`BookingID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vendor_markup`
--

DROP TABLE IF EXISTS `vendor_markup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vendor_markup` (
  `vendor_markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL,
  `base_comb_id` int(11) DEFAULT NULL,
  `markup_category` int(11) DEFAULT NULL COMMENT '1-user,2-Booking Type,3-Country,4-City',
  `mark_amt_type` varchar(10) DEFAULT NULL COMMENT '''%'',''Rs''',
  `basic_amt` int(5) NOT NULL,
  `per_km_rate` int(2) NOT NULL,
  `per_hr_rate` int(2) NOT NULL,
  `markup_type_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`vendor_markup_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vendor_status`
--

DROP TABLE IF EXISTS `vendor_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vendor_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `booking_id` int(11) NOT NULL DEFAULT '0',
  `vendor_status` int(11) NOT NULL DEFAULT '0',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `started_time` time DEFAULT NULL,
  `estimated_end_time` time DEFAULT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `view_booking_charge`
--

DROP TABLE IF EXISTS `view_booking_charge`;
/*!50001 DROP VIEW IF EXISTS `view_booking_charge`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `view_booking_charge` AS SELECT 
 1 AS `id`,
 1 AS `BookingID`,
 1 AS `waitingCharge`,
 1 AS `tripCharge`,
 1 AS `minimumCharge`,
 1 AS `totalBill`,
 1 AS `AddedTime`,
 1 AS `is_paid`,
 1 AS `billing_status`,
 1 AS `paid_at`,
 1 AS `currency`,
 1 AS `booking_invoice_id`,
 1 AS `invoice_number`,
 1 AS `payment_type`,
 1 AS `fees`,
 1 AS `total_price`,
 1 AS `total_tax_price`,
 1 AS `distance_rate`,
 1 AS `duration_rate`,
 1 AS `starting_rate`,
 1 AS `base_price`,
 1 AS `tax_price`,
 1 AS `starting_charge`,
 1 AS `distance_charge`,
 1 AS `duration_charge`,
 1 AS `minimum_distance`,
 1 AS `cancellation_price`,
 1 AS `companyshare`,
 1 AS `drivershare`,
 1 AS `partnershare`,
 1 AS `minimum_price`,
 1 AS `extracharges`,
 1 AS `nightcharge_unit`,
 1 AS `nightcharge`,
 1 AS `nightcharge_price`,
 1 AS `night_rate_begins`,
 1 AS `night_rate_ends`,
 1 AS `extras`,
 1 AS `extraPrice`,
 1 AS `peakTimePrice`,
 1 AS `peak_time_value`,
 1 AS `basic_tax`,
 1 AS `basic_tax_type`,
 1 AS `basic_tax_price`,
 1 AS `pre_waiting_time`,
 1 AS `pre_waiting_charge`,
 1 AS `waiting_time`,
 1 AS `waiting_charge`,
 1 AS `igst_tax`,
 1 AS `cgst_tax`,
 1 AS `sgst_tax`,
 1 AS `estimated_price_before_markup`,
 1 AS `markup_type`,
 1 AS `markup_value`,
 1 AS `markup_price`,
 1 AS `driver_share_amt`,
 1 AS `comp_share_amt`,
 1 AS `partner_share_amt`,
 1 AS `reference_number`,
 1 AS `user_id`,
 1 AS `user_type_id`,
 1 AS `email`,
 1 AS `mobile`,
 1 AS `address`,
 1 AS `pincode`,
 1 AS `landline_number`,
 1 AS `gst_registration_number`,
 1 AS `pancard_no`,
 1 AS `user_type`,
 1 AS `username`,
 1 AS `client_id`,
 1 AS `client_name`,
 1 AS `package_name`,
 1 AS `package_mode`,
 1 AS `outstation_module_type`,
 1 AS `estimateprice_before_discount`,
 1 AS `discount_price`,
 1 AS `estimated_final_price`,
 1 AS `approx_distance_charge`,
 1 AS `approx_after_km`,
 1 AS `approx_waiting_charge`,
 1 AS `approx_waiting_minute`,
 1 AS `vehicle_name`,
 1 AS `vehicle_type`,
 1 AS `actual_distance`,
 1 AS `actual_time`,
 1 AS `booking_amt_paid`,
 1 AS `booking_amt_balance`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `view_company_vendor_driver`
--

DROP TABLE IF EXISTS `view_company_vendor_driver`;
/*!50001 DROP VIEW IF EXISTS `view_company_vendor_driver`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `view_company_vendor_driver` AS SELECT 
 1 AS `id`,
 1 AS `user_type_id`,
 1 AS `user_type`,
 1 AS `first_name`,
 1 AS `last_name`,
 1 AS `email`,
 1 AS `mobile`,
 1 AS `parent_id`,
 1 AS `company_id`,
 1 AS `is_active`,
 1 AS `com_name`,
 1 AS `child_user_id`,
 1 AS `child_name`,
 1 AS `child_email`,
 1 AS `child_mobile`,
 1 AS `child_usertype_id`,
 1 AS `child_user_type`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `view_driver_vehicle_map`
--

DROP TABLE IF EXISTS `view_driver_vehicle_map`;
/*!50001 DROP VIEW IF EXISTS `view_driver_vehicle_map`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `view_driver_vehicle_map` AS SELECT 
 1 AS `user_id`,
 1 AS `gcm_id`,
 1 AS `driver_name`,
 1 AS `company_id`,
 1 AS `vendor_id`,
 1 AS `mobile`,
 1 AS `email`,
 1 AS `state_name`,
 1 AS `state_id`,
 1 AS `city_name`,
 1 AS `city_id`,
 1 AS `driver_status`,
 1 AS `mapping_id`,
 1 AS `vehicle_type`,
 1 AS `vehicle_type_color`,
 1 AS `vehicle_type_id`,
 1 AS `vehicle_name`,
 1 AS `vehicle_model_id`,
 1 AS `vehicle_color`,
 1 AS `vehicle_master_id`,
 1 AS `created_by`,
 1 AS `vehicle_no`,
 1 AS `model_year`,
 1 AS `color`,
 1 AS `vehicle_owner_type`,
 1 AS `owner_name`,
 1 AS `owner_mobile`,
 1 AS `permit_expiry_date`,
 1 AS `passenger`,
 1 AS `large_suitcase`,
 1 AS `small_suitcase`,
 1 AS `fuel_type`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `view_vehicle_fare_details`
--

DROP TABLE IF EXISTS `view_vehicle_fare_details`;
/*!50001 DROP VIEW IF EXISTS `view_vehicle_fare_details`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `view_vehicle_fare_details` AS SELECT 
 1 AS `base_combination_id`,
 1 AS `bs_status`,
 1 AS `company_id`,
 1 AS `vendor_id`,
 1 AS `company_setup_name`,
 1 AS `country_id`,
 1 AS `country_name`,
 1 AS `state_id`,
 1 AS `state_name`,
 1 AS `city_id`,
 1 AS `city_name`,
 1 AS `master_package_id`,
 1 AS `package_name`,
 1 AS `master_package_mode_id`,
 1 AS `package_mode`,
 1 AS `date_from`,
 1 AS `date_to`,
 1 AS `rate_type`,
 1 AS `rate_value`,
 1 AS `week_days`,
 1 AS `vendor_name`,
 1 AS `client_name`,
 1 AS `vehicle_type`,
 1 AS `dispatch_location_id`,
 1 AS `user_id`,
 1 AS `base_comb_id`,
 1 AS `type_of_dispatch`,
 1 AS `garage_type`,
 1 AS `address`,
 1 AS `city`,
 1 AS `pincode`,
 1 AS `created_date`,
 1 AS `created_by`,
 1 AS `status`,
 1 AS `distance_minimum_charge`,
 1 AS `distance_minimum_distance`,
 1 AS `distance_per_km_charge`,
 1 AS `hourly_minimum_charge`,
 1 AS `hourly_minimum_hrs`,
 1 AS `hourly_per_hr_charge`,
 1 AS `dist_waiting_minimum_charge`,
 1 AS `dist_waiting_minimum_distance`,
 1 AS `dist_waiting_per_km_charge`,
 1 AS `dist_waiting_waiting_fees`,
 1 AS `dist_hour_minimum_charge`,
 1 AS `dist_hour_minimum_distance`,
 1 AS `dist_hour_minimum_hrs`,
 1 AS `dist_hour_per_km_charge`,
 1 AS `dist_hour_per_hr_charge`,
 1 AS `company_share_type`,
 1 AS `company_share`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `view_wallet_point`
--

DROP TABLE IF EXISTS `view_wallet_point`;
/*!50001 DROP VIEW IF EXISTS `view_wallet_point`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `view_wallet_point` AS SELECT 
 1 AS `user_id`,
 1 AS `username`,
 1 AS `referral_key`,
 1 AS `referal_id`,
 1 AS `referal_by`,
 1 AS `user_amount`,
 1 AS `referer_amount`,
 1 AS `created`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `voucher`
--

DROP TABLE IF EXISTS `voucher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `voucher` (
  `voucher_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `voucher_type` int(11) NOT NULL,
  `voucher_no_auto` varchar(50) NOT NULL,
  `voucher_no` varchar(50) NOT NULL COMMENT 'Manual voucher id ',
  `voucher_date` date NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`voucher_id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `voucher_detail`
--

DROP TABLE IF EXISTS `voucher_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `voucher_detail` (
  `voucher_detail_id` int(11) NOT NULL AUTO_INCREMENT,
  `voucher_id` int(11) NOT NULL,
  `booking_charge_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`voucher_detail_id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `waiting_charge`
--

DROP TABLE IF EXISTS `waiting_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `waiting_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `base_vehicle_id` int(11) NOT NULL,
  `waiting_minute_upto` varchar(5) NOT NULL,
  `waiting_fees` varchar(5) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `wallet_point_conversion`
--

DROP TABLE IF EXISTS `wallet_point_conversion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wallet_point_conversion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `master_package_id` int(11) DEFAULT NULL,
  `user_type_id` int(11) DEFAULT NULL,
  `user_grade_id` int(11) DEFAULT NULL,
  `points` int(11) DEFAULT NULL,
  `conversion_rate` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '0-Inactive,1-Active,2-Deleted',
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `web_admin`
--

DROP TABLE IF EXISTS `web_admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `web_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(200) NOT NULL,
  `full_name` varchar(255) NOT NULL,
  `mobile_no` varchar(15) NOT NULL,
  `email` varchar(100) NOT NULL,
  `address` text NOT NULL,
  `country` int(11) NOT NULL,
  `state` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `pincode` varchar(6) NOT NULL,
  `role_type` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  `IsActive` int(11) NOT NULL DEFAULT '1' COMMENT '1=Active,2=InActive',
  `region` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `manage_jobs` tinyint(4) NOT NULL,
  `manage_client` tinyint(4) NOT NULL,
  `manage_driver` tinyint(4) NOT NULL,
  `manage_driver_groups` tinyint(4) NOT NULL,
  `manage_tracking` tinyint(4) NOT NULL,
  `manage_complaint` tinyint(4) NOT NULL,
  `manage_fair` tinyint(4) NOT NULL,
  `manage_reports` tinyint(4) NOT NULL,
  `manage_promotion` tinyint(4) NOT NULL,
  `manage_device` tinyint(4) NOT NULL,
  `manage_vehicle` tinyint(4) NOT NULL,
  `manage_enquiry` tinyint(4) NOT NULL,
  `manage_role` tinyint(4) NOT NULL,
  `manage_user` tinyint(4) NOT NULL,
  `mange_driver_payment` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=100019 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `wishlist`
--

DROP TABLE IF EXISTS `wishlist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wishlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `city_id` int(11) DEFAULT NULL,
  `mapping_id` int(11) NOT NULL,
  `bkg_type_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `wrong_address`
--

DROP TABLE IF EXISTS `wrong_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wrong_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(50) DEFAULT NULL,
  `area` varchar(50) DEFAULT NULL,
  `zone` varchar(50) DEFAULT NULL,
  `city` varchar(50) DEFAULT NULL,
  `state` varchar(50) DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `latitude` varchar(50) DEFAULT NULL,
  `longitude` varchar(50) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping events for database 'bookingc_demo'
--

--
-- Dumping routines for database 'bookingc_demo'
--
/*!50003 DROP PROCEDURE IF EXISTS `accept_booking_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `accept_booking_status`(IN `booking_id` INT, IN `id` INT)
    NO SQL
BEGIN
update booking_stack SET booking_stack.`status`='A',last_try = Now() WHERE booking_id=booking_id;
INSERT INTO `booking_register`(`bookingid`,`driverId`,`updateOn`,`status`,`type`) VALUES(booking_id,id,Now(),'A','By Un-Assigned Booking');
UPDATE driver SET `status`=1 WHERE user_id = id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `booking_travel_detail` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `booking_travel_detail`(IN `booking_id` INT)
BEGIN
SELECT driver_location.booking_id as bookingId,
(SELECT DATE_FORMAT(time,'%Y-%m-%d %H:%i:%s') as time FROM booking_logs WHERE status = 7 AND bookingid = booking_id) as strtTime,
(SELECT DATE_FORMAT(datetime,'%Y-%m-%d %H:%i:%s') as time FROM driver_location WHERE booking_id = booking_id order by booking_id desc limit 0,1 ) as endTime,

(Select distance from driver_location where booking_id = booking_id order by driver_location.id desc limit 0,1) as distance,

driver_location.duration,   
driver_location.pre_Waiting_time,
driver_location.WaitingTime,
driver_location.start_latitude,
driver_location.start_longitude,


TIMEDIFF( DATE_FORMAT(booking_estimation.estimated_time,"%H:%i:%s"),TIMEDIFF(
    (SELECT DATE_FORMAT(time,'%H:%i:%s') as time FROM booking_logs WHERE status = 8 AND bookingid = booking_id),
    (SELECT DATE_FORMAT(time,'%H:%i:%s') as time FROM booking_logs WHERE status = 7 AND bookingid = booking_id)
)) as delay_time,
DATE_FORMAT(booking_pickdrop_details.pickup_date,'%Y-%m-%d') as pickup_date ,
DATE_FORMAT(booking_pickdrop_details.pickup_time,"%H:%i:%s") as pickup_time,
booking_estimation.*

from driver_location
left join booking_estimation ON driver_location.booking_id =booking_estimation.booking_id 
left join booking_pickdrop_details ON booking_estimation.booking_id  = booking_pickdrop_details.booking_id
where driver_location.booking_id = booking_id
order by driver_location.id desc limit 0,1;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_agent_work_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_agent_work_history`(IN `user_id` INT, IN `driver_id` INT, IN `mobile` VARCHAR(50), IN `booking_ref` VARCHAR(50), IN `reason_text` VARCHAR(100))
BEGIN
INSERT INTO `agent_work_history`(`AgentID`,`CallerId`,`BookingID`,`ActionType`,`Date`,`ActionDesc`) VALUES(user_id,mobile,booking_ref,'Cancellation',Now(),reason_text);
UPDATE driver SET `status`= 0 WHERE `user_id` = driver_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_assign_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_assign_booking`(IN `driver` INT, IN `booking` TEXT)
BEGIN
DECLARE dno int;
DECLARE bno int;
DECLARE lno int;
DECLARE tno int;
SELECT COUNT(*) into lno FROM user WHERE id=driver and loginstatus=1;
SELECT COUNT(*) into tno FROM cab_booking WHERE CONCAT(pickupdate,' ',pickuptime)>NOW();
IF dno>0 and bno>0 and lno>0 and tno>0
THEN 
UPDATE cab_booking SET pickup=driver WHERE booking_reference=booking;
END IF;
SELECT dno,bno,lno,tno;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_a_client_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_a_client_booking`(IN `client_id` INT)
BEGIN
SELECT booking_charges.totalBill AS amount,(booking_charges.totalBill*booking_charges.companyshare/100) 
AS cAmount,(booking_charges.totalBill*booking_charges.drivershare/100) AS dAmount,
(booking_charges.totalBill*booking_charges.partnershare/100) AS pAmount,
booking_charges.companyshare AS cshare,booking_charges.drivershare AS dshare,
booking_charges.partnershare AS pshare,complaint.ID as com_id,
complaint.StatusID as com_status, cab_booking.csr_id as emp,
CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.id as id,
booking_charges.totalBill, cab_booking.booking_reference as ref,
master_package.master_package as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,
vehicle_type.vehicle_type as vehicle, 
CONCAT(user_info.first_name," ",user_info.last_name) as clientname,
CONCAT(driver.first_name," ",driver.last_name) as driver_name, 
user_info.mobile_no as mob_no,user_info.uid as client_id,driver.uid as driver_id,
CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,
driver.vehicle_reg_no as reg,cab_status.`status` as `status`
 FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
 JOIN master_package ON cab_booking.booking_type=master_package.package_id 
 JOIN user_info ON cab_booking.client_id=user_info.uid
 LEFT JOIN driver ON cab_booking.pickup=driver.uid 
 LEFT JOIN vehicle_type ON driver.vehicle_type=vehicle_type.id 
 LEFT JOIN booking_charges ON cab_booking.id=booking_charges.BookingID 
 LEFT JOIN complaint ON cab_booking.booking_reference=complaint.BookingID 
 WHERE cab_status.`type`='cab' AND cab_booking.client_id=client_id order by cab_booking.id desc;   
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_a_driver_order_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_a_driver_order_history`(IN `ids` INT, IN `from_i` DATETIME, IN `to_i` DATETIME)
BEGIN
SELECT CONCAT(cab_booking.DropAddress,cab_booking.DropArea) as drop_area,cab_booking.ID as id,cab_booking.booking_reference as book_ref, 
cab_list_mgmt.name,booking_charges.totalBill,
user_info.vehicleimg,master_package.Master_Package as booking_type,CONCAT(cab_booking.PickupDate," ",cab_booking.PickupTime) as ordertime,
concat(client.clientName,'<br>(',appid.`type`,')') as partner,
CONCAT(user_info.FirstName," ",user_info.LastName) as clientname,
CONCAT(cab_booking.PickupAddress,' ',cab_booking.PickupArea) as departure,driver.VehicleRegistrationNo as reg,cab_status.`status` as `status`
 FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` INNER JOIN user_info ON user_info.UID=cab_booking.pickup 
 JOIN master_package ON cab_booking.BookingType=master_package.Package_Id INNER JOIN driver ON cab_booking.pickup=driver.uid 
  JOIN appid ON appid.id=cab_booking.partner INNER JOIN user ON cab_booking.pickup = user.ID
 JOIN client ON appid.clientId=client.id INNER JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID 
 LEFT JOIN complaint ON cab_booking.booking_reference=complaint.BookingID INNER JOIN cab_list_mgmt ON cab_list_mgmt.id = driver.vehicleId
 WHERE  cab_status.`type`='cab' AND user.token = ids AND DATE(cab_booking.BookingDate) BETWEEN from_i and to_i order by cab_booking.ID desc;   
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_a_user_order_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_a_user_order_history`(IN `id` INT)
BEGIN
SELECT CONCAT(cab_booking.DropAddress,cab_booking.DropArea) as drop_area,cab_booking.ID as id,cab_booking.booking_reference as book_ref, 
cab_list_mgmt.name as veh_name,master_package.Master_Package as booking_type,CONCAT(cab_booking.PickupDate," ",cab_booking.PickupTime) as ordertime,
concat(client.clientName,'<br>(',appid.`type`,')') as partner,
CONCAT(user_info.FirstName," ",user_info.LastName) as clientname,
CONCAT(cab_booking.PickupAddress,' ',cab_booking.PickupArea) as departure,cab_status.`status` as `status`
 FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
INNER JOIN user_info ON user_info.UID=cab_booking.ClientID
INNER JOIN master_package ON cab_booking.BookingType=master_package.Package_Id 
LEFT JOIN driver ON cab_booking.pickup=driver.uid 
INNER JOIN appid ON appid.id=cab_booking.partner 
LEFT JOIN user ON cab_booking.pickup = user.ID
INNER JOIN client ON appid.clientId=client.id 
LEFT JOIN cab_list_mgmt ON cab_list_mgmt.id = driver.vehicleId
 WHERE cab_status.`type`='cab' AND cab_booking.ClientID = id order by cab_booking.ID desc;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_a_user_total_bill` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_a_user_total_bill`(IN `booking_id` INT)
BEGIN
SELECT booking_charges.totalBill, cab_booking.actual_distance from booking_charges inner join cab_booking on booking_charges.BookingID = cab_booking.ID where booking_charges.BookingID = booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_booking_action` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_booking_action`(IN `booking_id` INT)
BEGIN
SELECT booking.client_id as client,booking.driver_id as pickup,booking.reference_number as ref,booking.status as stat,CONCAT(booking_pickdrop_details.pickup_date,' ',booking_pickdrop_details.pickup_time) as date FROM booking
LEFT JOIN booking_pickdrop_details ON booking_pickdrop_details.booking_id=booking.booking_id
WHERE booking.booking_id=booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_booking_action_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_booking_action_old`(IN `booking_id` INT)
BEGIN
SELECT cab_booking.client_id as client,cab_booking.pickup,cab_booking.booking_reference as ref,cab_booking.status as stat,CONCAT(cab_booking.pickup_date,' ',cab_booking.pickup_time) as date FROM cab_booking WHERE id=booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_booking_distance` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`localhost`@`root` PROCEDURE `sp_booking_distance`(IN `user_id` INT, IN `book_id` INT, IN `from_a` VARCHAR(200), IN `to_a` VARCHAR(200), IN `date_time` DATETIME, IN `distance` DOUBLE, IN `waiting_time` VARCHAR(50))
BEGIN
INSERT INTO booking_distance  (user_id,booking_id,`to`,`from`,device_time,distance, WaitingTime)
VALUES (user_id,book_id,to_a,from_a,date_time,distance,waiting_time);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_book_fetch_info` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_book_fetch_info`(IN `book_id` INT(4))
BEGIN
SELECT bk.booking_id as id,bk.driver_id,bk.reference_number as ref,us2.id as client_id,
	CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
  us.mobile,
  us.email as user_email,
  CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
 CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
mpm.package_mode,
mp.name  as booking_type,
mp.id as booking_type_id,
payty.pay_type_mode as charge_type,
mvt.vehicle_type as vehicle,
bk.base_vehicle_id,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
bk.master_package_mode_id,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
bpd.pickup_date,
bpd.pickup_time,
bpd.pickup_address,
bpd.pickup_area,
bpd.drop_address,
bpd.drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone,
location.api_time,
location.api_distance,
dispatch.type_of_dispatch,
if(dispatch.type_of_dispatch=1,'Point To Point','Garage To garage') As type_of_dispatch_name,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.city as garage_city,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude

from booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN base_vehicle_type AS bvt ON bk.base_vehicle_id = bvt.base_vehicle_id
LEFT JOIN dispatch_location AS dispatch ON bvt.base_comb_id = dispatch.base_comb_id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package_fare AS lpf ON bk.package_id = lpf.local_pkg_fare_id
LEFT JOIN local_package as lp ON lpf.local_pkg_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id
    
LEFT JOIN 
	api_call_timeinterval as location ON bk.company_id = location.company_id AND bk.master_package_id = location.package_id

WHERE
   bk.booking_id = book_id AND bk.booking_status = 1
ORDER BY
  bk.booking_id DESC;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_book_fetch_info_current_notification` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_book_fetch_info_current_notification`(IN `book_id` INT, IN `bookingType` INT, IN `calculationType` INT, IN `driver_id` INT)
BEGIN
DECLARE currency_n varchar(50);
DECLARE distance_n varchar(50);
SELECT tblcountry.currency ,tblcountry.distance_unit into currency_n,distance_n 
FROM tblcountry 
WHERE tblcountry.CountryName='India';
IF calculationType=1 THEN
IF bookingType=101 THEN
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		 distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,		 
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 cab_list_mgmt.Min_Distance,
	    cab_list_mgmt.NightCharges,
		cab_list_mgmt.nightCharge_unit,
	    cab_list_mgmt.waitingfee_upto_minutes,
	    cab_list_mgmt.MinimumCharge, 
	    cab_list_mgmt.night_rate_begins,
	    cab_list_mgmt.night_rate_ends,
	    cab_list_mgmt.basic_tax,
	    cab_list_mgmt.tripCharge_per_minute,
		 cab_list_mgmt.Per_Km_Charge,
		 cab_list_mgmt.rate_per_km_dh,
		 cab_list_mgmt.minimum_fare_dh,
		 cab_list_mgmt.minimum_distance_dh,
		 cab_list_mgmt.rate_per_km_dw,
		 cab_list_mgmt.minimum_fare_dw,
		 cab_list_mgmt.minimum_distance_dw,
		 cab_list_mgmt.rate_per_hour_dh,
		 cab_list_mgmt.CabId,		
		 cab_list_mgmt.waiting_fees,
		 tblcity.state,
		 tbllocalpackage.Price
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN driver ON driver.UID = driver_id
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.cabType = cab_booking.CarType AND tbllocalpackage.Sub_Package_Id = master_package.Sub_Package_Id AND tbllocalpackage.City_ID = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
ELSE
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		 distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 cab_list_mgmt.Min_Distance,
	    cab_list_mgmt.NightCharges,
		cab_list_mgmt.nightCharge_unit,
	    cab_list_mgmt.waitingfee_upto_minutes,
	    cab_list_mgmt.MinimumCharge, 
	    cab_list_mgmt.night_rate_begins,
	    cab_list_mgmt.night_rate_ends,
	    cab_list_mgmt.basic_tax,
	    cab_list_mgmt.tripCharge_per_minute,
		 cab_list_mgmt.Per_Km_Charge,
		 cab_list_mgmt.rate_per_km_dh,
		 cab_list_mgmt.minimum_fare_dh,
		 cab_list_mgmt.minimum_distance_dh,
		 cab_list_mgmt.rate_per_km_dw,
		 cab_list_mgmt.minimum_fare_dw,
		 cab_list_mgmt.minimum_distance_dw,
		 cab_list_mgmt.rate_per_hour_dh,
		 cab_list_mgmt.CabId,		
		 cab_list_mgmt.waiting_fees
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN driver ON driver.UID = driver_id
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
END IF;
ELSE
IF bookingType=101 THEN
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		  distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 booking_bill.Min_Distance,
	    booking_bill.NightCharges,
		booking_bill.nightCharge_unit,
	    booking_bill.waitingfee_upto_minutes,
	    booking_bill.MinimumCharge, 
	    booking_bill.night_rate_begins,
	    booking_bill.night_rate_ends,
	    booking_bill.basic_tax,
	    booking_bill.tripCharge_per_minute,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_distance_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.minimum_fare_dw,
		 booking_bill.minimum_distance_dw,
		 booking_bill.rate_per_hour_dh,	
		 booking_bill.waiting_fees,
		 tblcity.state,
		 tbllocalpackage.Price
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType AND booking_bill.CityId = tblcity.state
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.cabType = cab_booking.CarType AND tbllocalpackage.Sub_Package_Id = master_package.Sub_Package_Id AND tbllocalpackage.City_ID = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
ELSE
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		  distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 booking_bill.Min_Distance,
	    booking_bill.NightCharges,
		booking_bill.nightCharge_unit,
	    booking_bill.waitingfee_upto_minutes,
	    booking_bill.MinimumCharge, 
	    booking_bill.night_rate_begins,
	    booking_bill.night_rate_ends,
	    booking_bill.basic_tax,
	    booking_bill.tripCharge_per_minute,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_distance_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.minimum_fare_dw,
		 booking_bill.minimum_distance_dw,
		 booking_bill.rate_per_hour_dh,	
		 booking_bill.waiting_fees
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType AND booking_bill.CityId = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
END IF;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_book_fetch_info_notification` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`localhost`@`root` PROCEDURE `sp_book_fetch_info_notification`(IN `book_id` INT, IN `bookingType` VARCHAR(50), IN `calculationType` VARCHAR(50))
BEGIN
DECLARE currency_n varchar(50);
DECLARE distance_n varchar(50);
SELECT tblcountry.currency ,tblcountry.distance_unit into currency_n,distance_n 
FROM tblcountry 
WHERE tblcountry.CountryName='India';
IF calculationType=1 THEN
IF bookingType=101 THEN
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		 distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 cab_list_mgmt.Min_Distance,
	    cab_list_mgmt.NightCharges,
		cab_list_mgmt.nightCharge_unit,
	    cab_list_mgmt.waitingfee_upto_minutes,
	    cab_list_mgmt.MinimumCharge, 
	    cab_list_mgmt.night_rate_begins,
	    cab_list_mgmt.night_rate_ends,
	    cab_list_mgmt.basic_tax,
	    cab_list_mgmt.tripCharge_per_minute,
		 cab_list_mgmt.Per_Km_Charge,
		 cab_list_mgmt.rate_per_km_dh,
		 cab_list_mgmt.minimum_fare_dh,
		 cab_list_mgmt.minimum_distance_dh,
		 cab_list_mgmt.rate_per_km_dw,
		 cab_list_mgmt.minimum_fare_dw,
		 cab_list_mgmt.minimum_distance_dw,
		 cab_list_mgmt.rate_per_hour_dh,
		 cab_list_mgmt.CabId,		
		 cab_list_mgmt.waiting_fees,
		 tblcity.state,
		 tbllocalpackage.Price,user.gcm_id,user.Latitude as lat,user.Longtitude1 as lon
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN driver ON cab_booking.pickup = driver.UID
JOIN user ON cab_booking.pickup=user.id
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.Sub_Package_Id = master_package.Sub_Package_Id AND tbllocalpackage.City_ID = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
ELSE
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		 distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 cab_list_mgmt.Min_Distance,
	    cab_list_mgmt.NightCharges,
		cab_list_mgmt.nightCharge_unit,
	    cab_list_mgmt.waitingfee_upto_minutes,
	    cab_list_mgmt.MinimumCharge, 
	    cab_list_mgmt.night_rate_begins,
	    cab_list_mgmt.night_rate_ends,
	    cab_list_mgmt.basic_tax,
	    cab_list_mgmt.tripCharge_per_minute,
		 cab_list_mgmt.Per_Km_Charge,
		 cab_list_mgmt.rate_per_km_dh,
		 cab_list_mgmt.minimum_fare_dh,
		 cab_list_mgmt.minimum_distance_dh,
		 cab_list_mgmt.rate_per_km_dw,
		 cab_list_mgmt.minimum_fare_dw,
		 cab_list_mgmt.minimum_distance_dw,
		 cab_list_mgmt.rate_per_hour_dh,
		 cab_list_mgmt.CabId,		
		 cab_list_mgmt.waiting_fees,user.gcm_id,user.Latitude as lat,user.Longtitude1 as lon
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN driver ON cab_booking.pickup = driver.UID
JOIN user ON cab_booking.pickup=user.id
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
END IF;
ELSE
IF bookingType=101 THEN
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		  distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 booking_bill.Min_Distance,
	    booking_bill.NightCharges,
		booking_bill.nightCharge_unit,
	    booking_bill.waitingfee_upto_minutes,
	    booking_bill.MinimumCharge, 
	    booking_bill.night_rate_begins,
	    booking_bill.night_rate_ends,
	    booking_bill.basic_tax,
	    booking_bill.tripCharge_per_minute,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_distance_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.minimum_fare_dw,
		 booking_bill.minimum_distance_dw,
		 booking_bill.rate_per_hour_dh,	
		 booking_bill.waiting_fees,
		 tblcity.state,
		 tbllocalpackage.Price,user.gcm_id,user.Latitude as lat,user.Longtitude1 as lon
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
JOIN user ON cab_booking.pickup=user.id
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType AND booking_bill.CityId = tblcity.state
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.cabType = cab_booking.CarType AND tbllocalpackage.Sub_Package_Id = master_package.Sub_Package_Id AND tbllocalpackage.City_ID = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
ELSE
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		  distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName,
		 cab_booking.EmailId,
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 booking_bill.Min_Distance,
	    booking_bill.NightCharges,
		booking_bill.nightCharge_unit,
	    booking_bill.waitingfee_upto_minutes,
	    booking_bill.MinimumCharge, 
	    booking_bill.night_rate_begins,
	    booking_bill.night_rate_ends,
	    booking_bill.basic_tax,
	    booking_bill.tripCharge_per_minute,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_distance_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.minimum_fare_dw,
		 booking_bill.minimum_distance_dw,
		 booking_bill.rate_per_hour_dh,	
		 booking_bill.waiting_fees,user.gcm_id,user.Latitude as lat,user.Longtitude1 as lon
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
JOIN user ON cab_booking.pickup=user.id
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType AND booking_bill.CityId = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
END IF;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_book_fetch_info_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_book_fetch_info_old`(IN `book_id` INT, IN `bookingType` VARCHAR(50), IN `calculationType` VARCHAR(50))
BEGIN
DECLARE currency_n varchar(50);
DECLARE distance_n varchar(50);
SELECT tblcountry.currency ,tblcountry.distance_unit into currency_n,distance_n 
FROM tblcountry 
WHERE tblcountry.CountryName='India';
IF calculationType=1 THEN
IF bookingType=101 THEN
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		 distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName, 
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.EmailId,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 cab_list_mgmt.Min_Distance,
	    cab_list_mgmt.NightCharges,
		cab_list_mgmt.nightCharge_unit,
	    cab_list_mgmt.waitingfee_upto_minutes,
	    cab_list_mgmt.MinimumCharge, 
	    cab_list_mgmt.night_rate_begins,
	    cab_list_mgmt.night_rate_ends,
	    cab_list_mgmt.basic_tax,
	    cab_list_mgmt.tripCharge_per_minute,
		 cab_list_mgmt.Per_Km_Charge,
		 cab_list_mgmt.rate_per_km_dh,
		 cab_list_mgmt.minimum_fare_dh,
		 cab_list_mgmt.minimum_distance_dh,
		 cab_list_mgmt.rate_per_km_dw,
		 cab_list_mgmt.minimum_fare_dw,
		 cab_list_mgmt.minimum_distance_dw,
		 cab_list_mgmt.rate_per_hour_dh,
		 cab_list_mgmt.CabId,		
		 cab_list_mgmt.waiting_fees,
		 tblcity.state,
		 tbllocalpackage.Price
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.Sub_Package_Id = master_package.Sub_Package_Id AND tbllocalpackage.City_ID = tblcity.state AND tbllocalpackage.cabType = cab_booking.CarType 
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
ELSE
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		 distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName, 
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.EmailId,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 cab_list_mgmt.Min_Distance,
	    cab_list_mgmt.NightCharges,
		cab_list_mgmt.nightCharge_unit,
	    cab_list_mgmt.waitingfee_upto_minutes,
	    cab_list_mgmt.MinimumCharge, 
	    cab_list_mgmt.night_rate_begins,
	    cab_list_mgmt.night_rate_ends,
	    cab_list_mgmt.basic_tax,
	    cab_list_mgmt.tripCharge_per_minute,
		 cab_list_mgmt.Per_Km_Charge,
		 cab_list_mgmt.rate_per_km_dh,
		 cab_list_mgmt.minimum_fare_dh,
		 cab_list_mgmt.minimum_distance_dh,
		 cab_list_mgmt.rate_per_km_dw,
		 cab_list_mgmt.minimum_fare_dw,
		 cab_list_mgmt.minimum_distance_dw,
		 cab_list_mgmt.rate_per_hour_dh,
		 cab_list_mgmt.CabId,		
		 cab_list_mgmt.waiting_fees,
		 tblcity.state
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
END IF;
ELSE
IF bookingType=101 THEN
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		  distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName, 
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.CabIn,
		 cab_booking.EmailId,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 booking_bill.Min_Distance,
	    booking_bill.NightCharges,
		booking_bill.nightCharge_unit,
	    booking_bill.waitingfee_upto_minutes,
	    booking_bill.MinimumCharge, 
	    booking_bill.night_rate_begins,
	    booking_bill.night_rate_ends,
	    booking_bill.basic_tax,
	    booking_bill.tripCharge_per_minute,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_distance_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.minimum_fare_dw,
		 booking_bill.minimum_distance_dw,
		 booking_bill.rate_per_hour_dh,	
		 booking_bill.waiting_fees,
		 tblcity.state,
		 tbllocalpackage.Price
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType AND booking_bill.CityId = tblcity.state
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.cabType = cab_booking.CarType AND tbllocalpackage.Sub_Package_Id = master_package.Sub_Package_Id AND tbllocalpackage.City_ID = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
ELSE
SELECT cab_booking.ID,
		 cab_booking.booking_reference,
		 cab_booking.CarType,
		  distance_n as measure,
		 currency_n as currency, 
		 cab_booking.UserName, 
		 cab_booking.BookingType,
		 master_package.Sub_Package_Id,
		 cab_booking.CabFor,
		 cab_booking.CabFor AS CabForHrs,
		 cab_booking.min_Distance AS CabForKm,
		 cab_booking.PickupArea, 
		 cab_booking.PickupAddress,
		 cab_booking.PickupArea as pickup_location,
		 cab_booking.DropAddress,
		 cab_booking.DropArea as drop_location,
		 cab_booking.PickupLatitude,
		 cab_booking.PickupLongtitude,
		 cab_booking.DestinationLatitude,
		 cab_booking.DestinationLongtitude,
		 cab_booking.PickupDate,
		 cab_booking.PickupTime,
		 cab_booking.approx_distance_charge,
		 cab_booking.MobileNo,
		 cab_booking.EstimatedDistance,
		 cab_booking.estimated_price,
		 cab_booking.EstimatedTime,
		 cab_booking.local_subpackage,
		 cab_booking.CabIn,
		 cab_booking.peakTimePrice,
		 cab_booking.peaktimeFrom,
         cab_booking.peaktimeTo,
         cab_booking.peaktimepercentage,
		 cab_booking.extraPrice,
		 cab_booking.EmailId,
		 cab_booking.charge_type,
		 NOW() as send_time,
		 booking_bill.Min_Distance,
	    booking_bill.NightCharges,
		booking_bill.nightCharge_unit,
	    booking_bill.waitingfee_upto_minutes,
	    booking_bill.MinimumCharge, 
	    booking_bill.night_rate_begins,
	    booking_bill.night_rate_ends,
	    booking_bill.basic_tax,
	    booking_bill.tripCharge_per_minute,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_distance_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.minimum_fare_dw,
		 booking_bill.minimum_distance_dw,
		 booking_bill.rate_per_hour_dh,	
		 booking_bill.waiting_fees,
		 tblcity.state
FROM cab_booking
INNER JOIN master_package ON cab_booking.BookingType = master_package.Package_Id
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType AND booking_bill.CityId = tblcity.state
WHERE cab_booking.ID = book_id
AND cab_booking.BookingStatus = 1;
END IF;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_calculate_point` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_calculate_point`(IN `id_s` INT, IN `lat` DOUBLE, IN `long1` DOUBLE)
BEGIN
DECLARE time_interval datetime;
DECLARE check_time int;
DECLARE amount int;
DECLARE distance double;
DECLARE last_booking datetime;
DECLARE check_idle int;
DECLARE total_booking int;
DECLARE `point` int;
DECLARE distance_out DOUBLE;
DECLARE time2 int;
SELECT user.loginTime,`driver`.`SecurityAmt`,`user`.`last_booking` INTO time_interval, amount,last_booking FROM user INNER JOIN driver ON user.id=driver.UID WHERE user.userType=3 and user.id=id_s;
SELECT (((acos( sin ( (lat * pi()/180)) * sin((`latitude`*pi()/180))+cos((lat*pi()/180)) * cos((`latitude`*pi()/180)) * cos(((long1- `longtitude1`)*  pi()/180))))*180/pi())*60*1.1515) INTO distance  FROM user WHERE id=id_s;
SET distance_out=distance;
SET check_time=TIMESTAMPDIFF(HOUR,time_interval,NOW());
SET point=5;
IF check_time<=3 THEN 
SET point=1;
ELSEIF check_time<=6 THEN 
SET point =2;
ELSEIF check_time<=9 THEN
SET point=3;
ELSEIF check_time<=12 THEN
SET point=4;
ELSEIF check_time<=15 THEN
SET point=5;
END IF;
IF amount<=1000 THEN
SET point=point+0;
ELSEIF amount<=2000 THEN
SET point=point+1;
ELSEIF amount<=3000 THEN
SET point=point+2;
ELSEIF amount<=4000 THEN
SET point=point+3;
ELSEIF amount<=5000 THEN
SET point=point+4;
ELSEIF amount>5000 THEN
SET point=point+5;
END IF;
IF distance<=1 THEN
SET point=point+5;
ELSEIF distance<=2 THEN
SET point=point+4;
ELSEIF distance<=3 THEN
SET point=point+3;
ELSEIF amount<=4 THEN
SET point=point+2;
ELSEIF amount<=5 THEN
SET point=point+1;
ELSEIF distance>5 THEN
SET point=point+0;
END IF;
IF time_interval>last_booking THEN
SET check_idle=TIMESTAMPDIFF(MiNUTE,time_interval,NOW());
ELSE
SET check_idle=TIMESTAMPDIFF(MiNUTE,last_booking,NOW());
END IF;
IF check_idle<=30 THEN
SET point=point+0;
ELSEIF check_idle<=60 THEN
SET point=point+1;
ELSEIF check_idle<=90 THEN
SET point=point+2;
ELSEIF check_idle<=120 THEN
SET point=point+3;
ELSEIF check_idle<=150 THEN
SET point=point+4;
ELSEIF check_idle>150 THEN
SET point=point+5;
END IF;
SET time2=check_idle;
SELECT count(*) INTO total_booking FROM `cab_booking` WHERE pickup=id_s;
SET point = point + (5-total_booking);
SELECT point;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_check_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_check_booking`(IN `bookid` INT, IN `user_id` INT)
BEGIN
DECLARE  checked INT ; 
DECLARE latitude_id INT ; 
DECLARE longitude_id INT ; 
DECLARE update_id INT ; 
DECLARE driver TEXT ; 
DECLARE vehicle TEXT ;
DECLARE cname TEXT ; 
DECLARE ref TEXT ; 
DECLARE pdate TEXT ;
  SELECT
    COUNT(*),
    `lat`,
    `long`
  INTO
    checked,
    latitude_id,
    longitude_id
  FROM
    booking_stack
  JOIN
    booking ON booking_stack.booking_id = booking.booking_id
  WHERE
    booking_stack.booking_id = bookid AND(
      booking_stack.`status` = 'W' OR booking_stack.`status` = ''
    ) ; 

IF checked = 1 THEN

  UPDATE
    booking_stack
  SET
    `status` = 'A'
  WHERE
    booking_id = bookid ;

  UPDATE
    booking
  SET
    driver = user_id,
    `status` = 3,
    is_updation_allow = 'FALSE'
  WHERE
    booking_id = bookid AND is_updation_allow = 'TRUE' ;

  SELECT
    CONCAT(
      driver.first_name,
      ' ',
      driver.last_name,
      ' ',
      driver.mobile
    ),
    vm.registration_number as VehicleRegistrationNo
  INTO
    driver,
    vehicle
  FROM
    user as driver
left join user_vehicle_mapping as vmap ON driver.id = vmap.user_id
left join vehicle_master as vm ON vmap.vehicle_master_id = vm.vehicle_master_id

  WHERE
    driver.id = user_id ;

  SELECT
   CONCAT(
      user.first_name,
      ' ',
      user.last_name,
      ' ',
      driver.mobile
    ) as UserName,
    booking.reference_number as booking_reference,
    CONCAT(
      bpick.pickup_date,
      " ",
      bpick.pickup_time
    )
  INTO
    cname,
    ref,
    pdate
  FROM
    booking
LEFT JOIN user ON booking.user_id = user.id
LEFT JOIN booking_pickdrop_details AS bpick ON booking.booking_id = bpick.booking_id
  WHERE
    booking.booking_id = bookid ;

  SELECT
    booking_register.id
  INTO
    update_id
  FROM
    booking_register
  WHERE
    booking_register.driverId = user_id AND booking_register.bookingid = bookid
  ORDER BY
    id DESC
  LIMIT 0, 1 ;

UPDATE
  booking_register
SET
  `status` = 'A',
  `type` = 'By Notification'
WHERE
  id = update_id ;

UPDATE
  `driver`
SET
  `status` = '1'
WHERE
  `user_id` = user_id ;

INSERT
INTO
  `booking_tracker`(
    `BookingID`,
    `DriverId`,
    `Latitutude`,
    `Logitude`,
    `Date_Time`,
    `CabStatus`
  )
VALUES(
  bookid,
  user_id,
  latitude_id,
  longitude_id,
  NOW(), '3') ;

INSERT
INTO
  `booking_logs`(`bookingid`,
  `status`,
  `message`,
  `time`)
VALUES(bookid, '3', 'Accepted', NOW()) ;
END IF ;

SELECT
  checked,
  driver,
  vehicle,
  cname,
  ref,
  pdate ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_check_booking_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_check_booking_old`(IN `bookid` INT, IN `user_id` INT)
BEGIN
  DECLARE checked int;
  DECLARE latitude_id int;
  DECLARE longitude_id int;
  DECLARE update_id INT;
  DECLARE driver TEXT;
  DECLARE vehicle TEXT;
  DECLARE cname TEXT;
  DECLARE ref TEXT;
  DECLARE pdate TEXT;
  SELECT count(*) ,`lat`,`long` INTO checked,latitude_id,longitude_id FROM booking_stack JOIN cab_booking ON booking_stack.booking_id=cab_booking.ID WHERE booking_stack.booking_id=bookid and (booking_stack.`status`='W' or booking_stack.`status`='');
  IF checked=1 THEN
   UPDATE booking_stack SET `status`='A' WHERE booking_id=bookid;
  UPDATE cab_booking SET pickup=user_id,`status`=3,is_updation_allow='FALSE' WHERE id=bookid AND is_updation_allow='TRUE';
  SELECT CONCAT(driver.FirstName,' ',driver.LastName,' ',driver.ContactNo),driver.VehicleRegistrationNo INTO driver,vehicle FROM driver WHERE driver.UID=user_id;
SELECT cab_booking.UserName,cab_booking.booking_reference,CONCAT(cab_booking.PickupDate," ",cab_booking.PickupTime) INTO cname,ref,pdate FROM cab_booking WHERE cab_booking.ID=bookid;
  SELECT booking_register.id into update_id FROM booking_register WHERE booking_register.driverId=user_id and booking_register.bookingid=bookid order by id desc LIMIT 0,1;
  UPDATE booking_register SET `status`='A',`type`='By Notification' WHERE id=update_id ;
   UPDATE `driver` SET `status`='1' WHERE `UID`=user_id;
  INSERT INTO `booking_tracker` (`BookingID`,`DriverId`,`Latitutude`,`Logitude`,`Date_Time`,`CabStatus`) VALUES (bookid,user_id,latitude_id,longitude_id,NOW(),'3');
  INSERT INTO `booking_logs` (`bookingid`,`status`,`message`,`time`) VALUES (bookid,'3','Accepted',NOW());
  END IF;
   SELECT checked,driver,vehicle,cname,ref,pdate;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_customer_care_text` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_customer_care_text`()
    NO SQL
Begin
Select text,text_id from region_text where page_title='customer_ca' and lang=2;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_driver_acc_balance` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_driver_acc_balance`(IN `id` INT, IN `since` DATETIME, IN `to_i` DATETIME)
BEGIN
SELECT driver_transaction.user_id,driver_transaction.amount,driver_transaction.currentbalance,date(driver_transaction.time) as date,
driver_transaction.`status`,driver_transaction.reason, master_package.Master_Package,driver_transaction.booking_ref 
FROM driver_transaction left JOIN cab_booking ON driver_transaction.booking_ref = cab_booking.booking_reference 
left join master_package on cab_booking.BookingType = master_package.Package_Id
where driver_transaction.user_id = id and  DATE(driver_transaction.time) BETWEEN since and to_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_driver_alloc` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_driver_alloc`(IN `book_id` INT)
BEGIN
SELECT
  CONCAT(
    user.first_name,
    ' ',
    user.last_name
  ) AS driver_name,
  mvm.name AS vehicle,
  booking_register.updateOn AS created,
  booking_register.`status`
FROM
  booking_register
JOIN
  driver ON booking_register.driverId = driver.user_id

JOIN
  user ON booking_register.driverId = user.id

LEFT JOIN
  user_vehicle_mapping AS uvm ON driver.user_id = uvm.user_id

LEFT JOIN
 vehicle_master AS vm ON uvm.vehicle_master_id = vm.vehicle_master_id

LEFT JOIN 
 master_vehicle_model AS mvm ON  vm.id = mvm.id

WHERE
  booking_register.bookingid = book_id
ORDER BY
  booking_register.id DESC
LIMIT 0, 7; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_driver_info` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_driver_info`(IN `driver_id` INT)
BEGIN
SELECT complaint.CSRID as csre,complaint.ClosureDescription as sub_type, complaint.ComplaintType as com_type,complaint.ID as com_id,complaint.ComplaintDescription as com_desc,complaint.ComplaintDate as com_date,complaint.StatusID as com_status, complaint.CallerName as com_caller,driver.uid, CONCAT(driver.first_name," ",driver.last_name)  as driver_name,driver.contact_no,driver.lang_speak,vendor.vendor_name,vendor.group_name,driver.`status`,driver.account_no,driver.rtgs_neft,driver.operational_company_name,cab_master.CabRegistrationNumber,cab_master.CabName,cab_master.CabColor,driver.vehicle_make as make,cab_master.CabModel as model,driver.vehicle_type as v_type FROM cab_booking JOIN driver ON cab_booking.pickup=driver.uid LEFT JOIN vendor ON driver.vendor_id=vendor.id JOIN cab_master ON driver.vehicle_id=cab_master.CabId LEFT JOIN complaint ON cab_booking.booking_reference = complaint.BookingID WHERE cab_booking.ID=driver_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_driver_on_off` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_driver_on_off`(IN `driver_id` INT)
    NO SQL
BEGIN
DECLARE is_on int;
SELECT is_active into is_on FROM user WHERE id=driver_id and loginstatus=1;
IF is_on = 1 THEN
UPDATE user SET is_active=0 WHERE id=driver_id;
ELSEIF is_on=0 THEN 
UPDATE user SET is_active=1 WHERE id=driver_id;
END IF;
SELECT is_active FROM user WHERE id=driver_id and loginstatus=0 ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_driver_tracking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_driver_tracking`()
BEGIN
DECLARE total_driver int;
DECLARE OnDuty int;
DECLARE available_driver int;
DECLARE hired int;
DECLARE accepted int;
DECLARE log_out int;
DECLARE reported int;
DECLARE free_moving int;
DECLARE logout_moving int;
DECLARE on_call int;
SELECT COUNT(DISTINCT(user.ID)) INTO reported FROM user INNER JOIN user_info ON user.ID = user_info.UID INNER JOIN driver ON user.ID = driver.UID INNER JOIN cab_master ON driver.vehicleId = cab_master.CabId INNER JOIN cab_booking ON user.ID = cab_booking.pickup WHERE cab_booking.`Status`=5 AND user.loginStatus=1 AND user.Latitude != '' AND user.Longtitude1 != '' AND driver.`status`=1;
SELECT COUNT(*) INTO log_out FROM user INNER JOIN user_info ON user.ID = user_info.UID INNER JOIN driver ON user.ID = driver.UID INNER JOIN cab_master ON driver.vehicleId = cab_master.CabId WHERE user.UserType = 3 AND user.isVerified = 1 AND user.Latitude != '' AND user.Longtitude1 != '' AND user.loginStatus=0; 
SELECT hired,free_moving,logout_moving,reported,on_call;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_driver_tracking_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_driver_tracking_list`()
BEGIN
SELECT DISTINCT(driver.ID),
		 driver.uid,
		 driver.`status`,
		 user.loginStatus,
		 cab_booking.`Status` 
FROM driver 
JOIN cab_master ON driver.vehicleId = cab_master.CabId
WHERE user.isVerified = 1
GROUP BY driver.UID 
ORDER BY driver.ID desc; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_fare_details` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_fare_details`(IN `city_id` INT, IN `master_package_id` INT, IN `local_pkg_id` INT, IN `seating_capacity` INT, IN `luggage` INT)
BEGIN
IF local_pkg_id>0
THEN
SELECT
  bc.id AS base_comb_id,
  bc.date_from,
  bc.date_to,
  pat.start_time,
  pat.end_time,
  bc.city_id,
  mp.id AS master_package_id,
  mp.name AS package_name,
  mp.image,
  mpm.id AS master_package_mode_id,
  mpm.package_mode,
  nc.night_rate_begins,
  nc.night_rate_ends,
  nc.night_rate_type,
  nc.night_rate_value,
  bvt.base_vehicle_id,
  mvt.id AS master_vehicle_type_id,
  mvt.category_id as vehicle_category_id,
  mvt.vehicle_type,
  GROUP_CONCAT(DISTINCT vmodel.name SEPARATOR ', ') as vehicle_name,
  GROUP_CONCAT(DISTINCT vm.model SEPARATOR ', ') as vehicle_model,
  GROUP_CONCAT(DISTINCT vcolour.colour_name SEPARATOR ', ') as vehicle_color,
    GROUP_CONCAT(DISTINCT fuel.fuel_type SEPARATOR ', ') as ignition_type,

  mvt.vehicle_image,
  mvt.seating_capacity,
  mvt.amenities,
  mvt.luggage,
  tax.sgst,
  tax.cgst,
  tax.igst,
  bc.vendor_id,
  concat(vendor.first_name,' ',vendor.last_name) as vendor_name,
  vendor.email as vendor_email,
  vendor.mobile as vendor_mobile,
  premium.premiums_type,
  premium.premiums_value,
  dispatch.type_of_dispatch ,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude,
user_rating.Rating as rating
FROM
  base_combination AS bc
INNER JOIN
  base_vehicle_type AS bvt ON bc.id = bvt.base_comb_id 
INNER JOIN 
 local_package_fare AS lpf ON bvt.base_vehicle_id = lpf.base_vehicle_id
INNER join 
 local_package AS lp ON lpf.local_pkg_id = lp.id
LEFT JOIN
  master_package_mode AS mpm ON lp.booking_mode = mpm.id
LEFT JOIN
  master_package AS mp ON lp.id = mp.id 
LEFT JOIN
  master_vehicle_type AS mvt ON bvt.vehicle_type_id = mvt.id 
LEFT JOIN
master_vehicle_model as vmodel ON mvt.id =vmodel.vehicle_type_id
INNER JOIN 
	vehicle_master AS vm ON mvt.id = vm.id
INNER join 
 	master_fuel_type as fuel ON vm.ignition_type_id= fuel.id
INNER JOIN 
	master_colour AS vcolour ON vm.color  = vcolour.colour_id
LEFT JOIN
  night_charge AS nc ON bvt.base_vehicle_id = nc.base_vehicle_id AND nc.status = "1"
LEFT JOIN
  basic_tax AS tax ON bvt.base_vehicle_id = tax.base_vehicle_id
Left join 
 package_active_timeslot as pat ON bvt.base_vehicle_id = pat.base_vehicle_id
LEFT JOIN 
 user as vendor ON bc.vendor_id = vendor.id
LEFT JOIN 
premiums_fare AS premium ON bvt.base_vehicle_id = premium.base_vehicle_id
LEFT JOIN 
 dispatch_location as dispatch ON bc.id = dispatch.base_comb_id
LEFT JOIN 
 user_rating ON bc.vendor_id = user_rating.UserId

WHERE
bc.city_id  = city_id AND bc.master_package_id = master_package_id  
AND mvt.seating_capacity >= seating_capacity
AND mvt.luggage >=luggage
AND bc.status = '1'
group by bvt.base_vehicle_id,vm.id
;
ELSE 

SELECT
  bc.id AS base_comb_id,
  bc.date_from,
  bc.date_to,
  pat.start_time,
  pat.end_time,
  bc.city_id,
  mp.id AS master_package_id,
  mp.name AS package_name,
  mp.image,
  mpm.id AS master_package_mode_id,
  mpm.package_mode,
  nc.night_rate_begins,
  nc.night_rate_ends,
  nc.night_rate_type,
  nc.night_rate_value,
  bvt.base_vehicle_id,
  mvt.id AS master_vehicle_type_id,
  mvt.vehicle_type,
  GROUP_CONCAT(DISTINCT vmodel.name SEPARATOR ', ') as vehicle_name,
   GROUP_CONCAT(DISTINCT vm.model SEPARATOR ', ') as vehicle_model,
  GROUP_CONCAT(DISTINCT vcolour.colour_name SEPARATOR ', ') as vehicle_color,
   GROUP_CONCAT(DISTINCT fuel.fuel_type SEPARATOR ', ') as ignition_type,
  mvt.vehicle_image, 
  mvt.seating_capacity,
  mvt.amenities,
  mvt.luggage,
  tax.sgst,
  tax.cgst,
  tax.igst,
  bc.vendor_id,
  concat(vendor.first_name,' ',vendor.last_name) as vendor_name,
  vendor.email as vendor_email,
  vendor.mobile as vendor_mobile,
  premium.premiums_type,
  premium.premiums_value,
  dispatch.type_of_dispatch ,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude,
user_rating.Rating as rating
FROM
  base_combination AS bc
LEFT JOIN
  master_package_mode AS mpm ON bc.master_package_mode_id = mpm.id
LEFT JOIN
  master_package AS mp ON bc.master_package_id = mp.id
LEFT JOIN
  base_vehicle_type AS bvt ON bc.id = bvt.base_comb_id 
LEFT JOIN
  master_vehicle_type AS mvt ON bvt.vehicle_type_id = mvt.id
LEFT JOIN
master_vehicle_model as vmodel ON mvt.id =vmodel.vehicle_type_id
INNER JOIN 
	vehicle_master AS vm ON mvt.id = vm.id
INNER join 
 	master_fuel_type as fuel ON vm.ignition_type_id= fuel.id
INNER JOIN 
	master_colour AS vcolour ON vm.color  = vcolour.colour_id
LEFT JOIN
  night_charge AS nc ON bvt.base_vehicle_id = nc.base_vehicle_id AND nc.status = "1"
LEFT JOIN
  basic_tax AS tax ON bvt.base_vehicle_id = tax.base_vehicle_id
Left join 
 package_active_timeslot as pat ON bvt.base_vehicle_id = pat.base_vehicle_id
 LEFT JOIN 
 user as vendor ON bc.vendor_id = vendor.id
LEFT JOIN 
	premiums_fare AS premium ON bvt.base_vehicle_id = premium.base_vehicle_id 
LEFT JOIN 
 dispatch_location as dispatch ON bc.id = dispatch.base_comb_id
 LEFT JOIN 
 user_rating ON bc.vendor_id = user_rating.UserId
WHERE
  bc.city_id  = city_id AND bc.master_package_id = master_package_id 
AND bc.status = '1'
AND mvt.seating_capacity >= seating_capacity
AND mvt.luggage >=luggage
group by bvt.base_vehicle_id,vm.id
;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_fare_details_15-aug-20` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_fare_details_15-aug-20`(IN `city_id` INT, IN `master_package_id` INT, IN `local_pkg_id` INT, IN `seating_capacity` INT, IN `luggage` INT)
BEGIN
IF local_pkg_id>0
THEN
SELECT
  bc.id AS base_comb_id,
  bc.date_from,
  bc.date_to,
  pat.start_time,
  pat.end_time,
  bc.city_id,
  mp.id AS master_package_id,
  mp.name AS package_name,
  mp.image,
  mpm.id AS master_package_mode_id,
  mpm.package_mode,
  nc.night_rate_begins,
  nc.night_rate_ends,
  nc.night_rate_type,
  nc.night_rate_value,
  bvt.base_vehicle_id,
  mvt.id AS master_vehicle_type_id,
  mvt.category_id as vehicle_category_id,
  mvt.vehicle_type,
  GROUP_CONCAT(vmodel.name SEPARATOR ', ') as vehicle_name,
  mvt.vehicle_image,
  mvt.seating_capacity,
  mvt.amenities,
  mvt.luggage,
  tax.sgst,
  tax.cgst,
  tax.igst,
  concat(vendor.first_name,' ',vendor.last_name) as vendor_name,
  vendor.email as vendor_email,
  vendor.mobile as vendor_mobile,
  premium.premiums_type,
  premium.premiums_value,
  dispatch.type_of_dispatch ,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude
FROM
  base_combination AS bc
INNER JOIN
  base_vehicle_type AS bvt ON bc.id = bvt.base_comb_id 
INNER JOIN 
 local_package_fare AS lpf ON bvt.base_vehicle_id = lpf.base_vehicle_id
INNER join 
 local_package AS lp ON lpf.local_pkg_id = lp.id
LEFT JOIN
  master_package_mode AS mpm ON lp.booking_mode = mpm.id
LEFT JOIN
  master_package AS mp ON lp.id = mp.id 
LEFT JOIN
  master_vehicle_type AS mvt ON bvt.vehicle_type_id = mvt.id 
LEFT JOIN
master_vehicle_model as vmodel ON mvt.id =vmodel.vehicle_type_id
LEFT JOIN
  night_charge AS nc ON bvt.base_vehicle_id = nc.base_vehicle_id AND nc.status = "1"
LEFT JOIN
  basic_tax AS tax ON bvt.base_vehicle_id = tax.base_vehicle_id
Left join 
 package_active_timeslot as pat ON bvt.base_vehicle_id = pat.base_vehicle_id
LEFT JOIN 
 user as vendor ON bc.vendor_id = vendor.id
LEFT JOIN 
premiums_fare AS premium ON bvt.base_vehicle_id = premium.base_vehicle_id
LEFT JOIN 
 dispatch_location as dispatch ON bc.id = dispatch.base_comb_id


WHERE
  bc.city_id  = city_id AND bc.master_package_id = master_package_id  AND lpf.local_pkg_id = local_pkg_id
AND mvt.seating_capacity >= seating_capacity
AND mvt.luggage >=luggage
AND bc.status = '1'
group by bvt.base_vehicle_id
;
ELSE 

SELECT
  bc.id AS base_comb_id,
  bc.date_from,
  bc.date_to,
  pat.start_time,
  pat.end_time,
  bc.city_id,
  mp.id AS master_package_id,
  mp.name AS package_name,
  mp.image,
  mpm.id AS master_package_mode_id,
  mpm.package_mode,
  nc.night_rate_begins,
  nc.night_rate_ends,
  nc.night_rate_type,
  nc.night_rate_value,
  bvt.base_vehicle_id,
  mvt.id AS master_vehicle_type_id,
  mvt.vehicle_type,
  GROUP_CONCAT(vmodel.name SEPARATOR ', ') as vehicle_name,
  mvt.vehicle_image, 
  mvt.seating_capacity,
  mvt.amenities,
  mvt.luggage,
  tax.sgst,
  tax.cgst,
  tax.igst,
  concat(vendor.first_name,' ',vendor.last_name) as vendor_name,
  vendor.email as vendor_email,
  vendor.mobile as vendor_mobile,
  premium.premiums_type,
  premium.premiums_value,
  dispatch.type_of_dispatch ,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude
FROM
  base_combination AS bc
LEFT JOIN
  master_package_mode AS mpm ON bc.master_package_mode_id = mpm.id
LEFT JOIN
  master_package AS mp ON bc.master_package_id = mp.id
LEFT JOIN
  base_vehicle_type AS bvt ON bc.id = bvt.base_comb_id 
LEFT JOIN
  master_vehicle_type AS mvt ON bvt.vehicle_type_id = mvt.id
LEFT JOIN
master_vehicle_model as vmodel ON mvt.id =vmodel.vehicle_type_id
LEFT JOIN
  night_charge AS nc ON bvt.base_vehicle_id = nc.base_vehicle_id AND nc.status = "1"
LEFT JOIN
  basic_tax AS tax ON bvt.base_vehicle_id = tax.base_vehicle_id
Left join 
 package_active_timeslot as pat ON bvt.base_vehicle_id = pat.base_vehicle_id
 LEFT JOIN 
 user as vendor ON bc.vendor_id = vendor.id
LEFT JOIN 
	premiums_fare AS premium ON bvt.base_vehicle_id = premium.base_vehicle_id 
LEFT JOIN 
 dispatch_location as dispatch ON bc.id = dispatch.base_comb_id
WHERE
  bc.city_id  = city_id AND bc.master_package_id = master_package_id 
AND bc.status = '1'
AND mvt.seating_capacity >= seating_capacity
AND mvt.luggage >=luggage
group by bvt.base_vehicle_id
;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_fare_details_old_18-feb-20` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_fare_details_old_18-feb-20`(IN `city_id` INT, IN `master_package_id` INT, IN `local_pkg_id` INT, IN `seating_capacity` INT, IN `luggage` INT)
BEGIN
IF local_pkg_id>0
THEN
SELECT
  bc.id AS base_comb_id,
  bc.date_from,
  bc.date_to,
  pat.start_time,
  pat.end_time,
  bc.city_id,
  mp.id AS master_package_id,
  mp.name AS package_name,
  mp.image,
  mpm.id AS master_package_mode_id,
  mpm.package_mode,
  nc.night_rate_begins,
  nc.night_rate_ends,
  nc.night_rate_type,
  nc.night_rate_value,
  bvt.base_vehicle_id,
  mvt.id AS master_vehicle_type_id,
  mvt.vehicle_type,
  mvt.vehicle_image,
  mvt.seating_capacity,
  mvt.amenities,
  mvt.luggage,
  tax.sgst,
  tax.cgst,
  tax.igst,
  concat(vendor.first_name,' ',vendor.last_name) as vendor_name,
  vendor.email as vendor_email,
  vendor.mobile as vendor_mobile,
  premium.premiums_type,
  premium.premiums_value,
  dispatch.type_of_dispatch ,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude
FROM
  base_combination AS bc
INNER JOIN
  base_vehicle_type AS bvt ON bc.id = bvt.base_comb_id 
INNER JOIN 
 local_package_fare AS lpf ON bvt.base_vehicle_id = lpf.base_vehicle_id
INNER join 
 local_package AS lp ON lpf.local_pkg_id = lp.id
LEFT JOIN
  master_package_mode AS mpm ON lp.booking_mode = mpm.id
LEFT JOIN
  master_package AS mp ON lp.id = mp.id 
LEFT JOIN
  master_vehicle_type AS mvt ON bvt.vehicle_type_id = mvt.id 
LEFT JOIN
  night_charge AS nc ON bvt.base_vehicle_id = nc.base_vehicle_id AND nc.status = "1"
LEFT JOIN
  basic_tax AS tax ON bvt.base_vehicle_id = tax.base_vehicle_id
Left join 
 package_active_timeslot as pat ON bvt.base_vehicle_id = pat.base_vehicle_id
  LEFT JOIN 
 user as vendor ON bc.vendor_id = vendor.id
LEFT JOIN 
	premiums_fare AS premium ON bvt.base_vehicle_id = premium.base_vehicle_id
LEFT JOIN 
 dispatch_location as dispatch ON bc.id = dispatch.base_comb_id  
WHERE
  bc.city_id  = city_id AND bc.master_package_id = master_package_id  AND lpf.local_pkg_id = local_pkg_id
AND mvt.seating_capacity >= seating_capacity
AND mvt.luggage >=luggage
AND bc.status = '1'
;
ELSE 

SELECT
  bc.id AS base_comb_id,
  bc.date_from,
  bc.date_to,
  pat.start_time,
  pat.end_time,
  bc.city_id,
  mp.id AS master_package_id,
  mp.name AS package_name,
  mp.image,
  mpm.id AS master_package_mode_id,
  mpm.package_mode,
  nc.night_rate_begins,
  nc.night_rate_ends,
  nc.night_rate_type,
  nc.night_rate_value,
  bvt.base_vehicle_id,
  mvt.id AS master_vehicle_type_id,
  mvt.vehicle_type,
  mvt.vehicle_image,
  mvt.seating_capacity,
  mvt.amenities,
  mvt.luggage,
  tax.sgst,
  tax.cgst,
  tax.igst,
  concat(vendor.first_name,' ',vendor.last_name) as vendor_name,
  vendor.email as vendor_email,
  vendor.mobile as vendor_mobile,
  premium.premiums_type,
  premium.premiums_value,
  dispatch.type_of_dispatch ,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude
FROM
  base_combination AS bc
LEFT JOIN
  master_package_mode AS mpm ON bc.master_package_mode_id = mpm.id
LEFT JOIN
  master_package AS mp ON bc.master_package_id = mp.id
LEFT JOIN
  base_vehicle_type AS bvt ON bc.id = bvt.base_comb_id 
LEFT JOIN
  master_vehicle_type AS mvt ON bvt.vehicle_type_id = mvt.id 
LEFT JOIN
  night_charge AS nc ON bvt.base_vehicle_id = nc.base_vehicle_id AND nc.status = "1"
LEFT JOIN
  basic_tax AS tax ON bvt.base_vehicle_id = tax.base_vehicle_id
Left join 
 package_active_timeslot as pat ON bvt.base_vehicle_id = pat.base_vehicle_id
 LEFT JOIN 
 user as vendor ON bc.vendor_id = vendor.id
LEFT JOIN 
	premiums_fare AS premium ON bvt.base_vehicle_id = premium.base_vehicle_id 
LEFT JOIN 
 dispatch_location as dispatch ON bc.id = dispatch.base_comb_id
WHERE
  bc.city_id  = city_id AND bc.master_package_id = master_package_id 
AND bc.status = '1'
AND mvt.seating_capacity >= seating_capacity
AND mvt.luggage >=luggage
;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_get_all_complaint_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`localhost`@`root` PROCEDURE `sp_get_all_complaint_by_id`(IN `complaint_id_i` INT)
BEGIN
SELECT * FROM complaint WHERE ID = complaint_id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_get_all_enquiry_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`localhost`@`root` PROCEDURE `sp_get_all_enquiry_by_id`(IN `enquiry_id` INT)
BEGIN
SELECT * FROM enquiry WHERE id = enquiry_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_get_booking_filter_new` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_get_booking_filter_new`(IN `CallerID` VARCHAR(50), IN `book_ref` VARCHAR(50), IN `Todate` DATETIME, IN `FromDate` DATETIME, IN `vehicle_number` VARCHAR(50), IN `vehicle_Driver` VARCHAR(50))
BEGIN
SELECT CONCAT(cab_status.`status`,' ',IFNULL(CONCAT("(INR ",booking_charges.totalBill,")"),'')) as `status`,
complaint.ID as com_id,complaint.StatusID as com_status,
 cab_booking.CSR_ID as emp,
 CONCAT(cab_booking.DropAddress,cab_booking.DropArea) as drop_area,
 cab_booking.ID as id,booking_charges.totalBill,
  cab_booking.booking_reference as ref,
  master_package.Master_Package as booking_type,
  CONCAT(cab_booking.PickupDate," ",cab_booking.PickupTime) as ordertime,
  concat(client.clientName," ",appid.`type`)   as partner,
  CONCAT(cab_list_mgmt.name,', ',driver.FirstName,"(",driver.ContactNo,")") as vehicle,
  CONCAT(user_info.FirstName,"(",user_info.MobNo,")") as clientname,
  CONCAT(driver.FirstName," ",driver.ContactNo) as driver_name, 
  cab_booking.MobileNo as mob_no,
  user_info.UID as client_id,
  driver.UID as driver_id,
  CONCAT(cab_booking.PickupAddress,' ',cab_booking.PickupArea) as departure,
  driver.VehicleRegistrationNo as reg 
  FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
  LEFT JOIN driver ON cab_booking.pickup=driver.uid 
  LEFT JOIN cab_list_mgmt ON driver.TypeOfvehicle=cab_list_mgmt.id 
  JOIN appid ON appid.id=cab_booking.partner 
  JOIN client ON appid.clientId=client.id 
  LEFT JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID 
  WHERE cab_status.`type`='cab' 
    and cab_booking.Bookingdate >= FromDate 
	 AND cab_booking.Bookingdate <= Todate and cab_booking.MobileNo=IFNULL(CallerID,cab_booking.MobileNo) 
	 and  cab_booking.Booking_reference=IFNULL(book_ref, cab_booking.Booking_reference)  
	 and  driver.VehicleRegistrationNo=IFNULL(vehicle_number, driver.VehicleRegistrationNo) 
	 and  driver.FirstName=IFNULL(vehicle_Driver, driver.FirstName) order by cab_booking.ID desc ;   
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_get_land_mark_address` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_get_land_mark_address`(IN `PiCity` VARCHAR(50), IN `PiZone` VARCHAR(50), IN `PiArea` VARCHAR(50))
BEGIN
select distinct Address from rt_locations where city=PiCity and zone=PiZone and area=PiArea order by id desc limit 1;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_get_lat_lot_address` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_get_lat_lot_address`(IN `PiCity` INT, IN `PiZone` INT, IN `PiArea` INT, IN `PiAddress` INT)
BEGIN
select lat ,lon  from rt_locations where city=PiCity and zone=PiZone and area=PiArea and Address=PiAddress order by id desc limit 1;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_homepage_text` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_homepage_text`()
    NO SQL
Begin
Select text,text_id from region_text where page_title='home' and lang=2;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_locate_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_locate_booking`(IN `bookid` VARCHAR(50), IN `driverid` VARCHAR(50), IN `latitide` VARCHAR(50), IN `longitude` VARCHAR(50))
BEGIN
DECLARE lastid INT;
UPDATE booking SET `status`=4 WHERE booking_id=bookid;
INSERT INTO `booking_tracker` (`BookingID`,`DriverId`,`Latitutude`,`Logitude`,`Date_Time`,`CabStatus`) VALUES (bookid,driverid,latitide,longitude,NOW(),'4');
INSERT INTO `booking_logs` (`bookingid`,`user_id`,`status`,`message`,`time`) VALUES (bookid,driverid,'4','Located',NOW());
SELECT LAST_INSERT_ID() INTO lastid;
SELECT lastid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_locate_booking_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_locate_booking_old`(IN `bookid` VARCHAR(50), IN `driverid` VARCHAR(50), IN `latitide` VARCHAR(50), IN `longitude` VARCHAR(50))
BEGIN
DECLARE lastid INT;
UPDATE booking SET `status`=4 WHERE booking_id=bookid;
INSERT INTO `booking_tracker` (`BookingID`,`DriverId`,`Latitutude`,`Logitude`,`Date_Time`,`CabStatus`) VALUES (bookid,driverid,latitide,longitude,NOW(),'4');
INSERT INTO `booking_logs` (`bookingid`,`status`,`message`,`time`) VALUES (bookid,'4','Located',NOW()); 
SELECT LAST_INSERT_ID() INTO lastid;
SELECT lastid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_login_text` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_login_text`()
    NO SQL
Begin
Select text,text_id from region_text where page_title='login' and lang=2;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_logout` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_logout`(IN `login_id` INT, IN `token` VARCHAR(200), IN `logout_location` VARCHAR(200))
    NO SQL
BEGIN
UPDATE user SET login_status = 0, gcm_id = '',logout_time = NOW() WHERE `id` = login_id;
UPDATE driver SET `status`=0 WHERE user_id = login_id;
UPDATE log_in_log SET logout_time=NOW(),logout_location =logout_location WHERE userId = login_id and status=token;
UPDATE log_in_log SET `logout_date`= DATE(log_in_log.logout_time), login_diff=TIMEDIFF(log_in_log.logout_time,log_in_log.login_time) where userID=login_id and status=token;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_mohit_logout` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_mohit_logout`(IN `login_id` INT, IN `token` VARCHAR(200))
    NO SQL
BEGIN
UPDATE user SET loginStatus = 0,
						 gcm_id = '',
						 is_active = 0,
						 logoutTime = NOW()
WHERE `ID` = login_id;
UPDATE driver SET `status`=0 WHERE UID = login_id and status=token;
UPDATE log_in_log SET logout_time=NOW() WHERE userId = login_id and status=token;
UPDATE log_in_log SET `logout_date`= DATE(log_in_log.logout_time), login_diff=TIMEDIFF(log_in_log.logout_time,log_in_log.login_time) where userID=login_id and status=token;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_new_check` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_new_check`(IN `val` INT, IN `initial` TEXT)
BEGIN
DECLARE divide INT;
DECLARE neww VARCHAR(50);
DECLARE next INT;
DECLARE generated_ref TEXT;
IF val>=10000 THEN
SET divide=floor(val/10000);
SET next=val-(divide*10000);
SET neww=CHAR(64+divide);
SELECT neww,lpad(next,4,0), CONCAT(initial,DATE_FORMAT(NOW(), '%y') 
,DATE_FORMAT(NOW(), '%m'),neww,lpad(next,4,0)) into generated_ref;
ELSE
SELECT CONCAT(initial,DATE_FORMAT(NOW(), '%y') ,DATE_FORMAT(NOW(), 
'%m'),lpad(val,4,0)) into generated_ref;
END IF;
UPDATE cab_booking SET booking_reference=xyz WHERE id=val;
SELECT generated_ref;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_new_filter_search` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_new_filter_search`(IN `status_i` INT(10), IN `check_val` INT(10), IN `s_val` VARCHAR(50))
    NO SQL
BEGIN

DECLARE checklogin VARCHAR(50);
SET checklogin=s_val;

IF  check_val = 0 THEN

SELECT cab_booking.charge_type,cab_booking.pickup_date,complaint.ID as com_id,complaint.StatusID as com_status, cab_booking.CSR_ID as
emp,CONCAT(cab_booking.drop_address,cab_booking.drop_area)
as drop_area,cab_booking.ID as id,booking_charges.totalBill, cab_booking.booking_reference as ref,master_package.master_package
as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as
ordertime,concat(client.clientName,'<br>(',appid.`type`,')') as partner,
REPLACE(cab_master.CabName,'•','') as vehicle,CONCAT(user_info.first_name," ",user_info.last_name) as clientname, user_info.alternate_contact_no as alt_no, CONCAT(driver.first_name," ",driver.last_name) as driver_name, user_info.mobile_no as mob_no,user_info.uid as client_id,driver.UID as driver_id, CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,driver.vehicle_reg_no as reg,cab_status.`status` as `status` FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` JOIN user_info ON user_info.uid=cab_booking.client_id
JOIN master_package ON
cab_booking.booking_type=master_package.package_id LEFT JOIN driver ON cab_booking.pickup=driver.uid
LEFT JOIN cab_master ON
driver.vehicle_id=cab_master.CabId JOIN appid ON appid.id=cab_booking.partner JOIN client ON appid.clientId=client.id LEFT JOIN booking_charges ON cab_booking.id=booking_charges.BookingID
LEFT JOIN complaint ON
cab_booking.booking_reference=complaint.BookingID WHERE cab_status.`type`='cab'  and cab_status.status_id = status_i;

END if;
IF  check_val = 1 THEN

SELECT cab_booking.charge_type,cab_booking.pickup_date,IFNULL ( complaint.ID,'Not Available') as com_id, IFNULL ( complaint.StatusID,'Not Available') as com_status, cab_booking.csr_id as emp,CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.id as id,
IFNULL(booking_charges.totalBill, 0) as totalBill, cab_booking.booking_reference as ref,master_package.master_package as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,concat(client.clientName,'<br>(',appid.`type`,')') as partner,
IFNULL (REPLACE(cab_master.CabName,'•','') ,'Not Available') as vehicle,CONCAT(user_info.first_name," ",user_info.last_name) as clientname, user_info.alternate_contact_no as alt_no, IFNULL ( CONCAT(driver.first_name," ",driver.last_name),'Not Available') as driver_name, user_info.mobile_no as mob_no,user_info.uid as client_id, IFNULL ( driver.uid,0) as driver_id, CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,IFNULL ( driver.vehicle_reg_no ,'Not Available') as reg, CONCAT(cab_status.status ," ", "") as status 
FROM cab_booking JOIN cab_status ON cab_booking.status_c=cab_status.`status_id`
JOIN user_info ON user_info.uid=cab_booking.client_id
JOIN master_package ON
cab_booking.booking_type=master_package.package_id LEFT JOIN driver ON cab_booking.pickup=driver.uid
LEFT JOIN cab_master ON
driver.vehicle_id=cab_master.CabId JOIN appid ON appid.id=cab_booking.partner JOIN client ON appid.clientId=client.id LEFT JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID
LEFT JOIN complaint ON
cab_booking.booking_reference=complaint.BookingID WHERE cab_status.`type`='cab'  and cab_status.status_id = status_i;

END if;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_vehicle_filter` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_vehicle_filter`(IN `stauts_id` INT)
BEGIN
SELECT  DISTINCT(driver.id),driver.uid,cab_booking.booking_reference,cab_booking.drop_area,cab_list_mgmt.vehicleNumber,CONCAT(driver.first_name,' ',driver.last_name) as name,driver.contact_no,driver.`status`,user.login_status,cab_booking.`Status` FROM driver JOIN cab_list_mgmt ON driver.vehicle_id=cab_list_mgmt.id JOIN user ON driver.uid=user.id inner join cab_booking ON driver.uid=cab_booking.pickup and cab_booking.`Status`=stauts_id GROUP BY driver.uid ORDER BY cab_booking.`Status` DESC ; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_accept_fetch_job` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_accept_fetch_job`(IN `bookid` INT, IN `driver_id` INT)
BEGIN
DECLARE is_stack int;
DECLARE BookingTypeVal varchar(50);
DECLARE unsuccess int;
DECLARE vehicleType varchar(50);
SELECT COUNT(*),master_package.name,master_vehicle_type.vehicle_type  into is_stack,BookingTypeVal,vehicleType FROM booking left join master_package ON booking.master_package_id = master_package.id LEFT JOIN master_vehicle_type  ON booking.master_vehicle_type_id =master_vehicle_type.id WHERE booking.booking_id=bookid and booking.driver_id=0 and booking.booking_status='1'; 
IF is_stack=1 THEN
UPDATE booking SET driver_id=driver_id, `status` = '3', is_updation_allow='FALSE'  WHERE booking_id=bookid and booking_status='1' and is_updation_allow='TRUE'; 
   END IF;
   SELECT is_stack,BookingTypeVal,vehicleType;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_accept_fetch_job_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_accept_fetch_job_old`(IN `bookid` INT, IN `driver_id` INT)
BEGIN
DECLARE is_stack int;
DECLARE BookingTypeVal int;
DECLARE unsuccess int;
SELECT COUNT(*),BookingType into is_stack,BookingTypeVal FROM cab_booking WHERE id=bookid and pickup=0 and BookingStatus='1'; 
IF is_stack=1 THEN
UPDATE cab_booking SET pickup=driver_id, `Status` = '3', is_updation_allow='FALSE'  WHERE id=bookid and BookingStatus='1' and is_updation_allow='TRUE'; 
   END IF;
   SELECT is_stack,BookingTypeVal;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_admin_driver` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_admin_driver`(IN `state_in` INT)
    NO SQL
BEGIN
DECLARE taxis_reg INT;
DECLARE taxis_road INT;
DECLARE taxis_logged_in INT;
DECLARE taxis_logged_off INT;
DECLARE driver_blocked INT;
DECLARE taxis_not_functional INT;
DECLARE taxis_available INT;
DECLARE total_jobs INT;
DECLARE delhi_jobs INT;
DECLARE gurgaon_jobs INT;
DECLARE faridabad_jobs INT;
DECLARE noida_jobs INT;
DECLARE state_new text;
DECLARE outstation_jobs INT;
DECLARE railway_jobs INT;
DECLARE cancel_jobs INT;
DECLARE airport_jobs INT;
DECLARE taxis_busy INT;
DECLARE job_1 text;
DECLARE job_2 text;
DECLARE job_3 text;
DECLARE job_4 text;
DECLARE taxis_free INT;
DECLARE job_in_progress INT;
DECLARE job_advance INT;
DECLARE cash_duty_val INT DEFAULT 0;
DECLARE credit_duty_val INT DEFAULT 0;
DECLARE total_revenue_val INT DEFAULT 0;
DECLARE point_val INT DEFAULT 0;
DECLARE air_val INT DEFAULT 0;
DECLARE outstation_val INT DEFAULT 0;
DECLARE local_val INT DEFAULT 0;
DECLARE currency VARCHAR(50);
DECLARE job_completed int;
DECLARE cash_val int;
DECLARE credit_val int;
DECLARE local_book int;
DECLARE point_book int;
DECLARE airport_book int;
DECLARE outstation_book int;
DECLARE railway_book int;
DECLARE web_app int;
declare call_center int;
declare user_app int;
declare company_sh int;
declare driver_sh int;
declare partner_sh int;
SELECT COUNT(*) INTO taxis_free FROM driver JOIN user ON driver.uid=user.id WHERE user.login_status='1' and driver.`status`=0 and `state`=state_in;
SELECT COUNT(*) INTO job_in_progress FROM cab_booking WHERE pickup_date=CURDATE() and `status` >3 and `status`< 8;
SELECT value INTO job_1 FROM admin_text WHERE type=state_in and `field`='jobs_1';
SELECT value INTO job_2 FROM admin_text WHERE type=state_in and `field`='jobs_2';
SELECT value INTO job_3 FROM admin_text WHERE type=state_in and `field`='jobs_3';
SELECT value INTO job_4 FROM admin_text WHERE type=state_in and `field`='jobs_4';
SELECT COUNT(*) INTO taxis_reg FROM driver;
SELECT COUNT(*) INTO taxis_road FROM driver WHERE status='1';
SELECT COUNT(*) INTO taxis_busy FROM driver WHERE status='1';
SELECT COUNT(*) INTO taxis_logged_in FROM driver JOIN user ON driver.uid=user.id WHERE user.login_status='1';
SELECT COUNT(*) INTO taxis_logged_off FROM driver JOIN user ON driver.uid=user.id WHERE user.login_status!='1';
SELECT COUNT(*) INTO driver_blocked FROM driver WHERE is_active=0 and state=state_in;
SELECT COUNT(*) INTO taxis_not_functional FROM driver WHERE is_functional=0 and state=state_in;
SELECT COUNT(*) INTO taxis_available FROM driver JOIN user ON driver.uid=user.id WHERE driver.`status`=0 and user.login_status=1;
SELECT `state` INTO state_new FROM states WHERE id=state_in;
SELECT COUNT(*) INTO total_jobs FROM cab_booking WHERE DATE(pickup_date)=CURDATE();
SELECT COUNT(*) INTO delhi_jobs FROM cab_booking WHERE cab_booking.pickup_area LIKE CONCAT('%', job_1, '%') AND DATE(pickup_date)=CURDATE() ;
SELECT COUNT(*) INTO noida_jobs FROM cab_booking WHERE cab_booking.pickup_area LIKE CONCAT('%', job_2, '%') AND DATE(pickup_date)=CURDATE() ;
SELECT COUNT(*) INTO faridabad_jobs FROM cab_booking WHERE cab_booking.pickup_area LIKE CONCAT('%', job_3, '%') AND DATE(pickup_date)=CURDATE();
SELECT COUNT(*) INTO gurgaon_jobs FROM cab_booking WHERE cab_booking.pickup_area LIKE CONCAT('%', job_4, '%') AND DATE(pickup_date)=CURDATE();
SELECT COUNT(*) INTO outstation_jobs FROM cab_booking WHERE DATE(pickup_date)=CURDATE() AND booking_type=104;
SELECT COUNT(*) INTO railway_jobs FROM cab_booking WHERE drop_area LIKE '%railway%' AND DATE(pickup_date)=CURDATE();
SELECT COUNT(*) INTO cancel_jobs FROM cab_booking WHERE `status`=10 AND DATE(pickup_date)=CURDATE();
SELECT COUNT(*) INTO airport_jobs FROM cab_booking WHERE `booking_type`=103 AND DATE(pickup_date)=CURDATE();
SELECT COUNT(*) INTO job_advance FROM cab_booking WHERE pickup_date>CURDATE();
SELECT SUM(booking_charges.totalBill) into cash_duty_val FROM booking_charges WHERE date(booking_charges.AddedTime)=CURDATE() and payment_type='CASH';
SELECT SUM(booking_charges.totalBill) into credit_duty_val FROM booking_charges WHERE date(booking_charges.AddedTime)=CURDATE() and payment_type='CREDIT';
SELECT SUM(booking_charges.totalBill) into total_revenue_val FROM booking_charges WHERE date(booking_charges.AddedTime)=CURDATE();
SELECT SUM(booking_charges.totalBill) into local_val FROM booking_charges JOIN cab_booking ON booking_charges.BookingID=cab_booking.ID WHERE date(booking_charges.AddedTime)=CURDATE() and cab_booking.booking_type=101;
SELECT SUM(booking_charges.totalBill) into point_val FROM booking_charges JOIN cab_booking ON booking_charges.BookingID=cab_booking.ID WHERE date(booking_charges.AddedTime)=CURDATE() and cab_booking.booking_type=102;
SELECT SUM(booking_charges.totalBill) into air_val FROM booking_charges JOIN cab_booking ON booking_charges.BookingID=cab_booking.ID WHERE date(booking_charges.AddedTime)=CURDATE() and cab_booking.booking_type=103;
SELECT SUM(booking_charges.totalBill) into outstation_val FROM booking_charges JOIN cab_booking ON booking_charges.BookingID=cab_booking.ID WHERE date(booking_charges.AddedTime)=CURDATE() and cab_booking.booking_type=104;
SELECT COUNT(*) into job_completed FROM cab_booking WHERE cab_booking.`Status` IN (8,11,12) and pickup_date=CURDATE();
SELECT country.currency into currency fROM country WHERE country.country_name='India';
SELECT COUNT(*) into cash_val FROM cab_booking WHERE cab_booking.`Status`=11 and pickup_date=CURDATE();
SELECT COUNT(*) into credit_val FROM cab_booking WHERE cab_booking.`Status`=12 and pickup_date=CURDATE();
SELECT COUNT(*) into local_book FROM cab_booking WHERE cab_booking.booking_type=101 and pickup_date=CURDATE();
SELECT COUNT(*) into point_book FROM cab_booking WHERE cab_booking.booking_type=102 and pickup_date=CURDATE();
SELECT COUNT(*) into airport_book FROM cab_booking WHERE cab_booking.booking_type=103 and pickup_date=CURDATE();
SELECT COUNT(*) into outstation_book FROM cab_booking WHERE cab_booking.booking_type=104 and pickup_date=CURDATE();
SELECT COUNT(*) into web_app FROM cab_booking WHERE partner=1 and pickup_date=CURDATE();
SELECT COUNT(*) into call_center FROM cab_booking WHERE partner=3 and pickup_date=CURDATE();
SELECT COUNT(*) into user_app FROM cab_booking WHERE partner=2 and pickup_date=CURDATE();
SELECT SUM((booking_charges.totalBill*booking_charges.drivershare)/100) into driver_sh FROM booking_charges WHERE date(booking_charges.AddedTime)=CURDATE();
SELECT SUM((booking_charges.totalBill*booking_charges.companyshare)/100) into company_sh FROM booking_charges WHERE date(booking_charges.AddedTime)=CURDATE();
SELECT SUM((booking_charges.totalBill*booking_charges.partnershare)/100) into partner_sh FROM booking_charges WHERE date(booking_charges.AddedTime)=CURDATE();
SELECT partner_sh,company_sh,driver_sh,web_app,call_center,user_app,local_book,point_book,airport_book,outstation_book,cash_val,credit_val,job_completed,CONCAT(currency,' ',local_val) as local_val,CONCAT(currency,' ',point_val) as point_val,CONCAT(currency,' ',air_val) as air_val,CONCAT(currency,' ',total_revenue_val) as total_revenue_val,CONCAT(currency,' ',cash_duty_val) as cash_duty_val, CONCAT(currency,' ',credit_duty_val) as credit_duty_val,taxis_reg,taxis_road,taxis_logged_in,taxis_logged_off,driver_blocked,taxis_not_functional,taxis_available,total_jobs,delhi_jobs,noida_jobs,faridabad_jobs,gurgaon_jobs,outstation_jobs,railway_jobs,cancel_jobs,airport_jobs,taxis_busy,taxis_free,job_in_progress,job_advance;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_admin_login` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_admin_login`(IN `username_i` VARCHAR(50), IN `password_i` VARCHAR(100), IN `ipaddress` TEXT)
    NO SQL
BEGIN
DECLARE check_login INT;
DECLARE id_s INT;
SELECT COUNT(*),id INTO check_login,id_s FROM web_admin WHERE `email`=username_i and `password` = password_i 
 and IsActive=1;
IF check_login>0 THEN
SELECT *,check_login FROM web_admin WHERE `email`=username_i;
INSERT INTO admin_log (adminId,`login_time`,login_date,lat,`log`,ipaddress) VALUES (id_s,NOW(),CURDATE(),'','',ipaddress);
ELSE
SELECT check_login;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_admin_text` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_admin_text`(IN `id` INT, IN `type_in` INT)
BEGIN
SELECT * FROM admin_text WHERE page=`id` and (`type`=type_in or `type`='0');
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_admin_text_module` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_admin_text_module`(IN `module_i` VARCHAR(50), IN `type_in` INT)
BEGIN
SELECT * FROM admin_text WHERE admin_text.module = module_i and (`type`=type_in or `type`='0');
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_auth` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_auth`(IN `api_key` VARCHAR(200))
    NO SQL
BEGIN
DECLARE check_auth int;
SELECT COUNT(*) INTO check_auth FROM client WHERE clientKey=api_key;
SELECT check_auth;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_a_booking_information` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_a_booking_information`(IN `booking_id` INT)
BEGIN SELECT
  cab_status.status_id,
  cab_status.`status` AS `status`,
  IF(
    booking.`status` IN(10,
    17,
    20,
    21),
    1,
    0
  ) AS `cancel_status`,
  DATE_FORMAT(
    booking_logs.`time`,
    '%Y-%m-%d %H:%i:%s'
  ) AS `time`,
  `message`,
  apitime.api_time,
  apitime.api_distance
FROM
  booking
JOIN
  cab_status ON booking.`status` = cab_status.`status_id`
LEFT JOIN
  booking_logs ON booking_logs.`Status` = cab_status.`status_id` AND booking_logs.bookingid = booking_id
LEFT JOIN 
 api_call_timeinterval AS apitime ON booking.master_package_id = apitime.package_id
WHERE
  booking.booking_id = booking_id AND cab_status.`type` = 'cab';
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_a_booking_information_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_a_booking_information_old`(IN `booking_id` INT, IN `token_val` VARCHAR(50))
BEGIN
SELECT cab_status.`status` as `status`,`time`,`message` FROM booking_logs JOIN cab_status ON booking_logs.`Status`=cab_status.`status_id`
INNER JOIN cab_booking ON booking_logs.bookingid = cab_booking.ID INNER JOIN user ON cab_booking.pickup = user.ID
WHERE booking_logs.bookingid=booking_id and user.token = token_val and cab_status.`type`='cab';
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_a_payment_information` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_a_payment_information`(IN `booking_id` INT, IN `token_val` VARCHAR(50))
BEGIN
SELECT booking_bill.CabName as cab_name,addedtime,cancellation_price,waitingCharge,tripCharge,total_tax_price,totalBill,is_paid,paid_at,currency,invoice_number,payment_type,fees,total_price,total_tax_price,duration_rate,starting_rate,base_price,tax_price,starting_charge,distance_charge,duration_charge,minimum_price,cab_booking.*
FROM cab_booking
LEFT JOIN booking_charges ON cab_booking.id=booking_charges.bookingid
LEFT JOIN booking_bill ON cab_booking.CarType=booking_bill.Id 
INNER JOIN driver ON cab_booking.pickup = driver.UID INNER JOIN user ON  driver.UID = user.ID
WHERE cab_booking.id=booking_id and user.token = token_val; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_booking_details` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_booking_details`()
BEGIN
SELECT bk.booking_id as id,bk.driver_id,bk.reference_number as ref,us2.id as client_id,
	CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
  CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
 CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as charge_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
 CONCAT(
    bpd.pickup_date,
    " ",
    bpd.pickup_time
  ) AS ordertime,
  CONCAT(
    bpd.pickup_address,
    ' ',
    bpd.pickup_area
  ) AS departure,
  CONCAT(
    bpd.drop_address,
    bpd.drop_area
  ) AS drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

from booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

WHERE
   bpd.pickup_date >= CURDATE() AND bk.status <= 8
ORDER BY
  bk.booking_id DESC;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_booking_details_date` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_booking_details_date`(IN `date_n` DATE, IN `hour_n` INT)
BEGIN
IF hour_n=0
THEN

SELECT bk.booking_id as id,bk.driver_id,bk.reference_number as ref,us2.id as client_id,
	CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
  CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
 CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as charge_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
hour(bpd.pickup_time),
 CONCAT(
    bpd.pickup_date,
    " ",
    bpd.pickup_time
  ) AS ordertime,
  CONCAT(
    bpd.pickup_address,
    ' ',
    bpd.pickup_area
  ) AS departure,
  CONCAT(
    bpd.drop_address,
    ' ',
    bpd.drop_area
  ) AS drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

from booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

WHERE
   bpd.pickup_date = date_n AND bk.status <= 8   
ORDER BY
  bk.booking_id DESC;

ELSE

SELECT bk.booking_id as id,bk.driver_id,bk.reference_number as ref,us2.id as client_id,
	CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
  CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
 CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
lp.price as local_package_price,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as charge_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
hour(bpd.pickup_time),
 CONCAT(
    bpd.pickup_date,
    " ",
    bpd.pickup_time
  ) AS ordertime,
  CONCAT(
    bpd.pickup_address,
    ' ',
    bpd.pickup_area
  ) AS departure,
  CONCAT(
    bpd.drop_address,
    ' ',
    bpd.drop_area
  ) AS drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

from booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

WHERE
   bpd.pickup_date = date_n AND hour(bpd.pickup_time) = hour_n AND bk.status <= 8   
ORDER BY
  bk.booking_id DESC;

END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_booking_details_date_bookingtype` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_booking_details_date_bookingtype`(IN `date_n` DATE, IN `btype` INT)
BEGIN

SELECT bk.booking_id as id,bk.driver_id,bk.reference_number as ref,us2.id as client_id,
	CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
  CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
 CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as charge_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
hour(bpd.pickup_time),
 CONCAT(
    bpd.pickup_date,
    " ",
    bpd.pickup_time
  ) AS ordertime,
  CONCAT(
    bpd.pickup_address,
    ' ',
    bpd.pickup_area
  ) AS departure,
  CONCAT(
    bpd.drop_address,
    ' ',
    bpd.drop_area
  ) AS drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

from booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

WHERE
   bpd.pickup_date = date_n AND bk.master_package_id = btype AND bk.status <= 8   
ORDER BY
  bk.booking_id DESC;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_booking_details_date_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_booking_details_date_old`(IN `date_n` DATE, IN `hour_n` INT)
BEGIN
IF hour_n=0
THEN
SELECT hour(cab_booking.pickup_time),booking_charges.totalBill AS amount,master_package.icon_image,(booking_charges.totalBill*booking_charges.companyshare/100) 
AS cAmount,(booking_charges.totalBill*booking_charges.drivershare/100) AS dAmount,
(booking_charges.totalBill*booking_charges.partnershare/100) AS pAmount,
booking_charges.companyshare AS cshare,booking_charges.drivershare AS dshare,
booking_charges.partnershare AS pshare,complaint.ID as com_id,
complaint.StatusID as com_status, cab_booking.CSR_ID as emp,
CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.ID as id,
booking_charges.totalBill, cab_booking.booking_reference as ref,
master_package.Master_Package as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,
concat(client.clientName,'<br>(',appid.`type`,')') as partner,
REPLACE(cab_master.CabName,'·','') as vehicle,
CONCAT(user_info.first_name," ",user_info.last_name) as clientname,user_info.alternate_contact_no as alt_no,
CONCAT(driver.first_name," ",driver.last_name) as driver_name, 
user_info.mobile_no as mob_no,user_info.uid as client_id,driver.UID as driver_id,
CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,
driver.vehicle_reg_no as reg,cab_status.`status` as `status`
 FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
 JOIN user_info ON user_info.uid=cab_booking.client_id 
 JOIN master_package ON cab_booking.booking_type=master_package.package_id 
 LEFT JOIN driver ON cab_booking.pickup=driver.uid 
 LEFT JOIN cab_master ON driver.vehicle_id=cab_master.CabId 
 JOIN appid ON appid.id=cab_booking.partner 
 JOIN client ON appid.clientId=client.id 
 LEFT JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID 
 LEFT JOIN complaint ON cab_booking.booking_reference=complaint.BookingID 
 WHERE cab_status.`type`='cab' and cab_booking.pickup_date=date_n and cab_booking.status<=8 order by cab_booking.ID desc;   
ELSE
SELECT booking_charges.totalBill AS amount,master_package.icon_image,(booking_charges.totalBill*booking_charges.companyshare/100) 
AS cAmount,(booking_charges.totalBill*booking_charges.drivershare/100) AS dAmount,
(booking_charges.totalBill*booking_charges.partnershare/100) AS pAmount,
booking_charges.companyshare AS cshare,booking_charges.drivershare AS dshare,
booking_charges.partnershare AS pshare,complaint.ID as com_id,
complaint.StatusID as com_status, cab_booking.CSR_ID as emp,
CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.ID as id,
booking_charges.totalBill, cab_booking.booking_reference as ref,
master_package.Master_Package as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,
concat(client.clientName,'<br>(',appid.`type`,')') as partner,
REPLACE(cab_master.CabName,'·','') as vehicle,
CONCAT(user_info.first_name," ",user_info.last_name) as clientname,user_info.alternate_contact_no as alt_no,
CONCAT(driver.first_name," ",driver.last_name) as driver_name, 
user_info.mobile_no as mob_no,user_info.uid as client_id,driver.UID as driver_id,
CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,
driver.vehicle_reg_no as reg,cab_status.`status` as `status`
 FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
 JOIN user_info ON user_info.uid=cab_booking.client_id 
 JOIN master_package ON cab_booking.booking_type=master_package.package_id 
 LEFT JOIN driver ON cab_booking.pickup=driver.uid 
 LEFT JOIN cab_master ON driver.vehicle_id=cab_master.CabId
 JOIN appid ON appid.id=cab_booking.partner 
 JOIN client ON appid.clientId=client.id 
 LEFT JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID 
 LEFT JOIN complaint ON cab_booking.booking_reference=complaint.BookingID 
 WHERE cab_status.`type`='cab' and cab_booking.pickup_date=date_n and hour(cab_booking.pickup_time)=hour_n and cab_booking.status<=8 order by cab_booking.ID desc;   
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_booking_details_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_booking_details_old`()
BEGIN
SELECT master_package.icon_image,booking_charges.totalBill AS amount,(booking_charges.totalBill*booking_charges.companyshare/100) 
AS cAmount,(booking_charges.totalBill*booking_charges.drivershare/100) AS dAmount,
(booking_charges.totalBill*booking_charges.partnershare/100) AS pAmount,
booking_charges.companyshare AS cshare,booking_charges.drivershare AS dshare,
booking_charges.partnershare AS pshare,complaint.ID as com_id,
complaint.StatusID as com_status, cab_booking.csr_id as emp,
CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.id as id,
booking_charges.totalBill, cab_booking.booking_reference as ref,
master_package.master_package as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,
concat(client.clientName,'<br>(',appid.`type`,')') as partner,
REPLACE(cab_master.CabName,'·','') as vehicle,
CONCAT(user_info.first_name," ",user_info.last_name) as clientname,user_info.alternate_contact_no as alt_no,
CONCAT(driver.first_name," ",driver.last_name) as driver_name, 
user_info.mobile_no as mob_no,cab_booking.charge_type,user_info.uid as client_id,driver.uid as driver_id,
CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,
driver.vehicle_reg_no as reg,cab_status.`status` as `status`
 FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
 JOIN user_info ON user_info.uid=cab_booking.client_id 
 JOIN master_package ON cab_booking.booking_type=master_package.package_id 
 LEFT JOIN driver ON cab_booking.pickup=driver.uid 
 LEFT JOIN cab_master ON driver.vehicle_id=cab_master.CabId
 JOIN appid ON appid.id=cab_booking.partner 
 JOIN client ON appid.clientId=client.id 
 LEFT JOIN booking_charges ON cab_booking.id=booking_charges.BookingID 
 LEFT JOIN complaint ON cab_booking.booking_reference=complaint.BookingID 
 WHERE cab_status.`type`='cab' and cab_booking.`pickup_date`>=CURDATE() and cab_booking.`status` <=8 order by cab_booking.id desc; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_booking_information` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_booking_information`(IN `booking_id` INT)
    NO SQL
BEGIN
SELECT
bk.booking_id as id,bk.reference_number as ref,
CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as payment_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
CONCAT(
    bpd.pickup_date,
    " ",
    bpd.pickup_time
  ) AS ordertime,
CONCAT(
    bpd.pickup_address,
    ' ',
    bpd.pickup_area
  ) AS departure,
CONCAT(
    bpd.drop_address,
    ' ',
    bpd.drop_area
  ) AS drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

FROM booking as bk
JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

WHERE
  bk.booking_id = booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_client_info` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_client_info`(IN `user_id` INT)
BEGIN
SELECT 
user.create_date,
user.id,
user.referral_key,
user.login_name,
user_info.email,
user_info.first_name,
user_info.last_name,
user_info.mobile_no,
user_info.image,
	user_info.alt_email,
	user_info.alternate_contact_no,
	user_info.country,
	user_info.state,
	user_info.city,
	user_info.address1,
	user_info.address2,
	user_info.pincode,
	user_info.bank_account_name,
	user_info.acount_holder,
	user_info.bank_adds,
	user_info.account_no,
	user_info.rtgs_neft,
	user_info.ibn,
user_info.`language`  FROM user JOIN user_info ON user.id=user_info.uid WHERE user.id=user_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_client_information` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_client_information`(IN `client_id` INT)
BEGIN
SELECT * FROM user_info WHERE user_id=client_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_client_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_client_list`()
BEGIN
SELECT user.id,
		 CONCAT(user_info.first_name,' ',user_info.last_name) as name,
		 user.login_name AS Email,
		 user.user_no AS ContactNumber,
		 user.create_date,
		 user.user_type,
		 Count(user.id) as booking 
FROM user 
JOIN user_info ON user.id=user_info.uid 
LEFT JOIN cab_booking ON user.id=cab_booking.client_id 
WHERE user.is_verified=1 and user.user_type IN (1,2) 
GROUP BY (user.id);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_driver_confirm` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_driver_confirm`(IN `driver_id` INT, IN `stat` INT)
BEGIN
IF stat!=3 THEN
SELECT booking.*,vt.vehicle_type,pd.pickup_time,pd.pickup_date,pd.pickup_area,pd.drop_address FROM booking join master_vehicle_type as vt ON booking.master_vehicle_type_id = vt.id JOIN booking_pickdrop_details as pd ON booking.booking_id=pd.booking_id WHERE booking.driver_id=driver_id and booking.`status`=stat order by booking.booking_id desc;
END IF;
IF stat=3 THEN
SELECT booking.*,vt.vehicle_type,pd.pickup_time,pd.pickup_date,pd.pickup_area,pd.drop_address FROM booking JOIN booking_pickdrop_details as pd ON booking.booking_id=pd.booking_id join master_vehicle_type as vt ON booking.master_vehicle_type_id = vt.id  WHERE booking.driver_id=driver_id and booking.`status`<6 and CONCAT(pd.pickup_date,' ',pd.pickup_time)>NOW() order by booking.booking_id desc;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_driver_confirm_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_driver_confirm_old`(IN `driver_id` INT, IN `stat` INT)
BEGIN
IF stat!=3 THEN
SELECT * FROM cab_booking WHERE pickup=driver_id and `status`=stat order by id desc;
END IF;
IF stat=3 THEN
SELECT * FROM cab_booking WHERE pickup=driver_id and `status`<6 and CONCAT(cab_booking.PickupDate,' ',cab_booking.PickupTime)>NOW() order by id desc;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_latest_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_latest_booking`(IN `lim` INT)
    NO SQL
BEGIN
SELECT cab_booking.ID as id,cab_booking.bookingdate as ordertime,"dfdfdfd",CONCAT(user_info.FirstName," ",user_info.LastName) as clientname,cab_booking.Departure as departure,booking_status.`status` as `status` FROM cab_booking JOIN booking_status ON cab_booking.`status`=booking_status.`id` JOIN user_info ON user_info.UID=cab_booking.ClientID LEFT JOIN driver ON cab_booking.pickup=driver.uid order by cab_booking.id desc LIMIT 0,lim ;   
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_list_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_list_booking`(IN `datea` DATE)
BEGIN
SELECT
  bk.booking_id as id,
  bk.driver_id,
  CONCAT(
    CLIENT.first_name,
    '(',
    appid.`type`,
    ')'
  ) AS partner,
  bk.reference_number AS ref,
  HOUR(bk.booking_date) AS HOUR,
  mp.name  AS booking_type,
  CONCAT(
    driver.`first_name`,
    " ",
    driver.`last_name`
  ) AS driver,
  CONCAT(
    user_info.`first_name`,
    " ",
    user_info.`last_name`
  ) AS clientname,
  user_info.mobile AS ContactNo,
  cs.`status` AS `status`,
  bk.booking_date,
  bpd.pickup_address as pickup_location,
  bpd.pickup_area

FROM
  booking as bk
JOIN
  user as user_info ON bk.user_id = user_info.id
LEFT JOIN 
  user as driver ON bk.driver_id=driver.id
JOIN 
  master_package as mp ON bk.master_package_id = mp.id
JOIN  
  cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'

LEFT join 
  booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id
JOIN
  appid ON bk.partner = appid.id
JOIN 
  user as CLIENT ON bk.client_id = CLIENT.id
WHERE
  DATE(bk.booking_date) = datea AND bpd.`pickup_date` >= CURDATE()
ORDER BY
  bk.booking_id DESC;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_list_booking_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_list_booking_old`(IN `datea` DATE)
BEGIN
SELECT `cab_booking`.id as id,concat(client.clientName,'(',appid.`type`,')') as partner,cab_booking.booking_reference as ref,HOUR(`booking_date`) as hour,cab_booking.booking_type as booking_type,CONCAT(driver.`first_name`," ",driver.`last_name`) as driver,CONCAT(user_info.`first_name`," ",user_info.`last_name`) as clientname, user_info.mobile_no as ContactNo,cab_status.`status` as `status`,`booking_date`,`pickup_location`,`pickup_area` FROM cab_booking JOIN user_info ON cab_booking.client_id=user_info.uid JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` JOIN appid ON cab_booking.partner=appid.id JOIN client ON client.id=appid.clientId LEFT JOIN driver on cab_booking.pickup=driver.UID WHERE date(cab_booking.booking_date)=datea and cab_booking.`pickup_date`>=CURDATE() and cab_status.`type`='cab' order by cab_booking.id desc;    
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_list_hour_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_list_hour_booking`(IN `i_date` DATE, IN `i_time` INT)
BEGIN
IF i_time=0 THEN
SELECT COUNT(*) as no_of,HOUR(`pickup_time`) as `hour` FROM booking_pickdrop_details WHERE pickup_date=i_date GROUP BY HOUR(`pickup_time`);
ELSE
SELECT COUNT(*) as no_of,HOUR(`pickup_time`) as `hour` FROM booking_pickdrop_details WHERE pickup_date=i_date and hour(`pickup_time`)=i_time;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_list_hour_booking_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_list_hour_booking_old`(IN `i_date` DATE, IN `i_time` INT)
BEGIN
IF i_time=0 THEN
SELECT COUNT(*) as no_of,HOUR(`pickup_time`) as `hour` FROM cab_booking WHERE pickup_date=i_date GROUP BY HOUR(`pickup_time`);
ELSE
SELECT COUNT(*) as no_of,HOUR(`pickup_time`) as `hour` FROM cab_booking WHERE pickup_date=i_date and hour(`pickup_time`)=i_time;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_list_package_wise_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_w_list_package_wise_booking`(IN `i_date` DATE, IN `i_time` INT)
BEGIN
IF i_time=0 THEN
SELECT COUNT(*) as no,bk.master_package_id AS booking_type FROM booking_pickdrop_details as bpd
join booking AS bk ON bk.booking_id = bpd.booking_id
WHERE bpd.pickup_date=i_date GROUP BY (bk.master_package_id);
ELSE
SELECT COUNT(*) as no,bk.master_package_id AS booking_type FROM booking_pickdrop_details as bpd
join booking AS bk ON bk.booking_id = bpd.booking_id
WHERE bpd.pickup_date=i_date and hour(bpd.`pickup_time`)=i_time GROUP BY (bk.master_package_id);
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_login_logs` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_login_logs`(IN `driver_id` INT)
    NO SQL
BEGIN
SELECT login_time,logout_time,login_diff,DATE(log_in_log.login_time) as `date`,TIMEDIFF(logout_time,login_time) as diff from log_in_log WHERE userid=driver_id ORDER by id DESC;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_login_logs_2` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_login_logs_2`(IN `driver_id` INT, IN `log_time` DATE)
BEGIN
SELECT login_time,logout_time,DATE(log_in_log.login_time) as `date`,TIMEDIFF(logout_time,login_time) as diff from log_in_log WHERE userid=driver_id and date(login_time)=log_time ORDER by id desc;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_login_logs_week` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_login_logs_week`(IN `driver_id` INT, IN `since` DATE, IN `too` DATE)
BEGIN
SELECT login_time,logout_time,DATE(log_in_log.login_time) as `date`,TIMESTAMPDIFF(second,login_time,logout_time) as diff from log_in_log 
WHERE userid=driver_id and date(login_time) BETWEEN date(since) AND date(too);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_payment_information` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_payment_information`(IN `booking_id` INT)
    NO SQL
BEGIN
SELECT
bk.booking_id as ID,bk.reference_number as booking_reference,
CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
bk.is_corportate,
bk.is_account,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as payment_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date as BookingDate,
bk.created_date as addedtime,
cs.status,
bkest.*,
bkest.estimateprice_before_discount as total_price,
bkest.discount_price as total_discount,
bkest.estimated_final_price as final_price,
bkest.booking_amt_percentage as paid_amt_percentage,
bkest.booking_amt_paid as paid_amount,
bkest.booking_amt_balance as balance_amount,
bkest.estimated_distance as EstimatedDistance,
bkest.estimated_time as EstimatedTime,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_date as PickupDate,
bpd.pickup_time as PickupTime,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_area as PickupArea,
bpd.pickup_address as PickupAddress,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_address as DropAddress,
bpd.drop_area as DropArea,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

FROM
   booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

WHERE
  bk.booking_id = booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_payment_information_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_payment_information_old`(IN `booking_id` INT)
    NO SQL
BEGIN
SELECT cab_master.CabName as cab_name,driver.vehicle_id,addedtime,cancellation_price,waitingCharge,tripCharge,total_tax_price,totalBill,is_paid,paid_at,currency,invoice_number,payment_type,fees,total_price,total_tax_price,duration_rate,starting_rate,base_price,tax_price,starting_charge,distance_charge,duration_charge,minimum_price,cab_booking.*
FROM cab_booking 
LEFT JOIN booking_charges ON cab_booking.id=booking_charges.bookingid 
LEFT JOIN driver ON cab_booking.pickup=driver.uid
LEFT JOIN cab_master ON driver.vehicle_id=cab_master.CabId
WHERE cab_booking.id=booking_id; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_w_user_edit_profile` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `sp_w_user_edit_profile`(IN `fname` VARCHAR(50), IN `lname` VARCHAR(50), IN `mob` BIGINT, IN `landline` VARCHAR(50), IN `email` VARCHAR(50), IN `altemail` VARCHAR(50), IN `company` VARCHAR(50), IN `address` VARCHAR(50), IN `res_addr` VARCHAR(50), IN `id_i` INT, IN `altMobile` INT)
BEGIN
Declare com_id INT;
SELECT company.ID as com_id from company
 INNER JOIN user_info ON user_info.CompanyID = company.ID
 where user_info.UID = id_i;
UPDATE user SET LoginName = email, UserNo = mob WHERE ID = id_i;
UPDATE user_info SET FirstName = fname, LastName = lname, MobNo = mob, LandNo = landline, Email = email,
AltEmail = altemail,Address1 = address,Address2 = res_addr,AlternateContactNo=altMobile WHERE UID = id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_activation_user` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_activation_user`(IN `verify` VARCHAR(210), IN `token` VARCHAR(150))
BEGIN
DECLARE verifyTotal INT;
DECLARE uerrid VARCHAR(50);
SELECT COUNT(*) ,UID INTO verifyTotal,uerrid FROM `tblactivation` WHERE `Verification_code` = verify AND `isUsed`=0 LIMIT 0,1;
IF verifyTotal=1 THEN
UPDATE `tblactivation` SET `isUsed` =  '1' WHERE `UID` = uerrid;
UPDATE `user` SET `isVerified` =  '1' WHERE `ID` = uerrid;
UPDATE `user` SET `token`= token WHERE `ID` = uerrid;
END IF;
SELECT verifyTotal,uerrid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_app_chat_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_app_chat_list`(IN `driver_id` INT)
BEGIN
SELECT distinct bookingid,CONCAT (user_info.Firstname," ",user_info.LastName) as name,user_info.UID as userid from booking_msg JOIN cab_booking ON booking_msg.bookingid=cab_booking.ID JOIN user_info ON user_info.UID=cab_booking.ClientID WHERE booking_msg.sender=driver_id or booking_msg.receiver=driver_id order by booking_msg.id desc;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_action_type_info_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_action_type_info_by_id`(IN `action_Id_i` INT)
BEGIN
SELECT * FROM tblactiontype WHERE id = action_Id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_add_device` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_add_device`(IN `dUnit` INT, IN `dpickDate` VARCHAR(50), IN `dactiveDate` VARCHAR(50), IN `dSim` INT, IN `dPort` INT, IN `taxiId` VARCHAR(50))
BEGIN
DECLARE untid INT;
SELECT COUNT(`unit_no`) INTO untid FROM `device` WHERE `unit_no` = dUnit;
IF untid < 1 THEN  
INSERT INTO `device` (`unit_no`,`purchase_date`,`activation_date`,`sim_no`,`port`,`taxiNoId`,`status`) VALUES (dUnit,dpickDate,dactiveDate,dSim,dPort,taxiId,1);
END IF;
SELECT LAST_INSERT_ID() AS devicesId,untid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_add_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_add_vehicle`(IN `cabtype_i` INT(10), IN `vehicle_model_i` VARCHAR(100), IN `external_reference_i` VARCHAR(100), IN `year_i` INT(20), IN `license_plate_i` VARCHAR(100), IN `colour_i` VARCHAR(100), IN `engine_no_i` VARCHAR(100), IN `fueltype_i` VARCHAR(100), IN `capacity_i` INT(10), IN `status_i` INT(10))
    NO SQL
BEGIN
DECLARE vehicle_exists int;
SELECT COUNT(*) INTO vehicle_exists FROM `cab_list_mgmt` WHERE `Engine_No`  =engine_no_i OR `license_plate`  =license_plate_i;
IF vehicle_exists =0 THEN
INSERT INTO `cab_list_mgmt` (`CabType`,`VehicleModel`,`external_reference`,`year`,`license_plate`,`colour`,`Engine_No`,`fuelType`,`capacity`,`status`) values(cabtype_i,vehicle_model_i,external_reference_i,year_i,license_plate_i,colour_i,engine_no_i,fueltype_i,capacity_i,status_i);
END IF;
SELECT vehicle_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_add_vehicle_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_add_vehicle_type`(IN `cabname_i` TEXT, IN `city_i` TEXT)
    NO SQL
BEGIN
DECLARE id_s int;
DECLARE cabtype_exists int;
SELECT COUNT(*) INTO cabtype_exists FROM `booking_bill` WHERE `CabName` COLLATE latin1_general_ci =cabname_i AND `CityId`=city_i;
IF cabtype_exists =0 THEN
INSERT INTO `booking_bill` (`CabName`,`cityId`) values(cabname_i,city_i);
SET id_s=LAST_INSERT_ID();
UPDATE `booking_bill` SET `cabType`=id_s WHERE id=id_S;
END IF;
SELECT cabtype_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_bank_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_bank_update`(IN `dids` INT, IN `bankName` VARCHAR(50), IN `holderName` VARCHAR(50), IN `bAdds` VARCHAR(50), IN `anos` VARCHAR(50), IN `neft` VARCHAR(50), IN `ibnos` VARCHAR(50))
BEGIN
UPDATE `driver` SET `bank_account_name`=bankName,`acount_holder`=holderName,`bank_adds`=bAdds,`account_no`=anos,`rtgs_neft`=neft,`ibn`=ibnos WHERE `UID`=dids;
SELECT ROW_COUNT() AS count;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_booking_complaint_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_booking_complaint_list`()
BEGIN
SELECT complaint.ID as com_id,complaint.StatusID as com_status, cab_booking.csr_id as emp,CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.id as id,booking_charges.totalBill, cab_booking.booking_reference as ref,master_package.master_package as booking_type,CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,concat(client.clientName,'<br>(',appid.`type`,')') as partner,REPLACE(vehicle_type.vehicle_type,'·','') as vehicle,CONCAT(user_info.first_name," ",user_info.last_name) as clientname,CONCAT(driver.first_name," ",driver.last_name) as driver_name, user_info.mobile_no as mob_no,user_info.uid as client_id,driver.uid as driver_id,CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,driver.vehicle_reg_no as reg,cab_status.`status` as `status` FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` JOIN user_info ON user_info.uid=cab_booking.client_id JOIN master_package ON cab_booking.booking_type=master_package.package_id LEFT JOIN driver ON cab_booking.pickup=driver.uid LEFT JOIN vehicle_type ON driver.vehicle_type=vehicle_type.id JOIN appid ON appid.id=cab_booking.partner JOIN client ON appid.clientId=client.id LEFT JOIN booking_charges ON cab_booking.id = booking_charges.BookingID INNER JOIN complaint ON cab_booking.booking_reference = complaint.BookingID WHERE cab_status.`type`='cab' order by cab_booking.id desc;   
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_cab_package_calculation` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_cab_package_calculation`(IN `local_package` VARCHAR(50), IN `point_to_point_package` VARCHAR(50), IN `airport_package` VARCHAR(50), IN `outstation_package` VARCHAR(50))
BEGIN
DECLARE localPackage varchar(50);
DECLARE pointToPointPackage varchar(50);
DECLARE airportPackage varchar(50);
DECLARE outstationPackage varchar(50);
SELECT tblsubpackage.Sub_Package_Id INTO localPackage FROM tblsubpackage WHERE tblsubpackage.Sub_Package_Name = local_package;
SELECT tblsubpackage.Sub_Package_Id INTO pointToPointPackage FROM tblsubpackage WHERE tblsubpackage.Sub_Package_Name = point_to_point_package;
SELECT tblsubpackage.Sub_Package_Id INTO airportPackage FROM tblsubpackage WHERE tblsubpackage.Sub_Package_Name = airport_package;
SELECT tblsubpackage.Sub_Package_Id INTO outstationPackage FROM tblsubpackage WHERE tblsubpackage.Sub_Package_Name = outstation_package;
UPDATE master_package SET master_package.Sub_Package_Id = localPackage where master_package.Master_Package = 'Local';
UPDATE master_package SET master_package.Sub_Package_Id = pointToPointPackage where master_package.Master_Package = 'Point To Point';
UPDATE master_package SET master_package.Sub_Package_Id = airportPackage where master_package.Master_Package = 'Airport Terminal';
UPDATE master_package SET master_package.Sub_Package_Id = outstationPackage where master_package.Master_Package = 'Outstation';
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_client_bank_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_client_bank_update`(IN `cids` INT, IN `bankName` VARCHAR(50), IN `holderName` VARCHAR(50), IN `bAdds` VARCHAR(50), IN `anos` VARCHAR(50), IN `neft` VARCHAR(50), IN `ibnos` VARCHAR(50))
BEGIN
UPDATE `user_info` SET `bank_account_name`=bankName,`acount_holder`=holderName,`bank_adds`=bAdds,`account_no`=anos,`rtgs_neft`=neft,`ibn`=ibnos WHERE `uid`=cids;
SELECT ROW_COUNT() AS count;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_client_update_profile` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_client_update_profile`(IN `cids` INT, IN `fname` VARCHAR(50), IN `lname` VARCHAR(50), IN `lang` INT, IN `email` VARCHAR(50), IN `cnt_no` VARCHAR(50), IN `alt_email` VARCHAR(50), IN `alt_cnt_no` VARCHAR(50), IN `country` INT, IN `state` INT, IN `city` INT, IN `address1` TEXT, IN `address2` TEXT, IN `pin_code` VARCHAR(10))
BEGIN
DECLARE tablecount INT;
DECLARE usercount INT;
UPDATE `user_info` SET `first_name`=fname,`last_name`=lname,`alt_email`=alt_email,`country`=country,`state`=state,`city`=city,`address1`=address1,`address2`=address2,`pincode`=pin_code,`mobile_no`=cnt_no,`alternate_contact_no`=alt_cnt_no WHERE `uid`=cids;
SELECT ROW_COUNT() INTO tablecount;
UPDATE `user` SET `login_name`=email WHERE `id`=cids;
SELECT ROW_COUNT() as tablecountuser, tablecount;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_complaint_type_info_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_complaint_type_info_by_id`(IN `complaint_id_i` INT)
BEGIN
SELECT sub_complaint.id, enquiry_type.enquiry_type, sub_complaint.sub_complaint FROM enquiry_type INNER JOIN sub_complaint ON enquiry_type.id = sub_complaint.complaint_type WHERE sub_complaint.id = complaint_id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_delete_action_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_delete_action_type`(IN `id_i` INT)
BEGIN
DELETE FROM tblactiontype WHERE id = id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_delete_complaint_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_delete_complaint_type`(IN `id_i` INT)
BEGIN
DELETE FROM sub_complaint WHERE id = id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_delete_enquiry_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_delete_enquiry_type`(IN `id_i` INT)
BEGIN
DELETE FROM enquiry_type WHERE id = id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_device_delete` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_device_delete`(IN `deviceid` INT)
BEGIN
UPDATE `device` SET `status` = 0 WHERE `unit_no` = deviceid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_device_edit` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_device_edit`(IN `idDevice` INT)
BEGIN
SELECT a.*,b.vehicleNumber FROM `device` a INNER JOIN `cab_list_mgmt` b ON a.taxiNoId = b.id WHERE a.unit_no=idDevice;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_device_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_device_list`()
BEGIN
SELECT a.unit_no,a.purchase_date,a.activation_date,a.sim_no,a.port,b.vehicleNumber FROM `device` a LEFT JOIN `cab_list_mgmt` b ON a.taxiNoId = b.id WHERE a.status=1;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_device_taxi_nos` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_device_taxi_nos`(IN `data` VARCHAR(50))
BEGIN
SELECT `id`,`vehicleNumber` FROM `cab_list_mgmt` WHERE `vehicleNumber` LIKE CONCAT('%', data , '%');
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_device_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_device_update`(IN `dunit` INT, IN `devicepdate` VARCHAR(50), IN `deviceadate` VARCHAR(50), IN `dsim` INT, IN `dport` INT, IN `taxiNos` VARCHAR(50))
BEGIN
UPDATE `device` SET `purchase_date`=devicepdate,`activation_date`=deviceadate,`sim_no`=dsim,`port`=dport,`taxiNoId`=taxiNos WHERE `unit_no` = dunit;
SELECT ROW_COUNT() AS ids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_a_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_a_history`(IN `dids` INT)
BEGIN
SELECT * FROM `booking_register` WHERE driverId=dids; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_b_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_b_history`(IN `dids` INT)
BEGIN
SELECT bk.booking_id as id,bk.reference_number as ref,
	CONCAT(
    us.first_name,
    " ",
    us.last_name
  ) AS user_name,
  CONCAT(
    us2.first_name,
    " ",
    us2.last_name
  ) AS clientname,
 CONCAT(
    driver.first_name,
    " ",
    driver.last_name
  ) AS driver_name,
lp.name as local_package_id,
lp.hrs as local_package_hrs,
lp.km as local_package_km,
mpm.package_mode,
mp.name  as booking_type,
payty.pay_type_mode as charge_type,
mvt.vehicle_type as vehicle,
bk.no_of_vehicles,
mcoup.name as coupon_name,
bk.booking_date,
cs.status,
bkest.*,
bkest.estimated_final_price as amount,
 CONCAT(
    bpd.pickup_date,
    " ",
    bpd.pickup_time
  ) AS ordertime,
  CONCAT(
    bpd.pickup_address,
    ' ',
    bpd.pickup_area
  ) AS departure,
  CONCAT(
    bpd.drop_address,
    ' ',
    bpd.drop_area
  ) AS drop_area,
bpd.adults,
bpd.childs,
bpd.luggages,
bpd.pickup_country,
bpd.pickup_state,
bpd.pickup_city,
bpd.pickup_landmark,
bpd.pickup_latitude,
bpd.pickup_longitude,
bpd.pickup_zone,
bpd.drop_date,
bpd.drop_time,
bpd.drop_country,
bpd.drop_state,
bpd.drop_city,
bpd.drop_landmark,
bpd.drop_latitude,
bpd.drop_longitude,
bpd.drop_zone

from booking as bk

JOIN user as us ON bk.user_id=us.id
JOIN user as us2 ON bk.client_id=us2.id
LEFT JOIN user as driver ON bk.driver_id=driver.id
JOIN master_package_mode as mpm ON bk.master_package_mode_id = mpm.id 
JOIN master_package as mp ON bk.master_package_id = mp.id 
JOIN master_vehicle_type as mvt ON bk.master_vehicle_type_id = mvt.id
LEFT JOIN master_coupon as mcoup ON bk.coupon_id = mcoup.id
LEFT JOIN local_package as lp ON bk.package_id = lp.id
JOIN cab_status as cs ON bk.status = cs.status_id AND cs.type = 'cab'
JOIN payment_type as payty ON bk.charge_type = payty.payment_type_id

LEFT join 
	booking_estimation as bkest ON bk.booking_id = bkest.booking_id

LEFT join 
	booking_pickdrop_details as bpd ON bk.booking_id=bpd.booking_id

LEFT JOIN
  booking_tracker ON bk.booking_id = booking_tracker.BookingID AND booking_tracker.CabStatus = 3
WHERE
    bk.driver_id = dids

ORDER BY
  bk.booking_id DESC;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_b_history_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_b_history_old`(IN `dids` INT)
SELECT complaint.ID as com_id,complaint.StatusID as com_status, cab_booking.csr_id as emp,booking_charges.totalBill AS amount,(booking_charges.totalBill*booking_charges.companyshare/100) AS cAmount,(booking_charges.totalBill*booking_charges.drivershare/100) AS dAmount,(booking_charges.totalBill*booking_charges.partnershare/100) AS pAmount,booking_charges.companyshare AS cshare,booking_charges.drivershare AS dshare,booking_charges.partnershare AS pshare,
CONCAT(cab_booking.drop_address,cab_booking.drop_area) as drop_area,cab_booking.id as id,
booking_charges.totalBill, cab_booking.booking_reference as ref,master_package.master_package as booking_type,
CONCAT(cab_booking.pickup_date," ",cab_booking.pickup_time) as ordertime,concat(client.clientName,'<br>(',appid.`type`,')') as partner,
CONCAT(user_info.first_name," ",user_info.last_name) as clientname,
CONCAT(driver.first_name," ",driver.last_name) as driver_name, user_info.mobile_no as mob_no,user_info.uid as client_id,cab_master.CabName,cab_booking.basic_tax_price,
driver.uid as driver_id,CONCAT(cab_booking.pickup_address,' ',cab_booking.pickup_area) as departure,driver.vehicle_reg_no as reg,
cab_status.`status` as `status` 
FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` 
JOIN user_info ON user_info.uid=cab_booking.client_id 
JOIN master_package ON cab_booking.booking_type=master_package.package_id 
LEFT JOIN driver ON cab_booking.pickup=driver.uid 
LEFT JOIN cab_master ON cab_master.CabId=driver.vehicle_id  
JOIN appid ON appid.id=cab_booking.partner 
JOIN client ON appid.clientId=client.id 
LEFT JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID 
LEFT JOIN complaint ON cab_booking.ID=complaint.BookingID
INNER JOIN booking_tracker ON cab_booking.id=booking_tracker.BookingID WHERE 
cab_status.`type`='cab' AND booking_tracker.CabStatus =3 AND cab_booking.pickup=dids order by cab_booking.id desc ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_cer_down` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_cer_down`(IN `dids` INT)
BEGIN
SELECT mdt.doc_level_name,uud.doc_file_upload,mdt.doc_type_id
from master_document_type AS mdt LEFT JOIN user_upload_document AS uud ON mdt.doc_type_id = uud.document_type_id where mdt.type = 'driverC' AND uud.user_id =dids and uud.status=1;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_cer_down_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_cer_down_old`(IN `dids` INT)
BEGIN
SELECT `residential_proof`,`office_proof`,`pancard_proof`,`vehicle_proof`,`license_proof`,`police_proof`,`audit_proof`,`rc_proof` FROM `driver` WHERE `user_id`=dids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_cer_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_cer_update`(IN `dids` INT, IN `resProof` TEXT, IN `ofcProof` TEXT, IN `panProof` TEXT, IN `vproof` TEXT, IN `badgeProof` TEXT, IN `pProof` TEXT, IN `auditproof` TEXT, IN `rcproof` TEXT)
BEGIN
UPDATE `driver` SET `residential_proof`=resProof,`office_proof`=ofcProof,`pancard_proof`=panProof,`vehicle_proof`=vproof,`license_proof`=badgeProof,`police_proof`=pProof,`audit_proof`=auditproof,`rc_proof`=rcproof WHERE `UID`=dids;
SELECT ROW_COUNT() as count;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_contacts` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_contacts`(IN `dids` INT)
BEGIN
SELECT `ContactNo` FROM `driver` WHERE `UID`=dids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_data` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_data`()
BEGIN
SELECT a.UID,a.FirstName,a.Email,a.status,a.ContactNo,a.VehicleRegistrationNo,a.DrivingLicenceNo,a.is_active,a.created_date,b.name as vehicleName,f.status as approvedStatus,
count(pickup) as booking, e.isVerified FROM `driver` a INNER JOIN `cab_list_mgmt` b ON a.vehicleId = b.id LEFT JOIN `cab_booking` d ON a.UID=d.pickup INNER JOIN `user` e ON a.UID = e.ID INNER JOIN `active` f ON  
 e.isVerified=f.status_id group by(UID) ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_edit_group` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_edit_group`(IN `gids` INT, IN `dids` INT)
BEGIN
UPDATE `driver` SET `vendor_id`=gids WHERE `UID`=dids;
SELECT ROW_COUNT() AS gedit;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_edit_profile` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_edit_profile`(IN `driverId` INT)
BEGIN
SELECT
userInfo.id AS ID_user_info,
driver.*,
driver.id AS uid,
  driver.is_verified AS isVerifY,
  driver.email AS userName,
  driver.password AS loginPass,

  driver2.status AS driverStatus, 
  driver2.pancard_no AS pan_card_no,
  driver2.driving_license_no,
  driver2.total_fleet_no,
  driver2.license_validity AS license_validity,
  driver2.operational_company_name,
  driver2.imei,
  driver2.gps,
  driver2.eye_test,
  driver2.photo_verify,
  driver2.zone,
  driver2.route_know,

  mvm.name AS CabName,

  vm.permit_exp_date AS expiry,
  vm.vehicle_no AS vehicle_reg_no,
  vm.vehicle_owner_type AS vehicle_owned,
  vm.vehicle_owner_name,
  vm.vehicle_owner_mobile AS vehicle_owner_cnt_no,
  vm.model AS CabModel,
  vm.registration_number AS CabRegistrationNumber,
  vm.ignition_type_id AS CabIgnitionTypeId,
  vm.rc_no,
  vm.insurance_validity,

  mvt.vehicle_type,
  licenceState.name AS licence_state,
 
  ignition_type.fuel_type as CabIgnitionType,
  role.RoleName,
  userInfo.image,
  vm.image AS vehicle_image,

  company.company_name as operational_company_name,
  company.company_address AS office_address,
  company.pincode AS company_pincode,

  city.name AS v_city,
  state.name AS v_state,
  country.name AS v_country,
  userInfo.pincode AS v_pin,
  driver.mobile AS contact_no,
  userInfo.father_name,
  userInfo.dob,
  userInfo.address AS Address,
  city.name AS cn,
  state.name AS sn

FROM
    user AS driver

Left JOIN 
      driver AS driver2 on driver.id =  driver2.user_id

Left JOIN 
      master_state AS licenceState ON driver2.license_state =  licenceState.id

LEFT JOIN
  user_info AS userInfo ON driver.id = userInfo.user_id

LEFT JOIN 
 user_role AS role ON driver.user_type_id = role.Role_ID 

LEFT JOIN 
  master_city AS city ON userInfo.city_id = city.id

LEFT JOIN 
  master_state AS state ON userInfo.state_id = state.id

LEFT JOIN
 master_country AS country ON userInfo.country_id = country.id 
 
LEFT JOIN
  user_vehicle_mapping AS uvm ON driver.id = uvm.user_id

LEFT JOIN
 vehicle_master AS vm ON uvm.vehicle_master_id = vm.vehicle_master_id

LEFT JOIN 
 master_fuel_type AS ignition_type ON vm.ignition_type_id = ignition_type.id

LEFT JOIN 
 master_vehicle_model AS mvm ON  vm.id = mvm.id

LEFT JOIN 
 master_vehicle_type AS mvt ON  mvm.vehicle_type_id = mvt.id

LEFT JOIN
  booking AS bk ON driver.id = bk.driver_id

LEFT JOIN 
  company ON driver.id = company.user_id
	
LEFT JOIN
  active ON driver2.is_active = active.status_id

WHERE
  driver.id = driverId;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_edit_profile_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_edit_profile_old`(IN `driverId` INT)
BEGIN
DECLARE isVerifY INT;
DECLARE userName VARCHAR(50);
DECLARE loginPass VARCHAR(50);
DECLARE driverStatus INT;
DECLARE ref_Key VARCHAR(50);
SELECT `is_verified`,`login_name`,`password`,`login_status`,`referral_key` into isVerifY,userName,loginPass,driverStatus,ref_Key FROM `user` WHERE `id`= driverId;
SELECT user_info.id as ID_user_info,driver.*,isVerifY,userName,loginPass,driverStatus,ref_Key,cab_master.CabName,cab_master.CabPermitExpDate as expiry, vehicle_type.vehicle_type,driver.licence_state,cab_master.CabModel,cab_master.CabRegistrationNumber, cab_master.CabIgnitionTypeId,ignition_type.CabIgnitionType,vendor.vendor_name, user_info.image,user_info.vehicle_image, 
user.user_type, vendor.group_name,vendor.UID as v_id, vendor.vendor_name, vendor.vendor_email,user_info.city as v_city, user_info.state as v_state, 
user_info.country as v_country, user_info.pincode as v_pin, user_info.mobile_no as v_mob, user_info.address1 as v_address, cities.city_name as cn, states.state as sn,states.state as licence_state, country.country_name as countryName 
FROM `driver` 
INNER JOIN `cab_master` ON driver.vehicle_id = cab_master.CabId 
INNER JOIN `ignition_type` ON ignition_type.id = cab_master.CabIgnitionTypeId
INNER JOIN `vehicle_type` ON vehicle_type.id = cab_master.CabType
LEFT JOIN  `vendor` ON driver.vendor_id=vendor.id 
INNER JOIN user_info ON driver.uid = user_info.uid
LEFT JOIN `cities` ON driver.city = cities.id
LEFT JOIN `states` ON driver.state = states.id AND driver.licence_state = states.id
LEFT JOIN `country` ON driver.country = country.id
INNER JOIN user ON driver.uid = user.id 
WHERE driver.uid=driverId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_email_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_email_history`(IN `did` INT)
BEGIN
SELECT * FROM `email_history` WHERE `uid`=did;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_feature_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_feature_update`(IN `feat` VARCHAR(50), IN `dids` INT)
BEGIN
UPDATE `driver` SET `driver_feature`=feat WHERE `UID`=dids;
SELECT ROW_COUNT() AS features;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_groups_remove` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_groups_remove`(IN `groups` VARCHAR(50))
BEGIN
SELECT `id`,`group_name` FROM `vendor` WHERE `group_name` LIKE CONCAT('%', groups , '%') LIMIT 0,10; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_group_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_group_list`(IN `vids` INT)
BEGIN
SELECT a.UID,a.FirstName,a.ContactNo,a.Email,a.is_active,c.loginStatus,d.name,e.status FROM `driver` a INNER JOIN `vendor` b ON a.vendor_id=b.id INNER JOIN `user` c ON a.UID=c.ID INNER JOIN `cab_list_mgmt` d ON a.vehicleId=d.id INNER JOIN `cab_status` e ON a.is_active=e.status_id WHERE b.UID = vids AND e.`type`='driverS';
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_group_name` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_group_name`(IN `driverid` INT)
BEGIN
SELECT a.group_name FROM vendor a INNER JOIN driver b ON a.id=b.vendor_id WHERE b.UID=driverid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_image_verf` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_image_verf`(IN `image` VARCHAR(50), IN `dids` INT)
BEGIN
UPDATE `driver` SET `photo_verify`=image WHERE `uid`=dids;
SELECT ROW_COUNT() AS img;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_list`()
BEGIN
SELECT
  (
  SELECT
    AVG(rating)
  FROM
    driver_rating
  WHERE
    driver_rating.DID = driver.id
  GROUP BY
    driver_rating.DID
) AS DriverRating,
driver.login_status AS LoginStatus,
driver.is_active AS IsActive,
driver.email,
driver.id as uid,
driver.first_name,
driver.mobile AS contact_no,
city.name as city_name,
vm.registration_number as vehicle_reg_no, 
driver2.driving_license_no,
ignition_type.fuel_type as CabIgnitionType,
driver2.is_active,
driver2.status, 
active.status AS approvedStatus,
driver2.created_date,
mvm.name AS vehicleName,
company.company_name as CompanyName,
COUNT(bk.driver_id) AS booking

FROM
  user AS driver

Left JOIN 
      driver AS driver2 on driver.id =  driver2.user_id

LEFT JOIN
  user_info AS userInfo ON driver.id = userInfo.user_id

LEFT JOIN 
  master_city AS city ON  userInfo.city_id = city.id

LEFT JOIN
  user_vehicle_mapping AS uvm ON driver.id = uvm.user_id

LEFT JOIN
 vehicle_master AS vm ON uvm.vehicle_master_id = vm.vehicle_master_id

LEFT JOIN 
 master_fuel_type AS ignition_type ON vm.ignition_type_id = ignition_type.id

LEFT JOIN 
 master_vehicle_model AS mvm ON  vm.id = mvm.id

LEFT JOIN
  booking AS bk ON driver.id = bk.driver_id

LEFT JOIN 
  company ON driver.id = company.user_id
	
LEFT JOIN
  active ON driver2.is_active = active.status_id

where driver.user_type_id = 3

GROUP BY  (driver.id);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_list_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_list_old`()
BEGIN
SELECT (SELECT AVG(rating) FROM driver_rating WHERE driver_rating.DID = driver.UID GROUP BY driver_rating.DID) AS DriverRating, user.login_status as LoginStatus,user.is_active as IsActive,driver.email,driver.uid,driver.first_name,driver.status,driver.contact_no,driver.vehicle_reg_no,driver.driving_license_no,
driver.is_active,active.status AS approvedStatus,driver.created_date,cab_master.CabName AS vehicleName, ignition_type.CabIgnitionType ,
count(pickup) AS booking 
FROM driver  
INNER JOIN cab_master ON driver.vehicle_id = cab_master.cabId 
INNER JOIN ignition_type ON ignition_type.id = cab_master.CabIgnitionTypeId
INNER JOIN vehicle_type ON vehicle_type.Id = cab_master.CabType
LEFT JOIN cab_booking ON driver.uid=cab_booking.pickup 
INNER JOIN user ON driver.uid = user.id 
INNER join active on driver.is_active = active.status_id  group by(uid);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_remove_group` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_remove_group`(IN `grName` VARCHAR(50))
BEGIN
DECLARE gid INT;
DECLARE lo INT;
SELECT `id` INTO gid FROM `vendor` WHERE `group_name`=grName;
IF gid > 0 THEN
UPDATE `driver` SET `vendor_id`=0 where vendor_id = gid;
SELECT ROW_COUNT() INTO lo;
END IF;
SELECT lo, gid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_search` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_search`(IN `data` TEXT)
BEGIN
SELECT `UID`,driver.VehicleRegistrationNo name FROM `driver` JOIN user ON driver.UID=user.id WHERE driver.`status`=0 and user.loginStatus=1 and driver.VehicleRegistrationNo LIKE CONCAT('%', data , '%');
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_sms` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_sms`(IN `ids` INT, IN `sms` LONGTEXT, IN `cont` VARCHAR(50))
BEGIN
INSERT INTO `tblsmsstatus` (`UID`,`mesg`,`ContactNo`,`status`,`sent_time`) VALUES (ids,sms,cont,'1',NOW());
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_sms_history` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_sms_history`(IN `ids` VARCHAR(50))
BEGIN
SELECT * FROM `sms_status` WHERE `uid`=ids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_tracking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_tracking`(IN `bookingId` INT)
BEGIN
SELECT user.Latitude, user.Longtitude1 from user inner join cab_booking on user.ID = cab_booking.pickup where user.UserType = '3' and cab_booking.ID = bookingId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_update_profile` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_update_profile`(IN `dids` INT, IN `name` VARCHAR(50), IN `lname` VARCHAR(50), IN `father` VARCHAR(50), IN `cityname` VARCHAR(50), IN `emaild` VARCHAR(50), IN `dverifyE` INT, IN `uname` VARCHAR(50), IN `dadds` VARCHAR(50), IN `doffadds` VARCHAR(50), IN `dphone` VARCHAR(50), IN `dverifyP` INT, IN `dpannos` VARCHAR(50), IN `dlicence` VARCHAR(50), IN `dvehicleno` VARCHAR(50), IN `dfleet` VARCHAR(50), IN `dmodel` VARCHAR(50), IN `dlstate` VARCHAR(50), IN `eyesite` VARCHAR(50), IN `d_zone` VARCHAR(50), IN `dsmount` VARCHAR(50), IN `d_route` VARCHAR(50), IN `d_pref` VARCHAR(50), IN `doff` VARCHAR(50), IN `dimei` VARCHAR(50), IN `dgps` VARCHAR(50), IN `dlang_w` TEXT, IN `dlan_s` TEXT, IN `pref_t` TEXT, IN `dactivetion` INT, IN `reci_port` TEXT, IN `dacc_cash` VARCHAR(50), IN `dsigupC` LONGTEXT, IN `dinternalC` LONGTEXT, IN `driveBirth` VARCHAR(100), IN `d_ac_nonac` VARCHAR(10), IN `operational_company_name` VARCHAR(150), IN `vehicle_owned` VARCHAR(100), IN `vehicle_owner_name` VARCHAR(100), IN `vehicle_owner_cnt_no` VARCHAR(100), IN `vehicle_owner_alt_cnt_no` VARCHAR(100), IN `license_validity` VARCHAR(100), IN `insurance_validity` VARCHAR(100), IN `rc_no` VARCHAR(100), IN `com_pincode` VARCHAR(100))
BEGIN
DECLARE tablecount INT;
DECLARE usercount INT;
UPDATE `driver` SET `first_name`=name,`last_name`=lname,`father_name`=father,`city`=cityname,`email`=emaild,`address`=dadds,`office_address`=doffadds,`contact_no`=dphone,`pan_card_no`=dpannos,`driving_license_no`=dlicence,`vehicle_reg_no`=dvehicleno,`total_fleet_no`=dfleet,`vehicle_mode`=dmodel,`licence_state`=dlstate,`eye_test`=eyesite,`zone`=d_zone,`security_amt`=dsmount,`route_know`=d_route,`pref_location`=d_pref,`week_off`=doff,`imei`=dimei,`gps`=dgps,`lang_write`=dlang_w,`lang_speak`=dlan_s,`pref_timing`=pref_t,`is_active`=dactivetion,`receive_airport_trns`=reci_port,`accept_cash`=dacc_cash,`signup_comment`=dsigupC,`internal_comment`=dinternalC, `dob`=driveBirth, `ac_nonac`=d_ac_nonac,`operational_company_name`=operational_company_name,`vehicle_owned`=vehicle_owned,`vehicle_owner_name`=vehicle_owner_name,`vehicle_owner_cnt_no`=vehicle_owner_cnt_no,`vehicle_owner_alt_cnt_no`=vehicle_owner_alt_cnt_no,`license_validity`=license_validity,`insurance_validity`=insurance_validity,`rc_no`=rc_no,`company_pincode`=com_pincode WHERE `UID`=dids;
SELECT ROW_COUNT() INTO tablecount;
UPDATE `user` SET `login_name`=uname,`is_verified`=dverifyE WHERE `id`=dids;
SELECT ROW_COUNT() as tablecountuser, tablecount;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_driver_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_driver_vehicle`(IN `vids` INT)
BEGIN
SELECT a.license_plate,a.name,a.id FROM `cab_list_mgmt` a INNER JOIN `driver` b ON a.id=b.vehicleId INNER JOIN `vendor` c ON c.id=b.vendor_id WHERE c.UID=vids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_edit_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_edit_vehicle`(IN `vehicle_type` INT, IN `vehicle_model` VARCHAR(50), IN `vehicle_externalref` VARCHAR(200), IN `vehicle_year` INT, IN `vehicle_licenseplate` VARCHAR(50), IN `vehicle_color` VARCHAR(50), IN `vehicle_engine_no` VARCHAR(50), IN `vehicle_fuel_type` VARCHAR(50), IN `vehicle_capacity` INT, IN `vehicle_is_active` INT, IN `vehicleId` INT)
    NO SQL
BEGIN
UPDATE cab_list_mgmt SET CabType = vehicle_type,VehicleModel = vehicle_model,external_reference = vehicle_externalref,year = vehicle_year,	license_plate=vehicle_licenseplate,colour = vehicle_color,Engine_No = vehicle_engine_no, fuelType = vehicle_fuel_type,capacity = vehicle_capacity,status = vehicle_is_active WHERE id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_edit_vehicle_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_edit_vehicle_type`(IN `cabTypeName` VARCHAR(50), IN `cityId` INT, IN `cabTypeId` INT)
    NO SQL
BEGIN
Update booking_bill SET CabName = cabTypeName,CityId = cityId where Id = cabTypeId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_enquiry_type_info_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_enquiry_type_info_by_id`(IN `enquiry_id_i` INT)
BEGIN
SELECT * FROM enquiry_type WHERE id = enquiry_id_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_basic` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_basic`(IN `taxText` FLOAT, IN `taxType` VARCHAR(50), IN `rounding` VARCHAR(50), IN `leveli` VARCHAR(50), IN `Direction` VARCHAR(50), IN `cabTypeId` INT, IN `BookingTypeId` INT, IN `RecId` INT, IN `CancelFee` VARCHAR(500), IN `hourlyRate` VARCHAR(500), IN `prewaitingRate` VARCHAR(500), IN `krishikalyanText` FLOAT, IN `swachhbharatText` FLOAT)
    NO SQL
BEGIN
UPDATE booking_bill SET basic_tax = taxText,
								  basic_tax_type = taxType,
								  rounding = rounding,
								  `level` = leveli,
								  direction = Direction,
                                  cancellation_fees = CancelFee,
                                  waitingfee_upto_minutes = hourlyRate,
                                  prewaitingfee_upto_minutes=prewaitingRate,
								  krishikalyan_tax = krishikalyanText,
								  swachhbharat_tax = swachhbharatText
WHERE Id = RecId;
UPDATE cab_list_mgmt SET UpdatedStatus = 0, 
								  basic_tax = taxText,
								  basic_tax_type = taxType,
								  rounding = rounding,
								  `level` = leveli,
								  direction = Direction,
                                  cancellation_fees = CancelFee,
                                  waitingfee_upto_minutes = hourlyRate,
                                  prewaitingfee_upto_minutes=prewaitingRate,
								  krishikalyan_tax = krishikalyanText,
								  swachhbharat_tax = swachhbharatText
WHERE BookingType = BookingTypeId AND CabType = cabTypeId;
SELECT ROW_COUNT() as affectedrow, BookingTypeId, cabTypeId, RecId, taxText, taxType, rounding, leveli, Direction, cancellation_fees;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_basic_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_basic_status`(IN `taxText` FLOAT, IN `taxType` VARCHAR(50), IN `rounding` VARCHAR(50), IN `leveli` VARCHAR(50), IN `Direction` VARCHAR(50), IN `cabTypeId` INT, IN `BookingTypeId` INT, IN `RecId` INT, IN `CancelFee` VARCHAR(500), IN `hourlyRate` VARCHAR(500), IN `prewaitingRate` VARCHAR(500), IN `krishikalyanText` FLOAT, IN `swachhbharatText` FLOAT)
BEGIN
UPDATE booking_bill SET basic_tax = taxText,
								  basic_tax_type = taxType,
								  rounding = rounding,
								  `level` = leveli,
								  direction = Direction,
                                  cancellation_fees = CancelFee,
                                  waitingfee_upto_minutes = hourlyRate,
                                  prewaitingfee_upto_minutes=prewaitingRate,
								  krishikalyan_tax = krishikalyanText,
								  swachhbharat_tax = swachhbharatText
WHERE Id = RecId;
UPDATE cab_list_mgmt SET basic_tax = taxText,
								  basic_tax_type = taxType,
								  rounding = rounding,
								  `level` = leveli,
								  direction = Direction,
                                  cancellation_fees = CancelFee,
                                  waitingfee_upto_minutes = hourlyRate,
                                  prewaitingfee_upto_minutes=prewaitingRate,
								  krishikalyan_tax = krishikalyanText,
								  swachhbharat_tax = swachhbharatText
WHERE BookingType = BookingTypeId AND CabType = cabTypeId AND UpdatedStatus = 0;
SELECT ROW_COUNT() as affectedrow, BookingTypeId, cabTypeId, RecId, taxText, taxType, rounding, leveli, Direction;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_basic_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_basic_vehicle`(IN `taxText` FLOAT, IN `taxType` VARCHAR(50), IN `rounding` VARCHAR(50), IN `leveli` VARCHAR(50), IN `Direction` VARCHAR(50), IN `vehicleId` INT)
    NO SQL
BEGIN
UPDATE cab_list_mgmt SET basic_tax = taxText,basic_tax_type = taxType,rounding = rounding,level = leveli,direction = Direction WHERE Id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_distance` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_distance`(IN `rate_per_km` INT, IN `first_km_rate` INT, IN `vehicle_minmum_distance` INT, IN `vehicle_minmum_fare` INT, IN `CancelFee` VARCHAR(500), IN `rate_upto_distance` VARCHAR(500), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `roundupkm_i` VARCHAR(50), IN `accum_instance_i` VARCHAR(50), IN `package_info_distance` TEXT)
    NO SQL
BEGIN
UPDATE booking_bill SET Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,rate_upto_distance= rate_upto_distance, round_up_km = roundupkm_i, accumulated_instance = accum_instance_i,package_info_distance=package_info_distance  
WHERE Id = RecId;
UPDATE cab_list_mgmt SET UpdatedStatus = 0, Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare, rate_upto_distance= rate_upto_distance, round_up_km = roundupkm_i, accumulated_instance = accum_instance_i,package_info_distance=package_info_distance 
WHERE CabType = cabTypeId AND BookingType = BookingTypeId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_distance_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_distance_status`(IN `rate_per_km` INT, IN `irst_km_rate` INT, IN `vehicle_minmum_distance` INT, IN `vehicle_minmum_fare` INT, IN `CancelFee` VARCHAR(500), IN `rate_upto_distance` VARCHAR(500), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `roundupkm_i` VARCHAR(50), IN `accum_instance_i` VARCHAR(50), IN `package_info_distance` TEXT)
BEGIN
UPDATE booking_bill SET Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare, rate_upto_distance= rate_upto_distance, round_up_km = roundupkm_i, accumulated_instance = accum_instance_i,package_info_distance=package_info_distance  
WHERE Id = RecId;
UPDATE cab_list_mgmt SET Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare, rate_upto_distance= rate_upto_distance, round_up_km = roundupkm_i, accumulated_instance = accum_instance_i,package_info_distance=package_info_distance 
WHERE CabType = cabTypeId AND BookingType = BookingTypeId AND UpdatedStatus = 0;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_distance_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_distance_vehicle`(IN `rate_per_km` INT, IN `first_km_rate` INT, IN `vehicle_minmum_distance` INT, IN `vehicle_minmum_fare` INT, IN `CancelFee` VARCHAR(500), IN `rate_upto_distance` VARCHAR(500), IN `vehicleId` INT, IN `roundupkm_val_i` VARCHAR(50), IN `accum_instance_val_i` VARCHAR(50))
    NO SQL
BEGIN
UPDATE cab_list_mgmt SET Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,cancellation_fees = CancelFee, rate_upto_distance= rate_upto_distance, round_up_km = roundupkm_val_i, accumulated_instance = accum_instance_val_i  WHERE Id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_fixed_route` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_fixed_route`(IN `frequent_location` VARCHAR(500), IN `postCodeArr` VARCHAR(500), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT)
    NO SQL
BEGIN
	UPDATE booking_bill 
	SET frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr 
	WHERE Id = RecId;
	UPDATE cab_list_mgmt 
	SET UpdatedStatus = 0,frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr 
	WHERE CabType = cabTypeId AND BookingType = BookingTypeId;
	SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_fixed_route_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_fixed_route_status`(IN `frequent_location` VARCHAR(500), IN `postCodeArr` VARCHAR(500), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT)
BEGIN
	UPDATE booking_bill 
	SET frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr 
	WHERE Id = RecId;
	UPDATE cab_list_mgmt 
	SET frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr 
	WHERE CabType = cabTypeId AND BookingType = BookingTypeId AND UpdatedStatus = 0;
	SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_fixed_route_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_fixed_route_vehicle`(IN `frequent_location` VARCHAR(500), IN `postCodeArr` VARCHAR(500), IN `vehicleId` INT)
    NO SQL
BEGIN
UPDATE cab_list_mgmt SET frequent_location=frequent_location,
								  postcode_to_postcode_fair=postCodeArr,
								  UpdatedStatus = 1 
WHERE Id = vehicleId;
SELECT ROW_COUNT() as affectedrow;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_premium` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_premium`(IN `nightChrge` VARCHAR(50), IN `nightChStrtTime` VARCHAR(50), IN `nightChEndTime` VARCHAR(50), IN `extraArray` VARCHAR(500), IN `premiumofVehicle` VARCHAR(50), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `night_charge_unit` VARCHAR(50), IN `premiumofVehicleUnit` VARCHAR(50))
    NO SQL
BEGIN
UPDATE booking_bill 
SET NightCharges = nightChrge,nightCharge_unit=night_charge_unit,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,extras = extraArray,premiums=premiumofVehicle,premiums_unit=premiumofVehicleUnit
WHERE Id = RecId;
UPDATE cab_list_mgmt 
SET UpdatedStatus = 0, NightCharges = nightChrge,nightCharge_unit=night_charge_unit,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,extras = extraArray,premiums=premiumofVehicle,premiums_unit=premiumofVehicleUnit 
WHERE CabType = cabTypeId AND BookingType = BookingTypeId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_premium_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_premium_status`(IN `nightChrge` VARCHAR(50), IN `nightChStrtTime` VARCHAR(50), IN `nightChEndTime` VARCHAR(50), IN `extraArray` VARCHAR(500), IN `premiumofVehicle` VARCHAR(50), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `night_charge_unit` VARCHAR(50), IN `premiumofVehicleUnit` VARCHAR(50))
BEGIN
UPDATE booking_bill 
SET NightCharges = nightChrge,nightCharge_unit=night_charge_unit,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,extras = extraArray,premiums=premiumofVehicle,premiums_unit=premiumofVehicleUnit 
WHERE Id = RecId;
UPDATE cab_list_mgmt 
SET NightCharges = nightChrge,nightCharge_unit=night_charge_unit,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,extras = extraArray,premiums=premiumofVehicle,premiums_unit=premiumofVehicleUnit 
WHERE CabType = cabTypeId AND BookingType = BookingTypeId AND UpdatedStatus = 0;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_premium_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_premium_vehicle`(IN `nightChrge` VARCHAR(50), IN `nightChStrtTime` VARCHAR(50), IN `nightChEndTime` VARCHAR(50), IN `extraArray` VARCHAR(500), IN `premium` VARCHAR(50), IN `vehicleId` INT, IN `night_charge_unit` VARCHAR(50))
    NO SQL
BEGIN
UPDATE cab_list_mgmt SET NightCharges = nightChrge,nightCharge_unit=night_charge_unit,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,extras = extraArray,premiums=premium WHERE Id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_vehicle_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_vehicle_type`(IN `taxText` FLOAT, IN `rounding` VARCHAR(50), IN `leveli` VARCHAR(50), IN `Direction` VARCHAR(50), IN `rate_per_km` INT, IN `first_km_rate` INT, IN `vehicle_minmum_distance` INT, IN `vehicle_minmum_fare` INT, IN `CancelFee` VARCHAR(50), IN `nightChrge` VARCHAR(50), IN `nightChStrtTime` VARCHAR(50), IN `nightChEndTime` VARCHAR(50), IN `vehicle_rate_hour` INT, IN `rate_upto_distance` VARCHAR(500), IN `extraArray` VARCHAR(500), IN `hourlyRate` VARCHAR(500), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `premium` VARCHAR(50), IN `frequent_location` VARCHAR(500), IN `postCodeArr` VARCHAR(500), IN `vehicle_ignore_hour` INT, IN `vehicle_hour_minimum_fare` INT, IN `package_info_hourly` TEXT)
    NO SQL
BEGIN
UPDATE booking_bill SET basic_tax = taxText,rounding = rounding,level = leveli,direction = Direction,	Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,cancellation_fees = CancelFee,NightCharges = nightChrge,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,	tripCharge_per_minute = vehicle_rate_hour, rate_upto_distance= rate_upto_distance,extras = extraArray,waitingfee_upto_minutes = hourlyRate,premiums=premium,frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr ,ignore_first_hrs = vehicle_ignore_hour,minimum_hourly_Charge = vehicle_hour_minimum_fare,package_info_hourly=package_info_hourly
WHERE Id = RecId;
UPDATE cab_list_mgmt SET UpdatedStatus = 0, basic_tax = taxText,rounding = rounding,level = leveli,direction = Direction,	Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,cancellation_fees = CancelFee,NightCharges = nightChrge,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,	tripCharge_per_minute = vehicle_rate_hour, rate_upto_distance= rate_upto_distance,extras = extraArray,waitingfee_upto_minutes = hourlyRate,premiums=premium,frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr ,ignore_first_hrs = vehicle_ignore_hour,minimum_hourly_Charge = vehicle_hour_minimum_fare,package_info_hourly=package_info_hourly
WHERE Cabtype = cabTypeId AND BookingType = BookingTypeId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fair_manage_for_vehicle_type_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fair_manage_for_vehicle_type_status`(IN `taxText` FLOAT, IN `rounding` VARCHAR(50), IN `leveli` VARCHAR(50), IN `Direction` VARCHAR(50), IN `rate_per_km` INT, IN `first_km_rate` INT, IN `vehicle_minmum_distance` INT, IN `vehicle_minmum_fare` INT, IN `CancelFee` VARCHAR(50), IN `nightChrge` VARCHAR(50), IN `nightChStrtTime` VARCHAR(50), IN `nightChEndTime` VARCHAR(50), IN `vehicle_rate_hour` INT, IN `rate_upto_distance` TEXT, IN `extraArray` TEXT, IN `hourlyRate` TEXT, IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `premium` VARCHAR(50), IN `frequent_location` VARCHAR(500), IN `postCodeArr` VARCHAR(50), IN `vehicle_ignore_hour` INT, IN `vehicle_hour_minimum_fare` INT, IN `package_info_hourly` TEXT)
BEGIN
UPDATE booking_bill SET basic_tax = taxText,rounding = rounding,level = leveli,direction = Direction,	Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,cancellation_fees = CancelFee,NightCharges = nightChrge,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,	tripCharge_per_minute = vehicle_rate_hour, rate_upto_distance= rate_upto_distance,extras = extraArray,waitingfee_upto_minutes = hourlyRate,premiums=premium,frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr, ignore_first_hrs = vehicle_ignore_hour, minimum_hourly_Charge = vehicle_hour_minimum_fare,package_info_hourly=package_info_hourly
WHERE Id = RecId;
UPDATE cab_list_mgmt SET basic_tax = taxText,rounding = rounding,level = leveli,direction = Direction,	Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,cancellation_fees = CancelFee,NightCharges = nightChrge,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,	tripCharge_per_minute = vehicle_rate_hour, rate_upto_distance= rate_upto_distance,extras = extraArray,waitingfee_upto_minutes = hourlyRate,premiums=premium,frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr, ignore_first_hrs = vehicle_ignore_hour, minimum_hourly_Charge = vehicle_hour_minimum_fare,package_info_hourly=package_info_hourly
WHERE Cabtype = cabTypeId AND BookingType = BookingTypeId AND UpdatedStatus = 0;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_fetch_cab_package` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_fetch_cab_package`()
BEGIN
DECLARE localPackage varchar(50);
DECLARE pointToPointPackage varchar(50);
DECLARE airportPackage varchar(50);
DECLARE outstationPackage varchar(50);
DECLARE driverShare varchar(50);
DECLARE companyShare varchar(50);
DECLARE partnerShare varchar(50);
SELECT tblsubpackage.Sub_Package_Name INTO localPackage FROM tblsubpackage INNER JOIN master_package ON tblsubpackage.Sub_Package_Id = master_package.Sub_Package_Id where master_package.Master_Package = 'Local';
SELECT tblsubpackage.Sub_Package_Name INTO pointToPointPackage FROM tblsubpackage INNER JOIN master_package ON tblsubpackage.Sub_Package_Id = master_package.Sub_Package_Id where master_package.Master_Package = 'Point To Point';
SELECT tblsubpackage.Sub_Package_Name INTO airportPackage FROM tblsubpackage INNER JOIN master_package ON tblsubpackage.Sub_Package_Id = master_package.Sub_Package_Id where master_package.Master_Package = 'Airport Terminal';
SELECT tblsubpackage.Sub_Package_Name INTO outstationPackage FROM tblsubpackage INNER JOIN master_package ON tblsubpackage.Sub_Package_Id = master_package.Sub_Package_Id where master_package.Master_Package = 'Outstation';
SELECT client.driver_share , client.company_share , client.partner_share INTO driverShare,companyShare,partnerShare FROM client where client.clientName = 'Hello42';
SELECT localPackage,pointToPointPackage,airportPackage,outstationPackage,driverShare,companyShare,partnerShare;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_action_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_action_type`()
BEGIN
SELECT * FROM tblactiontype order by id desc;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_cities` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_cities`(IN `stateId` VARCHAR(50))
    NO SQL
BEGIN
select cities.id,cities.city_name,states.id as stateId from cities INNER JOIN states ON states.id = cities.state_id where states.state = stateId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_complaint` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_complaint`()
BEGIN
SELECT sub_complaint.id, enquiry_type.enquiry_type, sub_complaint.sub_complaint, sub_complaint.created_by, sub_complaint.date, sub_complaint.updated_by, sub_complaint.updated_on FROM enquiry_type INNER JOIN sub_complaint ON enquiry_type.id = sub_complaint.complaint_type;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_country` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_country`()
    NO SQL
BEGIN
select id, country_name from country;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_enquiry` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_enquiry`()
BEGIN
SELECT * FROM enquiry order by Enquirydate desc;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_enquiry_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_enquiry_type`()
BEGIN
SELECT * FROM enquiry_type;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_state` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_state`(IN `countryName` VARCHAR(50))
    NO SQL
BEGIN
select states.state,states.id from states INNER JOIN country ON states.country_code = country.id where country.country_name = countryName;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_all_vehicle_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_all_vehicle_type`(IN `city` VARCHAR(50), IN `state` VARCHAR(50))
    NO SQL
BEGIN
SELECT booking_bill.Id, 
		 master_package.master_package AS FormName, 
		 master_package.package_id AS BookingTypeId,
       master_package.sub_package_id AS RateCatId, 
       sub_package.sub_package_name AS CalculateBy, 
		 vehicle_type.vehicle_type AS CabName,
		 vehicle_type.id AS CabTypeId,
		 country.country_name,
		 states.state,
		 cities.city_name,
         cities.id AS CityId,
		 booking_bill.Per_Km_Charge,
		 booking_bill.rate_per_km_dh,
		 booking_bill.rate_per_km_dw,
		 booking_bill.tripCharge_per_minute,
		 booking_bill.rate_per_hour_dh, 
		 booking_bill.MinimumCharge,
		 booking_bill.minimum_fare_dh,
		 booking_bill.minimum_fare_dw
FROM booking_bill 
INNER JOIN master_package ON booking_bill.BookingTypeId = master_package.package_id 
INNER JOIN sub_package ON master_package.sub_package_id = sub_package.id 
INNER JOIN cities ON booking_bill.CityId = cities.state_id 
INNER JOIN states ON cities.state_id = states.id 
INNER JOIN country ON country.id = states.country_code 
INNER JOIN vehicle_type ON booking_bill.CabType = vehicle_type.id 
WHERE states.state = state AND cities.city_name = city AND master_package.package_id IN (101,102,103,104,105) 
ORDER BY booking_bill.BookingTypeId, booking_bill.Cabtype ASC ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_status`()
BEGIN
SELECT * FROM status;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_vehicle_info` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_vehicle_info`(IN `BookingTypeId` INT, IN `cabId` INT, IN `city` VARCHAR(50))
    NO SQL
BEGIN
select 
cab_list_mgmt.id,
cab_list_mgmt.BookingType AS BookingTypeId,
cab_master.CabName, 
cab_master.CabManufacturer, 
cab_master.CabModel, 
cab_master.CabRegistrationNumber, 
cab_list_mgmt.name,
vehicle_type.CabType,
cab_list_mgmt.capacity,
cab_list_mgmt.no_of_cabs,
cab_list_mgmt.VehicleModel,
cab_list_mgmt.Registration_Date,
cab_list_mgmt.Engine_No,
cab_list_mgmt.vehicleNumber,
cab_list_mgmt.status,
cab_list_mgmt.fuelType,
cab_list_mgmt.Manufacturer,
master_package.Sub_Package_Id AS RateCatId,
cab_list_mgmt.Per_Km_Charge,
cab_list_mgmt.MinimumCharge,
cab_list_mgmt.tripCharge_per_minute,
cab_list_mgmt.rate_per_km_dh,
cab_list_mgmt.rate_per_hour_dh,
cab_list_mgmt.minimum_fare_dh,
cab_list_mgmt.rate_per_km_dw,
cab_list_mgmt.minimum_fare_dw,
driver.UID AS DriverId,
concat(driver.FirstName,' ',driver.LastName) As DriverName 
from cab_list_mgmt 
INNER JOIN cab_master ON cab_list_mgmt.CabId = cab_master.CabId  
INNER JOIN driver ON cab_master.CabId = driver.vehicleId
INNER JOIN tblcity ON cab_list_mgmt.cityId = tblcity.id 
INNER JOIN vehicle_type ON vehicle_type.Id = cab_list_mgmt.CabType 
INNER JOIN master_package ON cab_list_mgmt.BookingType = master_package.Package_Id
WHERE cab_list_mgmt.BookingType = BookingTypeId AND cab_list_mgmt.CabType = cabId AND tblcity.name = city;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_vehicle_info_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_vehicle_info_by_id`(IN `vehicleId` INT)
    NO SQL
BEGIN 
SELECT * FROM cab_list_mgmt WHERE id = vehicleId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_get_vehicle_type_info_by_id` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_get_vehicle_type_info_by_id`(IN `RowId` INT)
    NO SQL
BEGIN 
SELECT booking_bill.*, master_package.Sub_Package_Id FROM booking_bill
INNER JOIN master_package ON booking_bill.BookingTypeId=master_package.Package_Id 
 WHERE booking_bill.Id = RowId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_group` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_group`()
BEGIN
SELECT vendor.UID,
		 vendor.group_name,
		 vendor.vendor_name 
FROM vendor 
INNER JOIN driver ON vendor.id=driver.vendor_id 
WHERE vendor.`status`='1' 
GROUP BY vendor.id ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_group_delete` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_group_delete`(IN `groupids` INT)
BEGIN
UPDATE `vendor` SET `status`='0' WHERE `UID`=groupids;
SELECT ROW_COUNT() as del;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_group_edit` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_group_edit`(IN `groupId` INT)
BEGIN
SELECT * FROM `vendor` WHERE `UID` = groupId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_group_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_group_update`(IN `groupId` INT, IN `groupName` VARCHAR(50), IN `groupBoss` VARCHAR(50))
BEGIN
UPDATE `vendor` SET `group_name`=groupName,`vendor_name`=groupBoss WHERE `UID` = groupId;
SELECT ROW_COUNT() as aftrow;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_insert_action_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_insert_action_type`(IN `action_type_i` VARCHAR(50), IN `action_type_status_i` VARCHAR(50), IN `action_type_created_by_i` VARCHAR(50))
BEGIN
DECLARE actionType_exists int;
SELECT COUNT(*) INTO actionType_exists FROM tblactiontype WHERE `action` = action_type_i ;
IF actionType_exists =0 THEN
INSERT INTO tblactiontype (`action`,`created_by`,`created_on`,`status`) values (`action_type_i`,`action_type_created_by_i`,NOW(),`action_type_status_i`);
END IF;
SELECT actionType_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_insert_enquiry_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_insert_enquiry_type`(IN `enquiry_type_i` VARCHAR(50), IN `enquiry_type_status` VARCHAR(50), IN `enquiry_type_created_by` VARCHAR(50))
BEGIN
DECLARE enquiryType_exists int;
SELECT COUNT(*) INTO enquiryType_exists FROM enquiry_type WHERE `enquiry_type` = enquiry_type_i ;
IF enquiryType_exists =0 THEN
INSERT INTO enquiry_type (`enquiry_type`,`created_by`,`created_on`,`status`) values (`enquiry_type_i`,`enquiry_type_created_by`,NOW(),`enquiry_type_status`);
END IF;
SELECT enquiryType_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_rate_card` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_rate_card`(IN `book_ref` INT)
BEGIN
SELECT cab_booking.CarType, cab_booking.ID, booking_bill.MinimumCharge, booking_bill.Min_Distance, booking_bill.Per_Km_Charge, booking_bill.waitingfee_upto_minutes from cab_booking inner join booking_bill on cab_booking.CarType = booking_bill.CabType where cab_booking.ID = book_ref;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_distance_hour` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_distance_hour`(IN `dh_rate_per_km` INT, IN `dh_minmum_distance` INT, IN `dh_minmum_fare` INT, IN `dh_rate_per_hour` INT, IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `dh_ignore_first_hrs` INT, IN `package_info_distance_hourly` TEXT)
BEGIN
UPDATE booking_bill SET rate_per_km_dh = dh_rate_per_km, minimum_distance_dh = dh_minmum_distance, minimum_fare_dh = dh_minmum_fare, rate_per_hour_dh = dh_rate_per_hour, ignore_first_hrs_dh=dh_ignore_first_hrs,package_info_distance_hourly=package_info_distance_hourly  
WHERE Id = RecId;
UPDATE cab_list_mgmt SET UpdatedStatus = 0, rate_per_km_dh = dh_rate_per_km, minimum_distance_dh = dh_minmum_distance, minimum_fare_dh = dh_minmum_fare, rate_per_hour_dh = dh_rate_per_hour, ignore_first_hrs_dh=dh_ignore_first_hrs,package_info_distance_hourly=package_info_distance_hourly  
WHERE CabType = cabTypeId AND BookingType = BookingTypeId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_distance_hour_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_distance_hour_status`(IN `dh_rate_per_km` INT, IN `dh_minmum_distance` INT, IN `dh_minmum_fare` INT, IN `dh_rate_per_hour` INT, IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `dh_ignore_first_hrs` INT, IN `package_info_distance_hourly` TEXT)
BEGIN
UPDATE booking_bill SET rate_per_km_dh = dh_rate_per_km, minimum_distance_dh = dh_minmum_distance, minimum_fare_dh = dh_minmum_fare, rate_per_hour_dh = dh_rate_per_hour,
ignore_first_hrs_dh=dh_ignore_first_hrs,package_info_distance_hourly=package_info_distance_hourly
WHERE Id = RecId;
UPDATE cab_list_mgmt SET rate_per_km_dh = dh_rate_per_km, minimum_distance_dh = dh_minmum_distance, minimum_fare_dh = dh_minmum_fare, rate_per_hour_dh = dh_rate_per_hour,
ignore_first_hrs_dh=dh_ignore_first_hrs,package_info_distance_hourly=package_info_distance_hourly
WHERE CabType = cabTypeId AND BookingType = BookingTypeId AND UpdatedStatus = 0;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_distance_hour_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_distance_hour_vehicle`(IN `dh_rate_per_km` INT, IN `dh_minmum_distance` INT, IN `dh_minmum_fare` INT, IN `dh_rate_per_hour` INT, IN `vehicleId` INT)
BEGIN
UPDATE cab_list_mgmt SET rate_per_km_dh = dh_rate_per_km, minimum_distance_dh = dh_minmum_distance, minimum_fare_dh = dh_minmum_fare, rate_per_hour_dh = dh_rate_per_hour  WHERE id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_distance_waiting` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_distance_waiting`(IN `dw_rate_per_km` INT, IN `dw_minmum_distance` INT, IN `dw_minmum_fare` INT, IN `waiting_fees_per_min` VARCHAR(50), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `package_info_distance_waiting` TEXT)
BEGIN
UPDATE booking_bill 
SET rate_per_km_dw = dw_rate_per_km, minimum_distance_dw = dw_minmum_distance, minimum_fare_dw = dw_minmum_fare, waiting_fees = waiting_fees_per_min,package_info_distance_waiting=package_info_distance_waiting  
WHERE Id = RecId;
UPDATE cab_list_mgmt 
SET UpdatedStatus = 0, rate_per_km_dw = dw_rate_per_km, minimum_distance_dw = dw_minmum_distance, minimum_fare_dw = dw_minmum_fare, waiting_fees = waiting_fees_per_min, package_info_distance_waiting=package_info_distance_waiting  
WHERE CabType = cabTypeId AND BookingType = BookingTypeId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_distance_waiting_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_distance_waiting_status`(IN `dw_rate_per_km` INT, IN `dw_minmum_distance` INT, IN `dw_minmum_fare` INT, IN `waiting_fees_per_min` VARCHAR(50), IN `RecId` INT, IN `BookingTypeId` INT, IN `cabTypeId` INT, IN `package_info_distance_waiting` TEXT)
BEGIN
UPDATE booking_bill 
SET rate_per_km_dw = dw_rate_per_km, minimum_distance_dw = dw_minmum_distance, minimum_fare_dw = dw_minmum_fare, waiting_fees = waiting_fees_per_min,package_info_distance_waiting=package_info_distance_waiting  
WHERE Id = RecId;
UPDATE cab_list_mgmt 
SET rate_per_km_dw = dw_rate_per_km, minimum_distance_dw = dw_minmum_distance, minimum_fare_dw = dw_minmum_fare, waiting_fees = waiting_fees_per_min,package_info_distance_waiting=package_info_distance_waiting  
WHERE CabType = cabTypeId AND BookingType = BookingTypeId AND UpdatedStatus = 0;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_distance_waiting_vehicle` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_distance_waiting_vehicle`(IN `dw_rate_per_km` INT, IN `dw_minmum_distance` INT, IN `dw_minmum_fare` INT, IN `waiting_fees_per_min` VARCHAR(50), IN `vehicleId` INT)
BEGIN
UPDATE cab_list_mgmt SET rate_per_km_dw = dw_rate_per_km, minimum_distance_dw = dw_minmum_distance, minimum_fare_dw = dw_minmum_fare, waiting_fees = waiting_fees_per_min  WHERE id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_save_fair_manage` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_save_fair_manage`(IN `taxText` FLOAT, IN `rounding` VARCHAR(50), IN `leveli` VARCHAR(50), IN `Direction` VARCHAR(50), IN `rate_per_km` INT, IN `first_km_rate` INT, IN `vehicle_minmum_distance` INT, IN `vehicle_minmum_fare` INT, IN `CancelFee` VARCHAR(50), IN `nightChrge` VARCHAR(50), IN `nightChStrtTime` VARCHAR(50), IN `nightChEndTime` VARCHAR(50), IN `vehicle_rate_hour` INT, IN `rate_upto_distance` VARCHAR(500), IN `extraArray` VARCHAR(500), IN `hourlyRate` VARCHAR(500), IN `vehicleId` INT, IN `premium` VARCHAR(50), IN `frequent_location` VARCHAR(500), IN `postCodeArr` VARCHAR(500))
    NO SQL
BEGIN
UPDATE cab_list_mgmt SET basic_tax = taxText,rounding = rounding,level = leveli,direction = Direction,	Per_Km_Charge=rate_per_km,first_km_rate = first_km_rate,Min_Distance = vehicle_minmum_distance, MinimumCharge = vehicle_minmum_fare,cancellation_fees = CancelFee,NightCharges = nightChrge,night_rate_begins =  nightChStrtTime,night_rate_ends = nightChEndTime,	tripCharge_per_minute = vehicle_rate_hour, rate_upto_distance= rate_upto_distance,extras = extraArray,waitingfee_upto_minutes = hourlyRate,premiums=premium,frequent_location=frequent_location,postcode_to_postcode_fair=postCodeArr WHERE id = vehicleId;
SELECT ROW_COUNT() as affectedrow ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_cab_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_cab_type`(IN `city` VARCHAR(50), IN `state` VARCHAR(50), IN `country` VARCHAR(50), IN `vehicleNo` VARCHAR(50), IN `vehicleModel` VARCHAR(50), IN `since_i` DATE, IN `to_i` DATE)
BEGIN
SELECT booking_bill.Id, cab_list_mgmt.Manufacturer, cab_list_mgmt.Registration_Date, booking_bill.CabName,tblcountry.CountryName,
booking_bill.CabType,tblstates.state,tblcity.name,booking_bill.MinimumCharge,booking_bill.Per_Km_Charge,booking_bill.tripCharge_per_minute, 
cab_list_mgmt.VehicleModel, cab_list_mgmt.vehicleNumber FROM booking_bill INNER JOIN tblcity ON booking_bill.CityId = tblcity.id 
INNER JOIN tblstates ON tblcity.state = tblstates.id INNER JOIN tblcountry ON tblcountry.id = tblstates.country_code 
INNER JOIN cab_list_mgmt ON cab_list_mgmt.CabType = booking_bill.CabType 
INNER JOIN driver ON cab_list_mgmt.id = driver.vehicleId
where tblstates.state LIKE concat('%',state,'%') and tblcity.name LIKE concat('%',city,'%') and tblcountry.CountryName LIKE concat('%',country,'%') 
and cab_list_mgmt.VehicleModel LIKE concat('%',vehicleModel,'%') and cab_list_mgmt.vehicleNumber LIKE concat('%',vehicleNo,'%') 
and  driver.created_date BETWEEN since_i AND to_i ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_complaint_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_complaint_type`(IN `booking_id_i` VARCHAR(50), IN `complaint_type_i` VARCHAR(50), IN `created_since_i` DATETIME, IN `created_to_i` DATETIME, IN `closed_since_i` DATETIME, IN `closed_to_i` DATETIME, IN `status_i` VARCHAR(50))
BEGIN
SELECT complaint.ID as com_id,complaint.StatusID as com_status, cab_booking.CSR_ID as emp,CONCAT(cab_booking.DropAddress,cab_booking.DropArea) as drop_area,cab_booking.ID as id,booking_charges.totalBill, cab_booking.booking_reference as ref,master_package.Master_Package as booking_type,CONCAT(cab_booking.PickupDate," ",cab_booking.PickupTime) as ordertime,concat(client.clientName,'<br>(',appid.`type`,')') as partner,REPLACE(rt_cabmanager_cabs.name,'·','') as vehicle,CONCAT(user_info.FirstName," ",user_info.LastName) as clientname,CONCAT(driver.FirstName," ",driver.LastName) as driver_name, cab_booking.MobileNo as mob_no,user_info.UID as client_id,driver.UID as driver_id,CONCAT(cab_booking.PickupAddress,' ',cab_booking.PickupArea) as departure,driver.VehicleRegistrationNo as reg,cab_status.`status` as `status` FROM cab_booking JOIN cab_status ON cab_booking.`status`=cab_status.`status_id` JOIN user_info ON user_info.UID=cab_booking.ClientID JOIN master_package ON cab_booking.BookingType=master_package.Package_Id LEFT JOIN driver ON cab_booking.pickup=driver.uid LEFT JOIN rt_cabmanager_cabs ON driver.TypeOfvehicle=rt_cabmanager_cabs.id JOIN appid ON appid.id=cab_booking.partner JOIN client ON appid.clientId=client.id LEFT JOIN booking_charges ON cab_booking.ID=booking_charges.BookingID INNER JOIN complaint ON cab_booking.booking_reference=complaint.BookingID WHERE cab_status.`type`='cab' AND cab_booking.booking_reference LIKE concat('%',booking_id_i,'%') AND complaint.ComplaintType LIKE concat('%',complaint_type_i,'%') AND DATE(complaint.ComplaintDate) BETWEEN created_since_i AND created_to_i AND DATE(complaint.updated_date) BETWEEN closed_since_i AND closed_to_i AND complaint.StatusID LIKE concat('%',status_i,'%') order by cab_booking.ID desc;   
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_driver` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_driver`(IN `did` VARCHAR(50), IN `vdriver` VARCHAR(50), IN `dname` VARCHAR(50), IN `dext` VARCHAR(50), IN `drivername` VARCHAR(50), IN `extref` VARCHAR(50))
BEGIN
SELECT driver.UID,driver.FirstName,driver.Email,driver.`status`,driver.ContactNo,driver.VehicleRegistrationNo,driver.DrivingLicenceNo,
driver.is_active,active.`status` as approvedStatus,
driver.created_date,cab_master.CabName as vehicleName, ignition_type.CabIgnitionType,
count(pickup) as booking 
FROM driver  
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.id 
INNER JOIN cab_master ON driver.vehicleId = cab_master.cabId 
INNER JOIN `ignition_type` ON ignition_type.id = cab_master.CabIgnitionTypeId
LEFT JOIN cab_booking ON driver.UID=cab_booking.pickup 
INNER JOIN user ON driver.UID = user.ID 
INNER JOIN active ON driver.is_active = active.status_id 
LEFT JOIN vendor on driver.vendor_id = vendor.id 
WHERE  driver.UID LIKE CONCAT('%',did,'%') 
AND driver.DrivingLicenceNo LIKE CONCAT('%',vdriver,'%') 
AND driver.FirstName LIKE CONCAT('%',dname,'%') 
AND driver.refname LIKE CONCAT('%',extref,'%') 
AND cab_list_mgmt.external_reference LIKE CONCAT('%',dext,'%') 
group by(UID);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_driver_group` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_driver_group`(IN `group_id` VARCHAR(50), IN `group_name` VARCHAR(50), IN `veh_id` VARCHAR(50), IN `veh_ext_ref` VARCHAR(50), IN `drivar_name` VARCHAR(50), IN `driver_ext_ref` VARCHAR(50))
BEGIN
SELECT vendor.id,vendor.UID,vendor.group_name,vendor.vendor_name FROM vendor INNER JOIN driver ON vendor.id=driver.vendor_id 
INNEr JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.id
WHERE CASE WHEN group_id = '' THEN 
0=0 ELSE
vendor.id = group_id
END AND vendor.`status`='1' AND vendor.group_name LIKE CONCAT ('%',group_name,'%') AND driver.VehicleRegistrationNo LIKE CONCAT ('%',veh_id,'%')
AND cab_list_mgmt.external_reference LIKE CONCAT ('%',veh_ext_ref,'%') AND driver.FirstName LIKE CONCAT ('%',drivar_name,'%') 
AND driver.refname LIKE CONCAT ('%',driver_ext_ref,'%') 
group by (vendor.id);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_enquiry_list` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_enquiry_list`(IN `created_since_i` DATETIME, IN `created_to_i` DATETIME, IN `closed_since_i` DATETIME, IN `closed_to_i` DATETIME, IN `enq_type_i` VARCHAR(50), IN `status_i` VARCHAR(50))
BEGIN
SELECT enquiry.Id, enquiry.CallerName, enquiry.EmailId, enquiry.CallerName, enquiry.CSRID, enquiry.Message, enquiry.EnqType,
 enquiry.EnquiryDate, enquiry.`Status`, enquiry.ClosedDate FROM enquiry where DATE(enquiry.EnquiryDate) BETWEEN created_since_i 
 AND created_to_i and DATE(enquiry.ClosedDate)  BETWEEN closed_since_i AND closed_to_i and enquiry.EnqType LIKE concat('%',enq_type_i,'%')
  and enquiry.`Status` LIKE concat('%',status_i,'%') ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_group_driver` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_group_driver`(IN `driver_id` VARCHAR(50), IN `driver_name` VARCHAR(50), IN `veh_id` VARCHAR(50), IN `veh_ext_ref` VARCHAR(50), IN `driverName` VARCHAR(50), IN `driver_ext_ref` VARCHAR(50))
BEGIN
SELECT vendor.id,vendor.UID,vendor.group_name,vendor.vendor_name FROM vendor INNER JOIN driver ON vendor.id=driver.vendor_id 
INNEr JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.id
WHERE CASE WHEN driver_id = '' THEN 
0=0 ELSE
driver.UID = driver_id
END AND vendor.`status`='1' AND driver.FirstName LIKE CONCAT ('%',driver_name,'%') AND driver.VehicleRegistrationNo LIKE CONCAT ('%',veh_id,'%')
AND cab_list_mgmt.external_reference LIKE CONCAT ('%',veh_ext_ref,'%') AND driver.FirstName LIKE CONCAT ('%',driverName,'%') 
AND driver.refname LIKE CONCAT ('%',driver_ext_ref,'%') 
group by (vendor.id);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_vehicle_driver` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_vehicle_driver`(IN `lplate` VARCHAR(50), IN `vehmake` VARCHAR(50), IN `vehmodel` VARCHAR(50), IN `vehexternal` VARCHAR(50))
BEGIN
SELECT driver.UID,driver.FirstName,driver.Email,driver.status,driver.ContactNo,driver.VehicleRegistrationNo,driver.DrivingLicenceNo,
driver.is_active,driver.created_date,cab_list_mgmt.name,count(cab_booking.pickup) as booking, user.isVerified,active.status as vehicleName 
FROM `driver` 
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.id 
LEFT JOIN cab_booking ON driver.UID=cab_booking.pickup 
INNER JOIN user ON driver.UID = user.ID 
INNER JOIN active ON driver.is_active=active.status_id 
LEFT JOIN vendor on driver.vendor_id = vendor.id 
WHERE driver.DrivingLicenceNo LIKE CONCAT('%',lplate,'%') 
AND driver.MakeOfVehicle LIKE CONCAT('%',vehmake,'%') 
AND driver.ModelOfVehicle LIKE CONCAT('%',vehmodel,'%') 
AND driver.refname LIKE CONCAT('%',vehexternal,'%') group by(UID);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_vehicle_group` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_vehicle_group`(IN `plate_no` VARCHAR(50), IN `veh_make` INT, IN `veh_model` INT, IN `ext_ref` VARCHAR(50))
BEGIN
SELECT vendor.id,vendor.UID,vendor.group_name,vendor.vendor_name,driver.VehicleRegistrationNo ,driver.ModelOfVehicle, driver.MakeOfVehicle ,cab_list_mgmt.external_reference
FROM driver INNER JOIN vendor ON vendor.id=driver.vendor_id 
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.id
WHERE 
CASE WHEN veh_model = '' THEN 
0=0 ELSE
driver.ModelOfVehicle LIKE CONCAT ('%',veh_model,'%') END
AND CASE WHEN veh_make = '' THEN 
0=0 ELSE
driver.MakeOfVehicle LIKE CONCAT ('%',veh_make,'%') END
AND  CASE WHEN plate_no = '' THEN 
0=0 ELSE
driver.VehicleRegistrationNo LIKE CONCAT ('%',plate_no,'%') END
AND cab_list_mgmt.external_reference LIKE CONCAT ('%',ext_ref,'%')
group by (vendor.id);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_search_vehicle_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_search_vehicle_type`(IN `vehicle_no_i` VARCHAR(50), IN `vehicle_type_i` VARCHAR(50), IN `city_i` VARCHAR(50), IN `state_i` VARCHAR(50), IN `country_i` VARCHAR(50), IN `vehicle_owner_i` VARCHAR(50))
BEGIN
SELECT cab_list_mgmt.id, cab_list_mgmt.vehicleNumber, cab_list_mgmt.name, cab_list_mgmt.VehicleModel, booking_bill.CabName, cab_list_mgmt.Manufacturer, cab_list_mgmt.capacity ,cab_list_mgmt.fuelType,cab_list_mgmt.colour,cab_list_mgmt.Registration_Date, driver.FirstName, tblcity.name, tblstates.state, tblcountry.CountryName  FROM cab_list_mgmt INNER JOIN booking_bill ON cab_list_mgmt.CabType = booking_bill.Id INNER JOIN  tblcity ON tblcity.id = booking_bill.CityId INNER JOIN tblstates ON tblcity.state = tblstates.id INNER JOIN tblcountry ON tblstates.country_code = tblcountry.ID  LEFT JOIN driver ON cab_list_mgmt.id = driver.vehicleId where cab_list_mgmt.vehicleNumber LIKE concat('%',vehicle_no_i,'%') and booking_bill.CabName LIKE concat('%',vehicle_type_i,'%') and tblcity.name LIKE concat('%',city_i,'%') and tblstates.state LIKE concat('%',state_i,'%') and tblcountry.CountryName LIKE concat('%',country_i,'%') and driver.FirstName LIKE concat('%',vehicle_owner_i,'%') ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_share_calculation` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_share_calculation`(IN `companyShare` VARCHAR(50), IN `partnerShare` VARCHAR(50), IN `driverShare` VARCHAR(50))
BEGIN
UPDATE client SET company_share = companyShare, partner_share = partnerShare, driver_share = driverShare where clientName = 'Hello42';
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_sub_complaint_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_sub_complaint_type`(IN `complaintType_i` VARCHAR(100), IN `subComplaint_i` VARCHAR(200), IN `created_by_i` VARCHAR(100))
BEGIN
DECLARE subComplaint_exists int;
SELECT COUNT(*) INTO subComplaint_exists FROM sub_complaint WHERE `complaint_type` = complaintType_i AND sub_complaint = subComplaint_i;
IF subComplaint_exists =0 THEN
INSERT INTO sub_complaint (`complaint_type`,`sub_complaint`,`created_by`,`date`) values(complaintType_i,subComplaint_i,created_by_i,NOW());
END IF;
SELECT subComplaint_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_update_action_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_update_action_type`(IN `action_id_i` INT, IN `manage_action_i` VARCHAR(50), IN `actionType_UpdatedBy_i` VARCHAR(50), IN `action_Status_i` VARCHAR(50))
BEGIN
DECLARE actionType_exists int;
SELECT COUNT(*) INTO actionType_exists FROM tblactiontype WHERE `action` = manage_action_i AND `status` = action_Status_i;
IF actionType_exists =0 THEN
UPDATE tblactiontype SET `action` = manage_action_i, updated_by = actionType_UpdatedBy_i, updated_on = NOW() ,`status` = action_Status_i WHERE id = action_id_i;
END IF;
SELECT actionType_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_update_complaint_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_update_complaint_status`(IN `complaint_Text_i` VARCHAR(50), IN `ComplaintId_i` INT, IN `updated_by_i` VARCHAR(50))
BEGIN
UPDATE complaint SET StatusID = complaint_Text_i, updated_by = updated_by_i, updated_date = NOW() WHERE ID = ComplaintId_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_update_complaint_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_update_complaint_type`(IN `complaint_id_i` INT, IN `complaintType_UpdatedBy_i` VARCHAR(50), IN `desc_i` VARCHAR(50))
BEGIN
DECLARE complaintType_exists int;
SELECT COUNT(*) INTO complaintType_exists FROM sub_complaint WHERE `sub_complaint` = desc_i;
IF complaintType_exists =0 THEN
UPDATE sub_complaint SET updated_by = complaintType_UpdatedBy_i, updated_on = NOW() ,`sub_complaint` = desc_i WHERE id = complaint_id_i;
END IF;
SELECT complaintType_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_update_enquiry_status` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_update_enquiry_status`(IN `enquiry_Text_i` VARCHAR(50), IN `EnquiryId_i` INT, IN `updated_by_i` VARCHAR(500))
BEGIN
Update enquiry SET `Status` = enquiry_Text_i, ClosedDate = NOW(), updated_by = updated_by_i WHERE Id = EnquiryId_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_update_enquiry_type` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_update_enquiry_type`(IN `enquiry_id_i` INT, IN `manage_enquery_i` VARCHAR(50), IN `enquiryType_UpdatedBy_i` VARCHAR(50), IN `Enquiry_Status_i` VARCHAR(50))
BEGIN
DECLARE enquiryType_exists int;
SELECT COUNT(*) INTO enquiryType_exists FROM enquiry_type WHERE enquiry_type = manage_enquery_i AND `status` = Enquiry_Status_i;
IF enquiryType_exists =0 THEN
UPDATE enquiry_type SET enquiry_type = manage_enquery_i, updated_by = enquiryType_UpdatedBy_i, updated_on = NOW() ,`status` = Enquiry_Status_i WHERE id = enquiry_id_i;
END IF;
SELECT enquiryType_exists;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_username_check` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_username_check`(IN `duserName` VARCHAR(50))
BEGIN
DECLARE uCount INT;
SELECT COUNT(*) INTO uCount FROM `user` WHERE `LoginName` collate latin1_general_ci	=duserName ;
SELECT uCount;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_user_bank_detail` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_user_bank_detail`(IN `userId` INT)
BEGIN
Select name as bank_account_name,ac_holder_name as account_holder, address as bank_adds, ac_no AS account_no, ifsc_code,ibn_no from bank_details where user_id = userId;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_user_feedback` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_user_feedback`(IN `booking_id` INT, IN `feedback` VARCHAR(500))
BEGIN
UPDATE
  booking
SET
  user_feedback = feedback
WHERE
  booking_id = booking_id ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_user_feedback_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_user_feedback_old`(IN `booking_id` INT, IN `feedback` VARCHAR(500))
BEGIN
Update cab_booking set user_feedback = feedback where ID = booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_vehicle_edit` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_vehicle_edit`(IN `vids` INT)
BEGIN
SELECT * FROM `cab_list_mgmt` WHERE `id`=vids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_vehicle_search_driver` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_vehicle_search_driver`(IN `groupId` VARCHAR(50), IN `groupV` VARCHAR(50), IN `groupName` VARCHAR(50), IN `groupVref` VARCHAR(50), IN `groupDname` VARCHAR(50), IN `groupDext` VARCHAR(50))
BEGIN
SELECT driver.UID,driver.FirstName,driver.Email,driver.`status`,driver.ContactNo,driver.VehicleRegistrationNo,driver.DrivingLicenceNo,
driver.is_active,active.`status` as approvedStatus,driver.created_date,cab_list_mgmt.name as vehicleName,
count(pickup) as booking FROM driver  
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.id 
LEFT JOIN cab_booking ON driver.UID=cab_booking.pickup 
INNER JOIN user ON driver.UID = user.ID 
INNER JOIN active ON driver.is_active = active.status_id 
LEFT JOIN vendor on driver.vendor_id = vendor.id  
WHERE driver.vendor_id LIKE CONCAT('%',groupId,'%') 
AND driver.DrivingLicenceNo LIKE CONCAT('%',groupV,'%')  
AND driver.refname LIKE CONCAT('%',groupVref,'%') 
AND driver.FirstName LIKE CONCAT('%',groupDname,'%') 
AND driver.refname LIKE CONCAT('%',groupDext,'%') 
AND CASE WHEN groupName!='' THEN 
vendor.group_name LIKE CONCAT ('%',groupName,'%')  
ELSE
0=0
END
group by(driver.UID);
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_a_vehicle_update` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_a_vehicle_update`(IN `ids` INT, IN `vtype` VARCHAR(50), IN `model` VARCHAR(50), IN `ref` VARCHAR(50), IN `vyear` VARCHAR(50), IN `lplate` VARCHAR(50), IN `col` VARCHAR(50), IN `act` INT)
BEGIN
UPDATE `cab_list_mgmt` SET `CabType`=vtype,`VehicleModel`=model,`external_reference`=ref,`year`=vyear,`license_plate`=lplate,`colour`=col,`is_active`=act WHERE `id`=ids;
SELECT ROW_COUNT() AS count;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_booking_data` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_booking_data`(IN `param` VARCHAR(255))
BEGIN
  SET @param = param;

  SET @query = CONCAT( 'SELECT * FROM booking WHERE booking_id=' );
  SET @query = CONCAT( @query, ' IF( '', @param, '' IS NOT NULL, '' );
  SET @query = CONCAT( @query, @param, '', TRUE )' );

  PREPARE stmt FROM @query;
  EXECUTE stmt;
  DROP PREPARE stmt;  
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_booking_info` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_booking_info`(IN `booking_id` INT(2))
BEGIN
DECLARE distance_n varchar(50); 
SELECT distinct(booking.booking_id),currency.name as currency_n,mp.name as BookingType,mvt.vehicle_type as CarType,CONCAT(user.first_name," ",user.last_name," (",user.mobile,")") as driver_name,user.mobile as driver_mobile,user.email as driver_email,uvm.vehicle_master_id,vm.id,CONCAT(vm.vehicle_no," ",mvm.name) as driver_details,vm.vehicle_no,mvm.name as vehicle_name,
bc.cancellation_price,bc.waitingCharge,bc.tripCharge,bc.total_tax_price,bc.totalBill,bc.is_paid,bc.paid_at,bc.currency,bc.invoice_number,bc.payment_type,bc.fees,bc.total_price,bc.total_tax_price,bc.duration_rate,bc.starting_rate,bc.base_price,bc.tax_price,bc.starting_charge,bc.distance_charge,bc.duration_charge,bc.minimum_price,bc.minimumCharge,bc.minimum_distance,bc.distance_rate,bc.nightcharge_price as night_charge,bc.peak_time_price as peakTimePrice,bc.extracharges,be.*,bpd.*,cs.status as booking_status_name,booking.status as booking_status,concat(client.first_name,' ',client.last_name) as clientname,
client.id AS client_id,
client.mobile as client_mobile,
client.email as  client_email,
registeruser.id as user_id,
concat(registeruser.first_name,' ',registeruser.last_name) as username,
registeruser.mobile as user_mobile,
registeruser.email as user_email,
booking.*,
COALESCE(bapd.drop_address,bpd.drop_address) as drop_address,
COALESCE(bapd.drop_area,bpd.drop_area) as drop_area,  bad.arrival_time_pre,
  bad.arrival_time_post,
  bad.arrival_time_actual,
  bad.actual_waiting_distance,
  bad.actual_driven_distance,
  bad.actual_distance,
  bad.actual_time,
  bad.actual_driven_duration,
dispatch.type_of_dispatch,
if(dispatch.type_of_dispatch=1,'Point To Point','Garage To garage') As type_of_dispatch_name,
dispatch.garage_type,
dispatch.address as garage_address,
dispatch.city as garage_city,
dispatch.pincode as garage_pincode,
dispatch.latitude as garage_latitude,
dispatch.longitude as garage_longitude

FROM booking
 
LEFT JOIN user ON booking.driver_id=user.id
Left join user as client ON booking.client_id = client.id
LEFT JOIN user as registeruser ON booking.user_id = registeruser.id
LEFT JOIN master_package as mp ON booking.master_package_id=mp.id
LEFT JOIN master_vehicle_type as mvt ON booking.master_vehicle_type_id=mvt.id
LEFT JOIN base_vehicle_type AS bvt ON booking.base_vehicle_id = bvt.base_vehicle_id
LEFT JOIN dispatch_location AS dispatch ON bvt.base_comb_id = dispatch.base_comb_id    
LEFT JOIN user_vehicle_mapping as uvm ON booking.driver_id=uvm.user_id
LEFT JOIN vehicle_master as vm ON uvm.vehicle_master_id=vm.vehicle_master_id
LEFT JOIN master_vehicle_model as mvm ON vm.id=mvm.id
LEFT JOIN booking_charges as bc ON booking.booking_id=bc.BookingID
LEFT JOIN booking_estimation as be ON booking.booking_id=be.booking_id
LEFT JOIN booking_pickdrop_details as bpd ON booking.booking_id=bpd.booking_id
LEFT JOIN cab_status as cs ON booking.status=cs.status_id AND cs.type='cab'
LEFT JOIN booking_actual_pickdrop_details AS bapd ON booking.booking_id= bapd.booking_id
LEFT JOIN booking_actual_details AS bad ON booking.booking_id = bad.booking_id
LEFT JOIN master_currency AS currency ON be.currency_id = currency.id

WHERE booking.booking_id=booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_booking_info_23-06-20` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_booking_info_23-06-20`(IN `booking_id` INT(2))
BEGIN
DECLARE distance_n varchar(50); 
SELECT distinct(booking.booking_id),currency.name as currency_n,mp.name as BookingType,mvt.vehicle_type as CarType,CONCAT(user.first_name," ",user.last_name," (",user.mobile,")") as driver_name,user.mobile as driver_mobile,user.email as driver_email,uvm.vehicle_master_id,vm.id,CONCAT(vm.vehicle_no," ",mvm.name) as driver_details,vm.vehicle_no,mvm.name as vehicle_name,
bc.cancellation_price,bc.waitingCharge,bc.tripCharge,bc.total_tax_price,bc.totalBill,bc.is_paid,bc.paid_at,bc.currency,bc.invoice_number,bc.payment_type,bc.fees,bc.total_price,bc.total_tax_price,bc.duration_rate,bc.starting_rate,bc.base_price,bc.tax_price,bc.starting_charge,bc.distance_charge,bc.duration_charge,bc.minimum_price,bc.minimumCharge,bc.minimum_distance,bc.distance_rate,bc.nightcharge_price as night_charge,bc.peak_time_price as peakTimePrice,bc.extracharges,be.*,bpd.*,cs.status as booking_status_name,booking.status as booking_status,concat(client.first_name,' ',client.last_name) as clientname,
client.mobile as client_mobile,
client.email as  client_email,
concat(registeruser.first_name,' ',registeruser.last_name) as username,
registeruser.mobile as user_mobile,
registeruser.email as user_email,
booking.*,
COALESCE(bapd.drop_address,bpd.drop_address) as drop_address,
COALESCE(bapd.drop_area,bpd.drop_area) as drop_area,  bad.arrival_time_pre,
  bad.arrival_time_post,
  bad.arrival_time_actual,
  bad.actual_waiting_distance,
  bad.actual_driven_distance,
  bad.actual_distance,
  bad.actual_time,
  bad.actual_driven_duration
FROM booking
LEFT JOIN user ON booking.driver_id=user.id
Left join user as client ON booking.client_id = client.id
LEFT JOIN user as registeruser ON booking.user_id = registeruser.id
LEFT JOIN master_package as mp ON booking.master_package_id=mp.id
LEFT JOIN master_vehicle_type as mvt ON booking.master_vehicle_type_id=mvt.id
LEFT JOIN user_vehicle_mapping as uvm ON booking.driver_id=uvm.user_id
LEFT JOIN vehicle_master as vm ON uvm.vehicle_master_id=vm.vehicle_master_id
LEFT JOIN master_vehicle_model as mvm ON vm.id=mvm.id
LEFT JOIN booking_charges as bc ON booking.booking_id=bc.BookingID
LEFT JOIN booking_estimation as be ON booking.booking_id=be.booking_id
LEFT JOIN booking_pickdrop_details as bpd ON booking.booking_id=bpd.booking_id
LEFT JOIN cab_status as cs ON booking.status=cs.status_id AND cs.type='cab'
LEFT JOIN 
booking_actual_pickdrop_details AS bapd ON booking.booking_id= bapd.booking_id
LEFT JOIN
booking_actual_details AS bad ON booking.booking_id = bad.booking_id
LEFT JOIN 
master_currency AS currency ON be.currency_id = currency.id
WHERE booking.booking_id=booking_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_booking_info_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_booking_info_old`(IN `booking_id` INT)
BEGIN
DECLARE currency_n varchar(50);
DECLARE distance_n varchar(50);
SELECT tblcountry.currency ,tblcountry.distance_unit into currency_n,distance_n FROM tblcountry WHERE tblcountry.CountryName='India';
SELECT distinct(cab_booking.ID),distance_n,currency_n, CONCAT(driver.FirstName," ",driver.LastName," (",driver.ContactNo,")") as driver_name,CONCAT(cab_master.CabRegistrationNumber," ",cab_master.CabName) as driver_details,cancellation_price,waitingCharge,tripCharge,total_tax_price,totalBill,is_paid,paid_at,currency,invoice_number,payment_type,fees,total_price,total_tax_price,duration_rate,starting_rate,base_price,tax_price,starting_charge,distance_charge,duration_charge,minimum_price,booking_charges.minimumCharge,booking_charges.minimum_distance,booking_charges.distance_rate,cab_booking.*
FROM cab_booking
LEFT JOIN driver ON cab_booking.pickup=driver.UID 
LEFT JOIN cab_master ON cab_master.CabId=driver.vehicleId 
LEFT JOIN booking_charges ON cab_booking.id=booking_charges.bookingid 
WHERE cab_booking.id=booking_id; 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_cab_booking_bill` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_cab_booking_bill`(IN `BookingId_i` INT)
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select LoginName INTO userEmailId FROM user INNER JOIN cab_booking ON user.ID = cab_booking.ClientID WHERE cab_booking.ID = BookingId_i LIMIT 0,1;
select PickupDate,PickupTime,CarType,pickup,PickupArea,bookingtype INTO PickDate,PickTime,CabTyp,pickupDr,DropPlace,booking_type from cab_booking where ID = BookingId_i LIMIT 0,1;
select Date_Time INTO Date_Timei from booking_tracker where BookingID = BookingId_i and CabStatus = 4 LIMIT 0,1;
select master_package.Sub_Package_Id into configPackageNo from master_package WHERE master_package.Package_Id=booking_type;
select MinimumCharge,WaitingCharge_per_minute,tripCharge_per_minute,Per_Km_Charge,NightCharges,booking_bill.night_rate_begins,booking_bill.night_rate_ends,speed_per_km,	Waitning_minutes,Min_Distance, configPackageNo,PickDate,PickTime,Date_Timei,DropPlace,userEmailId from cab_booking INNER JOIN booking_bill ON cab_booking.CarType = booking_bill.id where cab_booking.ID=BookingId_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_cab_booking_complete_bill` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_cab_booking_complete_bill`(IN `BookingId_i` INT)
    NO SQL
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select LoginName INTO userEmailId FROM user INNER JOIN cab_booking ON user.ID = cab_booking.ClientID WHERE cab_booking.ID = BookingId_i LIMIT 0,1;
select PickupDate,PickupTime,CarType,pickup,PickupArea,bookingtype INTO PickDate,PickTime,CabTyp,pickupDr,DropPlace,booking_type from cab_booking where ID = BookingId_i LIMIT 0,1;
select Date_Time INTO Date_Timei from booking_tracker where BookingID = BookingId_i and CabStatus = 4 LIMIT 0,1;
select master_package.Sub_Package_Id into configPackageNo from master_package WHERE master_package.Package_Id=booking_type;
select minimum_fare_dw,WaitingCharge_per_minute,tripCharge_per_minute,rate_per_km_dw,NightCharges,waiting_fees,basic_tax,night_rate_begins,night_rate_ends,Date_Timei,
speed_per_km,Waitning_minutes,minimum_distance_dw, configPackageNo,PickDate,PickTime,Date_Timei,DropPlace,userEmailId,CabFor,booking_reference
from cab_booking 
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
where cab_booking.ID=BookingId_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_cab_booking_complete_bill_new` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_cab_booking_complete_bill_new`(IN `BookingId_i` INT, IN `bookingType` VARCHAR(50))
    NO SQL
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select email INTO userEmailId FROM user INNER JOIN booking ON user.id = booking.client_id WHERE booking.booking_id = BookingId_i LIMIT 0,1;
select bpd.pickup_date,bpd.pickup_time,booking.master_vehicle_type_id,booking.driver_id,bpd.pickup_area,booking.master_package_id INTO PickDate,PickTime,CabTyp,pickupDr,DropPlace,booking_type from booking_pickdrop_details AS bpd INNER JOIN booking ON bpd.booking_id = booking.booking_id  where booking.booking_id = BookingId_i LIMIT 0,1;
select Date_Time INTO Date_Timei from booking_tracker where BookingID = BookingId_i and CabStatus = 4 LIMIT 0,1;
select master_package.id into configPackageNo from master_package WHERE master_package.id=booking_type;
IF bookingType=1 THEN
Select Date_Timei,configPackageNo,bpd.pickup_date as PickDate,bpd.pickup_time AS PickTime,Date_Timei,bpd.drop_area as DropPlace,userEmailId,booking.reference_number as booking_reference,bpd.pickup_state as state
from booking
LEFT JOIN booking_pickdrop_details AS bpd ON bpd.booking_id = booking.booking_id
INNER JOIN driver ON booking.driver_id = driver.user_id
where booking.booking_id=BookingId_i;
ELSE
select Date_Timei, configPackageNo,bpd.pickup_date as PickDate,bpd.pickup_time AS PickTime,bpd.drop_area as DropPlace,userEmailId,booking.reference_number as booking_reference,bpd.pickup_state as state
from booking 
INNER JOIN booking_pickdrop_details AS bpd ON bpd.booking_id = booking.booking_id
INNER JOIN driver ON booking.driver_id = driver.user_id
where booking.booking_id=BookingId_i;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_cab_booking_complete_bill_new_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_cab_booking_complete_bill_new_old`(IN `BookingId_i` INT, IN `bookingType` VARCHAR(50))
    NO SQL
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select LoginName INTO userEmailId FROM user INNER JOIN cab_booking ON user.ID = cab_booking.ClientID WHERE cab_booking.ID = BookingId_i LIMIT 0,1;
select PickupDate,PickupTime,CarType,pickup,PickupArea,bookingtype INTO PickDate,PickTime,CabTyp,pickupDr,DropPlace,booking_type from cab_booking where ID = BookingId_i LIMIT 0,1;
select Date_Time INTO Date_Timei from booking_tracker where BookingID = BookingId_i and CabStatus = 4 LIMIT 0,1;
select master_package.Sub_Package_Id into configPackageNo from master_package WHERE master_package.Package_Id=booking_type;
IF bookingType=101 THEN
select cab_list_mgmt.*, Date_Timei,configPackageNo,PickDate,PickTime,Date_Timei,DropPlace,userEmailId,cab_booking.CabFor,cab_booking.booking_reference,tblcity.state
from cab_booking 
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
where cab_booking.ID=BookingId_i;
ELSE
select cab_list_mgmt.*,Date_Timei, configPackageNo,PickDate,PickTime,Date_Timei,DropPlace,userEmailId,cab_booking.CabFor,cab_booking.booking_reference,tblcity.state
from cab_booking 
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN cab_list_mgmt ON driver.vehicleId = cab_list_mgmt.CabId AND cab_booking.BookingType = cab_list_mgmt.BookingType AND cab_booking.CarType = cab_list_mgmt.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
where cab_booking.ID=BookingId_i;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_cab_booking_complete_bill_not_matched` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_cab_booking_complete_bill_not_matched`(IN `BookingId_i` INT, IN `bookingType` VARCHAR(50))
    NO SQL
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select email INTO userEmailId FROM user INNER JOIN booking ON user.id = booking.client_id WHERE booking.booking_id = BookingId_i LIMIT 0,1;
select bpd.pickup_date,bpd.pickup_time,booking.master_vehicle_type_id,booking.driver_id,bpd.pickup_area,booking.master_package_id INTO PickDate,PickTime,CabTyp,pickupDr,DropPlace,booking_type from booking_pickdrop_details AS bpd INNER JOIN booking ON bpd.booking_id = booking.booking_id  where booking.booking_id = BookingId_i LIMIT 0,1;
select Date_Time INTO Date_Timei from booking_tracker where BookingID = BookingId_i and CabStatus = 4 LIMIT 0,1;
select master_package.id into configPackageNo from master_package WHERE master_package.id=booking_type;
IF bookingType=1 THEN
select booking_estimation.*, Date_Timei,configPackageNo,PickDate,PickTime,DropPlace,userEmailId,cab_booking.CabFor,booking.reference_number as booking_reference,pickdrop.state_id as state
from booking 
INNER JOIN booking_pickdrop_details AS pickdrop ON booking.booking_id = pickdrop.booking_id
INNER JOIN driver ON booking.driver_id = driver.user_id
INNER JOIN booking_estimation ON booking.booking_id = booking_estimation.booking_id
where booking.booking_id=BookingId_i;
ELSE
select booking_estimation.*, Date_Timei,configPackageNo,PickDate,PickTime,Date_Timei,DropPlace,userEmailId,booking.reference_number as booking_reference,pickdrop.pickup_state as state
from booking 
INNER JOIN booking_pickdrop_details AS pickdrop ON booking.booking_id = pickdrop.booking_id
INNER JOIN booking_estimation ON booking.booking_id = booking_estimation.booking_id
INNER JOIN driver ON booking.driver_id = driver.user_id
where booking.booking_id=BookingId_i;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_cab_booking_complete_bill_not_matched_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_cab_booking_complete_bill_not_matched_old`(IN `BookingId_i` INT, IN `bookingType` VARCHAR(50))
    NO SQL
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select LoginName INTO userEmailId FROM user INNER JOIN cab_booking ON user.ID = cab_booking.ClientID WHERE cab_booking.ID = BookingId_i LIMIT 0,1;
select PickupDate,PickupTime,CarType,pickup,PickupArea,bookingtype INTO PickDate,PickTime,CabTyp,pickupDr,DropPlace,booking_type from cab_booking where ID = BookingId_i LIMIT 0,1;
select Date_Time INTO Date_Timei from booking_tracker where BookingID = BookingId_i and CabStatus = 4 LIMIT 0,1;
select master_package.Sub_Package_Id into configPackageNo from master_package WHERE master_package.Package_Id=booking_type;
IF bookingType=101 THEN
select booking_bill.*, Date_Timei,configPackageNo,PickDate,PickTime,DropPlace,userEmailId,cab_booking.CabFor,cab_booking.booking_reference,tblcity.state
from cab_booking 
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn AND tblcity.id = booking_bill.CityId
where cab_booking.ID=BookingId_i;
ELSE
select booking_bill.*, Date_Timei,configPackageNo,PickDate,PickTime,Date_Timei,DropPlace,userEmailId,cab_booking.CabFor,cab_booking.booking_reference,tblcity.state
from cab_booking 
INNER JOIN driver ON cab_booking.pickup = driver.UID
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn AND tblcity.id = booking_bill.CityId
where cab_booking.ID=BookingId_i;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_driver_cash` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_driver_cash`(IN `bookingid_i` INT, IN `driverid_i` INT, IN `paid_i` VARCHAR(50), IN `amount` INT, IN `toll` INT, IN `road` INT, IN `other` INT)
BEGIN
DECLARE totalbill_i DOUBLE;
DECLARE bill_deducted DOUBLE;
DECLARE share_deducted INT;
Declare comp_share INT;
DECLARE partner_share_i INT;
Declare security_amt_i INT;
DECLARE book_ref TEXT;
DECLARE basic_tax_price TEXT;
DECLARE extra INT;
SET extra=toll+road+other;
SET totalbill_i=amount;
IF paid_i='cash' THEN
SELECT total_tax_price into basic_tax_price FROM booking_charges WHERE BookingID=bookingid_i; 
SELECT cab_booking.booking_reference into book_ref FROM cab_booking WHERE id=bookingid_i; 
SELECT company_share,driver_share,partner_share into comp_share,share_deducted,partner_share_i FROM client WHERE client.id=1; 
UPDATE driver SET `status`=0 WHERE UID=driverid_i;
UPDATE cab_booking SET `status`=11 WHERE id=bookingid_i;
INSERT INTO booking_logs (`bookingid`,`status`,`time`) VALUES(bookingid_i,11,NOW());
SET  bill_deducted = (((totalbill_i-(extra+basic_tax_price))*(100-share_deducted))/100);
UPDATE driver SET SecurityAmt = (SecurityAmt-(bill_deducted+basic_tax_price)) WHERE UID=driverid_i;
SELECT SecurityAmt into security_amt_i FROM driver WHERE UID=driverid_i;
UPDATE booking_charges SET totalBill=amount,partnershare=partner_share_i,companyshare=comp_share,drivershare=share_deducted,is_paid=1,paid_at=NOW(),payment_type='CASH' WHERE BookingID=bookingid_i;
INSERT INTO driver_transaction (`user_id`,`amount`,`currentbalance`,`status`,`booking_ref`,`reason`) VALUES (driverid_i,bill_deducted,security_amt_i,'Debit',book_ref,'Deducted from Booking');
ELSE
UPDATE driver SET `status`=0 WHERE UID=driverid_i;
UPDATE cab_booking SET `status`=12 WHERE id=bookingid_i;
INSERT INTO booking_logs (`bookingid`,`status`) VALUES(bookingid_i,12);
UPDATE booking_charges SET is_paid=1,paid_at=NOW(),payment_type='CREDIT',totalBill=amount,extracharges=extra WHERE BookingID=bookingid_i;
END IF;
SELECT SecurityAmt,totalbill_i,security_amt_i from driver WHERE UID=driverid_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_driver_rating` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_driver_rating`(IN `dids` VARCHAR(50), IN `uids` VARCHAR(50), IN `drate` VARCHAR(50), IN `booking_id` INT)
BEGIN
DECLARE avgamount INT;
INSERT INTO `driver_rating` (`UID`,`DID`,`rating`) VALUES (uids,dids,drate);
SELECT AVG(rating) INTO avgamount FROM driver_rating WHERE DID= dids;
Update cab_booking set driver_rating = drate where ID = booking_id;
UPDATE user SET rating=avgamount WHERE ID=dids;
SELECT avgamount;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_estimated_bill` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_estimated_bill`(IN `car_type` INT, IN `bookingid_i` INT)
    NO SQL
BEGIN
DECLARE currency VARCHAR(50);
DECLARE measure VARCHAR(50);
DECLARE book_type INT;
DECLARE cab_for INT;
DECLARE approx_distance_charge INT;
select tblcountry.currency ,tblcountry.distance_unit into currency, measure from tblcountry where CountryName= 'India';
SELECT cab_booking.BookingType,cab_booking.CabFor,cab_booking.approx_distance_charge,cab_booking.estimated_price,cab_booking.min_Distance as MinDistance into book_type,cab_for,approx_distance_charge FROM cab_booking WHERE id=bookingid_i;
SELECT booking_bill.night_rate_begins,booking_bill.night_rate_ends,booking_bill.MinimumCharge,booking_bill.WaitingCharge_per_minute,booking_bill.tripCharge_per_minute,booking_bill.Per_Km_Charge,booking_bill.NightCharges,
booking_bill.waiting_fees,booking_bill.speed_per_km,booking_bill.Waitning_minutes,booking_bill.Min_Distance,book_type,cab_for,approx_distance_charge,currency,measure,booking_bill.basic_tax 
from booking_bill 
where booking_bill.Id = car_type;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_estimated_bill_new` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_estimated_bill_new`(IN `car_type` INT, IN `cab_id` INT, IN `bookingid_i` INT, IN `cabIn` VARCHAR(255), IN `bookingType` VARCHAR(50))
    NO SQL
BEGIN
IF bookingType=101 THEN
SELECT 
cab_booking.BookingType,cab_booking.CabFor,cab_booking.approx_distance_charge,cab_booking.estimated_price,cab_booking.min_Distance,cab_booking.CabIn,cab_booking.local_subpackage,
cab_list_mgmt.night_rate_begins,cab_list_mgmt.night_rate_ends,cab_list_mgmt.MinimumCharge,cab_list_mgmt.WaitingCharge_per_minute,cab_list_mgmt.tripCharge_per_minute,cab_list_mgmt.Per_Km_Charge,cab_list_mgmt.NightCharges,
cab_list_mgmt.waiting_fees,cab_list_mgmt.Waitning_minutes,cab_list_mgmt.Min_Distance,cab_list_mgmt.basic_tax,tblcity.state,tbllocalpackage.Economy_Price,tbllocalpackage.Sidan_Price,tbllocalpackage.Prime_Price,tblcountry.currency ,tblcountry.distance_unit 
from cab_booking 
INNER JOIN cab_list_mgmt ON cab_list_mgmt.BookingType = cab_booking.BookingType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN tbllocalpackage ON tbllocalpackage.Package = cab_booking.local_subpackage AND tbllocalpackage.City_ID = tblcity.state
INNER JOIN tblcountry ON tblcountry.CountryName = 'India'
where  cab_list_mgmt.CabType= cab_booking.CarType AND cab_list_mgmt.CabId= cab_id AND cab_booking.id=bookingid_i;
ELSE
SELECT 
cab_booking.BookingType,cab_booking.CabFor,cab_booking.approx_distance_charge,cab_booking.estimated_price,cab_booking.min_Distance,cab_booking.CabIn,cab_booking.local_subpackage,
cab_list_mgmt.night_rate_begins,cab_list_mgmt.night_rate_ends,cab_list_mgmt.MinimumCharge,cab_list_mgmt.WaitingCharge_per_minute,cab_list_mgmt.tripCharge_per_minute,cab_list_mgmt.Per_Km_Charge,cab_list_mgmt.NightCharges,
cab_list_mgmt.waiting_fees,cab_list_mgmt.Waitning_minutes,cab_list_mgmt.Min_Distance,cab_list_mgmt.basic_tax,tblcity.state,tblcountry.currency ,tblcountry.distance_unit 
from cab_booking 
INNER JOIN cab_list_mgmt ON cab_list_mgmt.BookingType = cab_booking.BookingType
INNER JOIN tblcity ON tblcity.name = cab_booking.CabIn
INNER JOIN tblcountry ON tblcountry.CountryName = 'India'
where  cab_list_mgmt.CabType= cab_booking.CarType AND cab_list_mgmt.CabId= cab_id AND cab_booking.id=bookingid_i;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_estimated_price` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_estimated_price`(IN `BookingId_i` INT)
BEGIN
DECLARE PickDate VARCHAR(20);
DECLARE PickTime VARCHAR(20);
DECLARE Date_Timei VARCHAR(20);
DECLARE CabTyp INT;
DECLARE pickupDr INT;
DECLARE configPackageNo INT;
DECLARE booking_type INT;
DECLARE DropPlace VARCHAR(100);
DECLARE userEmailId VARCHAR(100);
select LoginName INTO userEmailId FROM user 
INNER JOIN cab_booking ON user.ID = cab_booking.ClientID 
WHERE cab_booking.ID = BookingId_i 
LIMIT 0,1;
select PickupDate,
		 PickupTime,
		 CarType,
		 pickup,
		 PickupArea,
		 bookingtype 
		 INTO 
		 PickDate,
		 PickTime,
		 CabTyp,
		 pickupDr,
		 DropPlace,
		 booking_type 
from cab_booking 
where ID = BookingId_i 
LIMIT 0,1;
select Date_Time INTO Date_Timei 
from booking_tracker 
where BookingID = BookingId_i and CabStatus = 4 
LIMIT 0,1;
select master_package.Sub_Package_Id into configPackageNo from master_package 
WHERE master_package.Package_Id=booking_type;
select MinimumCharge,
		 WaitingCharge_per_minute,
		 tripCharge_per_minute,
		 Per_Km_Charge,
		 NightCharges,
		 booking_bill.night_rate_begins,
		 booking_bill.night_rate_ends,
		 speed_per_km,
		 Waitning_minutes,
		 Min_Distance,
		 booking_bill.basic_tax, 
		 configPackageNo,
		 PickDate,
		 PickTime,
		 Date_Timei,
		 DropPlace,
		 userEmailId,
		 cab_booking.BookingType,
		 cabfor.Hrs as CabFor
FROM cab_booking
INNER JOIN booking_bill ON cab_booking.BookingType = booking_bill.BookingTypeId AND cab_booking.CarType = booking_bill.CabType
LEFT JOIN cabfor ON cab_booking.CabFor = cabfor.id
where cab_booking.ID=BookingId_i;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_forget_password` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_forget_password`(IN `email` VARCHAR(50), IN `token` VARCHAR(200))
BEGIN
DECLARE id_count INT;
DECLARE ids INT;
SELECT `ID` INTO id_count FROM user WHERE `LoginName` COLLATE latin1_general_ci=email or `UserNo` COLLATE latin1_general_cs =email LIMIT 0,1;
IF id_count> 1 THEN
INSERT INTO tblactivation(UID,Verification_code) VALUES(id_count,token);
END IF;		
SELECT ids,id_count;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_get_fare_mode` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_get_fare_mode`(IN `packagemodeid` INT , IN `basevehicleid` INT )
BEGIN
IF packagemodeid=1 THEN

SELECT * FROM distance_fare WHERE base_vehicle_id=basevehicleid;

ELSEIF packagemodeid = 2 THEN

SELECT * FROM hourly_fare WHERE base_vehicle_id = basevehicleid;

ELSEIF packagemodeid = 3 THEN

SELECT * FROM distance_hour_fare WHERE base_vehicle_id=basevehicleid;

ELSEIF packagemodeid = 4 THEN

SELECT * FROM distance_waiting_fare WHERE base_vehicle_id=basevehicleid;

END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_get_user_profile` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_get_user_profile`(IN `user_id` INT(16))
BEGIN
SELECT user.first_name,user.email,user.mobile,user_info.image,user_info.address AS Address1,vm.image AS vehicleimg,vm.ignition_type_id ,fueltype.fuel_type AS fuelType,vm.registration_number as CabRegistrationNumber,vtype.id as vehicleId, vtype.vehicle_type as TypeOfvehicle FROM user LEFT JOIN user_info ON user.id=user_info.user_id LEFT JOIN user_vehicle_mapping as vmap ON user.id = vmap.user_id LEFT JOIN vehicle_master AS vm ON vmap.vehicle_master_id =  vm.vehicle_master_id LEFT JOIN master_vehicle_model as vmodel ON vm.id = vmodel.id  LEFT JOIN master_vehicle_type AS vtype ON vmodel.vehicle_type_id =vtype.id LEFT JOIN master_fuel_type AS fueltype ON vm.ignition_type_id=fueltype.id  WHERE user.id=user_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_get_user_profile_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_get_user_profile_old`(IN `user_id` INT)
BEGIN
SELECT * FROM user_info WHERE UID=user_id;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_list_of_vehicles` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_list_of_vehicles`()
BEGIN
SELECT `id`,`name` FROM `cab_list_mgmt`;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_local_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_local_booking`(IN `DeviceType` VARCHAR(50), IN `bookingtype` VARCHAR(50), IN `cablocation` VARCHAR(50), IN `cablocationfor` VARCHAR(50), IN `cartypes` INT, IN `cablocationnationality` VARCHAR(50), IN `cablocaladults` INT, IN `cablocalchild` INT, IN `cablocalluggages` INT, IN `cablocalpickuparea` VARCHAR(50), IN `cablocaladdress` VARCHAR(50), IN `pickuplatlat` DOUBLE, IN `pickuplatlng` DOUBLE, IN `pickupdate` VARCHAR(50), IN `pickuptime` VARCHAR(50), IN `datebooking` DATETIME, IN `name` VARCHAR(100), IN `phone` VARCHAR(50), IN `email` VARCHAR(100), IN `user_agent` TEXT, IN `peakTime` INT, IN `alt_phone` VARCHAR(50))
BEGIN
	DECLARE userId INT;
	DECLARE userExists INT;
	DECLARE normailUserId INT;
	DECLARE userNewId INT;
	SELECT COUNT(*) , `ID` INTO userExists,normailUserId 
	FROM `user` 
	WHERE `LoginName` COLLATE latin1_general_ci = email AND `UserNo` COLLATE latin1_general_cs = phone ;
	IF userExists=1 THEN
		INSERT INTO `cab_booking` (`DeviceType`, `BookingType`,`ClientId`,`UserName`,`EmailId`,`CabIn`,`MobileNo`,`CabFor`,`CarType`,`Nationality`,`No_Of_Adults`,`No_Of_Childs`,`No_Of_Luggages`,`PickupArea`,`PickupAddress`,`PickupLatitude`,`PickupLongtitude`,`PickupDate`,`PickupTime`,`BookingDate`,`Status`,`useragent`,`partner`,`peakTime`) 
		VALUES (DeviceType, bookingtype,normailUserId,name,email,cablocation,phone,cablocationfor,cartypes,cablocationnationality,cablocaladults,cablocalchild,cablocalluggages,cablocalpickuparea,cablocaladdress,pickuplatlat,pickuplatlng,pickupdate,pickuptime,datebooking,1,user_agent,1,peakTime);
		SELECT last_insert_id() INTO userId;
		INSERT INTO `booking_logs` (bookingid,`status`,message,`time`) VALUES (userId,1,'Requesting car',datebooking);			
		INSERT INTO `booking_stack`(`booking_id`,`lat`,`long`,`status`) VALUES (userId,pickuplatlat,pickuplatlng,'');
	ELSE
		INSERT INTO `user` (`LoginName`,`UserNo`,`UserType`) VALUES (email,phone,2);
		SELECT last_insert_id() INTO userNewId;
		INSERT INTO  user_info(`uid`,`firstname`,`email`,`mobno`,`AlternateContactNo`) VALUES (userNewId,name,email,phone,alt_phone);
		INSERT INTO `cab_booking` (`DeviceType`, `BookingType`,`ClientId`,`UserName`,`EmailId`,`MobileNo`,`CabIn`,`CabFor`,`CarType`,`Nationality`,`No_Of_Adults`,`No_Of_Childs`,`No_Of_Luggages`,`PickupArea`,`PickupAddress`,`PickupLatitude`,`PickupLongtitude`,`PickupDate`,`PickupTime`,`BookingDate`,`Status`,`Partner`,`peakTime`) 
		VALUES (DeviceType, bookingtype,userNewId,name,email,phone,cablocation,cablocationfor,cartypes,cablocationnationality,cablocaladults,cablocalchild,cablocalluggages,cablocalpickuparea,cablocaladdress,pickuplatlat,pickuplatlng,pickupdate,pickuptime,datebooking,1,1,peakTime);
		SELECT last_insert_id() INTO userId;
		INSERT INTO `booking_logs` (bookingid,`status`,message,`time`) VALUES (userId,1,'Requesting car',datebooking);			
		INSERT INTO `booking_stack`(`booking_id`,`lat`,`long`,`status`) VALUES (userId,pickuplatlat,pickuplatlng,'');
	END IF;
	SELECT userId,userNewId,userExists,normailUserId;	
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_login` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_login`(IN `username` VARCHAR(500), IN `userpass` VARCHAR(500), IN `gcmid` TEXT, IN `token` VARCHAR(50))
BEGIN
DECLARE checklogin VARCHAR(100) ; 
DECLARE id_s INT ; 
DECLARE type_data INT ; 
DECLARE login_state INT ;
  SELECT
    COUNT(*),
    login_status
  INTO
    checklogin,
    login_state
  FROM
    `user`
  WHERE
    (
      `email` COLLATE latin1_general_ci = username OR `mobile` COLLATE latin1_general_cs = username
    ) AND `password` COLLATE latin1_general_ci = userpass AND `is_verified` = 1 ; 

IF checklogin = 1 THEN
  SELECT
    user_type_id,
    id
  INTO
    type_data,
    id_s
  FROM
    `user`
  WHERE
    (
      `email` COLLATE latin1_general_ci = username OR `mobile` COLLATE latin1_general_cs = username
    )
  LIMIT 0, 1 ; 

IF type_data = 3 THEN

UPDATE
  user
SET
  gcm_id = ''
WHERE
  `gcm_id` COLLATE latin1_general_cs = gcmid AND user_type_id = 3 ;

SELECT
  token,
  type_data,
  checklogin,
  login_state,
  b.id,
  b.email,
  b.first_name,
  c.city_id,
  b.mobile,
  b.imei,
  a.security_amt,
  c.image AS prof_img,
  mc.name as city_name
FROM
  user b
left JOIN
  user_info c ON b.id = c.user_id
Left Join 
  driver a ON b.id = a.user_id
left join 
  master_city mc ON c.city_id = mc.id
WHERE
  b.id = id_s ;

INSERT
INTO
  `driver_status`(`uid`,
  `status`,
  `login_time`)
VALUE
  (id_s,
  '1',
  NOW()) ; 

ELSE

UPDATE
  user
SET
  gcm_id = ''
WHERE
  `gcm_id` COLLATE latin1_general_cs = gcmid AND user_type_id != 3 ;
SELECT
  token,
  login_state,
  b.referral_key,
  type_data,
  checklogin,
  b.id,
  b.email,
  b.first_name,
  a.city_id,
  b.mobile,
  a.image AS prof_img,
  mc.name as city_name
FROM
  user b
Left JOIN
  user_info a ON b.id = a.user_id

left join 
  master_city mc ON a.city_id = mc.id

WHERE
  b.id = id_s ;

END IF ; 

IF login_state = 0 THEN
UPDATE
  user
SET
  `login_status` = 1,
  is_active = 1,
  `gcm_id` = gcmid,
  `token` = token,
  login_time = NOW()
WHERE
  `id` = id_s ;
INSERT
INTO
  log_in_log(
    userId,
    `login_time`,
    login_date,
    lat,
    `log`,
    `status`
  )
VALUES(
  id_s,
  NOW(), DATE(login_time), '', '', token) ;
END IF ;
  END IF ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_login_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_login_old`(IN `username` VARCHAR(500), IN `userpass` VARCHAR(500), IN `gcmid` TEXT, IN `token` VARCHAR(50))
BEGIN
DECLARE checklogin VARCHAR(100);
DECLARE id_s INT;
DECLARE type_data INT;
DECLARE login_state INT;
SELECT COUNT(*),loginStatus INTO checklogin,login_state FROM `user` WHERE (`LoginName` COLLATE latin1_general_ci = username OR `UserNo` COLLATE latin1_general_cs = username) AND `Password` COLLATE latin1_general_ci =userpass AND `isVerified`=1;
IF checklogin = 1 THEN
SELECT UserType,ID INTO type_data,id_s FROM `user` WHERE (`LoginName`COLLATE latin1_general_ci = username OR `UserNo`COLLATE latin1_general_cs = username) LIMIT 0,1;
IF type_data=3 THEN
UPDATE user SET gcm_id='' WHERE `gcm_id` COLLATE latin1_general_cs =gcmid and UserType=3;
SELECT token,type_data,checklogin,login_state,b.ID,a.FirstName,a.City,a.ContactNo,a.imei,a.SecurityAmt,b.loginname,a.Email,c.image as prof_img FROM driver a 
INNER JOIN user_info c ON a.UID = c.UID
INNER JOIN user b ON a.UID = b.ID WHERE b.ID=id_s;
INSERT INTO `driverstatus` (`uid`,`status`,`login_time`) VALUE (id_s,'1',NOW());
ELSE
UPDATE user SET gcm_id='' WHERE `gcm_id`COLLATE latin1_general_cs =gcmid and UserType!=3;
SELECT token,login_state,b.referralKey,type_data,checklogin,b.ID, a.FirstName,a.City,a.MobNo,a.Email,a.image as prof_img FROM user_info a INNER JOIN user b ON a.UID = b.ID WHERE b.ID=id_s;
END IF;
IF login_state=0 THEN
UPDATE user SET `loginStatus`=1,is_active=1,`gcm_id` =gcmid,`token`=token ,loginTime=NOW() WHERE `ID`=id_s;
INSERT INTO log_in_log (userId,`login_time`,login_date,lat,`log`,`status`) VALUES (id_s,NOW(),DATE(login_time),'','',token);
END IF;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_reject_booking` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_reject_booking`(IN `id_i` INT, IN `book_i` INT)
BEGIN
DECLARE update_id INT;
SELECT booking_register.id into update_id FROM booking_register WHERE booking_register.driverId=id_i and booking_register.bookingid=book_i order by id desc LIMIT 0,1;
UPDATE booking_register SET `status`='R' WHERE id=update_id ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_reporting` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_reporting`(IN `cabBookingId` VARCHAR(50), IN `driverLat` VARCHAR(50), IN `driverLong` VARCHAR(50), IN `cabDriverId` INT)
BEGIN
DECLARE pickdatebook VARCHAR(50);
DECLARE picktimebook VARCHAR(50);
DECLARE clientIdbook INT;
DECLARE usernumber VARCHAR(50);

SELECT bpd.`pickup_date`,bpd.`pickup_time`,booking.`client_id`,user.mobile  INTO pickdatebook,picktimebook,clientIdbook,usernumber FROM `booking_pickdrop_details` as bpd left join booking ON bpd.booking_id=booking.booking_id join user ON booking.client_id = user.id  WHERE booking.`booking_id`= cabBookingId and booking.booking_status='1' ;

INSERT INTO `booking_logs` (`bookingid`,`user_id`,`status`,`message`,`time`) VALUES (cabBookingId,cabDriverId,'5','Reported',NOW());

UPDATE booking Left Join booking_actual_details as bad ON booking.booking_id = bad.booking_id SET booking.`status`=5,bad.arrival_time_actual=NOW() WHERE booking.booking_id=CabBookingId and booking.booking_status='1';

INSERT INTO `booking_tracker` (`BookingID`,`DriverId`,`Latitutude`,`Logitude`,`Date_Time`,`CabStatus`) VALUES (cabBookingId,cabDriverId,driverLat,driverLong,NOW(),'5');

SELECT  pickdatebook,picktimebook,usernumber;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_reporting_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_reporting_old`(IN `cabBookingId` VARCHAR(50), IN `driverLat` VARCHAR(50), IN `driverLong` VARCHAR(50), IN `cabDriverId` INT)
BEGIN
DECLARE pickdatebook VARCHAR(50);
DECLARE picktimebook VARCHAR(50);
DECLARE clientIdbook INT;
DECLARE usernumber VARCHAR(50);
SELECT `PickupDate`,`PickupTime`,`ClientID` INTO pickdatebook,picktimebook,clientIdbook FROM `cab_booking` WHERE `ID`= cabBookingId and BookingStatus='1';
SELECT `UserNo` INTO usernumber FROM `user` WHERE `ID` =clientIdbook;
INSERT INTO `booking_logs` (`bookingid`,`status`,`message`,`time`) VALUES (cabBookingId,'5','Reported',NOW());
UPDATE cab_booking SET `status`=5,arrival_time_actual=NOW() WHERE id=CabBookingId and BookingStatus='1';
INSERT INTO `booking_tracker` (`BookingID`,`DriverId`,`Latitutude`,`Logitude`,`Date_Time`,`CabStatus`) VALUES (cabBookingId,cabDriverId,driverLat,driverLong,NOW(),'5');
SELECT  pickdatebook,picktimebook,usernumber;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_reset_password` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_reset_password`(IN `newPass` VARCHAR(100), IN `cPass` VARCHAR(100), IN `code` VARCHAR(100))
BEGIN
DECLARE id_user INT;
SELECT `UID` INTO id_user FROM `tblactivation` WHERE BINARY Verification_code=code AND `isUsed`=0 ORDER BY id DESC LIMIT 0,1;
IF id_user>0 THEN
UPDATE `user` SET `Password`=newPass WHERE id=id_user;
UPDATE `tblactivation` SET `isUsed`=1 WHERE BINARY Verification_code=code;
END IF;
SELECT id_user;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_send_message` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_send_message`(IN `id_i` INT, IN `booking_id` INT, IN `message` TEXT)
BEGIN
DECLARE user_id int;
DECLARE driver_id int;
DECLARE gcm text;
SELECT cab_booking.ClientID,cab_booking.pickup into user_id,driver_id from cab_booking WHERE id=booking_id;
IF user_id = id_i THEN
SELECT user.gcm_id into gcm FROM user WHERE id=driver_id;
INSERT INTO booking_msg(booking_msg.bookingid,booking_msg.sender,booking_msg.receiver,booking_msg.msg,booking_msg.`datetime`) VALUES (booking_id,id_i,driver_id,message,NOW());
ELSEIF driver_id=id_i THEN 
SELECT user.gcm_id into gcm FROM user WHERE id=user_id;
INSERT INTO booking_msg(booking_msg.bookingid,booking_msg.sender,booking_msg.receiver,booking_msg.msg,booking_msg.`datetime`) VALUES (booking_id,id_i,user_id,message,NOW());
END IF;
SELECT gcm;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_signup` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_signup`(IN `userEmailIdLog` VARCHAR(50), IN `userName` VARCHAR(50), IN `mobileNo` VARCHAR(50), IN `landNo` VARCHAR(50), IN `cities` VARCHAR(50), IN `adds` VARCHAR(50), IN `emailId` VARCHAR(50), IN `altEmails` VARCHAR(50), IN `companyuserName` VARCHAR(50), IN `userMobile` VARCHAR(50), IN `UserLandline` VARCHAR(50), IN `userEmails` VARCHAR(50), IN `altUserEmails` VARCHAR(50), IN `userAddress` VARCHAR(50), IN `usersCity` VARCHAR(50), IN `userPins` VARCHAR(50), IN `image` TEXT, IN `userpassword` VARCHAR(250), IN `userRoles` VARCHAR(50), IN `UserNos` VARCHAR(50), IN `activationcode` VARCHAR(250), IN `userlang` VARCHAR(50))
BEGIN
DECLARE userexists INT;
DECLARE lastusersid INT;
DECLARE idcom INT;
DECLARE afectactive INT;
DECLARE num INT;
DECLARE lastcompanyid INT;
SELECT COUNT(*) INTO userexists FROM `user` WHERE `LoginName` COLLATE latin1_general_ci =userEmailIdLog  or LoginName COLLATE latin1_general_ci=UserNos or 
UserNo COLLATE latin1_general_ci=userEmailIdLog or UserNo COLLATE latin1_general_ci=UserNos;
IF userexists <1 THEN
	INSERT INTO `user`(`LoginName`,`Password`,`UserType`,`amount`,`UserNo`,`create_date`) VALUES (userEmailIdLog,userpassword,userRoles,0,mobileNo,NOW());
	SELECT ROW_COUNT() INTO num;
	SELECT LAST_INSERT_ID() INTO lastusersid;
	IF lastusersid >0 THEN
		INSERT INTO `user_info`(`UID`,`FirstName`,`City`,`Address1`,`Email`,`AltEmail`,`MobNo`,`LandNo`,`image`,`language`) VALUES 
		(lastusersid,userName,cities,adds,emailId,altEmails,mobileNo,landNo,image,userlang);
		SELECT ROW_COUNT() INTO idcom;
		IF idcom >0 THEN
			INSERT INTO `company`(`CompanyName`,`CompanyCity`,`CompanyAddress`,`CompanyPIN`,`ComMob`,`CompLand`,`Email`,`AltEmail`) VALUES 
			(companyuserName,cities,adds,userPins,userMobile,UserLandline,userEmails,altUserEmails);
			SELECT ROW_COUNT() INTO afectactive;
			SELECT LAST_INSERT_ID() INTO lastcompanyid;
			IF afectactive >0 THEN
			INSERT INTO `tblactivation` (`UID`,`Verification_code`) VALUES (lastusersid,activationcode) ;
			END IF;
		END IF;
	END IF;
END IF;
SELECT num,lastusersid,userexists,afectactive,lastcompanyid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_start_trip` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `wp_start_trip`(IN `bookid` INT, IN `driverid` INT)
BEGIN
DECLARE lastid INT;
UPDATE booking SET `status`=7 WHERE booking_id=bookid;
INSERT INTO booking_tracker (`BookingID`,`DriverId`,`Date_Time`,`CabStatus`) VALUES (bookid,driverid,NOW(),'7');
INSERT INTO booking_logs (`bookingid`,`user_id`,`status`,`message`,`time`) VALUES (bookid,driverid,'7','Trip Start',NOW()); 
SELECT LAST_INSERT_ID() INTO lastid;
SELECT lastid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_start_trip_old` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_start_trip_old`(IN `bookid` INT, IN `driverid` INT)
BEGIN
DECLARE lastid INT;
UPDATE cab_booking SET `status`=7 WHERE id=bookid;
INSERT INTO booking_tracker (`BookingID`,`DriverId`,`Date_Time`,`CabStatus`) VALUES (bookid,driverid,NOW(),'7');
INSERT INTO booking_logs (`bookingid`,`status`,`message`,`time`) VALUES (bookid,'7','Trip Start',NOW()); 
SELECT LAST_INSERT_ID() INTO lastid;
SELECT lastid;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_total_payment_charges` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_total_payment_charges`(IN `TripCharge` INT, IN `waitingCh` INT, IN `TotalBill` INT, IN `MinimumChrage` INT, IN `BookingID_N` INT, IN `distance_i` DOUBLE, IN `dist_rate` INT, IN `trip_charge` INT, IN `tax_i` INT, IN `duration_i` INT, IN `address` TEXT, IN `lat` VARCHAR(50), IN `lon` VARCHAR(50), IN `time_i` TIME)
    NO SQL
BEGIN
DECLARE book_ref TEXT;
SELECT cab_booking.booking_reference into book_ref FROM cab_booking WHERE id=BookingID_N;
INSERT INTO booking_charges (tripCharge,waitingCharge,minimumCharge,BookingID,AddedTime,distance_rate,distance_charge,minimum_distance,total_tax_price,currency,invoice_number,total_price,tax_price,starting_rate,starting_charge,minimum_price,duration_rate,duration_charge)VALUES(TripCharge,waitingCh,MinimumChrage,BookingID_N,NOW(),dist_rate,TripCharge,trip_charge,tax_i,'RS',CONCAT('IN-',book_ref),TotalBill,tax_i,dist_rate,MinimumCharge,MinimumCharge,duration_i,trip_charge);
INSERT INTO booking_logs(bookingid,`status`,message,`time`) VALUES(BookingID_N,8,'Completed',NOW());
UPDATE cab_booking SET `status`=8,DropAddress=address,final_lat=lat,final_long=lon,actual_distance=distance_i,actual_time=time_i,expiration_time=NOW() WHERE id=BookingID_N;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_user_booking_details` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_user_booking_details`(IN `ids` VARCHAR(50))
BEGIN
SELECT booking_charges.minimum_distance,cab_booking.appox_waiting_minute,
booking_charges.distance_charge,booking_charges.duration_charge,cab_booking.actual_distance,cab_booking.actual_driven_duration
 FROM `cab_booking` INNER JOIN driver ON cab_booking.pickup=driver.UID INNER JOIN booking_charges ON booking_charges.BookingID =cab_booking.ID WHERE cab_booking.ID=ids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_user_distance` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_user_distance`()
BEGIN
SELECT `Latitude`,`Longtitude1` FROM user WHERE `UserType`=3 ;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_user_helo_money` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_user_helo_money`(IN `usersids` VARCHAR(50), IN `rocommendvis` VARCHAR(50))
BEGIN
DECLARE ids INT;
SELECT COUNT(ID) INTO ids FROM `user` WHERE `ID`= usersids;
IF ids>0 THEN
UPDATE `user` SET `recvia`=rocommendvis , amount=amount+50  WHERE `ID`=usersids;
SELECT ROW_COUNT() AS counter,ids;
END IF;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_user_history_all` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_user_history_all`(IN `userids` VARCHAR(50))
BEGIN
SELECT `PickupDate`,`PickupTime`,`PickupArea`,`ID` FROM `cab_booking` WHERE `ClientID`=userids;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_user_history_completed` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_user_history_completed`(IN `userids` VARCHAR(50))
BEGIN
SELECT `PickupDate`,`PickupTime`,`PickupArea`,`ID` FROM `cab_booking` WHERE `ClientID`=userids AND `status`>3;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_user_history_pending` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_user_history_pending`(IN `userIds` VARCHAR(50), IN `tomorrowdate` VARCHAR(50))
BEGIN
SELECT `PickupDate`,`PickupTime`,`PickupArea`,`ID` FROM `cab_booking` WHERE `ClientID`=userids AND CONCAT(`PickupDate`,' ',`PickupTime`) >= tomorrowdate;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_validation` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_validation`(IN `userEmailIdLog` VARCHAR(100))
BEGIN
DECLARE checkusers INT;
SELECT  COUNT(*) INTO  checkusers FROM `user` WHERE  (BINARY `LoginName` =userEmailIdLog or BINARY `UserNo`=userEmailIdLog) AND UserType=3;
SELECT checkusers;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `wp_vehicles` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
CREATE DEFINER=`hello42c_hello`@`%` PROCEDURE `wp_vehicles`(IN `datanames` VARCHAR(50))
BEGIN
DECLARE vehicleNames VARCHAR(50);
SELECT `id`  FROM `cab_list_mgmt` WHERE `name` LIKE CONCAT('%', datanames, '%') LIMIT 0,10;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Current Database: `bookingc_demo`
--


--
-- Final view structure for view `user_credit_balance`
--

/*!50001 DROP VIEW IF EXISTS `user_credit_balance`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `user_credit_balance` AS select `bookingc_cabs`.`user`.`id` AS `id`,concat(`bookingc_cabs`.`user`.`first_name`,' ',`bookingc_cabs`.`user`.`last_name`) AS `username`,`bookingc_cabs`.`user`.`email` AS `email`,`bookingc_cabs`.`user`.`mobile` AS `mobile`,`bookingc_cabs`.`user`.`is_active` AS `is_active`,`bookingc_cabs`.`user`.`user_type_id` AS `user_type_id`,`utype`.`RoleName` AS `user_type`,`credit_limit`.`from_date` AS `from_date`,`credit_limit`.`to_date` AS `to_date`,`credit_limit`.`credit_limit_amount` AS `credit_limit_amount`,sum(`bookingc_cabs`.`booking_estimation`.`estimated_final_price`) AS `booking_amount`,(`credit_limit`.`credit_limit_amount` - sum(`bookingc_cabs`.`booking_estimation`.`estimated_final_price`)) AS `credit_balance` from ((((`bookingc_cabs`.`user` join `bookingc_cabs`.`user_credit_limit` `credit_limit` on((`bookingc_cabs`.`user`.`id` = `credit_limit`.`user_id`))) join `bookingc_cabs`.`booking` on((`bookingc_cabs`.`user`.`id` = `bookingc_cabs`.`booking`.`user_id`))) join `bookingc_cabs`.`booking_estimation` on((`bookingc_cabs`.`booking`.`booking_id` = `bookingc_cabs`.`booking_estimation`.`booking_id`))) join `bookingc_cabs`.`user_role` `utype` on((`bookingc_cabs`.`user`.`user_type_id` = `utype`.`Role_ID`))) group by `bookingc_cabs`.`user`.`id` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `view_booking_charge`
--

/*!50001 DROP VIEW IF EXISTS `view_booking_charge`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `view_booking_charge` AS select `bookingc_cabs`.`booking_charges`.`id` AS `id`,`bookingc_cabs`.`booking_charges`.`BookingID` AS `BookingID`,`bookingc_cabs`.`booking_charges`.`waitingCharge` AS `waitingCharge`,`bookingc_cabs`.`booking_charges`.`tripCharge` AS `tripCharge`,`bookingc_cabs`.`booking_charges`.`minimumCharge` AS `minimumCharge`,`bookingc_cabs`.`booking_charges`.`totalBill` AS `totalBill`,`bookingc_cabs`.`booking_charges`.`AddedTime` AS `AddedTime`,`bookingc_cabs`.`booking_charges`.`is_paid` AS `is_paid`,`bookingc_cabs`.`cab_status`.`status` AS `billing_status`,`bookingc_cabs`.`booking_charges`.`paid_at` AS `paid_at`,`bookingc_cabs`.`booking_charges`.`currency` AS `currency`,`bookingc_cabs`.`booking_invoice_bill`.`booking_invoice_id` AS `booking_invoice_id`,`bookingc_cabs`.`booking_charges`.`invoice_number` AS `invoice_number`,`bookingc_cabs`.`booking_charges`.`payment_type` AS `payment_type`,`bookingc_cabs`.`booking_charges`.`fees` AS `fees`,`bookingc_cabs`.`booking_charges`.`total_price` AS `total_price`,`bookingc_cabs`.`booking_charges`.`total_tax_price` AS `total_tax_price`,`bookingc_cabs`.`booking_charges`.`distance_rate` AS `distance_rate`,`bookingc_cabs`.`booking_charges`.`duration_rate` AS `duration_rate`,`bookingc_cabs`.`booking_charges`.`starting_rate` AS `starting_rate`,`bookingc_cabs`.`booking_charges`.`base_price` AS `base_price`,`bookingc_cabs`.`booking_charges`.`tax_price` AS `tax_price`,`bookingc_cabs`.`booking_charges`.`starting_charge` AS `starting_charge`,`bookingc_cabs`.`booking_charges`.`distance_charge` AS `distance_charge`,`bookingc_cabs`.`booking_charges`.`duration_charge` AS `duration_charge`,`bookingc_cabs`.`booking_charges`.`minimum_distance` AS `minimum_distance`,`bookingc_cabs`.`booking_charges`.`cancellation_price` AS `cancellation_price`,`bookingc_cabs`.`booking_charges`.`companyshare` AS `companyshare`,`bookingc_cabs`.`booking_charges`.`drivershare` AS `drivershare`,`bookingc_cabs`.`booking_charges`.`partnershare` AS `partnershare`,`bookingc_cabs`.`booking_charges`.`minimum_price` AS `minimum_price`,`bookingc_cabs`.`booking_charges`.`extracharges` AS `extracharges`,`bookingc_cabs`.`booking_charges`.`nightcharge_unit` AS `nightcharge_unit`,`bookingc_cabs`.`booking_charges`.`nightcharge` AS `nightcharge`,`bookingc_cabs`.`booking_charges`.`nightcharge_price` AS `nightcharge_price`,`bookingc_cabs`.`booking_charges`.`night_rate_begins` AS `night_rate_begins`,`bookingc_cabs`.`booking_charges`.`night_rate_ends` AS `night_rate_ends`,`bookingc_cabs`.`booking_charges`.`extras` AS `extras`,`bookingc_cabs`.`booking_charges`.`extraPrice` AS `extraPrice`,`bookingc_cabs`.`booking_charges`.`peak_time_price` AS `peakTimePrice`,`bookingc_cabs`.`booking_charges`.`peak_time_value` AS `peak_time_value`,`bookingc_cabs`.`booking_charges`.`basic_tax` AS `basic_tax`,`bookingc_cabs`.`booking_charges`.`basic_tax_type` AS `basic_tax_type`,`bookingc_cabs`.`booking_charges`.`basic_tax_price` AS `basic_tax_price`,`bookingc_cabs`.`booking_charges`.`pre_waiting_time` AS `pre_waiting_time`,`bookingc_cabs`.`booking_charges`.`pre_waiting_charge` AS `pre_waiting_charge`,`bookingc_cabs`.`booking_charges`.`waiting_time` AS `waiting_time`,`bookingc_cabs`.`booking_charges`.`waiting_charge` AS `waiting_charge`,`bookingc_cabs`.`booking_charges`.`igst_tax` AS `igst_tax`,`bookingc_cabs`.`booking_charges`.`cgst_tax` AS `cgst_tax`,`bookingc_cabs`.`booking_charges`.`sgst_tax` AS `sgst_tax`,`bookingc_cabs`.`booking_charges`.`estimated_price_before_markup` AS `estimated_price_before_markup`,`bookingc_cabs`.`booking_charges`.`markup_type` AS `markup_type`,`bookingc_cabs`.`booking_charges`.`markup_value` AS `markup_value`,`bookingc_cabs`.`booking_charges`.`markup_price` AS `markup_price`,`bookingc_cabs`.`booking_charges`.`driver_share_amt` AS `driver_share_amt`,`bookingc_cabs`.`booking_charges`.`comp_share_amt` AS `comp_share_amt`,`bookingc_cabs`.`booking_charges`.`partner_share_amt` AS `partner_share_amt`,`bookingc_cabs`.`booking`.`reference_number` AS `reference_number`,`bookingc_cabs`.`user`.`id` AS `user_id`,`bookingc_cabs`.`user`.`user_type_id` AS `user_type_id`,`bookingc_cabs`.`user`.`email` AS `email`,`bookingc_cabs`.`user`.`mobile` AS `mobile`,`bookingc_cabs`.`user_info`.`address` AS `address`,`bookingc_cabs`.`user_info`.`pincode` AS `pincode`,`bookingc_cabs`.`user_info`.`landline_number` AS `landline_number`,`bookingc_cabs`.`user_info`.`gst_registration_number` AS `gst_registration_number`,`bookingc_cabs`.`driver`.`pancard_no` AS `pancard_no`,`bookingc_cabs`.`user_role`.`RoleName` AS `user_type`,concat(`bookingc_cabs`.`user`.`first_name`,' ',`bookingc_cabs`.`user`.`last_name`) AS `username`,`client`.`id` AS `client_id`,concat(`client`.`first_name`,' ',`client`.`last_name`) AS `client_name`,`bookingc_cabs`.`master_package`.`name` AS `package_name`,`bookingc_cabs`.`master_package_mode`.`package_mode` AS `package_mode`,`bookingc_cabs`.`booking`.`outstation_module_type` AS `outstation_module_type`,`bookingc_cabs`.`booking_estimation`.`estimateprice_before_discount` AS `estimateprice_before_discount`,`bookingc_cabs`.`booking_estimation`.`discount_price` AS `discount_price`,`bookingc_cabs`.`booking_estimation`.`estimated_final_price` AS `estimated_final_price`,`bookingc_cabs`.`booking_estimation`.`approx_distance_charge` AS `approx_distance_charge`,`bookingc_cabs`.`booking_estimation`.`approx_after_km` AS `approx_after_km`,`bookingc_cabs`.`booking_estimation`.`approx_waiting_charge` AS `approx_waiting_charge`,`bookingc_cabs`.`booking_estimation`.`approx_waiting_minute` AS `approx_waiting_minute`,`bookingc_cabs`.`master_vehicle_model`.`name` AS `vehicle_name`,`bookingc_cabs`.`master_vehicle_type`.`vehicle_type` AS `vehicle_type`,`bookingc_cabs`.`booking_actual_details`.`actual_distance` AS `actual_distance`,`bookingc_cabs`.`booking_actual_details`.`actual_time` AS `actual_time`,sum(`bookingc_cabs`.`user_transaction`.`amount`) AS `booking_amt_paid`,(`bookingc_cabs`.`booking_charges`.`total_price` - sum(`bookingc_cabs`.`user_transaction`.`amount`)) AS `booking_amt_balance` from ((((((((((((((((`bookingc_cabs`.`booking_charges` join `bookingc_cabs`.`booking` on((`bookingc_cabs`.`booking_charges`.`BookingID` = `bookingc_cabs`.`booking`.`booking_id`))) join `bookingc_cabs`.`booking_estimation` on((`bookingc_cabs`.`booking`.`booking_id` = `bookingc_cabs`.`booking_estimation`.`booking_id`))) join `bookingc_cabs`.`user` on((`bookingc_cabs`.`booking`.`user_id` = `bookingc_cabs`.`user`.`id`))) left join `bookingc_cabs`.`user` `client` on((`bookingc_cabs`.`booking`.`client_id` = `client`.`id`))) left join `bookingc_cabs`.`user_info` on((`bookingc_cabs`.`user`.`id` = `bookingc_cabs`.`user_info`.`user_id`))) left join `bookingc_cabs`.`driver` on((`bookingc_cabs`.`user`.`id` = `bookingc_cabs`.`driver`.`user_id`))) left join `bookingc_cabs`.`master_package` on((`bookingc_cabs`.`booking`.`master_package_id` = `bookingc_cabs`.`master_package`.`id`))) left join `bookingc_cabs`.`master_package_mode` on((`bookingc_cabs`.`booking`.`master_package_mode_id` = `bookingc_cabs`.`master_package_mode`.`id`))) left join `bookingc_cabs`.`cab_status` on(((`bookingc_cabs`.`booking_charges`.`is_paid` = `bookingc_cabs`.`cab_status`.`status_id`) and (`bookingc_cabs`.`cab_status`.`type` = 'BILLING')))) left join `bookingc_cabs`.`user_role` on((`bookingc_cabs`.`user`.`user_type_id` = `bookingc_cabs`.`user_role`.`Role_ID`))) left join `bookingc_cabs`.`vehicle_master` on((`bookingc_cabs`.`booking`.`vehicle_master_id` = `bookingc_cabs`.`vehicle_master`.`vehicle_master_id`))) left join `bookingc_cabs`.`master_vehicle_model` on((`bookingc_cabs`.`vehicle_master`.`id` = `bookingc_cabs`.`master_vehicle_model`.`id`))) left join `bookingc_cabs`.`master_vehicle_type` on((`bookingc_cabs`.`master_vehicle_model`.`vehicle_type_id` = `bookingc_cabs`.`master_vehicle_type`.`id`))) left join `bookingc_cabs`.`booking_actual_details` on((`bookingc_cabs`.`booking`.`booking_id` = `bookingc_cabs`.`booking_actual_details`.`booking_id`))) left join `bookingc_cabs`.`booking_invoice_bill` on((`bookingc_cabs`.`booking_charges`.`id` = `bookingc_cabs`.`booking_invoice_bill`.`booking_charge_id`))) left join `bookingc_cabs`.`user_transaction` on((`bookingc_cabs`.`booking_charges`.`BookingID` = `bookingc_cabs`.`user_transaction`.`booking_id`))) group by `bookingc_cabs`.`user_transaction`.`booking_id` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `view_company_vendor_driver`
--

/*!50001 DROP VIEW IF EXISTS `view_company_vendor_driver`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `view_company_vendor_driver` AS select `user`.`id` AS `id`,`user`.`user_type_id` AS `user_type_id`,`user_role`.`RoleName` AS `user_type`,`user`.`first_name` AS `first_name`,`user`.`last_name` AS `last_name`,`user`.`email` AS `email`,`user`.`mobile` AS `mobile`,`user`.`parent_id` AS `parent_id`,`user`.`company_id` AS `company_id`,`user`.`is_active` AS `is_active`,`company_setup`.`com_name` AS `com_name`,`parent`.`id` AS `child_user_id`,concat(`parent`.`first_name`,' ',`parent`.`last_name`) AS `child_name`,`parent`.`email` AS `child_email`,`parent`.`mobile` AS `child_mobile`,`parent`.`user_type_id` AS `child_usertype_id`,`parentrole`.`RoleName` AS `child_user_type` from ((((`user` join `company_setup` on((`user`.`company_id` = `company_setup`.`id`))) left join `user` `parent` on((`user`.`id` = `parent`.`parent_id`))) join `user_role` on((`user`.`user_type_id` = `user_role`.`Role_ID`))) left join `user_role` `parentrole` on((`parent`.`user_type_id` = `parentrole`.`Role_ID`))) order by `user`.`id` desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `view_driver_vehicle_map`
--

/*!50001 DROP VIEW IF EXISTS `view_driver_vehicle_map`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `view_driver_vehicle_map` AS select `user`.`id` AS `user_id`,`user`.`gcm_id` AS `gcm_id`,concat(`user`.`first_name`,' ',`user`.`last_name`) AS `driver_name`,`user`.`company_id` AS `company_id`,`user`.`parent_id` AS `vendor_id`,`user`.`mobile` AS `mobile`,`user`.`email` AS `email`,`master_state`.`name` AS `state_name`,`master_state`.`id` AS `state_id`,`master_city`.`name` AS `city_name`,`master_city`.`id` AS `city_id`,`active`.`status` AS `driver_status`,`vmap`.`user_vehicle_id` AS `mapping_id`,`master_vehicle_type`.`vehicle_type` AS `vehicle_type`,`master_vehicle_type`.`color` AS `vehicle_type_color`,`master_vehicle_type`.`id` AS `vehicle_type_id`,`master_vehicle_model`.`name` AS `vehicle_name`,`master_vehicle_model`.`id` AS `vehicle_model_id`,`master_colour`.`colour_name` AS `vehicle_color`,`vehicle_master`.`vehicle_master_id` AS `vehicle_master_id`,`vehicle_master`.`created_by` AS `created_by`,`vehicle_master`.`vehicle_no` AS `vehicle_no`,`vehicle_master`.`model` AS `model_year`,`vehicle_master`.`color` AS `color`,`vehicle_master`.`vehicle_owner_type` AS `vehicle_owner_type`,`vehicle_master`.`vehicle_owner_name` AS `owner_name`,`vehicle_master`.`vehicle_owner_mobile` AS `owner_mobile`,`vehicle_master`.`permit_exp_date` AS `permit_expiry_date`,`vehicle_master`.`passenger` AS `passenger`,`vehicle_master`.`large_suitcase` AS `large_suitcase`,`vehicle_master`.`small_suitcase` AS `small_suitcase`,`master_fuel_type`.`fuel_type` AS `fuel_type` from (((((((((((`user` left join `driver` on((`user`.`id` = `driver`.`user_id`))) left join `user_info` on((`user_info`.`user_id` = `user`.`id`))) left join `master_state` on((`master_state`.`id` = `user_info`.`state_id`))) left join `master_city` on((`master_city`.`id` = `user_info`.`city_id`))) left join `user_vehicle_mapping` `vmap` on((`user`.`id` = `vmap`.`user_id`))) left join `vehicle_master` on((`vmap`.`vehicle_master_id` = `vehicle_master`.`vehicle_master_id`))) left join `master_vehicle_model` on((`vehicle_master`.`id` = `master_vehicle_model`.`id`))) left join `master_vehicle_type` on((`master_vehicle_model`.`vehicle_type_id` = `master_vehicle_type`.`id`))) left join `master_fuel_type` on((`vehicle_master`.`ignition_type_id` = `master_fuel_type`.`id`))) left join `active` on((`user`.`is_active` = `active`.`id`))) left join `master_colour` on((`vehicle_master`.`color` = `master_colour`.`colour_id`))) where (`user`.`user_type_id` in ('3','4')) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `view_vehicle_fare_details`
--

/*!50001 DROP VIEW IF EXISTS `view_vehicle_fare_details`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `view_vehicle_fare_details` AS select `bs`.`id` AS `base_combination_id`,`bs`.`status` AS `bs_status`,`bs`.`company_id` AS `company_id`,`bs`.`vendor_id` AS `vendor_id`,`bookingc_cabs`.`company_setup`.`site_title` AS `company_setup_name`,`bookingc_cabs`.`master_country`.`id` AS `country_id`,`bookingc_cabs`.`master_country`.`name` AS `country_name`,`bookingc_cabs`.`master_state`.`id` AS `state_id`,`bookingc_cabs`.`master_state`.`name` AS `state_name`,`bookingc_cabs`.`master_city`.`id` AS `city_id`,`bookingc_cabs`.`master_city`.`name` AS `city_name`,`bs`.`master_package_id` AS `master_package_id`,`bookingc_cabs`.`master_package`.`name` AS `package_name`,`bs`.`master_package_mode_id` AS `master_package_mode_id`,`bookingc_cabs`.`master_package_mode`.`package_mode` AS `package_mode`,`bs`.`date_from` AS `date_from`,`bs`.`date_to` AS `date_to`,`bs`.`rate_type` AS `rate_type`,`bs`.`rate_value` AS `rate_value`,`bs`.`week_days` AS `week_days`,concat(`vendor`.`first_name`,' ',`vendor`.`last_name`) AS `vendor_name`,concat(`CLIENT`.`first_name`,' ',`CLIENT`.`last_name`) AS `client_name`,`bookingc_cabs`.`master_vehicle_type`.`vehicle_type` AS `vehicle_type`,`dl`.`dispatch_location_id` AS `dispatch_location_id`,`dl`.`user_id` AS `user_id`,`dl`.`base_comb_id` AS `base_comb_id`,`dl`.`type_of_dispatch` AS `type_of_dispatch`,`dl`.`garage_type` AS `garage_type`,`dl`.`address` AS `address`,`dl`.`city` AS `city`,`dl`.`pincode` AS `pincode`,`dl`.`created_date` AS `created_date`,`dl`.`created_by` AS `created_by`,`dl`.`status` AS `status`,`distf`.`minimum_charge` AS `distance_minimum_charge`,`distf`.`minimum_distance` AS `distance_minimum_distance`,`distf`.`per_km_charge` AS `distance_per_km_charge`,`hourf`.`minimum_charge` AS `hourly_minimum_charge`,`hourf`.`minimum_hrs` AS `hourly_minimum_hrs`,`hourf`.`per_hr_charge` AS `hourly_per_hr_charge`,`distwaitf`.`minimum_charge` AS `dist_waiting_minimum_charge`,`distwaitf`.`minimum_distance` AS `dist_waiting_minimum_distance`,`distwaitf`.`per_km_charge` AS `dist_waiting_per_km_charge`,`distwaitf`.`fees` AS `dist_waiting_waiting_fees`,`disthourf`.`minimum_charge` AS `dist_hour_minimum_charge`,`disthourf`.`minimum_distance` AS `dist_hour_minimum_distance`,`disthourf`.`minimum_hrs` AS `dist_hour_minimum_hrs`,`disthourf`.`per_km_charge` AS `dist_hour_per_km_charge`,`disthourf`.`per_hr_charge` AS `dist_hour_per_hr_charge`,if((`compshare`.`share_value_type` = 1),'%','Rs') AS `company_share_type`,`compshare`.`share_value` AS `company_share` from ((((((((((((((((`bookingc_cabs`.`base_combination` `bs` join `bookingc_cabs`.`base_vehicle_type` `bvt` on((`bs`.`id` = `bvt`.`base_comb_id`))) left join `bookingc_cabs`.`dispatch_location` `dl` on((`bs`.`id` = `dl`.`base_comb_id`))) left join `bookingc_cabs`.`company_setup` on((`bs`.`company_id` = `bookingc_cabs`.`company_setup`.`id`))) left join `bookingc_cabs`.`master_country` on((`bs`.`country_id` = `bookingc_cabs`.`master_country`.`id`))) left join `bookingc_cabs`.`master_state` on((`bs`.`state_id` = `bookingc_cabs`.`master_state`.`id`))) left join `bookingc_cabs`.`master_city` on((`bs`.`city_id` = `bookingc_cabs`.`master_city`.`id`))) left join `bookingc_cabs`.`master_package` on((`bs`.`master_package_id` = `bookingc_cabs`.`master_package`.`id`))) left join `bookingc_cabs`.`master_package_mode` on((`bs`.`master_package_mode_id` = `bookingc_cabs`.`master_package_mode`.`id`))) left join `bookingc_cabs`.`user` `vendor` on((`bs`.`vendor_id` = `vendor`.`id`))) left join `bookingc_cabs`.`user` `CLIENT` on((`bs`.`client_id` = `CLIENT`.`id`))) left join `bookingc_cabs`.`master_vehicle_type` on((`bvt`.`vehicle_type_id` = `bookingc_cabs`.`master_vehicle_type`.`id`))) left join `bookingc_cabs`.`distance_fare` `distf` on((`bvt`.`base_vehicle_id` = `distf`.`base_vehicle_id`))) left join `bookingc_cabs`.`hourly_fare` `hourf` on((`bvt`.`base_vehicle_id` = `hourf`.`base_vehicle_id`))) left join `bookingc_cabs`.`distance_waiting_fare` `distwaitf` on((`bvt`.`base_vehicle_id` = `distwaitf`.`base_vehicle_id`))) left join `bookingc_cabs`.`distance_hour_fare` `disthourf` on((`bvt`.`base_vehicle_id` = `disthourf`.`base_vehicle_id`))) left join `bookingc_cabs`.`company_share` `compshare` on(((`bvt`.`base_vehicle_id` = `compshare`.`base_vehicle_id`) and (`compshare`.`share_type_id` = 1)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `view_wallet_point`
--

/*!50001 DROP VIEW IF EXISTS `view_wallet_point`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `view_wallet_point` AS select `referral_signup_history`.`user_id` AS `user_id`,concat(`user`.`first_name`,' ',`user`.`last_name`) AS `username`,`user`.`referral_key` AS `referral_key`,`referaluser`.`id` AS `referal_id`,concat(`referaluser`.`first_name`,' ',`referaluser`.`last_name`) AS `referal_by`,`referral_signup_history`.`user_amount` AS `user_amount`,`referral_signup_history`.`referer_amount` AS `referer_amount`,`referral_signup_history`.`created` AS `created` from ((`referral_signup_history` join `user` on((`referral_signup_history`.`user_id` = `user`.`id`))) join `user` `referaluser` on((`referaluser`.`id` = `referral_signup_history`.`referer_id`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-07-14 13:51:24
